-- ----------------------------
-- Table structure for KOCA_SYS_NO
-- ----------------------------

CREATE TABLE [dbo].[koca_sys_no] (
  [noid] nvarchar(32) COLLATE Chinese_PRC_CI_AS  NOT NULL,
  [noname] nvarchar(64) COLLATE Chinese_PRC_CI_AS  NOT NULL,
  [nolength] int  NULL,
  [notype] int  NOT NULL,
  [prefix] nvarchar(64) COLLATE Chinese_PRC_CI_AS  NULL,
  [postfix] nvarchar(64) COLLATE Chinese_PRC_CI_AS  NULL,
  [buffersize] int  NULL
)
GO

ALTER TABLE [dbo].[koca_sys_no] SET (LOCK_ESCALATION = TABLE)
GO

EXEC sp_addextendedproperty
'MS_Description', N'序列号ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_no',
'COLUMN', N'noid'
GO

EXEC sp_addextendedproperty
'MS_Description', N'序列号名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_no',
'COLUMN', N'noname'
GO

EXEC sp_addextendedproperty
'MS_Description', N'长度',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_no',
'COLUMN', N'nolength'
GO

EXEC sp_addextendedproperty
'MS_Description', N'类型 1 递增 2按天复位 3按月复位 4按年复位',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_no',
'COLUMN', N'notype'
GO

EXEC sp_addextendedproperty
'MS_Description', N'前缀',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_no',
'COLUMN', N'prefix'
GO

EXEC sp_addextendedproperty
'MS_Description', N'后缀',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_no',
'COLUMN', N'postfix'
GO

EXEC sp_addextendedproperty
'MS_Description', N'每次缓存个数',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_no',
'COLUMN', N'buffersize'
GO


-- ----------------------------
-- Table structure for koca_sys_nodtl
-- ----------------------------

CREATE TABLE [dbo].[koca_sys_nodtl] (
  [noid] nvarchar(32) COLLATE Chinese_PRC_CI_AS  NOT NULL,
  [noyear] int  NOT NULL,
  [nomonth] int  NOT NULL,
  [noday] int  NOT NULL,
  [nextid] int  NULL,
  [prefix] nvarchar(64) COLLATE Chinese_PRC_CI_AS  NULL,
  [postfix] nvarchar(64) COLLATE Chinese_PRC_CI_AS  NULL
)
GO

ALTER TABLE [dbo].[koca_sys_nodtl] SET (LOCK_ESCALATION = TABLE)
GO

EXEC sp_addextendedproperty
'MS_Description', N'序号编号',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_nodtl',
'COLUMN', N'noid'
GO

EXEC sp_addextendedproperty
'MS_Description', N'年',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_nodtl',
'COLUMN', N'noyear'
GO

EXEC sp_addextendedproperty
'MS_Description', N'月',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_nodtl',
'COLUMN', N'nomonth'
GO

EXEC sp_addextendedproperty
'MS_Description', N'日',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_nodtl',
'COLUMN', N'noday'
GO

EXEC sp_addextendedproperty
'MS_Description', N'下一个序号',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_nodtl',
'COLUMN', N'nextid'
GO

EXEC sp_addextendedproperty
'MS_Description', N'前缀',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_nodtl',
'COLUMN', N'prefix'
GO

EXEC sp_addextendedproperty
'MS_Description', N'后缀',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_nodtl',
'COLUMN', N'postfix'
GO


-- ----------------------------
-- Primary Key structure for table koca_sys_no
-- ----------------------------
ALTER TABLE [dbo].[koca_sys_no] ADD CONSTRAINT [PK__koca_sys_no__E2AB38733AC51EFF] PRIMARY KEY CLUSTERED ([noid])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table koca_sys_nodtl
-- ----------------------------
ALTER TABLE [dbo].[koca_sys_nodtl] ADD CONSTRAINT [PK__koca_sys_nodt__2B740DC62EB6398A] PRIMARY KEY CLUSTERED ([noid], [noyear], [nomonth], [noday])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO