/*
 date: 14/07/2020 17:00:34
*/


-- ----------------------------
-- table structure for koca_file_download_info
-- ----------------------------

create table [dbo].[koca_file_download_info] (
  [download_code] nvarchar(64) not null,
  [file_code] nvarchar(64) not null,
  [file_name] nvarchar(255) not null,
  [operator] nvarchar(64) null,
  [operate_time] nvarchar(64) null
)
go


EXEC sp_addextendedproperty
'MS_Description', N'下载编码',
'SCHEMA', N'dbo',
'TABLE', N'koca_file_download_info',
'COLUMN', N'download_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'文件编码',
'SCHEMA', N'dbo',
'TABLE', N'koca_file_download_info',
'COLUMN', N'file_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'文件名',
'SCHEMA', N'dbo',
'TABLE', N'koca_file_download_info',
'COLUMN', N'file_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'下载用户',
'SCHEMA', N'dbo',
'TABLE', N'koca_file_download_info',
'COLUMN', N'operator'
GO

EXEC sp_addextendedproperty
'MS_Description', N'下载时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_file_download_info',
'COLUMN', N'operate_time'
GO



-- ----------------------------
-- table structure for koca_file_info
-- ----------------------------

create table [dbo].[koca_file_info] (
  [file_code] nvarchar(64) not null,
  [file_name] nvarchar(255) not null,
  [file_type] nvarchar(32) null,
  [biz_key] nvarchar(64) null,
  [biz_type] nvarchar(64) null,
  [biz_param] nvarchar(1024) null,
  [file_size] bigint  null,
  [download_count] int  null,
  [ip_address] nvarchar(255) null,
  [security_level] int  null,
  [operator] nvarchar(64) null,
  [operate_time] nvarchar(64) null,
  [storage_way] nvarchar(32) null,
  [storage_path] nvarchar(1024) null,
  [state] int  null,
  [storage_name] nvarchar(255) null
)
go


EXEC sp_addextendedproperty
'MS_Description', N'文件编码',
'SCHEMA', N'dbo',
'TABLE', N'koca_file_info',
'COLUMN', N'file_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'文件名',
'SCHEMA', N'dbo',
'TABLE', N'koca_file_info',
'COLUMN', N'file_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'文件类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_file_info',
'COLUMN', N'file_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'业务key',
'SCHEMA', N'dbo',
'TABLE', N'koca_file_info',
'COLUMN', N'biz_key'
GO

EXEC sp_addextendedproperty
'MS_Description', N'业务类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_file_info',
'COLUMN', N'biz_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'业务参数',
'SCHEMA', N'dbo',
'TABLE', N'koca_file_info',
'COLUMN', N'biz_param'
GO

EXEC sp_addextendedproperty
'MS_Description', N'文件大小',
'SCHEMA', N'dbo',
'TABLE', N'koca_file_info',
'COLUMN', N'file_size'
GO

EXEC sp_addextendedproperty
'MS_Description', N'下载次数',
'SCHEMA', N'dbo',
'TABLE', N'koca_file_info',
'COLUMN', N'download_count'
GO

EXEC sp_addextendedproperty
'MS_Description', N'上传ip',
'SCHEMA', N'dbo',
'TABLE', N'koca_file_info',
'COLUMN', N'ip_address'
GO

EXEC sp_addextendedproperty
'MS_Description', N'安全等级',
'SCHEMA', N'dbo',
'TABLE', N'koca_file_info',
'COLUMN', N'security_level'
GO

EXEC sp_addextendedproperty
'MS_Description', N'上传用户',
'SCHEMA', N'dbo',
'TABLE', N'koca_file_info',
'COLUMN', N'operator'
GO

EXEC sp_addextendedproperty
'MS_Description', N'上传时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_file_info',
'COLUMN', N'operate_time'
GO

EXEC sp_addextendedproperty
'MS_Description', N'存储方式',
'SCHEMA', N'dbo',
'TABLE', N'koca_file_info',
'COLUMN', N'storage_way'
GO

EXEC sp_addextendedproperty
'MS_Description', N'存储路径',
'SCHEMA', N'dbo',
'TABLE', N'koca_file_info',
'COLUMN', N'storage_path'
GO

EXEC sp_addextendedproperty
'MS_Description', N'状态 1：删除',
'SCHEMA', N'dbo',
'TABLE', N'koca_file_info',
'COLUMN', N'state'
GO

EXEC sp_addextendedproperty
'MS_Description', N'存储名',
'SCHEMA', N'dbo',
'TABLE', N'koca_file_info',
'COLUMN', N'storage_name'
GO


-- ----------------------------
-- table structure for koca_file_storage_config_info
-- ----------------------------

create table [dbo].[koca_file_storage_config_info] (
  [biz_type] nvarchar(64) not null,
  [storage_way] nvarchar(32) not null,
  [storage_root_path] nvarchar(1024) not null,
  [storage_info] nvarchar(1024) null,
  [storage_child_path] nvarchar(1024) not null
)
go


EXEC sp_addextendedproperty
'MS_Description', N'业务类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_file_storage_config_info',
'COLUMN', N'biz_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'存储方式',
'SCHEMA', N'dbo',
'TABLE', N'koca_file_storage_config_info',
'COLUMN', N'storage_way'
GO

EXEC sp_addextendedproperty
'MS_Description', N'存储根路径',
'SCHEMA', N'dbo',
'TABLE', N'koca_file_storage_config_info',
'COLUMN', N'storage_root_path'
GO

EXEC sp_addextendedproperty
'MS_Description', N'其它存储信息',
'SCHEMA', N'dbo',
'TABLE', N'koca_file_storage_config_info',
'COLUMN', N'storage_info'
GO

EXEC sp_addextendedproperty
'MS_Description', N'存储子路径',
'SCHEMA', N'dbo',
'TABLE', N'koca_file_storage_config_info',
'COLUMN', N'storage_child_path'
GO

-- ----------------------------
-- primary key structure for table koca_file_download_info
-- ----------------------------
alter table [dbo].[koca_file_download_info] add constraint [pk__file_dow__bfd8cd8f78ad4fe7] primary key clustered ([download_code])
on [primary]
go


-- ----------------------------
-- primary key structure for table koca_file_info
-- ----------------------------
alter table [dbo].[koca_file_info] add constraint [pk__file_inf__1f0f438d4620fe2f] primary key clustered ([file_code])
on [primary]
go


-- ----------------------------
-- primary key structure for table koca_file_storage_config_info
-- ----------------------------
alter table [dbo].[koca_file_storage_config_info] add constraint [pk__file_sto__87ea60f4332a9ab9] primary key clustered ([biz_type])
on [primary]
go

