﻿CREATE TABLE [dbo].[koca_front_profiles] (
  [env_code] nvarchar(32) NOT NULL,
  [terminal_type] nvarchar(16) NOT NULL default '*',
  [env_mark] nvarchar(64),
  [primary_color] nvarchar(64),
  [logo] nvarchar(256) ,
  [watermark] nvarchar(1) default '0',
  [timeout] numeric default 5000,
  [is_tracking] nvarchar(1) default '0',
  [env_version] nvarchar(32),
  [app_title] nvarchar(128) default '金证云原生平台'
)
GO

ALTER TABLE [dbo].[koca_front_profiles] ADD CONSTRAINT [pk__front_profiles] PRIMARY KEY CLUSTERED ([env_code],[terminal_type])
ON [PRIMARY]
GO

CREATE TABLE [dbo].[koca_front_user_parameter] (
    [user_no] nvarchar(32) NOT NULL,
    [par_code] nvarchar(64) NOT NULL,
    [par_val] text
)
GO

ALTER TABLE [dbo].[koca_front_user_parameter] ADD CONSTRAINT [PK__koca_front_user_parameter] PRIMARY KEY CLUSTERED ([user_no],[par_code])
ON [PRIMARY]
GO

CREATE TABLE [dbo].[koca_user_component_setting] (
    [user_no] nvarchar(64) NOT NULL,
    [page_code] nvarchar(128) NOT NULL,
    [component_code] nvarchar(128) NOT NULL,
    [component_setting] text NULL,
    [other_setting] text NULL
    )
    GO

ALTER TABLE [dbo].[koca_user_component_setting] ADD CONSTRAINT [PK__user_component] PRIMARY KEY CLUSTERED ([user_no], [page_code],[component_code])
    ON [PRIMARY]
    GO
