/*
 Date: 14/07/2020 17:05:33
*/


-- ----------------------------
-- Table structure for koca_sys_dictionary
-- ----------------------------

CREATE TABLE [dbo].[koca_sys_dictionary] (
  [dict_code] nvarchar(32) NOT NULL,
  [dict_name] nvarchar(128) NULL,
  [dict_type] nvarchar(2) NULL,
  [maintain_flag] nvarchar(16) NULL,
  [remark] nvarchar(128) NULL
)
GO



-- ----------------------------
-- Table structure for koca_sys_dictionary_i18n
-- ----------------------------

CREATE TABLE [dbo].[koca_sys_dictionary_i18n] (
  [dict_code] nvarchar(32) NOT NULL,
  [language_type] nvarchar(32) NOT NULL,
  [dict_name] nvarchar(256) NULL
)
GO


EXEC sp_addextendedproperty
'MS_Description', N'字典编码',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_dictionary_i18n',
'COLUMN', N'dict_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'语言类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_dictionary_i18n',
'COLUMN', N'language_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字典名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_dictionary_i18n',
'COLUMN', N'dict_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字典国际化表',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_dictionary_i18n'
GO


-- ----------------------------
-- Table structure for koca_sys_dictionary_item
-- ----------------------------

CREATE TABLE [dbo].[koca_sys_dictionary_item] (
  [dict_code] nvarchar(32) NOT NULL,
  [org_code] nvarchar(8) NOT NULL,
  [dict_item] nvarchar(32) NOT NULL,
  [dict_item_name] nvarchar(128) NULL,
  [dict_ord] decimal(8)  NULL,
  [remark] nvarchar(128) NULL
)
GO



-- ----------------------------
-- Table structure for koca_sys_dictionary_item_i18n
-- ----------------------------

CREATE TABLE [dbo].[koca_sys_dictionary_item_i18n] (
  [dict_code] nvarchar(32) NOT NULL,
  [org_code] nvarchar(8) NOT NULL,
  [dict_item] nvarchar(32) NOT NULL,
  [dict_item_name] nvarchar(128) NULL,
  [language_type] nvarchar(32) NOT NULL
)
GO


EXEC sp_addextendedproperty
'MS_Description', N'字典编码',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_dictionary_item_i18n',
'COLUMN', N'dict_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'机构编码',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_dictionary_item_i18n',
'COLUMN', N'org_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字典项',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_dictionary_item_i18n',
'COLUMN', N'dict_item'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字典项名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_dictionary_item_i18n',
'COLUMN', N'dict_item_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'语言类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_dictionary_item_i18n',
'COLUMN', N'language_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字典项国际化',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_dictionary_item_i18n'
GO


-- ----------------------------
-- Table structure for koca_sys_menu
-- ----------------------------

CREATE TABLE [dbo].[koca_sys_menu] (
  [menu_id] nvarchar(10) NOT NULL,
  [menu_status] nvarchar(2) NULL,
  [menu_type] nvarchar(2) NULL,
  [menu_name] nvarchar(64) NULL,
  [menu_url] nvarchar(256) NULL,
  [parent_menu] nvarchar(10) NULL,
  [prev_menu] nvarchar(10) NULL,
  [menu_icon] nvarchar(32) NULL,
  [load_type] nvarchar(2) NULL,
  [remark] nvarchar(64) NULL
)
GO


EXEC sp_addextendedproperty
'MS_Description', N'菜单编号',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_menu',
'COLUMN', N'menu_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'菜单状态',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_menu',
'COLUMN', N'menu_status'
GO

EXEC sp_addextendedproperty
'MS_Description', N'菜单类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_menu',
'COLUMN', N'menu_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'菜单名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_menu',
'COLUMN', N'menu_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'菜单链接',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_menu',
'COLUMN', N'menu_url'
GO

EXEC sp_addextendedproperty
'MS_Description', N'父菜单',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_menu',
'COLUMN', N'parent_menu'
GO

EXEC sp_addextendedproperty
'MS_Description', N'同级前菜单',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_menu',
'COLUMN', N'prev_menu'
GO

EXEC sp_addextendedproperty
'MS_Description', N'菜单图标',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_menu',
'COLUMN', N'menu_icon'
GO

EXEC sp_addextendedproperty
'MS_Description', N'加载类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_menu',
'COLUMN', N'load_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'备注信息',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_menu',
'COLUMN', N'remark'
GO


-- ----------------------------
-- Table structure for koca_sys_menu_i18n
-- ----------------------------

CREATE TABLE [dbo].[koca_sys_menu_i18n] (
  [menu_id] nvarchar(10) NOT NULL,
  [menu_name] nvarchar(64) NULL,
  [language_type] nvarchar(32) NOT NULL
)
GO


EXEC sp_addextendedproperty
'MS_Description', N'菜单ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_menu_i18n',
'COLUMN', N'menu_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'菜单名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_menu_i18n',
'COLUMN', N'menu_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'语言类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_menu_i18n',
'COLUMN', N'language_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'菜单国际化表',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_menu_i18n'
GO


-- ----------------------------
-- Table structure for koca_sys_parameter
-- ----------------------------

CREATE TABLE [dbo].[koca_sys_parameter] (
  [par_code] nvarchar(32) NOT NULL,
  [par_name] nvarchar(256) NULL,
  [par_type] nvarchar(2) NULL,
  [par_type_sub] nvarchar(2) NULL,
  [maintain_flag] nvarchar(2) NULL,
  [remark] nvarchar(128) NULL
)
GO



-- ----------------------------
-- Table structure for koca_sys_parameter_i18n
-- ----------------------------

CREATE TABLE [dbo].[koca_sys_parameter_i18n] (
  [par_code] nvarchar(32) NOT NULL,
  [language_type] nvarchar(32) NOT NULL,
  [par_name] nvarchar(256) NULL
)
GO


EXEC sp_addextendedproperty
'MS_Description', N'参数编码',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_parameter_i18n',
'COLUMN', N'par_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'语言类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_parameter_i18n',
'COLUMN', N'language_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_parameter_i18n',
'COLUMN', N'par_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数国际化表',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_parameter_i18n'
GO


-- ----------------------------
-- Table structure for koca_sys_parameter_val
-- ----------------------------

CREATE TABLE [dbo].[koca_sys_parameter_val] (
  [par_code] nvarchar(32) NOT NULL,
  [org_code] nvarchar(8) NOT NULL,
  [par_val] nvarchar(256) NULL
)
GO



-- ----------------------------
-- Table structure for koca_sys_parameter_val_i18n
-- ----------------------------

CREATE TABLE [dbo].[koca_sys_parameter_val_i18n] (
  [par_code] nvarchar(32) NOT NULL,
  [org_code] nvarchar(8) NOT NULL,
  [language_type] nvarchar(32) NOT NULL,
  [par_val] nvarchar(256) NULL
)
GO


EXEC sp_addextendedproperty
'MS_Description', N'参数编码',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_parameter_val_i18n',
'COLUMN', N'par_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'机构编码',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_parameter_val_i18n',
'COLUMN', N'org_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'语言类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_parameter_val_i18n',
'COLUMN', N'language_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数值',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_parameter_val_i18n',
'COLUMN', N'par_val'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数值国际化表',
'SCHEMA', N'dbo',
'TABLE', N'koca_sys_parameter_val_i18n'
GO


-- ----------------------------
-- Primary Key structure for table koca_sys_dictionary
-- ----------------------------
ALTER TABLE [dbo].[koca_sys_dictionary] ADD CONSTRAINT [PK__sys_dict__19CBC34B5C7480B9] PRIMARY KEY CLUSTERED ([dict_code])
ON [PRIMARY]
GO


-- ----------------------------
-- Indexes structure for table koca_sys_dictionary_i18n
-- ----------------------------
CREATE NONCLUSTERED INDEX [ak_key_1]
ON [dbo].[koca_sys_dictionary_i18n] (
  [dict_code] ASC,
  [language_type] ASC
)
GO


-- ----------------------------
-- Primary Key structure for table koca_sys_dictionary_item
-- ----------------------------
ALTER TABLE [dbo].[koca_sys_dictionary_item] ADD CONSTRAINT [PK__sys_dict__DFF85441BD68F46D] PRIMARY KEY CLUSTERED ([dict_code], [org_code], [dict_item])
ON [PRIMARY]
GO


-- ----------------------------
-- Indexes structure for table koca_sys_dictionary_item_i18n
-- ----------------------------
CREATE NONCLUSTERED INDEX [AK_Key_1]
ON [dbo].[koca_sys_dictionary_item_i18n] (
  [dict_code] ASC,
  [org_code] ASC,
  [dict_item] ASC,
  [language_type] ASC
)
GO


-- ----------------------------
-- Primary Key structure for table koca_sys_menu
-- ----------------------------
ALTER TABLE [dbo].[koca_sys_menu] ADD CONSTRAINT [PK__koca_sys_menu__4CA0FADC84956314] PRIMARY KEY CLUSTERED ([menu_id])
ON [PRIMARY]
GO


-- ----------------------------
-- Indexes structure for table koca_sys_menu_i18n
-- ----------------------------
CREATE NONCLUSTERED INDEX [AK_Key_1]
ON [dbo].[koca_sys_menu_i18n] (
  [menu_id] ASC,
  [language_type] ASC
)
GO


-- ----------------------------
-- Primary Key structure for table koca_sys_parameter
-- ----------------------------
ALTER TABLE [dbo].[koca_sys_parameter] ADD CONSTRAINT [PK__sys_para__772E00FABFAD47DB] PRIMARY KEY CLUSTERED ([par_code])
ON [PRIMARY]
GO


-- ----------------------------
-- Indexes structure for table koca_sys_parameter_i18n
-- ----------------------------
CREATE NONCLUSTERED INDEX [ak_key_1]
ON [dbo].[koca_sys_parameter_i18n] (
  [par_code] ASC,
  [language_type] ASC
)
GO


-- ----------------------------
-- Primary Key structure for table koca_sys_parameter_val
-- ----------------------------
ALTER TABLE [dbo].[koca_sys_parameter_val] ADD CONSTRAINT [PK__sys_para__B1A5121FF5DB498C] PRIMARY KEY CLUSTERED ([par_code], [org_code])
ON [PRIMARY]
GO


-- ----------------------------
-- Indexes structure for table koca_sys_parameter_val_i18n
-- ----------------------------
CREATE NONCLUSTERED INDEX [ak_key_1]
ON [dbo].[koca_sys_parameter_val_i18n] (
  [par_code] ASC,
  [org_code] ASC,
  [language_type] ASC
)
GO

