/*
 Date: 14/07/2020 17:07:45
*/


-- ----------------------------
-- Table structure for rpt_board
-- ----------------------------

CREATE TABLE [dbo].[rpt_board] (
  [BOARD_ID] bigint  NOT NULL,
  [USER_ID] nvarchar(100) NOT NULL,
  [CATEGORY_NAME] nvarchar(100) NULL,
  [BOARD_TYPE] bigint  NULL,
  [BOARD_NAME] nvarchar(100) NOT NULL,
  [LAYOUT_JSON] text NULL,
  [CREATE_TIME] datetime2(7)  NULL,
  [UPDATE_TIME] datetime2(7)  NULL
)
GO

EXEC sp_addextendedproperty
'MS_Description', N'id',
'SCHEMA', N'dbo',
'TABLE', N'rpt_board',
'COLUMN', N'BOARD_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'用户id',
'SCHEMA', N'dbo',
'TABLE', N'rpt_board',
'COLUMN', N'USER_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'分类名',
'SCHEMA', N'dbo',
'TABLE', N'rpt_board',
'COLUMN', N'CATEGORY_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'画板类型',
'SCHEMA', N'dbo',
'TABLE', N'rpt_board',
'COLUMN', N'BOARD_TYPE'
GO

EXEC sp_addextendedproperty
'MS_Description', N'画板名称',
'SCHEMA', N'dbo',
'TABLE', N'rpt_board',
'COLUMN', N'BOARD_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'json数据',
'SCHEMA', N'dbo',
'TABLE', N'rpt_board',
'COLUMN', N'LAYOUT_JSON'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'rpt_board',
'COLUMN', N'CREATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'rpt_board',
'COLUMN', N'UPDATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'画板表',
'SCHEMA', N'dbo',
'TABLE', N'rpt_board'
GO


-- ----------------------------
-- Table structure for rpt_category
-- ----------------------------

CREATE TABLE [dbo].[rpt_category] (
  [ID_] nvarchar(64) NOT NULL,
  [NAME_] nvarchar(255) NOT NULL,
  [PARENT_ID_] nvarchar(64) NULL,
  [TYPE_] nvarchar(64) NULL,
  [RESERVED_] nvarchar(255) NULL
)
GO

EXEC sp_addextendedproperty
'MS_Description', N'类别Id',
'SCHEMA', N'dbo',
'TABLE', N'rpt_category',
'COLUMN', N'ID_'
GO

EXEC sp_addextendedproperty
'MS_Description', N'类别名称',
'SCHEMA', N'dbo',
'TABLE', N'rpt_category',
'COLUMN', N'NAME_'
GO

EXEC sp_addextendedproperty
'MS_Description', N'父类别Id',
'SCHEMA', N'dbo',
'TABLE', N'rpt_category',
'COLUMN', N'PARENT_ID_'
GO

EXEC sp_addextendedproperty
'MS_Description', N'类别',
'SCHEMA', N'dbo',
'TABLE', N'rpt_category',
'COLUMN', N'TYPE_'
GO

EXEC sp_addextendedproperty
'MS_Description', N'保留标志',
'SCHEMA', N'dbo',
'TABLE', N'rpt_category',
'COLUMN', N'RESERVED_'
GO

EXEC sp_addextendedproperty
'MS_Description', N'分类表',
'SCHEMA', N'dbo',
'TABLE', N'rpt_category'
GO


-- ----------------------------
-- Table structure for rpt_customset
-- ----------------------------

CREATE TABLE [dbo].[rpt_customset] (
  [SET_ID] bigint  NOT NULL,
  [WIDGET_ID] bigint  NOT NULL,
  [USER_ID] nvarchar(100) NOT NULL,
  [DATA_JSON] text NOT NULL,
  [CREATE_TIME] datetime2(7)  NULL,
  [UPDATE_TIME] datetime2(7)  NULL
)
GO

EXEC sp_addextendedproperty
'MS_Description', N'id',
'SCHEMA', N'dbo',
'TABLE', N'rpt_customset',
'COLUMN', N'SET_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'报表模板id',
'SCHEMA', N'dbo',
'TABLE', N'rpt_customset',
'COLUMN', N'WIDGET_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'用户id',
'SCHEMA', N'dbo',
'TABLE', N'rpt_customset',
'COLUMN', N'USER_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'json数据',
'SCHEMA', N'dbo',
'TABLE', N'rpt_customset',
'COLUMN', N'DATA_JSON'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'rpt_customset',
'COLUMN', N'CREATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'rpt_customset',
'COLUMN', N'UPDATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'用户自定义报表配置表',
'SCHEMA', N'dbo',
'TABLE', N'rpt_customset'
GO

-- ----------------------------
-- Table structure for rpt_datasource
-- ----------------------------

CREATE TABLE [dbo].[rpt_datasource] (
  [ID] bigint  NOT NULL,
  [USER_ID] nvarchar(64) NULL,
  [SOURCE_NAME] nvarchar(64) NOT NULL,
  [SOURCE_TYPE] nvarchar(64) NULL,
  [DRIVER_TYPE] nvarchar(64) NOT NULL,
  [CONFIG] text NOT NULL,
  [CREATE_TIME] datetime2(7)  NOT NULL,
  [UPDATE_TIME] datetime2(7)  NOT NULL
)
GO

EXEC sp_addextendedproperty
'MS_Description', N'用户ID',
'SCHEMA', N'dbo',
'TABLE', N'rpt_datasource',
'COLUMN', N'USER_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'连接名',
'SCHEMA', N'dbo',
'TABLE', N'rpt_datasource',
'COLUMN', N'SOURCE_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据源类型',
'SCHEMA', N'dbo',
'TABLE', N'rpt_datasource',
'COLUMN', N'SOURCE_TYPE'
GO

EXEC sp_addextendedproperty
'MS_Description', N'mysql,hive...',
'SCHEMA', N'dbo',
'TABLE', N'rpt_datasource',
'COLUMN', N'DRIVER_TYPE'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据源参数',
'SCHEMA', N'dbo',
'TABLE', N'rpt_datasource',
'COLUMN', N'CONFIG'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'rpt_datasource',
'COLUMN', N'CREATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'rpt_datasource',
'COLUMN', N'UPDATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据源表',
'SCHEMA', N'dbo',
'TABLE', N'rpt_datasource'
GO


-- ----------------------------
-- Table structure for rpt_operation
-- ----------------------------

CREATE TABLE [dbo].[rpt_operation] (
  [OPERATION_ID] bigint  NOT NULL,
  [USER_ID] nvarchar(100) NOT NULL,
  [CATEGORY_NAME] nvarchar(100) NULL,
  [OPERATION_NAME] nvarchar(100) NOT NULL,
  [DATA_JSON] text NULL,
  [CREATE_TIME] datetime2(7)  NULL,
  [UPDATE_TIME] datetime2(7)  NULL
)
GO

EXEC sp_addextendedproperty
'MS_Description', N'id',
'SCHEMA', N'dbo',
'TABLE', N'rpt_operation',
'COLUMN', N'OPERATION_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'用户id',
'SCHEMA', N'dbo',
'TABLE', N'rpt_operation',
'COLUMN', N'USER_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'分类名称',
'SCHEMA', N'dbo',
'TABLE', N'rpt_operation',
'COLUMN', N'CATEGORY_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'动作名称',
'SCHEMA', N'dbo',
'TABLE', N'rpt_operation',
'COLUMN', N'OPERATION_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'json数据',
'SCHEMA', N'dbo',
'TABLE', N'rpt_operation',
'COLUMN', N'DATA_JSON'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'rpt_operation',
'COLUMN', N'CREATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'rpt_operation',
'COLUMN', N'UPDATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'报表模板增删查动作弹出框表',
'SCHEMA', N'dbo',
'TABLE', N'rpt_operation'
GO


-- ----------------------------
-- Table structure for rpt_re_widget_dataset
-- ----------------------------

CREATE TABLE [dbo].[rpt_re_widget_dataset] (
  [WIDGET_ID] bigint  NOT NULL,
  [RELATION_JSON] text NOT NULL,
  [CREATE_TIME] datetime2(7)  NULL,
  [UPDATE_TIME] datetime2(7)  NULL
)
GO

EXEC sp_addextendedproperty
'MS_Description', N'报表id',
'SCHEMA', N'dbo',
'TABLE', N'rpt_re_widget_dataset',
'COLUMN', N'WIDGET_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'json數據',
'SCHEMA', N'dbo',
'TABLE', N'rpt_re_widget_dataset',
'COLUMN', N'RELATION_JSON'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'rpt_re_widget_dataset',
'COLUMN', N'CREATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'rpt_re_widget_dataset',
'COLUMN', N'UPDATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'报表数据集关联表',
'SCHEMA', N'dbo',
'TABLE', N'rpt_re_widget_dataset'
GO


-- ----------------------------
-- Table structure for rpt_tablehead
-- ----------------------------

CREATE TABLE [dbo].[rpt_tablehead] (
  [TABLEHEAD_ID] bigint  NOT NULL,
  [USER_ID] nvarchar(100) NOT NULL,
  [CATEGORY_NAME] nvarchar(100) NULL,
  [TABLEHEAD_NAME] nvarchar(100) NOT NULL,
  [DATA_JSON] text NULL,
  [CREATE_TIME] datetime2(7)  NULL,
  [UPDATE_TIME] datetime2(7)  NULL
)
GO

EXEC sp_addextendedproperty
'MS_Description', N'表头id',
'SCHEMA', N'dbo',
'TABLE', N'rpt_tablehead',
'COLUMN', N'TABLEHEAD_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'用户id',
'SCHEMA', N'dbo',
'TABLE', N'rpt_tablehead',
'COLUMN', N'USER_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'分类名',
'SCHEMA', N'dbo',
'TABLE', N'rpt_tablehead',
'COLUMN', N'CATEGORY_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'表头名称',
'SCHEMA', N'dbo',
'TABLE', N'rpt_tablehead',
'COLUMN', N'TABLEHEAD_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'json数据',
'SCHEMA', N'dbo',
'TABLE', N'rpt_tablehead',
'COLUMN', N'DATA_JSON'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'rpt_tablehead',
'COLUMN', N'CREATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'rpt_tablehead',
'COLUMN', N'UPDATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'报表模板表头表',
'SCHEMA', N'dbo',
'TABLE', N'rpt_tablehead'
GO


-- ----------------------------
-- Table structure for rpt_user
-- ----------------------------

CREATE TABLE [dbo].[rpt_user] (
  [USER_ID] nvarchar(50) NOT NULL,
  [LOGIN_NAME] nvarchar(100) NULL,
  [USER_NAME] nvarchar(100) NULL,
  [USER_PASSWORD] nvarchar(100) NULL,
  [USER_STATUS] nvarchar(100) NULL
)
GO

EXEC sp_addextendedproperty
'MS_Description', N'用户id',
'SCHEMA', N'dbo',
'TABLE', N'rpt_user',
'COLUMN', N'USER_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'登录名',
'SCHEMA', N'dbo',
'TABLE', N'rpt_user',
'COLUMN', N'LOGIN_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'用户名',
'SCHEMA', N'dbo',
'TABLE', N'rpt_user',
'COLUMN', N'USER_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'密码',
'SCHEMA', N'dbo',
'TABLE', N'rpt_user',
'COLUMN', N'USER_PASSWORD'
GO

EXEC sp_addextendedproperty
'MS_Description', N'状态',
'SCHEMA', N'dbo',
'TABLE', N'rpt_user',
'COLUMN', N'USER_STATUS'
GO

EXEC sp_addextendedproperty
'MS_Description', N'用户表',
'SCHEMA', N'dbo',
'TABLE', N'rpt_user'
GO

CREATE TABLE [dbo].[rpt_dataset] (
[DATASET_ID] bigint NOT NULL  ,
[USER_ID] nvarchar(64)  NULL ,
[CATEGORY_NAME] nvarchar(100) NULL ,
[CATEGORY] nvarchar(100) NULL ,
[DATASET_NAME] nvarchar(100) NULL ,
[DATA_JSON] nvarchar(MAX) NOT NULL ,
[CREATE_TIME] datetime2(0) NOT NULL ,
[UPDATE_TIME] datetime2(0) NOT NULL 
)


-- ----------------------------
-- Primary Key structure for table RPT_DATASET
-- ----------------------------

EXEC sp_addextendedproperty
'MS_Description', N'数据集id',
'SCHEMA', N'dbo',
'TABLE', N'rpt_dataset',
'COLUMN', N'DATASET_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'用户id',
'SCHEMA', N'dbo',
'TABLE', N'rpt_dataset',
'COLUMN', N'USER_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'分类名',
'SCHEMA', N'dbo',
'TABLE', N'rpt_dataset',
'COLUMN', N'CATEGORY_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'分类',
'SCHEMA', N'dbo',
'TABLE', N'rpt_dataset',
'COLUMN', N'CATEGORY'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据集名',
'SCHEMA', N'dbo',
'TABLE', N'rpt_dataset',
'COLUMN', N'DATASET_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'json数据',
'SCHEMA', N'dbo',
'TABLE', N'rpt_dataset',
'COLUMN', N'DATA_JSON'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'rpt_dataset',
'COLUMN', N'CREATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'rpt_dataset',
'COLUMN', N'UPDATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据集表',
'SCHEMA', N'dbo',
'TABLE', N'rpt_dataset'
GO

CREATE TABLE [dbo].[rpt_widget]  (
[WIDGET_ID] bigint NOT NULL ,
[USER_ID] nvarchar(64)  NULL ,
[CATEGORY_NAME] nvarchar(100) NULL ,
[WIDGET_NAME] nvarchar(100) NOT NULL ,
[DATA_JSON] nvarchar(MAX) NOT NULL ,
[CREATE_TIME] datetime2(0) NOT NULL ,
[UPDATE_TIME] datetime2(0) NOT NULL ,
[REMARK] nvarchar(512)
)

-- ----------------------------
-- Primary Key structure for table RPT_WIDGET
-- ----------------------------

EXEC sp_addextendedproperty
'MS_Description', N'报表id',
'SCHEMA', N'dbo',
'TABLE', N'rpt_widget',
'COLUMN', N'WIDGET_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'用户id',
'SCHEMA', N'dbo',
'TABLE', N'rpt_widget',
'COLUMN', N'USER_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'分类名',
'SCHEMA', N'dbo',
'TABLE', N'rpt_widget',
'COLUMN', N'CATEGORY_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'报表名称',
'SCHEMA', N'dbo',
'TABLE', N'rpt_widget',
'COLUMN', N'WIDGET_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'json数据',
'SCHEMA', N'dbo',
'TABLE', N'rpt_widget',
'COLUMN', N'DATA_JSON'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'rpt_widget',
'COLUMN', N'CREATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'rpt_widget',
'COLUMN', N'UPDATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'备注',
'SCHEMA', N'dbo',
'TABLE', N'rpt_widget',
'COLUMN', N'REMARK'
GO

EXEC sp_addextendedproperty
'MS_Description', N'报表模板表',
'SCHEMA', N'dbo',
'TABLE', N'rpt_widget'
GO


-- ----------------------------
-- Primary Key structure for table rpt_board
-- ----------------------------
ALTER TABLE [dbo].[rpt_board] ADD CONSTRAINT [PK__rpt_boar__10DF12564E756685] PRIMARY KEY CLUSTERED ([BOARD_ID])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table rpt_category
-- ----------------------------
ALTER TABLE [dbo].[rpt_category] ADD CONSTRAINT [PK__rpt_cate__C4971C0FE01E96DF] PRIMARY KEY CLUSTERED ([ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table rpt_customset
-- ----------------------------
ALTER TABLE [dbo].[rpt_customset] ADD CONSTRAINT [PK__rpt_cust__7D7B0FB53D450C6D] PRIMARY KEY CLUSTERED ([SET_ID])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table rpt_dataset
-- ----------------------------
ALTER TABLE [dbo].[rpt_dataset] ADD CONSTRAINT [PK__rpt_data__F12D3B98F3525B3F] PRIMARY KEY CLUSTERED ([DATASET_ID])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table rpt_datasource
-- ----------------------------
ALTER TABLE [dbo].[rpt_datasource] ADD CONSTRAINT [PK__rpt_data__3214EC27BABD8CDF] PRIMARY KEY CLUSTERED ([ID])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table rpt_operation
-- ----------------------------
ALTER TABLE [dbo].[rpt_operation] ADD CONSTRAINT [PK__rpt_oper__6FD69F4197D32AD0] PRIMARY KEY CLUSTERED ([OPERATION_ID])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table rpt_re_widget_dataset
-- ----------------------------
ALTER TABLE [dbo].[rpt_re_widget_dataset] ADD CONSTRAINT [PK__rpt_re_w__0F698CF1D6885B37] PRIMARY KEY CLUSTERED ([WIDGET_ID])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table rpt_tablehead
-- ----------------------------
ALTER TABLE [dbo].[rpt_tablehead] ADD CONSTRAINT [PK__rpt_tabl__344ED32E8E3956AA] PRIMARY KEY CLUSTERED ([TABLEHEAD_ID])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table rpt_user
-- ----------------------------
ALTER TABLE [dbo].[rpt_user] ADD CONSTRAINT [PK__rpt_user__F3BEEBFFE6118710] PRIMARY KEY CLUSTERED ([USER_ID])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table rpt_widget
-- ----------------------------
ALTER TABLE [dbo].[rpt_widget] ADD CONSTRAINT [PK__rpt_widg__0F698CF19FC7DAF7] PRIMARY KEY CLUSTERED ([WIDGET_ID])
ON [PRIMARY]
GO


CREATE TABLE [dbo].[koca_bi_rpt_widget] (
	WIDGET_ID bigint NOT NULL,
	WIDGET_NAME nvarchar(100) COLLATE Chinese_PRC_CI_AS NOT NULL,
	CATEGORY_NAME nvarchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	[TYPE] nvarchar(100) COLLATE Chinese_PRC_CI_AS NOT NULL,
	DATA_JSON nvarchar(MAX) COLLATE Chinese_PRC_CI_AS NULL,
	CREATE_TIME nvarchar(100) NOT NULL,
	UPDATE_TIME nvarchar(100) NOT NULL,
	REMARK nvarchar(256) COLLATE Chinese_PRC_CI_AS NULL,
	CONSTRAINT KOCA_BI_RPT_WIDGET_PK PRIMARY KEY (WIDGET_ID)
);
GO

-- RPT_RESOURCE_FILE definition

CREATE TABLE [dbo].[RPT_RESOURCE_FILE] (
	id varchar(100) COLLATE Chinese_PRC_CI_AS NOT NULL,
	file_name varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	storage_name varchar(256) COLLATE Chinese_PRC_CI_AS NULL,
	upload_time varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	storage_path varchar(512) COLLATE Chinese_PRC_CI_AS NULL,
	[type] varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	thumbnail text COLLATE Chinese_PRC_CI_AS NULL,
	CONSTRAINT RPT_RESOURCE_FILE_PK PRIMARY KEY (id)
);

EXEC sp_addextendedproperty
'MS_Description', N'id',
'SCHEMA', N'dbo',
'TABLE', N'RPT_RESOURCE_FILE',
'COLUMN', N'id'
GO
EXEC sp_addextendedproperty
'MS_Description', N'文件名',
'SCHEMA', N'dbo',
'TABLE', N'RPT_RESOURCE_FILE',
'COLUMN', N'file_name'
GO
EXEC sp_addextendedproperty
'MS_Description', N'存储名',
'SCHEMA', N'dbo',
'TABLE', N'RPT_RESOURCE_FILE',
'COLUMN', N'storage_name'
GO
EXEC sp_addextendedproperty
'MS_Description', N'上传时间',
'SCHEMA', N'dbo',
'TABLE', N'RPT_RESOURCE_FILE',
'COLUMN', N'upload_time'
GO
EXEC sp_addextendedproperty
'MS_Description', N'存储路径',
'SCHEMA', N'dbo',
'TABLE', N'RPT_RESOURCE_FILE',
'COLUMN', N'storage_path'
GO
EXEC sp_addextendedproperty
'MS_Description', N'类型',
'SCHEMA', N'dbo',
'TABLE', N'RPT_RESOURCE_FILE',
'COLUMN', N'type'
GO
EXEC sp_addextendedproperty
'MS_Description', N'缩略图',
'SCHEMA', N'dbo',
'TABLE', N'RPT_RESOURCE_FILE',
'COLUMN', N'thumbnail'
GO

EXEC sp_addextendedproperty
'MS_Description', N'资源文件表',
'SCHEMA', N'dbo',
'TABLE', N'RPT_RESOURCE_FILE'
GO
