/*
 Date: 14/07/2020 17:07:45
*/


-- ----------------------------
-- Table structure for rpt_board
-- ----------------------------

CREATE TABLE [dbo].[rpt_board] (
  [BOARD_ID] bigint  NOT NULL,
  [USER_ID] nvarchar(100) NOT NULL,
  [CATEGORY_NAME] nvarchar(100) NULL,
  [BOARD_TYPE] bigint  NULL,
  [BOARD_NAME] nvarchar(100) NOT NULL,
  [LAYOUT_JSON] text NULL,
  [CREATE_TIME] datetime2(7)  NULL,
  [UPDATE_TIME] datetime2(7)  NULL
)
GO



-- ----------------------------
-- Table structure for rpt_category
-- ----------------------------

CREATE TABLE [dbo].[rpt_category] (
  [ID_] nvarchar(64) NOT NULL,
  [NAME_] nvarchar(255) NOT NULL,
  [PARENT_ID_] nvarchar(64) NULL,
  [TYPE_] nvarchar(64) NULL,
  [RESERVED_] nvarchar(255) NULL
)
GO



-- ----------------------------
-- Table structure for rpt_customset
-- ----------------------------

CREATE TABLE [dbo].[rpt_customset] (
  [SET_ID] bigint  NOT NULL IDENTITY(1,1),
  [WIDGET_ID] bigint  NOT NULL,
  [USER_ID] nvarchar(100) NOT NULL,
  [DATA_JSON] text NOT NULL,
  [CREATE_TIME] datetime2(7)  NULL,
  [UPDATE_TIME] datetime2(7)  NULL
)
GO



-- ----------------------------
-- Table structure for rpt_dataset
-- ----------------------------

CREATE TABLE [dbo].[rpt_dataset] (
  [DATASET_ID] bigint  NOT NULL,
  [USER_ID] nvarchar(100) NULL,
  [CATEGORY_NAME] nvarchar(100) NULL,
  [CATEGORY] nvarchar(100) NULL,
  [DATASET_NAME] nvarchar(100) NULL,
  [DATA_JSON] text NULL,
  [CREATE_TIME] datetime2(7)  NULL,
  [UPDATE_TIME] datetime2(7)  NULL
)
GO



-- ----------------------------
-- Table structure for rpt_datasource
-- ----------------------------

CREATE TABLE [dbo].[rpt_datasource] (
  [ID] bigint  NOT NULL,
  [USER_ID] nvarchar(64) NULL,
  [SOURCE_NAME] nvarchar(64) NOT NULL,
  [SOURCE_TYPE] nvarchar(64) NULL,
  [DRIVER_TYPE] nvarchar(64) NOT NULL,
  [CONFIG] text NOT NULL,
  [CREATE_TIME] datetime2(7)  NOT NULL,
  [UPDATE_TIME] datetime2(7)  NOT NULL
)
GO


EXEC sp_addextendedproperty
'MS_Description', N'用户ID',
'SCHEMA', N'dbo',
'TABLE', N'rpt_datasource',
'COLUMN', N'USER_ID'
GO

EXEC sp_addextendedproperty
'MS_Description', N'连接名',
'SCHEMA', N'dbo',
'TABLE', N'rpt_datasource',
'COLUMN', N'SOURCE_NAME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据源类型',
'SCHEMA', N'dbo',
'TABLE', N'rpt_datasource',
'COLUMN', N'SOURCE_TYPE'
GO

EXEC sp_addextendedproperty
'MS_Description', N'mysql,hive...',
'SCHEMA', N'dbo',
'TABLE', N'rpt_datasource',
'COLUMN', N'DRIVER_TYPE'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据源参数',
'SCHEMA', N'dbo',
'TABLE', N'rpt_datasource',
'COLUMN', N'CONFIG'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'rpt_datasource',
'COLUMN', N'CREATE_TIME'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'rpt_datasource',
'COLUMN', N'UPDATE_TIME'
GO


-- ----------------------------
-- Table structure for rpt_operation
-- ----------------------------

CREATE TABLE [dbo].[rpt_operation] (
  [OPERATION_ID] bigint  NOT NULL IDENTITY(1,1),
  [USER_ID] nvarchar(100) NOT NULL,
  [CATEGORY_NAME] nvarchar(100) NULL,
  [OPERATION_NAME] nvarchar(100) NOT NULL,
  [DATA_JSON] text NULL,
  [CREATE_TIME] datetime2(7)  NULL,
  [UPDATE_TIME] datetime2(7)  NULL
)
GO



-- ----------------------------
-- Table structure for rpt_re_widget_dataset
-- ----------------------------

CREATE TABLE [dbo].[rpt_re_widget_dataset] (
  [WIDGET_ID] bigint  NOT NULL,
  [RELATION_JSON] text NOT NULL,
  [CREATE_TIME] datetime2(7)  NULL,
  [UPDATE_TIME] datetime2(7)  NULL
)
GO



-- ----------------------------
-- Table structure for rpt_tablehead
-- ----------------------------

CREATE TABLE [dbo].[rpt_tablehead] (
  [TABLEHEAD_ID] bigint  NOT NULL IDENTITY(1,1),
  [USER_ID] nvarchar(100) NOT NULL,
  [CATEGORY_NAME] nvarchar(100) NULL,
  [TABLEHEAD_NAME] nvarchar(100) NOT NULL,
  [DATA_JSON] text NULL,
  [CREATE_TIME] datetime2(7)  NULL,
  [UPDATE_TIME] datetime2(7)  NULL
)
GO



-- ----------------------------
-- Table structure for rpt_user
-- ----------------------------

CREATE TABLE [dbo].[rpt_user] (
  [USER_ID] nvarchar(50) NOT NULL,
  [LOGIN_NAME] nvarchar(100) NULL,
  [USER_NAME] nvarchar(100) NULL,
  [USER_PASSWORD] nvarchar(100) NULL,
  [USER_STATUS] nvarchar(100) NULL
)
GO



-- ----------------------------
-- Table structure for rpt_widget
-- ----------------------------

CREATE TABLE [dbo].[rpt_widget] (
  [WIDGET_ID] bigint  NOT NULL,
  [USER_ID] nvarchar(100) NULL,
  [CATEGORY_NAME] nvarchar(100) NULL,
  [WIDGET_NAME] nvarchar(100) NOT NULL,
  [DATA_JSON] text NULL,
  [CREATE_TIME] datetime2(7)  NULL,
  [UPDATE_TIME] datetime2(7)  NULL
)
GO



-- ----------------------------
-- Primary Key structure for table rpt_board
-- ----------------------------
ALTER TABLE [dbo].[rpt_board] ADD CONSTRAINT [PK__rpt_boar__10DF12564E756685] PRIMARY KEY CLUSTERED ([BOARD_ID])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table rpt_category
-- ----------------------------
ALTER TABLE [dbo].[rpt_category] ADD CONSTRAINT [PK__rpt_cate__C4971C0FE01E96DF] PRIMARY KEY CLUSTERED ([ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table rpt_customset
-- ----------------------------
ALTER TABLE [dbo].[rpt_customset] ADD CONSTRAINT [PK__rpt_cust__7D7B0FB53D450C6D] PRIMARY KEY CLUSTERED ([SET_ID])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table rpt_dataset
-- ----------------------------
ALTER TABLE [dbo].[rpt_dataset] ADD CONSTRAINT [PK__rpt_data__F12D3B98F3525B3F] PRIMARY KEY CLUSTERED ([DATASET_ID])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table rpt_datasource
-- ----------------------------
ALTER TABLE [dbo].[rpt_datasource] ADD CONSTRAINT [PK__rpt_data__3214EC27BABD8CDF] PRIMARY KEY CLUSTERED ([ID])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table rpt_operation
-- ----------------------------
ALTER TABLE [dbo].[rpt_operation] ADD CONSTRAINT [PK__rpt_oper__6FD69F4197D32AD0] PRIMARY KEY CLUSTERED ([OPERATION_ID])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table rpt_re_widget_dataset
-- ----------------------------
ALTER TABLE [dbo].[rpt_re_widget_dataset] ADD CONSTRAINT [PK__rpt_re_w__0F698CF1D6885B37] PRIMARY KEY CLUSTERED ([WIDGET_ID])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table rpt_tablehead
-- ----------------------------
ALTER TABLE [dbo].[rpt_tablehead] ADD CONSTRAINT [PK__rpt_tabl__344ED32E8E3956AA] PRIMARY KEY CLUSTERED ([TABLEHEAD_ID])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table rpt_user
-- ----------------------------
ALTER TABLE [dbo].[rpt_user] ADD CONSTRAINT [PK__rpt_user__F3BEEBFFE6118710] PRIMARY KEY CLUSTERED ([USER_ID])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table rpt_widget
-- ----------------------------
ALTER TABLE [dbo].[rpt_widget] ADD CONSTRAINT [PK__rpt_widg__0F698CF19FC7DAF7] PRIMARY KEY CLUSTERED ([WIDGET_ID])
ON [PRIMARY]
GO

-- ----------------------------
-- Table structure for seq_rpt_board
-- ----------------------------
IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[seq_rpt_board]') AND type IN ('U'))
        DROP TABLE [dbo].[seq_rpt_board]
GO

CREATE TABLE [dbo].[seq_rpt_board] (
  [id] int  IDENTITY(1,1) NOT NULL,
  constraint PK_SEQ_RPT_BOARD primary key nonclustered (id)
)
GO

-- ----------------------------
-- Table structure for seq_rpt_customset
-- ----------------------------
IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[seq_rpt_customset]') AND type IN ('U'))
        DROP TABLE [dbo].[seq_rpt_customset]
GO

CREATE TABLE [dbo].[seq_rpt_customset] (
  [id] int  IDENTITY(1,1) NOT NULL,
  constraint PK_SEQ_RPT_CUSTOMSET primary key nonclustered (id)
)
GO

-- ----------------------------
-- Table structure for seq_rpt_operation
-- ----------------------------
IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[seq_rpt_operation]') AND type IN ('U'))
        DROP TABLE [dbo].[seq_rpt_operation]
GO

CREATE TABLE [dbo].[seq_rpt_operation] (
  [id] int  IDENTITY(1,1) NOT NULL,
  constraint PK_RPT_OPERATION primary key nonclustered (id)
)
GO

-- ----------------------------
-- Table structure for seq_rpt_tablehead
-- ----------------------------
IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[seq_rpt_tablehead]') AND type IN ('U'))
        DROP TABLE [dbo].[seq_rpt_tablehead]
GO

CREATE TABLE [dbo].[seq_rpt_tablehead] (
  [id] int  IDENTITY(1,1) NOT NULL,
  constraint PK_RPT_TABLEHEAD primary key nonclustered (id)
)
GO
