-- ----------------------------
-- 
-- ----------------------------
exec sp_rename 'RPT_DATASOURCE','RPT_DATASOURCE_OLD'

IF OBJECT_ID('dbo.RPT_DATASOURCE', 'U') IS NULL
CREATE TABLE [dbo].[RPT_DATASOURCE]  (
[ID] int NOT NULL  ,
[USER_ID] nvarchar(64) NULL ,
[SOURCE_NAME] nvarchar(64) NOT NULL ,
[SOURCE_TYPE] nvarchar(64) NOT NULL ,
[DRIVER_TYPE] nvarchar(64)  NULL ,
[CONFIG] nvarchar(MAX) NOT NULL ,
[CREATE_TIME] datetime2(0) NOT NULL ,
[UPDATE_TIME] datetime2(0) NOT NULL 
)

-- ----------------------------
-- Primary Key structure for table RPT_DATASOURCE
-- ----------------------------
ALTER TABLE [dbo].[RPT_DATASOURCE] ADD PRIMARY KEY ([ID])
GO

insert into RPT_DATASOURCE SELECT * from RPT_DATASOURCE_OLD



exec sp_rename 'RPT_DATASET','RPT_DATASET_OLD'

IF OBJECT_ID('dbo.RPT_DATASET', 'U') IS NULL
CREATE TABLE [dbo].[RPT_DATASET] (
[DATASET_ID] bigint NOT NULL  ,
[USER_ID] nvarchar(64)  NULL ,
[CATEGORY_NAME] nvarchar(100) NULL ,
[CATEGORY] nvarchar(100) NULL ,
[DATASET_NAME] nvarchar(100) NULL ,
[DATA_JSON] nvarchar(MAX) NOT NULL ,
[CREATE_TIME] datetime2(0) NOT NULL ,
[UPDATE_TIME] datetime2(0) NOT NULL 
)

-- ----------------------------
-- Primary Key structure for table RPT_DATASET
-- ----------------------------
GO
ALTER TABLE [dbo].[RPT_DATASET] ADD PRIMARY KEY ([DATASET_ID])
GO

insert into RPT_DATASET SELECT * from RPT_DATASET_OLD



exec sp_rename 'RPT_WIDGET','RPT_WIDGET_OLD'

IF OBJECT_ID('dbo.[RPT_WIDGET]', 'U') IS NULL
CREATE TABLE [dbo].[RPT_WIDGET]  (
[WIDGET_ID] bigint NOT NULL ,
[USER_ID] nvarchar(64)  NULL ,
[CATEGORY_NAME] nvarchar(100) NULL ,
[WIDGET_NAME] nvarchar(100) NOT NULL ,
[DATA_JSON] nvarchar(MAX) NOT NULL ,
[CREATE_TIME] datetime2(0) NOT NULL ,
[UPDATE_TIME] datetime2(0) NOT NULL 
)

-- ----------------------------
-- Primary Key structure for table RPT_WIDGET
-- ----------------------------
ALTER TABLE [dbo].[RPT_WIDGET] ADD PRIMARY KEY ([WIDGET_ID])
GO

insert into RPT_WIDGET SELECT * from RPT_WIDGET_OLD



exec sp_rename 'RPT_BOARD','RPT_BOARD_OLD'

IF OBJECT_ID('dbo.RPT_BOARD', 'U') IS NULL
CREATE TABLE [dbo].[RPT_BOARD] (
  [BOARD_ID] bigint NOT NULL,
  [USER_ID] nvarchar(100)  NULL,
  [CATEGORY_NAME] nvarchar(100)  NULL,
  [BOARD_TYPE] bigint  NULL ,
  [BOARD_NAME] nvarchar(100) NOT NULL,
  [LAYOUT_JSON] nvarchar(MAX) NOT NULL,
  [CREATE_TIME] datetime2(0) NOT NULL,
  [UPDATE_TIME] datetime2(0) NOT NULL
)

-- ----------------------------
-- Primary Key structure for table RPT_OPERATION
-- ----------------------------
GO
ALTER TABLE [dbo].[RPT_BOARD] ADD PRIMARY KEY ([BOARD_ID])
GO

insert into RPT_BOARD SELECT * from RPT_BOARD_OLD

