-- ----------------------------
-- Table structure for rpt_pb_api_config
-- ----------------------------
CREATE TABLE [dbo].[rpt_pb_api_config] (
[DATA_SET_ID] bigint NOT NULL ,
[REQUEST_PATH] varchar(256) NOT NULL ,
[REQUEST_METHOD] varchar(8) NOT NULL ,
[API_SOURCE] varchar(8) NOT NULL ,
[POST_DATA_CONTENT_TYPE] varchar(8) NOT NULL ,
[HEADER_PARAM] text NULL ,
[POST_DATA_CONTENT_PARAM] text NULL ,
[data_json_path] varchar(128) NULL ,
[DATAID] bigint NULL ,
[CREATEBY] varchar(256) NULL ,
[CREATEDATE] bigint NULL ,
[UPDATEBY] varchar(256) NULL ,
[UPDATEDATE] bigint NULL 
)

GO
 
EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'API配置表'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_api_config'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'数据集编号'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_api_config'
, @level2type = 'COLUMN', @level2name = N'DATA_SET_ID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'请求路径'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_api_config'
, @level2type = 'COLUMN', @level2name = N'REQUEST_PATH'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'请求方法'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_api_config'
, @level2type = 'COLUMN', @level2name = N'REQUEST_METHOD'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'API来源'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_api_config'
, @level2type = 'COLUMN', @level2name = N'API_SOURCE'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'POST数据内容方式'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_api_config'
, @level2type = 'COLUMN', @level2name = N'POST_DATA_CONTENT_TYPE'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'HEADER参数'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_api_config'
, @level2type = 'COLUMN', @level2name = N'HEADER_PARAM'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'POST数据内容参数'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_api_config'
, @level2type = 'COLUMN', @level2name = N'POST_DATA_CONTENT_PARAM'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'取值jsonPath'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_api_config'
, @level2type = 'COLUMN', @level2name = N'data_json_path'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'DATAID'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_api_config'
, @level2type = 'COLUMN', @level2name = N'DATAID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'创建人'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_api_config'
, @level2type = 'COLUMN', @level2name = N'CREATEBY'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'创建时间'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_api_config'
, @level2type = 'COLUMN', @level2name = N'CREATEDATE'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'修改人'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_api_config'
, @level2type = 'COLUMN', @level2name = N'UPDATEBY'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'修改时间'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_api_config'
, @level2type = 'COLUMN', @level2name = N'UPDATEDATE'
GO

-- ----------------------------
-- Table structure for rpt_pb_component_define
-- ----------------------------
CREATE TABLE [dbo].[rpt_pb_component_define] (
[COMPONENT_ID] bigint NOT NULL ,
[COMPONENT_NAME] varchar(64) NOT NULL ,
[COMPONENT_TYPE] varchar(8) NOT NULL ,
[COMPONENT_CODE] varchar(64) NOT NULL ,
[PARENT_TYPE_ID] varchar(8) NOT NULL ,
[IMG_ADDR] varchar(256) NULL ,
[EXAMPLE_DATA] text NOT NULL ,
[STATUS] varchar(8) NOT NULL ,
[DATAID] bigint NULL ,
[CREATEBY] varchar(256) NULL ,
[CREATEDATE] bigint NULL ,
[UPDATEBY] varchar(256) NULL ,
[UPDATEDATE] bigint NULL 
)


GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'组件定义表'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_component_define'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'组件编号'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_component_define'
, @level2type = 'COLUMN', @level2name = N'COMPONENT_ID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'组件名称'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_component_define'
, @level2type = 'COLUMN', @level2name = N'COMPONENT_NAME'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'组件类型'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_component_define'
, @level2type = 'COLUMN', @level2name = N'COMPONENT_TYPE'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'组件编码'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_component_define'
, @level2type = 'COLUMN', @level2name = N'COMPONENT_CODE'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'父类型编号'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_component_define'
, @level2type = 'COLUMN', @level2name = N'PARENT_TYPE_ID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'图标地址'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_component_define'
, @level2type = 'COLUMN', @level2name = N'IMG_ADDR'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'示例数据'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_component_define'
, @level2type = 'COLUMN', @level2name = N'EXAMPLE_DATA'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'启用状态'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_component_define'
, @level2type = 'COLUMN', @level2name = N'STATUS'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'DATAID'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_component_define'
, @level2type = 'COLUMN', @level2name = N'DATAID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'创建人'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_component_define'
, @level2type = 'COLUMN', @level2name = N'CREATEBY'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'创建时间'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_component_define'
, @level2type = 'COLUMN', @level2name = N'CREATEDATE'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'修改人'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_component_define'
, @level2type = 'COLUMN', @level2name = N'UPDATEBY'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'修改时间'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_component_define'
, @level2type = 'COLUMN', @level2name = N'UPDATEDATE'
GO

-- ----------------------------
-- Table structure for rpt_pb_data_filter
-- ----------------------------
CREATE TABLE [dbo].[rpt_pb_data_filter] (
[ID] bigint NOT NULL ,
[DATA_SET_ID] bigint NOT NULL ,
[NODE_ID] bigint NOT NULL ,
[PARENT_NODE_ID] bigint NOT NULL ,
[FILTER_TYPE] varchar(8) NOT NULL ,
[NODE_CALC_TYPE] varchar(8) NOT NULL ,
[table_name] varchar(64) NULL ,
[FIELD_NAME] varchar(256) NULL ,
[value_type] varchar(8) NULL ,
[SQL_OPERT] varchar(8) NULL ,
[CMP_CONTENT] varchar(1024) NULL ,
[DATAID] bigint NULL ,
[CREATEBY] varchar(256) NULL ,
[CREATEDATE] bigint NULL ,
[UPDATEBY] varchar(256) NULL ,
[UPDATEDATE] bigint NULL 
)


GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'数据过滤器表'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_filter'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'ID'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_filter'
, @level2type = 'COLUMN', @level2name = N'ID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'数据集编号'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_filter'
, @level2type = 'COLUMN', @level2name = N'DATA_SET_ID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'节点编号'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_filter'
, @level2type = 'COLUMN', @level2name = N'NODE_ID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'父节点编号'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_filter'
, @level2type = 'COLUMN', @level2name = N'PARENT_NODE_ID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'过滤类型'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_filter'
, @level2type = 'COLUMN', @level2name = N'FILTER_TYPE'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'节点运算类型'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_filter'
, @level2type = 'COLUMN', @level2name = N'NODE_CALC_TYPE'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'表名称'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_filter'
, @level2type = 'COLUMN', @level2name = N'table_name'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'字段名称'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_filter'
, @level2type = 'COLUMN', @level2name = N'FIELD_NAME'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'比值类型'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_filter'
, @level2type = 'COLUMN', @level2name = N'value_type'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'SQL运算符'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_filter'
, @level2type = 'COLUMN', @level2name = N'SQL_OPERT'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'比较内容'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_filter'
, @level2type = 'COLUMN', @level2name = N'CMP_CONTENT'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'DATAID'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_filter'
, @level2type = 'COLUMN', @level2name = N'DATAID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'创建人'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_filter'
, @level2type = 'COLUMN', @level2name = N'CREATEBY'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'创建时间'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_filter'
, @level2type = 'COLUMN', @level2name = N'CREATEDATE'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'修改人'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_filter'
, @level2type = 'COLUMN', @level2name = N'UPDATEBY'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'修改时间'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_filter'
, @level2type = 'COLUMN', @level2name = N'UPDATEDATE'
GO

-- ----------------------------
-- Table structure for rpt_pb_data_set
-- ----------------------------
CREATE TABLE [dbo].[rpt_pb_data_set] (
[DATA_SET_ID] bigint NOT NULL ,
[DATA_SRC_ID] bigint NULL ,
[DATA_SET_NAME] varchar(256) NOT NULL ,
[DATA_SET_CLASS_ID] bigint NOT NULL ,
[DATA_SET_TYPE] varchar(8) NOT NULL ,
[EXE_SQL] text NULL ,
[JSON_CONTENT] text NULL ,
[DATAID] bigint NULL ,
[CREATEBY] varchar(256) NULL ,
[CREATEDATE] bigint NULL ,
[UPDATEBY] varchar(256) NULL ,
[UPDATEDATE] bigint NULL 
)


GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'数据集表'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'数据集编号'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set'
, @level2type = 'COLUMN', @level2name = N'DATA_SET_ID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'数据源编号'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set'
, @level2type = 'COLUMN', @level2name = N'DATA_SRC_ID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'数据集名称'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set'
, @level2type = 'COLUMN', @level2name = N'DATA_SET_NAME'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'分类编号'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set'
, @level2type = 'COLUMN', @level2name = N'DATA_SET_CLASS_ID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'数据集类型'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set'
, @level2type = 'COLUMN', @level2name = N'DATA_SET_TYPE'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'执行SQL'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set'
, @level2type = 'COLUMN', @level2name = N'EXE_SQL'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'JSON内容'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set'
, @level2type = 'COLUMN', @level2name = N'JSON_CONTENT'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'DATAID'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set'
, @level2type = 'COLUMN', @level2name = N'DATAID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'创建人'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set'
, @level2type = 'COLUMN', @level2name = N'CREATEBY'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'创建时间'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set'
, @level2type = 'COLUMN', @level2name = N'CREATEDATE'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'修改人'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set'
, @level2type = 'COLUMN', @level2name = N'UPDATEBY'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'修改时间'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set'
, @level2type = 'COLUMN', @level2name = N'UPDATEDATE'
GO

-- ----------------------------
-- Table structure for rpt_pb_data_set_class
-- ----------------------------
CREATE TABLE [dbo].[rpt_pb_data_set_class] (
[CLASS_ID] bigint NOT NULL ,
[PARENT_CLASS_ID] bigint NOT NULL ,
[CLASS_NAME] varchar(256) NOT NULL ,
[DATAID] bigint NULL ,
[CREATEBY] varchar(256) NULL ,
[CREATEDATE] bigint NULL ,
[UPDATEBY] varchar(256) NULL ,
[UPDATEDATE] bigint NULL 
)


GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'数据集分类定义表'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set_class'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'分类编号'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set_class'
, @level2type = 'COLUMN', @level2name = N'CLASS_ID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'父类编号'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set_class'
, @level2type = 'COLUMN', @level2name = N'PARENT_CLASS_ID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'分类名称'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set_class'
, @level2type = 'COLUMN', @level2name = N'CLASS_NAME'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'DATAID'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set_class'
, @level2type = 'COLUMN', @level2name = N'DATAID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'创建人'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set_class'
, @level2type = 'COLUMN', @level2name = N'CREATEBY'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'创建时间'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set_class'
, @level2type = 'COLUMN', @level2name = N'CREATEDATE'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'修改人'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set_class'
, @level2type = 'COLUMN', @level2name = N'UPDATEBY'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'修改时间'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set_class'
, @level2type = 'COLUMN', @level2name = N'UPDATEDATE'
GO

-- ----------------------------
-- Table structure for rpt_pb_data_set_element
-- ----------------------------
CREATE TABLE [dbo].[rpt_pb_data_set_element] (
[ID] bigint NOT NULL ,
[DATA_SET_ID] bigint NOT NULL ,
[ORI_FIELD_NAME] varchar(256) NOT NULL ,
[SHOW_NAME] varchar(256) NOT NULL ,
[DATA_TYPE] varchar(8) NOT NULL ,
[TABLE_NAME] varchar(64) NULL ,
[FIELD_PROP] varchar(8) NOT NULL ,
[ELEMENT_TYPE] varchar(8) NOT NULL ,
[EXPR_TYPE] varchar(8) NULL ,
[HIDDEN_FLAG] varchar(8) NOT NULL ,
[DICTITEM] bigint NULL ,
[DATAID] bigint NULL ,
[CREATEBY] varchar(256) NULL ,
[CREATEDATE] bigint NULL ,
[UPDATEBY] varchar(256) NULL ,
[UPDATEDATE] bigint NULL 
)


GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'数据集元素表'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set_element'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'ID'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set_element'
, @level2type = 'COLUMN', @level2name = N'ID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'数据集编号'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set_element'
, @level2type = 'COLUMN', @level2name = N'DATA_SET_ID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'原字段名称'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set_element'
, @level2type = 'COLUMN', @level2name = N'ORI_FIELD_NAME'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'展示名称'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set_element'
, @level2type = 'COLUMN', @level2name = N'SHOW_NAME'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'数据类型'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set_element'
, @level2type = 'COLUMN', @level2name = N'DATA_TYPE'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'表名称'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set_element'
, @level2type = 'COLUMN', @level2name = N'TABLE_NAME'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'字段属性字段属性'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set_element'
, @level2type = 'COLUMN', @level2name = N'FIELD_PROP'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'元素类型'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set_element'
, @level2type = 'COLUMN', @level2name = N'ELEMENT_TYPE'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'函数类型'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set_element'
, @level2type = 'COLUMN', @level2name = N'EXPR_TYPE'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'隐藏标志'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set_element'
, @level2type = 'COLUMN', @level2name = N'HIDDEN_FLAG'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'字典项'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set_element'
, @level2type = 'COLUMN', @level2name = N'DICTITEM'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'DATAID'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set_element'
, @level2type = 'COLUMN', @level2name = N'DATAID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'创建人'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set_element'
, @level2type = 'COLUMN', @level2name = N'CREATEBY'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'创建时间'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set_element'
, @level2type = 'COLUMN', @level2name = N'CREATEDATE'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'修改人'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set_element'
, @level2type = 'COLUMN', @level2name = N'UPDATEBY'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'修改时间'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_data_set_element'
, @level2type = 'COLUMN', @level2name = N'UPDATEDATE'
GO

-- ----------------------------
-- Table structure for rpt_pb_dict_index
-- ----------------------------
CREATE TABLE [dbo].[rpt_pb_dict_index] (
[DICTITEM] bigint NOT NULL ,
[ITEM_NAME] varchar(128) NOT NULL ,
[DISP_FLAG] varchar(8) NOT NULL ,
[DATAID] bigint NULL ,
[CREATEBY] varchar(256) NULL ,
[CREATEDATE] bigint NULL ,
[UPDATEBY] varchar(256) NULL ,
[UPDATEDATE] bigint NULL 
)


GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'数据映射字典表'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_dict_index'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'字典项'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_dict_index'
, @level2type = 'COLUMN', @level2name = N'DICTITEM'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'字典名称'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_dict_index'
, @level2type = 'COLUMN', @level2name = N'ITEM_NAME'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'是否显示'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_dict_index'
, @level2type = 'COLUMN', @level2name = N'DISP_FLAG'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'DATAID'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_dict_index'
, @level2type = 'COLUMN', @level2name = N'DATAID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'创建人'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_dict_index'
, @level2type = 'COLUMN', @level2name = N'CREATEBY'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'创建时间'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_dict_index'
, @level2type = 'COLUMN', @level2name = N'CREATEDATE'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'修改人'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_dict_index'
, @level2type = 'COLUMN', @level2name = N'UPDATEBY'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'修改时间'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_dict_index'
, @level2type = 'COLUMN', @level2name = N'UPDATEDATE'
GO

-- ----------------------------
-- Table structure for rpt_pb_dict_value
-- ----------------------------
CREATE TABLE [dbo].[rpt_pb_dict_value] (
[ID] bigint NOT NULL ,
[DICTITEM] bigint NOT NULL ,
[SUB_ITEM_NAME] varchar(128) NOT NULL ,
[SUB_ITEM] varchar(8) NOT NULL ,
[DATAID] bigint NULL ,
[CREATEBY] varchar(256) NULL ,
[CREATEDATE] bigint NULL ,
[UPDATEBY] varchar(256) NULL ,
[UPDATEDATE] bigint NULL 
)


GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'ID'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_dict_value'
, @level2type = 'COLUMN', @level2name = N'ID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'字典项'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_dict_value'
, @level2type = 'COLUMN', @level2name = N'DICTITEM'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'字典项名称'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_dict_value'
, @level2type = 'COLUMN', @level2name = N'SUB_ITEM_NAME'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'字典项号'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_dict_value'
, @level2type = 'COLUMN', @level2name = N'SUB_ITEM'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'DATAID'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_dict_value'
, @level2type = 'COLUMN', @level2name = N'DATAID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'创建人'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_dict_value'
, @level2type = 'COLUMN', @level2name = N'CREATEBY'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'创建时间'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_dict_value'
, @level2type = 'COLUMN', @level2name = N'CREATEDATE'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'修改人'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_dict_value'
, @level2type = 'COLUMN', @level2name = N'UPDATEBY'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'修改时间'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_dict_value'
, @level2type = 'COLUMN', @level2name = N'UPDATEDATE'
GO

-- ----------------------------
-- Table structure for rpt_pb_file_resource
-- ----------------------------
CREATE TABLE [dbo].[rpt_pb_file_resource] (
[id] bigint NOT NULL ,
[file_code] varchar(256) NOT NULL ,
[thumbnail_file_code] varchar(256) NULL ,
[file_type] varchar(8) NOT NULL ,
[file_name] varchar(64) NOT NULL ,
[load_type] varchar(8) NOT NULL ,
[DATAID] bigint NULL ,
[CREATEBY] varchar(256) NULL ,
[CREATEDATE] bigint NULL ,
[UPDATEBY] varchar(256) NULL ,
[UPDATEDATE] bigint NULL 
)


GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'文件资源表'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_file_resource'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'主键id'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_file_resource'
, @level2type = 'COLUMN', @level2name = N'id'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'文件地址编码'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_file_resource'
, @level2type = 'COLUMN', @level2name = N'file_code'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'缩略图文件base64'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_file_resource'
, @level2type = 'COLUMN', @level2name = N'thumbnail_file_code'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'资源类型'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_file_resource'
, @level2type = 'COLUMN', @level2name = N'file_type'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'资源名称'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_file_resource'
, @level2type = 'COLUMN', @level2name = N'file_name'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'文件加载类型'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_file_resource'
, @level2type = 'COLUMN', @level2name = N'load_type'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'DATAID'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_file_resource'
, @level2type = 'COLUMN', @level2name = N'DATAID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'创建人'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_file_resource'
, @level2type = 'COLUMN', @level2name = N'CREATEBY'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'创建时间'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_file_resource'
, @level2type = 'COLUMN', @level2name = N'CREATEDATE'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'修改人'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_file_resource'
, @level2type = 'COLUMN', @level2name = N'UPDATEBY'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'修改时间'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_file_resource'
, @level2type = 'COLUMN', @level2name = N'UPDATEDATE'
GO

-- ----------------------------
-- Table structure for rpt_pb_screen
-- ----------------------------
CREATE TABLE [dbo].[rpt_pb_screen] (
[SCREEN_ID] bigint NOT NULL ,
[SCREEN_NAME] varchar(128) NOT NULL ,
[CLASS_ID] bigint NOT NULL ,
[INTRODUCTION] varchar(124) NULL ,
[ABBR_IMG_ADDR] varchar(256) NULL ,
[small_ABBR_IMG_ADDR] varchar(256) NULL ,
[BASE_PROP] text NOT NULL ,
[status] varchar(8) NOT NULL DEFAULT ('0') ,
[DATAID] bigint NULL ,
[CREATEBY] varchar(256) NULL ,
[CREATEDATE] bigint NULL ,
[UPDATEBY] varchar(256) NULL ,
[UPDATEDATE] bigint NULL 
)


GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'大屏定义表'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'大屏编号'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen'
, @level2type = 'COLUMN', @level2name = N'SCREEN_ID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'大屏名称'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen'
, @level2type = 'COLUMN', @level2name = N'SCREEN_NAME'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'分类编号'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen'
, @level2type = 'COLUMN', @level2name = N'CLASS_ID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'简介'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen'
, @level2type = 'COLUMN', @level2name = N'INTRODUCTION'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'缩略图地址'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen'
, @level2type = 'COLUMN', @level2name = N'ABBR_IMG_ADDR'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'小缩略图base64'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen'
, @level2type = 'COLUMN', @level2name = N'small_ABBR_IMG_ADDR'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'基本属性'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen'
, @level2type = 'COLUMN', @level2name = N'BASE_PROP'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'大屏状态'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen'
, @level2type = 'COLUMN', @level2name = N'status'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'DATAID'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen'
, @level2type = 'COLUMN', @level2name = N'DATAID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'创建人'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen'
, @level2type = 'COLUMN', @level2name = N'CREATEBY'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'创建时间'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen'
, @level2type = 'COLUMN', @level2name = N'CREATEDATE'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'修改人'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen'
, @level2type = 'COLUMN', @level2name = N'UPDATEBY'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'修改时间'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen'
, @level2type = 'COLUMN', @level2name = N'UPDATEDATE'
GO

-- ----------------------------
-- Table structure for rpt_pb_screen_class
-- ----------------------------
CREATE TABLE [dbo].[rpt_pb_screen_class] (
[CLASS_ID] bigint NOT NULL ,
[PARENT_CLASS_ID] bigint NOT NULL ,
[CLASS_NAME] varchar(256) NOT NULL ,
[class_order] bigint NOT NULL DEFAULT ((0)) ,
[DATAID] bigint NULL ,
[CREATEBY] varchar(256) NULL ,
[CREATEDATE] bigint NULL ,
[UPDATEBY] varchar(256) NULL ,
[UPDATEDATE] bigint NULL 
)


GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'大屏分类定义表'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_class'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'分类编号'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_class'
, @level2type = 'COLUMN', @level2name = N'CLASS_ID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'父类编号'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_class'
, @level2type = 'COLUMN', @level2name = N'PARENT_CLASS_ID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'分类名称'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_class'
, @level2type = 'COLUMN', @level2name = N'CLASS_NAME'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'分组排序序号'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_class'
, @level2type = 'COLUMN', @level2name = N'class_order'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'DATAID'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_class'
, @level2type = 'COLUMN', @level2name = N'DATAID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'创建人'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_class'
, @level2type = 'COLUMN', @level2name = N'CREATEBY'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'创建时间'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_class'
, @level2type = 'COLUMN', @level2name = N'CREATEDATE'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'修改人'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_class'
, @level2type = 'COLUMN', @level2name = N'UPDATEBY'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'修改时间'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_class'
, @level2type = 'COLUMN', @level2name = N'UPDATEDATE'
GO

-- ----------------------------
-- Table structure for rpt_pb_screen_element
-- ----------------------------
CREATE TABLE [dbo].[rpt_pb_screen_element] (
[ID] bigint NOT NULL ,
[SCREEN_ID] bigint NOT NULL ,
[ELEMENT_ID] varchar(128) NOT NULL ,
[COMPONENT_ID] bigint NOT NULL ,
[DATA_SET_ID] bigint NULL ,
[ELEMENT_LAYOUT_PROP] text NOT NULL ,
[ELEMENT_BASE_PROP] text NOT NULL ,
[ELEMENT_DATA_PROP] text NOT NULL ,
[DATAID] bigint NULL ,
[CREATEBY] varchar(256) NULL ,
[CREATEDATE] bigint NULL ,
[UPDATEBY] varchar(256) NULL ,
[UPDATEDATE] bigint NULL 
)


GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'数据映射字典项表'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_element'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'ID'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_element'
, @level2type = 'COLUMN', @level2name = N'ID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'大屏编号'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_element'
, @level2type = 'COLUMN', @level2name = N'SCREEN_ID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'元素编号'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_element'
, @level2type = 'COLUMN', @level2name = N'ELEMENT_ID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'组件编号'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_element'
, @level2type = 'COLUMN', @level2name = N'COMPONENT_ID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'数据集编号'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_element'
, @level2type = 'COLUMN', @level2name = N'DATA_SET_ID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'元素布局属性'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_element'
, @level2type = 'COLUMN', @level2name = N'ELEMENT_LAYOUT_PROP'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'元素基本属性'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_element'
, @level2type = 'COLUMN', @level2name = N'ELEMENT_BASE_PROP'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'元素数据属性'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_element'
, @level2type = 'COLUMN', @level2name = N'ELEMENT_DATA_PROP'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'DATAID'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_element'
, @level2type = 'COLUMN', @level2name = N'DATAID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'创建人'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_element'
, @level2type = 'COLUMN', @level2name = N'CREATEBY'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'创建时间'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_element'
, @level2type = 'COLUMN', @level2name = N'CREATEDATE'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'修改人'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_element'
, @level2type = 'COLUMN', @level2name = N'UPDATEBY'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'修改时间'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_element'
, @level2type = 'COLUMN', @level2name = N'UPDATEDATE'
GO

-- ----------------------------
-- Table structure for rpt_pb_screen_file
-- ----------------------------
CREATE TABLE [dbo].[rpt_pb_screen_file] (
[id] bigint NOT NULL ,
[screen_id] bigint NOT NULL ,
[element_id] varchar(256) NOT NULL ,
[file_id] bigint NOT NULL ,
[DATAID] bigint NULL ,
[CREATEBY] varchar(256) NULL ,
[CREATEDATE] bigint NULL ,
[UPDATEBY] varchar(256) NULL ,
[UPDATEDATE] bigint NULL 
)


GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'大屏文件表'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_file'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'主键id'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_file'
, @level2type = 'COLUMN', @level2name = N'id'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'大屏代码'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_file'
, @level2type = 'COLUMN', @level2name = N'screen_id'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'元素编号'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_file'
, @level2type = 'COLUMN', @level2name = N'element_id'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'文件编号'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_file'
, @level2type = 'COLUMN', @level2name = N'file_id'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'DATAID'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_file'
, @level2type = 'COLUMN', @level2name = N'DATAID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'创建人'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_file'
, @level2type = 'COLUMN', @level2name = N'CREATEBY'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'创建时间'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_file'
, @level2type = 'COLUMN', @level2name = N'CREATEDATE'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'修改人'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_file'
, @level2type = 'COLUMN', @level2name = N'UPDATEBY'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'修改时间'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_file'
, @level2type = 'COLUMN', @level2name = N'UPDATEDATE'
GO

-- ----------------------------
-- Table structure for rpt_pb_screen_tmp
-- ----------------------------
CREATE TABLE [dbo].[rpt_pb_screen_tmp] (
[TEMPLATE_ID] bigint NOT NULL ,
[TEMPLATE_NAME] varchar(128) NOT NULL ,
[INTRODUCTION] varchar(1024) NULL ,
[ABBR_IMG_ADDR] varchar(256) NULL ,
[small_ABBR_IMG_ADDR] varchar(256) NULL ,
[BASE_PROP] text NOT NULL ,
[DATAID] bigint NULL ,
[CREATEBY] varchar(256) NULL ,
[CREATEDATE] bigint NULL ,
[UPDATEBY] varchar(256) NULL ,
[UPDATEDATE] bigint NULL 
)


GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'大屏模板表'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_tmp'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'模板编号'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_tmp'
, @level2type = 'COLUMN', @level2name = N'TEMPLATE_ID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'模板名称'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_tmp'
, @level2type = 'COLUMN', @level2name = N'TEMPLATE_NAME'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'简介'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_tmp'
, @level2type = 'COLUMN', @level2name = N'INTRODUCTION'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'缩略图地址'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_tmp'
, @level2type = 'COLUMN', @level2name = N'ABBR_IMG_ADDR'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'小缩略图地址'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_tmp'
, @level2type = 'COLUMN', @level2name = N'small_ABBR_IMG_ADDR'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'基本属性'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_tmp'
, @level2type = 'COLUMN', @level2name = N'BASE_PROP'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'DATAID'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_tmp'
, @level2type = 'COLUMN', @level2name = N'DATAID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'创建人'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_tmp'
, @level2type = 'COLUMN', @level2name = N'CREATEBY'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'创建时间'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_tmp'
, @level2type = 'COLUMN', @level2name = N'CREATEDATE'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'修改人'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_tmp'
, @level2type = 'COLUMN', @level2name = N'UPDATEBY'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'修改时间'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_tmp'
, @level2type = 'COLUMN', @level2name = N'UPDATEDATE'
GO

-- ----------------------------
-- Table structure for rpt_pb_screen_tmp_element
-- ----------------------------
CREATE TABLE [dbo].[rpt_pb_screen_tmp_element] (
[ID] bigint NOT NULL ,
[TEMPLATE_ID] bigint NOT NULL ,
[ELEMENT_ID] varchar(128) NOT NULL ,
[DATA_SET_ID] bigint NULL ,
[COMPONENT_ID] bigint NOT NULL ,
[ELEMENT_LAYOUT_PROP] text NOT NULL ,
[ELEMENT_BASE_PROP] text NOT NULL ,
[ELEMENT_DATA_PROP] text NOT NULL ,
[DATAID] bigint NULL ,
[CREATEBY] varchar(256) NULL ,
[CREATEDATE] bigint NULL ,
[UPDATEBY] varchar(256) NULL ,
[UPDATEDATE] bigint NULL 
)


GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'大屏模板元素表'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_tmp_element'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'ID'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_tmp_element'
, @level2type = 'COLUMN', @level2name = N'ID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'模板编号'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_tmp_element'
, @level2type = 'COLUMN', @level2name = N'TEMPLATE_ID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'元素编号'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_tmp_element'
, @level2type = 'COLUMN', @level2name = N'ELEMENT_ID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'数据集编号'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_tmp_element'
, @level2type = 'COLUMN', @level2name = N'DATA_SET_ID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'组件编号'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_tmp_element'
, @level2type = 'COLUMN', @level2name = N'COMPONENT_ID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'元素布局属性'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_tmp_element'
, @level2type = 'COLUMN', @level2name = N'ELEMENT_LAYOUT_PROP'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'元素基本属性'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_tmp_element'
, @level2type = 'COLUMN', @level2name = N'ELEMENT_BASE_PROP'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'元素数据属性'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_tmp_element'
, @level2type = 'COLUMN', @level2name = N'ELEMENT_DATA_PROP'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'DATAID'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_tmp_element'
, @level2type = 'COLUMN', @level2name = N'DATAID'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'创建人'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_tmp_element'
, @level2type = 'COLUMN', @level2name = N'CREATEBY'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'创建时间'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_tmp_element'
, @level2type = 'COLUMN', @level2name = N'CREATEDATE'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'修改人'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_tmp_element'
, @level2type = 'COLUMN', @level2name = N'UPDATEBY'
GO

EXEC sp_addextendedproperty @name = N'MS_Description', @value = N'修改时间'
, @level0type = 'SCHEMA', @level0name = N'dbo'
, @level1type = 'TABLE', @level1name = N'rpt_pb_screen_tmp_element'
, @level2type = 'COLUMN', @level2name = N'UPDATEDATE'
GO

-- ----------------------------
-- Indexes structure for table rpt_pb_api_config
-- ----------------------------

-- ----------------------------
-- Primary Key structure for table rpt_pb_api_config
-- ----------------------------
ALTER TABLE [dbo].[rpt_pb_api_config] ADD PRIMARY KEY ([DATA_SET_ID])
GO

-- ----------------------------
-- Indexes structure for table rpt_pb_component_define
-- ----------------------------

-- ----------------------------
-- Primary Key structure for table rpt_pb_component_define
-- ----------------------------
ALTER TABLE [dbo].[rpt_pb_component_define] ADD PRIMARY KEY ([COMPONENT_ID])
GO

-- ----------------------------
-- Indexes structure for table rpt_pb_data_filter
-- ----------------------------

-- ----------------------------
-- Primary Key structure for table rpt_pb_data_filter
-- ----------------------------
ALTER TABLE [dbo].[rpt_pb_data_filter] ADD PRIMARY KEY ([ID])
GO

-- ----------------------------
-- Indexes structure for table rpt_pb_data_set
-- ----------------------------

-- ----------------------------
-- Primary Key structure for table rpt_pb_data_set
-- ----------------------------
ALTER TABLE [dbo].[rpt_pb_data_set] ADD PRIMARY KEY ([DATA_SET_ID])
GO

-- ----------------------------
-- Indexes structure for table rpt_pb_data_set_class
-- ----------------------------

-- ----------------------------
-- Primary Key structure for table rpt_pb_data_set_class
-- ----------------------------
ALTER TABLE [dbo].[rpt_pb_data_set_class] ADD PRIMARY KEY ([CLASS_ID])
GO

-- ----------------------------
-- Indexes structure for table rpt_pb_data_set_element
-- ----------------------------

-- ----------------------------
-- Primary Key structure for table rpt_pb_data_set_element
-- ----------------------------
ALTER TABLE [dbo].[rpt_pb_data_set_element] ADD PRIMARY KEY ([ID])
GO

-- ----------------------------
-- Indexes structure for table rpt_pb_dict_index
-- ----------------------------

-- ----------------------------
-- Primary Key structure for table rpt_pb_dict_index
-- ----------------------------
ALTER TABLE [dbo].[rpt_pb_dict_index] ADD PRIMARY KEY ([DICTITEM])
GO

-- ----------------------------
-- Indexes structure for table rpt_pb_dict_value
-- ----------------------------

-- ----------------------------
-- Primary Key structure for table rpt_pb_dict_value
-- ----------------------------
ALTER TABLE [dbo].[rpt_pb_dict_value] ADD PRIMARY KEY ([ID])
GO

-- ----------------------------
-- Indexes structure for table rpt_pb_file_resource
-- ----------------------------

-- ----------------------------
-- Primary Key structure for table rpt_pb_file_resource
-- ----------------------------
ALTER TABLE [dbo].[rpt_pb_file_resource] ADD PRIMARY KEY ([id])
GO

-- ----------------------------
-- Indexes structure for table rpt_pb_screen
-- ----------------------------

-- ----------------------------
-- Primary Key structure for table rpt_pb_screen
-- ----------------------------
ALTER TABLE [dbo].[rpt_pb_screen] ADD PRIMARY KEY ([SCREEN_ID])
GO

-- ----------------------------
-- Indexes structure for table rpt_pb_screen_class
-- ----------------------------

-- ----------------------------
-- Primary Key structure for table rpt_pb_screen_class
-- ----------------------------
ALTER TABLE [dbo].[rpt_pb_screen_class] ADD PRIMARY KEY ([CLASS_ID])
GO

-- ----------------------------
-- Indexes structure for table rpt_pb_screen_element
-- ----------------------------

-- ----------------------------
-- Primary Key structure for table rpt_pb_screen_element
-- ----------------------------
ALTER TABLE [dbo].[rpt_pb_screen_element] ADD PRIMARY KEY ([ID])
GO

-- ----------------------------
-- Indexes structure for table rpt_pb_screen_file
-- ----------------------------

-- ----------------------------
-- Primary Key structure for table rpt_pb_screen_file
-- ----------------------------
ALTER TABLE [dbo].[rpt_pb_screen_file] ADD PRIMARY KEY ([id])
GO

-- ----------------------------
-- Indexes structure for table rpt_pb_screen_tmp
-- ----------------------------

-- ----------------------------
-- Primary Key structure for table rpt_pb_screen_tmp
-- ----------------------------
ALTER TABLE [dbo].[rpt_pb_screen_tmp] ADD PRIMARY KEY ([TEMPLATE_ID])
GO

-- ----------------------------
-- Indexes structure for table rpt_pb_screen_tmp_element
-- ----------------------------

-- ----------------------------
-- Primary Key structure for table rpt_pb_screen_tmp_element
-- ----------------------------
ALTER TABLE [dbo].[rpt_pb_screen_tmp_element] ADD PRIMARY KEY ([ID])
GO
