/*
 Date: 14/07/2020 17:09:30
*/


-- ----------------------------
-- Table structure for koca_menu_api
-- ----------------------------

CREATE TABLE [dbo].[koca_menu_api] (
  [menu_id] nvarchar(10) NOT NULL,
  [api_code] nvarchar(100) NOT NULL,
  [resource_url] nvarchar(255) NULL,
)
GO


EXEC sp_addextendedproperty
'MS_Description', N'菜单编号',
'SCHEMA', N'dbo',
'TABLE', N'koca_menu_api',
'COLUMN', N'menu_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'API接口代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_menu_api',
'COLUMN', N'api_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'API接口请求路径',
'SCHEMA', N'dbo',
'TABLE', N'koca_menu_api',
'COLUMN', N'resource_url'
GO

EXEC sp_addextendedproperty
'MS_Description', N'菜单API信息表',
'SCHEMA', N'dbo',
'TABLE', N'koca_menu_api'
GO


-- ----------------------------
-- Table structure for koca_org_info_base
-- ----------------------------

CREATE TABLE [dbo].[koca_org_info_base] (
  [org_code] nvarchar(8) NOT NULL,
  [org_status] nvarchar(2) NULL,
  [org_type] nvarchar(8) NULL,
  [parent_org] nvarchar(8) NULL,
  [org_name] nvarchar(32) NULL,
  [org_full_name] nvarchar(64) NULL,
  [address] nvarchar(64) NULL,
  [zip_code] nvarchar(6) NULL,
  [tel] nvarchar(16) NULL,
  [remark] nvarchar(128) NULL
)
GO


EXEC sp_addextendedproperty
'MS_Description', N'机构代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_org_info_base',
'COLUMN', N'org_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'机构状态，字典，ORG_STATUS',
'SCHEMA', N'dbo',
'TABLE', N'koca_org_info_base',
'COLUMN', N'org_status'
GO

EXEC sp_addextendedproperty
'MS_Description', N'机构类型，字典，ORG_TYPE',
'SCHEMA', N'dbo',
'TABLE', N'koca_org_info_base',
'COLUMN', N'org_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'上级机构',
'SCHEMA', N'dbo',
'TABLE', N'koca_org_info_base',
'COLUMN', N'parent_org'
GO

EXEC sp_addextendedproperty
'MS_Description', N'机构名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_org_info_base',
'COLUMN', N'org_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'机构全称',
'SCHEMA', N'dbo',
'TABLE', N'koca_org_info_base',
'COLUMN', N'org_full_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'机构地址',
'SCHEMA', N'dbo',
'TABLE', N'koca_org_info_base',
'COLUMN', N'address'
GO

EXEC sp_addextendedproperty
'MS_Description', N'机构邮编',
'SCHEMA', N'dbo',
'TABLE', N'koca_org_info_base',
'COLUMN', N'zip_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'机构电话',
'SCHEMA', N'dbo',
'TABLE', N'koca_org_info_base',
'COLUMN', N'tel'
GO

EXEC sp_addextendedproperty
'MS_Description', N'备注信息',
'SCHEMA', N'dbo',
'TABLE', N'koca_org_info_base',
'COLUMN', N'remark'
GO


-- ----------------------------
-- Table structure for koca_org_info_ext
-- ----------------------------

CREATE TABLE [dbo].[koca_org_info_ext] (
  [org_code] nvarchar(8) NOT NULL,
  [org_key] nvarchar(16) NULL,
  [org_value] nvarchar(128) NULL
)
GO


EXEC sp_addextendedproperty
'MS_Description', N'机构代码，主键',
'SCHEMA', N'dbo',
'TABLE', N'koca_org_info_ext',
'COLUMN', N'org_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'信息key，字典，ORG_KEY',
'SCHEMA', N'dbo',
'TABLE', N'koca_org_info_ext',
'COLUMN', N'org_key'
GO

EXEC sp_addextendedproperty
'MS_Description', N'信息value',
'SCHEMA', N'dbo',
'TABLE', N'koca_org_info_ext',
'COLUMN', N'org_value'
GO


-- ----------------------------
-- Table structure for koca_role_info
-- ----------------------------

CREATE TABLE [dbo].[koca_role_info] (
  [role_no] nvarchar(8) NOT NULL,
  [role_name] nvarchar(32) NULL,
  [role_type] nvarchar(2) NULL,
  [role_status] nvarchar(2) NULL,
  [remark] nvarchar(128) NULL,
  [tenant_id] nvarchar(32) NOT NULL default '*',
  [modifiable] nvarchar(2) default '1'
)
GO


EXEC sp_addextendedproperty
'MS_Description', N'角色编号',
'SCHEMA', N'dbo',
'TABLE', N'koca_role_info',
'COLUMN', N'role_no'
GO

EXEC sp_addextendedproperty
'MS_Description', N'角色名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_role_info',
'COLUMN', N'role_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'角色类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_role_info',
'COLUMN', N'role_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'角色状态',
'SCHEMA', N'dbo',
'TABLE', N'koca_role_info',
'COLUMN', N'role_status'
GO

EXEC sp_addextendedproperty
'MS_Description', N'描述',
'SCHEMA', N'dbo',
'TABLE', N'koca_role_info',
'COLUMN', N'remark'
GO

EXEC sp_addextendedproperty
'MS_Description', N'角色信息表',
'SCHEMA', N'dbo',
'TABLE', N'koca_role_info'
GO


-- ----------------------------
-- Table structure for koca_user_info_base
-- ----------------------------

CREATE TABLE [dbo].[koca_user_info_base] (
  [user_no] nvarchar(32) NOT NULL,
  [user_type] nvarchar(2) NOT NULL,
  [user_status] nvarchar(2) NOT NULL,
  [user_code] nvarchar(32) NOT NULL,
  [user_name] nvarchar(32) NOT NULL,
  [id_type] nvarchar(2) NOT NULL,
  [id_code] nvarchar(32) NOT NULL,
  [id_iss_agcy] nvarchar(64) NULL,
  [id_address] nvarchar(128) NULL,
  [id_begin_date] nvarchar(8) NULL,
  [id_exp_date] nvarchar(8) NULL,
  [birthday] nvarchar(8) NULL,
  [sex] nvarchar(2) NULL,
  [nationality] nvarchar(2) NULL,
  [citizenship] nvarchar(3) NULL,
  [education] nvarchar(2) NULL,
  [native_place] nvarchar(32) NULL,
  [mobile_tel] nvarchar(11) NULL,
  [email] nvarchar(32) NULL,
  [address] nvarchar(128) NULL,
  [zip_code] nvarchar(6) NULL,
  [user_icon] nvarchar(255) NULL,
  [create_date] nvarchar(8) NULL,
  [cancel_date] nvarchar(32) NULL,
  [remark] nvarchar(128) NULL
)
GO


EXEC sp_addextendedproperty
'MS_Description', N'人员编号',
'SCHEMA', N'dbo',
'TABLE', N'koca_user_info_base',
'COLUMN', N'user_no'
GO

EXEC sp_addextendedproperty
'MS_Description', N'人员类型，字典USER_TYPE',
'SCHEMA', N'dbo',
'TABLE', N'koca_user_info_base',
'COLUMN', N'user_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'人员状态,字典USER_STATUS',
'SCHEMA', N'dbo',
'TABLE', N'koca_user_info_base',
'COLUMN', N'user_status'
GO

EXEC sp_addextendedproperty
'MS_Description', N'人员代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_user_info_base',
'COLUMN', N'user_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'姓名',
'SCHEMA', N'dbo',
'TABLE', N'koca_user_info_base',
'COLUMN', N'user_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'证件类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_user_info_base',
'COLUMN', N'id_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'证件号码',
'SCHEMA', N'dbo',
'TABLE', N'koca_user_info_base',
'COLUMN', N'id_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'发证机关',
'SCHEMA', N'dbo',
'TABLE', N'koca_user_info_base',
'COLUMN', N'id_iss_agcy'
GO

EXEC sp_addextendedproperty
'MS_Description', N'证件地址',
'SCHEMA', N'dbo',
'TABLE', N'koca_user_info_base',
'COLUMN', N'id_address'
GO

EXEC sp_addextendedproperty
'MS_Description', N'证件开始日期',
'SCHEMA', N'dbo',
'TABLE', N'koca_user_info_base',
'COLUMN', N'id_begin_date'
GO

EXEC sp_addextendedproperty
'MS_Description', N'证件结束日期',
'SCHEMA', N'dbo',
'TABLE', N'koca_user_info_base',
'COLUMN', N'id_exp_date'
GO

EXEC sp_addextendedproperty
'MS_Description', N'出生日期',
'SCHEMA', N'dbo',
'TABLE', N'koca_user_info_base',
'COLUMN', N'birthday'
GO

EXEC sp_addextendedproperty
'MS_Description', N'性别,字典，SEX',
'SCHEMA', N'dbo',
'TABLE', N'koca_user_info_base',
'COLUMN', N'sex'
GO

EXEC sp_addextendedproperty
'MS_Description', N'民族,字典',
'SCHEMA', N'dbo',
'TABLE', N'koca_user_info_base',
'COLUMN', N'nationality'
GO

EXEC sp_addextendedproperty
'MS_Description', N'国籍,字典',
'SCHEMA', N'dbo',
'TABLE', N'koca_user_info_base',
'COLUMN', N'citizenship'
GO

EXEC sp_addextendedproperty
'MS_Description', N'学历，字典',
'SCHEMA', N'dbo',
'TABLE', N'koca_user_info_base',
'COLUMN', N'education'
GO

EXEC sp_addextendedproperty
'MS_Description', N'籍贯',
'SCHEMA', N'dbo',
'TABLE', N'koca_user_info_base',
'COLUMN', N'native_place'
GO

EXEC sp_addextendedproperty
'MS_Description', N'手机号码',
'SCHEMA', N'dbo',
'TABLE', N'koca_user_info_base',
'COLUMN', N'mobile_tel'
GO

EXEC sp_addextendedproperty
'MS_Description', N'邮箱',
'SCHEMA', N'dbo',
'TABLE', N'koca_user_info_base',
'COLUMN', N'email'
GO

EXEC sp_addextendedproperty
'MS_Description', N'联系地址',
'SCHEMA', N'dbo',
'TABLE', N'koca_user_info_base',
'COLUMN', N'address'
GO

EXEC sp_addextendedproperty
'MS_Description', N'邮政编码',
'SCHEMA', N'dbo',
'TABLE', N'koca_user_info_base',
'COLUMN', N'zip_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'用户头像',
'SCHEMA', N'dbo',
'TABLE', N'koca_user_info_base',
'COLUMN', N'user_icon'
GO

EXEC sp_addextendedproperty
'MS_Description', N'注册日期',
'SCHEMA', N'dbo',
'TABLE', N'koca_user_info_base',
'COLUMN', N'create_date'
GO

EXEC sp_addextendedproperty
'MS_Description', N'注销日期',
'SCHEMA', N'dbo',
'TABLE', N'koca_user_info_base',
'COLUMN', N'cancel_date'
GO

EXEC sp_addextendedproperty
'MS_Description', N'备注信息',
'SCHEMA', N'dbo',
'TABLE', N'koca_user_info_base',
'COLUMN', N'remark'
GO


-- ----------------------------
-- Table structure for koca_user_info_ext
-- ----------------------------

CREATE TABLE [dbo].[koca_user_info_ext] (
  [user_no] nvarchar(32) NOT NULL,
  [user_key] nvarchar(16) NOT NULL,
  [user_value] nvarchar(128) NULL
)
GO


EXEC sp_addextendedproperty
'MS_Description', N'人员编号',
'SCHEMA', N'dbo',
'TABLE', N'koca_user_info_ext',
'COLUMN', N'user_no'
GO

EXEC sp_addextendedproperty
'MS_Description', N'信息key，字典USER_KEY',
'SCHEMA', N'dbo',
'TABLE', N'koca_user_info_ext',
'COLUMN', N'user_key'
GO

EXEC sp_addextendedproperty
'MS_Description', N'信息value',
'SCHEMA', N'dbo',
'TABLE', N'koca_user_info_ext',
'COLUMN', N'user_value'
GO


-- ----------------------------
-- Table structure for koca_user_opt_log
-- ----------------------------

CREATE TABLE [dbo].[koca_user_opt_log] (
  [s_no] int  NOT NULL,
  [begin_time] datetime2(7)  NULL,
  [end_time] datetime2(7)  NULL,
  [user_no] nvarchar(32) NULL,
  [opt_code] nvarchar(64) NULL,
  [opt_data] text NULL,
  [res_status] nvarchar(8) NULL,
  [res_message] nvarchar(128) NULL,
  [res_code] nvarchar(8) NULL,
  [remark] nvarchar(128) NULL
)
GO




-- ----------------------------
-- Table structure for koca_user_org_info
-- ----------------------------

CREATE TABLE [dbo].[koca_user_org_info] (
  [org_code] nvarchar(8) NOT NULL,
  [user_no] nvarchar(32) NOT NULL
)
GO


EXEC sp_addextendedproperty
'MS_Description', N'机构代码，主键',
'SCHEMA', N'dbo',
'TABLE', N'koca_user_org_info',
'COLUMN', N'org_code'
GO


-- ----------------------------
-- Table structure for koca_user_pwd
-- ----------------------------

CREATE TABLE [dbo].[koca_user_pwd] (
  [user_no] nvarchar(32) NOT NULL,
  [pwd] nvarchar(64) NULL,
  [pwd_status] nvarchar(2) NULL,
  [update_time] datetime2(7)  NULL,
  [remark] nvarchar(128) NULL,
  [wrong_time] int default 0
)
GO



-- ----------------------------
-- Table structure for koca_user_pwd_log
-- ----------------------------

CREATE TABLE [dbo].[koca_user_pwd_log] (
  [sno] int  NOT NULL,
  [user_no] nvarchar(32) NULL,
  [pwd] nvarchar(64) NULL,
  [modified_oper] nvarchar(64) NULL,
  [set_date] datetime2(7)  NULL
)
GO



-- ----------------------------
-- Table structure for koca_user_role_info
-- ----------------------------

CREATE TABLE [dbo].[koca_user_role_info] (
  [user_no] nvarchar(32) NOT NULL,
  [role_no] nvarchar(8) NOT NULL ,
  [tenant_id] nvarchar(32) NOT NULL
    )
GO


EXEC sp_addextendedproperty
'MS_Description', N'人员编号',
'SCHEMA', N'dbo',
'TABLE', N'koca_user_role_info',
'COLUMN', N'user_no'
GO

EXEC sp_addextendedproperty
'MS_Description', N'角色编号',
'SCHEMA', N'dbo',
'TABLE', N'koca_user_role_info',
'COLUMN', N'role_no'
GO

EXEC sp_addextendedproperty
'MS_Description', N'人员角色信息表',
'SCHEMA', N'dbo',
'TABLE', N'koca_user_role_info'
GO


-- ----------------------------
-- Primary Key structure for table koca_menu_api
-- ----------------------------
ALTER TABLE [dbo].[koca_menu_api] ADD CONSTRAINT [PK__koca_menu_api__8E6A0D9A39F2099C] PRIMARY KEY CLUSTERED ([api_code])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table koca_org_info_base
-- ----------------------------
ALTER TABLE [dbo].[koca_org_info_base] ADD CONSTRAINT [PK__org_info__68B12E5DF46AA77C] PRIMARY KEY CLUSTERED ([org_code])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table koca_org_info_ext
-- ----------------------------
ALTER TABLE [dbo].[koca_org_info_ext] ADD CONSTRAINT [PK__org_info__68B12E5DF17EE09D] PRIMARY KEY CLUSTERED ([org_code])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table koca_role_info
-- ----------------------------
ALTER TABLE [dbo].[koca_role_info] ADD CONSTRAINT [PK__role_inf__76092EE8ACC67227] PRIMARY KEY CLUSTERED ([role_no], [tenant_id])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table koca_user_info_base
-- ----------------------------
ALTER TABLE [dbo].[koca_user_info_base] ADD CONSTRAINT [PK__user_inf__B9B1F22537CECB6F] PRIMARY KEY CLUSTERED ([user_no])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table koca_user_info_ext
-- ----------------------------
ALTER TABLE [dbo].[koca_user_info_ext] ADD CONSTRAINT [PK__user_inf__A7AD3AE960269FC3] PRIMARY KEY CLUSTERED ([user_no], [user_key])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table koca_user_opt_log
-- ----------------------------
ALTER TABLE [dbo].[koca_user_opt_log] ADD CONSTRAINT [PK__user_opt__2F36BC5B67C13C3A] PRIMARY KEY CLUSTERED ([s_no])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table koca_user_org_info
-- ----------------------------
ALTER TABLE [dbo].[koca_user_org_info] ADD CONSTRAINT [PK__user_org__B9B1F2257F67E9C2] PRIMARY KEY CLUSTERED ([user_no])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table koca_user_pwd
-- ----------------------------
ALTER TABLE [dbo].[koca_user_pwd] ADD CONSTRAINT [PK__koca_user_pwd__B9B1F2255A49F8ED] PRIMARY KEY CLUSTERED ([user_no])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table koca_user_pwd_log
-- ----------------------------
ALTER TABLE [dbo].[koca_user_pwd_log] ADD CONSTRAINT [PK__koca_user_pwd__DDDF6446DE0A49A0] PRIMARY KEY CLUSTERED ([sno])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table koca_user_role_info
-- ----------------------------
ALTER TABLE [dbo].[koca_user_role_info] ADD CONSTRAINT [PK__user_rol__2ED160CBE872A51E] PRIMARY KEY CLUSTERED ([user_no], [role_no], [tenant_id])
ON [PRIMARY]
GO



-- KOCA_CONCAT
IF EXISTS(SELECT * FROM sys.objects WHERE name= 'KOCA_CONCAT')
DROP FUNCTION KOCA_CONCAT;
GO

CREATE FUNCTION KOCA_CONCAT (@STR1 VARCHAR(MAX), @STR2 VARCHAR(MAX)) RETURNS VARCHAR(MAX) AS
	BEGIN
		RETURN @STR1 + @STR2
	END
GO

-- KOCA_LEN
IF EXISTS(SELECT * FROM sys.objects WHERE name= 'KOCA_LENGTH')
DROP FUNCTION KOCA_LENGTH;
GO

CREATE FUNCTION KOCA_LENGTH (@STR VARCHAR(MAX)) RETURNS INT AS
BEGIN
	RETURN LEN(@STR)
END
GO

-- KOCA_LTRIM
IF EXISTS(SELECT * FROM sys.objects WHERE name= 'KOCA_LTRIM')
DROP FUNCTION KOCA_LTRIM;
GO

CREATE FUNCTION KOCA_LTRIM (@STR VARCHAR(MAX)) RETURNS VARCHAR(MAX) AS
	BEGIN
		RETURN LTRIM(@STR)
	END
GO

-- KOCA_RTRIM
IF EXISTS(SELECT * FROM sys.objects WHERE name= 'KOCA_RTRIM')
DROP FUNCTION KOCA_RTRIM;
GO

CREATE FUNCTION KOCA_RTRIM (@STR VARCHAR(MAX)) RETURNS VARCHAR(MAX) AS
	BEGIN
		RETURN RTRIM(@STR)
	END
GO	

-- KOCA_TRIM
IF EXISTS(SELECT * FROM sys.objects WHERE name= 'KOCA_TRIM')
DROP FUNCTION KOCA_TRIM;
GO

CREATE FUNCTION KOCA_TRIM (@STR VARCHAR(MAX)) RETURNS VARCHAR(MAX) AS
	BEGIN
		RETURN LTRIM(RTRIM(@STR))
	END
GO

-- KOCA_IF_EMPTY
IF EXISTS(SELECT * FROM sys.objects WHERE name= 'KOCA_IF_EMPTY')
DROP FUNCTION KOCA_IF_EMPTY;
GO

CREATE FUNCTION KOCA_IF_EMPTY (@str VARCHAR (MAX),@def_val VARCHAR (MAX)) RETURNS VARCHAR (MAX) AS
	BEGIN
		IF (@str IS NULL OR @str = '') RETURN @def_val ; RETURN @str ;
	END;
GO

-- KOCA_SUBSTR
IF EXISTS(SELECT * FROM sys.objects WHERE name= 'KOCA_SUBSTR')
DROP FUNCTION KOCA_SUBSTR;
GO

CREATE FUNCTION KOCA_SUBSTR (@STR VARCHAR(MAX), @START INT, @LENGTH INT) RETURNS VARCHAR(MAX) AS
	BEGIN
		RETURN SUBSTRING(@STR, @START, @LENGTH)
	END
GO

-- KOCA_SUBSTR_AFTER
IF EXISTS(SELECT * FROM sys.objects WHERE name= 'KOCA_SUBSTR_AFTER')
DROP FUNCTION KOCA_SUBSTR_AFTER;
GO

CREATE FUNCTION KOCA_SUBSTR_AFTER (@STR VARCHAR(MAX), @START INT) RETURNS VARCHAR(MAX) AS
	BEGIN
		RETURN SUBSTRING(@STR, @START, LEN(@STR))
	END
GO

-- KOCA_SUBSTRING
IF EXISTS(SELECT * FROM sys.objects WHERE name= 'KOCA_SUBSTRING')
DROP FUNCTION KOCA_SUBSTRING;
GO

CREATE FUNCTION KOCA_SUBSTRING (@STR VARCHAR(MAX), @START INT, @END INT) RETURNS VARCHAR(MAX) AS
	BEGIN
		RETURN SUBSTRING(@STR, @START, @END - @START)
	END
GO

-- KOCA_CHARINDEX
IF EXISTS(SELECT * FROM sys.objects WHERE name= 'KOCA_CHARINDEX')
DROP FUNCTION KOCA_CHARINDEX;
GO

CREATE FUNCTION KOCA_CHARINDEX (@STR VARCHAR(MAX), @STR1 VARCHAR(MAX)) RETURNS INT AS
	BEGIN
		RETURN CHARINDEX(@STR1, @STR)
	END
GO

-- KOCA_SPLIT_CHARINDEX
IF EXISTS(SELECT * FROM sys.objects WHERE name= 'KOCA_SPLIT_CHARINDEX')
DROP FUNCTION KOCA_SPLIT_CHARINDEX;
GO

CREATE FUNCTION KOCA_SPLIT_CHARINDEX (@STR VARCHAR(MAX), @STR1 VARCHAR(MAX), @SPLIT VARCHAR(MAX)) RETURNS INT AS
	BEGIN
		RETURN CHARINDEX(@SPLIT + @STR1 + @SPLIT, @SPLIT + @STR + @SPLIT)
	END
GO

-- KOCA_STR_TO_NUM
IF EXISTS(SELECT * FROM sys.objects WHERE name= 'KOCA_STR_TO_NUM')
DROP FUNCTION KOCA_STR_TO_NUM;
GO

CREATE FUNCTION KOCA_STR_TO_NUM (@NUM VARCHAR(100)) RETURNS NUMERIC AS
	BEGIN
		RETURN CAST(@NUM AS NUMERIC(18,0));
	END;
GO

-- KOCA_NUM_TO_STR
IF EXISTS(SELECT * FROM sys.objects WHERE name= 'KOCA_NUM_TO_STR')
DROP FUNCTION KOCA_NUM_TO_STR;
GO

CREATE FUNCTION KOCA_NUM_TO_STR (@NUM VARCHAR(100)) RETURNS VARCHAR (MAX) AS
	BEGIN
		RETURN @NUM;
	END;
GO

-- KOCA_DATE_TO_STR:返回'yyyymmdd'格式
IF EXISTS(SELECT * FROM sys.objects WHERE name= 'KOCA_DATE_TO_STR')
DROP FUNCTION KOCA_DATE_TO_STR;
GO

CREATE FUNCTION KOCA_DATE_TO_STR (@DATE DATE) RETURNS VARCHAR (MAX) AS
	BEGIN
		RETURN CONVERT (VARCHAR, @DATE, 112)
	END;
GO

-- KOCA_DATETIME_TO_STR:返回'yyyymmdd hh24:mi:ss'格式
IF EXISTS(SELECT * FROM sys.objects WHERE name= 'KOCA_DATETIME_TO_STR')
DROP FUNCTION KOCA_DATETIME_TO_STR;
GO

CREATE FUNCTION KOCA_DATETIME_TO_STR (@DATE DATETIME) RETURNS VARCHAR (MAX) AS
	BEGIN
		RETURN CONVERT (VARCHAR, @DATE, 112) + ' ' + CONVERT (VARCHAR, @DATE, 24)
	END;
	GO
	
-- KOCA_STR_TO_DATE:返回date，入参为'yyyymmdd'格式。
IF EXISTS(SELECT * FROM sys.objects WHERE name= 'KOCA_STR_TO_DATE')
DROP FUNCTION KOCA_STR_TO_DATE;
GO

CREATE FUNCTION KOCA_STR_TO_DATE (@DATE_STR VARCHAR(MAX)) RETURNS DATE AS
	BEGIN
		RETURN CONVERT (DATE, @DATE_STR, 112)
	END
GO

-- KOCA_STR_TO_DATETIME:返回date，入参为'yyyymmdd hh24:mi:ss'格式
IF EXISTS(SELECT * FROM sys.objects WHERE name= 'KOCA_STR_TO_DATETIME')
DROP FUNCTION KOCA_STR_TO_DATETIME;
GO

CREATE FUNCTION KOCA_STR_TO_DATETIME (@DATETIME_STR VARCHAR(MAX)) RETURNS DATETIME AS
	BEGIN
		RETURN CONVERT(DATETIME,@DATETIME_STR,120)
	END
GO
	
-- KOCA_GET_DATE_STR:获取当前日期，返回返回'yyyymmdd'格式
IF EXISTS(SELECT * FROM sys.objects WHERE name= 'KOCA_GET_DATE_STR')
DROP FUNCTION KOCA_GET_DATE_STR;
GO

CREATE FUNCTION KOCA_GET_DATE_STR () RETURNS VARCHAR (MAX) AS
BEGIN
	RETURN dbo.KOCA_DATE_TO_STR(GETDATE())
END
GO

-- KOCA_GET_DATETIME_STR：获取当前时间，返回'yyyymmdd hh24:mi:ss'格式
IF EXISTS(SELECT * FROM sys.objects WHERE name= 'KOCA_GET_DATETIME_STR')
DROP FUNCTION KOCA_GET_DATETIME_STR;
GO

CREATE FUNCTION KOCA_GET_DATETIME_STR () RETURNS VARCHAR (MAX) AS
BEGIN
	RETURN dbo.KOCA_DATETIME_TO_STR(GETDATE())
END
GO

-- KOCA_GET_DATE:获取当前日期，返回date，到天。
IF EXISTS(SELECT * FROM sys.objects WHERE name= 'KOCA_GET_DATE')
DROP FUNCTION KOCA_GET_DATE;
GO

CREATE FUNCTION KOCA_GET_DATE () RETURNS DATE AS
BEGIN
	RETURN dbo.KOCA_STR_TO_DATE(dbo.KOCA_GET_DATE_STR())
END;
GO

-- KOCA_GET_DATETIME：获取当前日期，返回date，到秒
IF EXISTS(SELECT * FROM sys.objects WHERE name= 'KOCA_GET_DATETIME')
DROP FUNCTION KOCA_GET_DATETIME;
GO

CREATE FUNCTION KOCA_GET_DATETIME () RETURNS DATETIME AS
BEGIN
	RETURN dbo.KOCA_STR_TO_DATETIME(dbo.KOCA_GET_DATETIME_STR())
END;
GO


-- ----------------------------
-- Table structure for user_opt_log_no
-- ----------------------------
IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[user_opt_log_no]') AND type IN ('U'))
        DROP TABLE [dbo].[user_opt_log_no]
GO

CREATE TABLE [dbo].[user_opt_log_no] (
  [id] int  IDENTITY(1,1) NOT NULL,
  constraint PK_USER_OPT_LOG_NO primary key nonclustered (id)
)
GO

-- ----------------------------
-- Table structure for user_pwd_log_no
-- ----------------------------
IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[user_pwd_log_no]') AND type IN ('U'))
        DROP TABLE [dbo].[user_pwd_log_no]
GO

CREATE TABLE [dbo].[user_pwd_log_no] (
  [id] int  IDENTITY(1,1) NOT NULL,
  constraint PK_USER_PWD_LOG_NO primary key nonclustered (id)
)
GO


ALTER TABLE [dbo].[koca_user_info_base] ADD oper_ext_attr nvarchar(16) default '0';

CREATE TABLE [dbo].[koca_sys_password_parameter] (
  [par_code] nvarchar(32) NOT NULL,
  [par_name] nvarchar(128) ,
  [par_val] nvarchar(32) ,
  [remark] nvarchar(128) NULL
)
GO

ALTER TABLE [dbo].[koca_sys_password_parameter] ADD CONSTRAINT [PK__password_parameter] PRIMARY KEY CLUSTERED ([par_code])
ON [PRIMARY]
GO
