/*
 Date: 14/07/2020 17:11:01
*/


-- ----------------------------
-- Table structure for koca_perm_menu_role
-- ----------------------------

CREATE TABLE [dbo].[koca_perm_menu_role] (
  [id] nvarchar(32) NOT NULL,
  [menu_id] nvarchar(10) NULL,
  [role_no] nvarchar(8) NULL,
  [right_type] nvarchar(2) NULL,
  [grant_user] nvarchar(32) NULL,
  [grant_time] nvarchar(16) NULL,
  [tenant_id] nvarchar(32) NOT NULL
)
GO

CREATE TABLE [dbo].[koca_menu_group] (
    [group_code] nvarchar(32) NOT NULL,
    [group_name] nvarchar(32) NOT NULL,
    [remark] nvarchar(128) NULL,
    [modifiable] nvarchar(1) NULL,
    [create_time] nvarchar(32) NULL
    )
GO

ALTER TABLE [dbo].[koca_menu_group] ADD CONSTRAINT [PK__menu_group] PRIMARY KEY CLUSTERED ([group_code])
    ON [PRIMARY]
    GO

CREATE TABLE [dbo].[koca_perm_menu_group] (
    [menu_id] nvarchar(10) NOT NULL,
    [group_code] nvarchar(32) NOT NULL
    )
    GO

ALTER TABLE [dbo].[koca_perm_menu_group] ADD CONSTRAINT [PK__perm_menu_group] PRIMARY KEY CLUSTERED ([menu_id], [group_code])
    ON [PRIMARY]
    GO

CREATE TABLE [dbo].[koca_role_menu_group] (
    [role_no] nvarchar(10) NOT NULL,
    [group_code] nvarchar(32) NOT NULL,
    [tenant_id] nvarchar(32) NOT NULL
    )
    GO

ALTER TABLE [dbo].[koca_role_menu_group] ADD CONSTRAINT [PK__role_menu_group] PRIMARY KEY CLUSTERED ([role_no], [group_code], [tenant_id])
    ON [PRIMARY]
    GO

-- ----------------------------
-- Table structure for koca_perm_menu_user
-- ----------------------------

CREATE TABLE [dbo].[koca_perm_menu_user] (
  [id] nvarchar(32) NOT NULL,
  [menu_id] nvarchar(10) NOT NULL,
  [user_no] nvarchar(32) NOT NULL,
  [right_type] nvarchar(2) NOT NULL,
  [grant_user] nvarchar(32) NULL,
  [grant_time] nvarchar(16) NULL
)
GO



-- ----------------------------
-- Indexes structure for table koca_perm_menu_role
-- ----------------------------
CREATE NONCLUSTERED INDEX [perm_role_unique_key]
ON [dbo].[koca_perm_menu_role] (
  [menu_id] ASC,
  [role_no] ASC,
  [tenant_id] ASC
)
GO


-- ----------------------------
-- Primary Key structure for table koca_perm_menu_role
-- ----------------------------
ALTER TABLE [dbo].[koca_perm_menu_role] ADD CONSTRAINT [PK__perm_men__3213E83F8150B4C2] PRIMARY KEY CLUSTERED ([id])
ON [PRIMARY]
GO


-- ----------------------------
-- Indexes structure for table koca_perm_menu_user
-- ----------------------------
CREATE NONCLUSTERED INDEX [perm_user_unique]
ON [dbo].[koca_perm_menu_user] (
  [menu_id] ASC,
  [user_no] ASC
)
GO


-- ----------------------------
-- Primary Key structure for table koca_perm_menu_user
-- ----------------------------
ALTER TABLE [dbo].[koca_perm_menu_user] ADD CONSTRAINT [PK__perm_men__3213E83F12869700] PRIMARY KEY CLUSTERED ([id])
ON [PRIMARY]
GO

CREATE TABLE [dbo].[koca_user_favorite_menu] (
  [user_no] nvarchar(32) NOT NULL,
  [menu_id] nvarchar(10) NOT NULL,
  [record_type] nvarchar(2) default '0'
)
GO
