/*
 Date: 14/07/2020 17:11:01
*/


-- ----------------------------
-- Table structure for koca_perm_menu_role
-- ----------------------------

CREATE TABLE [dbo].[koca_perm_menu_role] (
  [id] nvarchar(32) NOT NULL,
  [menu_id] nvarchar(10) NULL,
  [role_no] nvarchar(8) NULL,
  [right_type] nvarchar(2) NULL,
  [grant_user] nvarchar(8) NULL,
  [grant_time] nvarchar(16) NULL
)
GO



-- ----------------------------
-- Table structure for koca_perm_menu_user
-- ----------------------------

CREATE TABLE [dbo].[koca_perm_menu_user] (
  [id] nvarchar(32) NOT NULL,
  [menu_id] nvarchar(10) NOT NULL,
  [user_no] nvarchar(8) NOT NULL,
  [right_type] nvarchar(2) NOT NULL,
  [grant_user] nvarchar(8) NULL,
  [grant_time] nvarchar(16) NULL
)
GO



-- ----------------------------
-- Indexes structure for table koca_perm_menu_role
-- ----------------------------
CREATE NONCLUSTERED INDEX [perm_role_unique_key]
ON [dbo].[koca_perm_menu_role] (
  [menu_id] ASC,
  [role_no] ASC
)
GO


-- ----------------------------
-- Primary Key structure for table koca_perm_menu_role
-- ----------------------------
ALTER TABLE [dbo].[koca_perm_menu_role] ADD CONSTRAINT [PK__perm_men__3213E83F8150B4C2] PRIMARY KEY CLUSTERED ([id])
ON [PRIMARY]
GO


-- ----------------------------
-- Indexes structure for table koca_perm_menu_user
-- ----------------------------
CREATE NONCLUSTERED INDEX [perm_user_unique]
ON [dbo].[koca_perm_menu_user] (
  [menu_id] ASC,
  [user_no] ASC
)
GO


-- ----------------------------
-- Primary Key structure for table koca_perm_menu_user
-- ----------------------------
ALTER TABLE [dbo].[koca_perm_menu_user] ADD CONSTRAINT [PK__perm_men__3213E83F12869700] PRIMARY KEY CLUSTERED ([id])
ON [PRIMARY]
GO

CREATE TABLE [dbo].[koca_user_favorite_menu] (
  [user_no] nvarchar(8) NOT NULL,
  [menu_id] nvarchar(10) NOT NULL
)
GO

ALTER TABLE [dbo].[koca_user_favorite_menu] ADD CONSTRAINT [PK__user_favorite] PRIMARY KEY CLUSTERED ([user_no],[menu_id])
ON [PRIMARY]
GO
