alter table koca_perm_menu_role add tenant_id nvarchar(32) default '*' not null
GO
drop INDEX perm_role_unique_key on koca_perm_menu_role;
GO
CREATE NONCLUSTERED INDEX [perm_role_unique_key]
ON [dbo].[koca_perm_menu_role] (
  [menu_id] ASC,
  [role_no] ASC,
  [tenant_id] ASC
)
GO

CREATE TABLE [dbo].[koca_menu_group] (
    [group_code] nvarchar(32) NOT NULL,
    [group_name] nvarchar(32) NOT NULL,
    [remark] nvarchar(128) NULL,
    [modifiable] nvarchar(1) NULL,
    [create_time] nvarchar(32) NULL
    )
    GO

ALTER TABLE [dbo].[koca_menu_group] ADD CONSTRAINT [PK__menu_group] PRIMARY KEY CLUSTERED ([group_code])
    ON [PRIMARY]
    GO

CREATE TABLE [dbo].[koca_perm_menu_group] (
    [menu_id] nvarchar(10) NOT NULL,
    [group_code] nvarchar(32) NOT NULL
    )
    GO

ALTER TABLE [dbo].[koca_perm_menu_group] ADD CONSTRAINT [PK__perm_menu_group] PRIMARY KEY CLUSTERED ([menu_id], [group_code])
    ON [PRIMARY]
    GO

CREATE TABLE [dbo].[koca_role_menu_group] (
    [role_no] nvarchar(10) NOT NULL,
    [group_code] nvarchar(32) NOT NULL,
    [tenant_id] nvarchar(32) NOT NULL
    )
    GO

ALTER TABLE [dbo].[koca_role_menu_group] ADD CONSTRAINT [PK__role_menu_group] PRIMARY KEY CLUSTERED ([role_no], [group_code], [tenant_id])
    ON [PRIMARY]
    GO