CREATE TABLE dbo.koca_lcp_workflow_page_group (id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_workflow_page_group_tenant_id DEFAULT '-1' NOT NULL, group_code nvarchar(64) NOT NULL, group_name nvarchar(64) NOT NULL, parent_id bigint CONSTRAINT DF_koca_lcp_workflow_page_group_parent_id DEFAULT '-1' NOT NULL, id_path nvarchar(512) NOT NULL, sort_no int CONSTRAINT DF_koca_lcp_workflow_page_group_sort_no DEFAULT 0 NOT NULL, created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_WORKFLOW_PAGE_GROUP PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'工作流表单分组',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page_group'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page_group',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page_group',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面分组编码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page_group',
'COLUMN', N'group_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面分组名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page_group',
'COLUMN', N'group_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'父级目录',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page_group',
'COLUMN', N'parent_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面分组id路径，用于删除或查询',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page_group',
'COLUMN', N'id_path'
GO

EXEC sp_addextendedproperty
'MS_Description', N'序号，用于同级目录排序',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page_group',
'COLUMN', N'sort_no'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page_group',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page_group',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page_group',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page_group',
'COLUMN', N'updated_at'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_wf_page_group_code ON dbo.koca_lcp_workflow_page_group(tenant_id, parent_id, group_code)
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_wf_page_group_name ON dbo.koca_lcp_workflow_page_group(tenant_id, parent_id, group_name)
GO

CREATE TABLE dbo.koca_lcp_workflow_page (id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_workflow_page_tenant_id DEFAULT '-1' NOT NULL, group_id bigint CONSTRAINT DF_koca_lcp_workflow_page_group_id DEFAULT '-1' NOT NULL, workflow_page_code nvarchar(64) NOT NULL, workflow_page_name nvarchar(64) NOT NULL, workflow_page_meta varchar(MAX), workflow_page_type nvarchar(32) CONSTRAINT DF_koca_lcp_workflow_page_workflow_page_type DEFAULT 'FROM' NOT NULL, meta_comp_json varchar(MAX), meta_item_json varchar(MAX), deploy_status nvarchar(32) NOT NULL, created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_WORKFLOW_PAGE PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'工作流表单',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'父级目录',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page',
'COLUMN', N'group_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'工作流表单编码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page',
'COLUMN', N'workflow_page_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'工作流表单名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page',
'COLUMN', N'workflow_page_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'工作流表单元数据',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page',
'COLUMN', N'workflow_page_meta'
GO

EXEC sp_addextendedproperty
'MS_Description', N'类型:表单/模版',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page',
'COLUMN', N'workflow_page_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'元数据组件json',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page',
'COLUMN', N'meta_comp_json'
GO

EXEC sp_addextendedproperty
'MS_Description', N'元数据表单项json',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page',
'COLUMN', N'meta_item_json'
GO

EXEC sp_addextendedproperty
'MS_Description', N'发布状态',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page',
'COLUMN', N'deploy_status'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page',
'COLUMN', N'updated_at'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_wf_page_code ON dbo.koca_lcp_workflow_page(tenant_id, workflow_page_type, workflow_page_code)
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_wf_page_name ON dbo.koca_lcp_workflow_page(tenant_id, workflow_page_type, workflow_page_name)
GO

CREATE TABLE dbo.koca_lcp_workflow_page_inst (id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_workflow_page_inst_tenant_id DEFAULT '-1' NOT NULL, workflow_page_code nvarchar(64) NOT NULL, workflow_page_meta varchar(MAX), meta_comp_json varchar(MAX), meta_item_json varchar(MAX), deploy_at nvarchar(32) NOT NULL, deploy_version INT NOT NULL, CONSTRAINT PK_KOCA_LCP_WORKFLOW_PAGE_INST PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'工作流表单实例表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page_inst'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page_inst',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page_inst',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'工作流表单CODE',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page_inst',
'COLUMN', N'workflow_page_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'工作流表单元数据',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page_inst',
'COLUMN', N'workflow_page_meta'
GO

EXEC sp_addextendedproperty
'MS_Description', N'元数据组件json',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page_inst',
'COLUMN', N'meta_comp_json'
GO

EXEC sp_addextendedproperty
'MS_Description', N'元数据表单项json',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page_inst',
'COLUMN', N'meta_item_json'
GO

EXEC sp_addextendedproperty
'MS_Description', N'发布时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page_inst',
'COLUMN', N'deploy_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'发布版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page_inst',
'COLUMN', N'deploy_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_wf_page_inst_code ON dbo.koca_lcp_workflow_page_inst(tenant_id, deploy_version, workflow_page_code)
GO

CREATE TABLE dbo.koca_lcp_var_workflow_page (id bigint NOT NULL, workflow_page_id bigint NOT NULL, var_name nvarchar(512) NOT NULL, CONSTRAINT PK_KOCA_LCP_VAR_WORKFLOW_PAGE PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'全局变量/方法-工作流表单映射表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_workflow_page'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_workflow_page',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'工作流表单id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_workflow_page',
'COLUMN', N'workflow_page_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'全局变量/方法名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_workflow_page',
'COLUMN', N'var_name'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_var_wf_page_id ON dbo.koca_lcp_var_workflow_page(workflow_page_id, var_name)
GO

CREATE TABLE dbo.koca_lcp_var_wf_page_inst (id bigint NOT NULL, var_name nvarchar(512) NOT NULL, var_type nvarchar(16) NOT NULL, var_content varchar (max) NOT NULL, inst_id bigint NOT NULL, CONSTRAINT PK_KOCA_LCP_VAR_WF_PAGE_INST PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'全局变量/方法-页面映射实例表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_wf_page_inst'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_wf_page_inst',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'全局变量/方法名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_wf_page_inst',
'COLUMN', N'var_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'类型：VAR、METHOD',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_wf_page_inst',
'COLUMN', N'var_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'全局变量/方法内容',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_wf_page_inst',
'COLUMN', N'var_content'
GO

EXEC sp_addextendedproperty
'MS_Description', N'实例id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_wf_page_inst',
'COLUMN', N'inst_id'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_wf_page_var_inst ON dbo.koca_lcp_var_wf_page_inst(inst_id, var_name)
GO

CREATE TABLE dbo.koca_lcp_workflow_page_tmpl (id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_workflow_page_tmpl_tenant_id DEFAULT '-1' NOT NULL, tmpl_name nvarchar(64) NOT NULL, workflow_page_meta varchar(MAX), meta_comp_json varchar(MAX), meta_item_json varchar(MAX), created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_WORKFLOW_PAGE_TMPL PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'工作流表单模版表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page_tmpl'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page_tmpl',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page_tmpl',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'模版名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page_tmpl',
'COLUMN', N'tmpl_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'工作流表单元数据',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page_tmpl',
'COLUMN', N'workflow_page_meta'
GO

EXEC sp_addextendedproperty
'MS_Description', N'元数据组件json',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page_tmpl',
'COLUMN', N'meta_comp_json'
GO

EXEC sp_addextendedproperty
'MS_Description', N'元数据表单项json',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page_tmpl',
'COLUMN', N'meta_item_json'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page_tmpl',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page_tmpl',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page_tmpl',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_workflow_page_tmpl',
'COLUMN', N'updated_at'
GO

CREATE TABLE dbo.koca_lcp_var_wf_page_tmpl (id bigint NOT NULL, var_name nvarchar(512) NOT NULL, tmpl_id bigint NOT NULL, CONSTRAINT PK_KOCA_LCP_VAR_WF_PAGE_TMPL PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'全局变量/方法-页面映射模版表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_wf_page_tmpl'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_wf_page_tmpl',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'全局变量/方法名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_wf_page_tmpl',
'COLUMN', N'var_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'模版id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_wf_page_tmpl',
'COLUMN', N'tmpl_id'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_wf_page_tmpl_var ON dbo.koca_lcp_var_wf_page_tmpl(tmpl_id, var_name)
GO

