
/*
 Date: 14/07/2020 17:12:11
*/

/*
-- ----------------------------
-- Table structure for act_evt_log
-- ----------------------------

CREATE TABLE [dbo].[act_evt_log] (
  [LOG_NR_] bigint  NOT NULL,
  [TYPE_] nvarchar(64) NULL,
  [PROC_DEF_ID_] nvarchar(64) NULL,
  [PROC_INST_ID_] nvarchar(64) NULL,
  [EXECUTION_ID_] nvarchar(64) NULL,
  [TASK_ID_] nvarchar(64) NULL,
  [TIME_STAMP_] datetime2(7)  NULL,
  [USER_ID_] nvarchar(255) NULL,
  [DATA_] varbinary(max)  NULL,
  [LOCK_OWNER_] nvarchar(255) NULL,
  [LOCK_TIME_] datetime2(7)  NULL,
  [IS_PROCESSED_] tinyint  NULL
)
GO



-- ----------------------------
-- Table structure for act_ge_bytearray
-- ----------------------------

CREATE TABLE [dbo].[act_ge_bytearray] (
  [ID_] nvarchar(64) NOT NULL,
  [REV_] int  NULL,
  [NAME_] nvarchar(255) NULL,
  [DEPLOYMENT_ID_] nvarchar(64) NULL,
  [BYTES_] varbinary(max)  NULL,
  [GENERATED_] tinyint  NULL
)
GO



-- ----------------------------
-- Table structure for act_ge_property
-- ----------------------------

CREATE TABLE [dbo].[act_ge_property] (
  [NAME_] nvarchar(64) NOT NULL,
  [VALUE_] nvarchar(300) NULL,
  [REV_] int  NULL
)
GO



-- ----------------------------
-- Table structure for act_hi_actinst
-- ----------------------------

CREATE TABLE [dbo].[act_hi_actinst] (
  [ID_] nvarchar(64) NOT NULL,
  [PROC_DEF_ID_] nvarchar(64) NOT NULL,
  [PROC_INST_ID_] nvarchar(64) NOT NULL,
  [EXECUTION_ID_] nvarchar(64) NOT NULL,
  [ACT_ID_] nvarchar(255) NOT NULL,
  [TASK_ID_] nvarchar(64) NULL,
  [CALL_PROC_INST_ID_] nvarchar(64) NULL,
  [ACT_NAME_] nvarchar(255) NULL,
  [ACT_TYPE_] nvarchar(255) NOT NULL,
  [ASSIGNEE_] nvarchar(255) NULL,
  [START_TIME_] datetime2(7)  NULL,
  [END_TIME_] datetime2(7)  NULL,
  [DURATION_] bigint  NULL,
  [TENANT_ID_] nvarchar(255) NULL
)
GO



-- ----------------------------
-- Table structure for act_hi_attachment
-- ----------------------------

CREATE TABLE [dbo].[act_hi_attachment] (
  [ID_] nvarchar(64) NOT NULL,
  [REV_] int  NULL,
  [USER_ID_] nvarchar(255) NULL,
  [NAME_] nvarchar(255) NULL,
  [DESCRIPTION_] nvarchar(4000) NULL,
  [TYPE_] nvarchar(255) NULL,
  [TASK_ID_] nvarchar(64) NULL,
  [PROC_INST_ID_] nvarchar(64) NULL,
  [URL_] nvarchar(4000) NULL,
  [CONTENT_ID_] nvarchar(64) NULL,
  [TIME_] datetime2(7)  NULL
)
GO



-- ----------------------------
-- Table structure for act_hi_comment
-- ----------------------------

CREATE TABLE [dbo].[act_hi_comment] (
  [ID_] nvarchar(64) NOT NULL,
  [TYPE_] nvarchar(255) NULL,
  [TIME_] datetime2(7)  NULL,
  [USER_ID_] nvarchar(255) NULL,
  [TASK_ID_] nvarchar(64) NULL,
  [PROC_INST_ID_] nvarchar(64) NULL,
  [ACTION_] nvarchar(255) NULL,
  [MESSAGE_] nvarchar(4000) NULL,
  [FULL_MSG_] varbinary(max)  NULL
)
GO



-- ----------------------------
-- Table structure for act_hi_detail
-- ----------------------------

CREATE TABLE [dbo].[act_hi_detail] (
  [ID_] nvarchar(64) NOT NULL,
  [TYPE_] nvarchar(255) NOT NULL,
  [PROC_INST_ID_] nvarchar(64) NULL,
  [EXECUTION_ID_] nvarchar(64) NULL,
  [TASK_ID_] nvarchar(64) NULL,
  [ACT_INST_ID_] nvarchar(64) NULL,
  [NAME_] nvarchar(255) NOT NULL,
  [VAR_TYPE_] nvarchar(255) NULL,
  [REV_] int  NULL,
  [TIME_] datetime2(7)  NULL,
  [BYTEARRAY_ID_] nvarchar(64) NULL,
  [DOUBLE_] float(53)  NULL,
  [LONG_] bigint  NULL,
  [TEXT_] nvarchar(4000) NULL,
  [TEXT2_] nvarchar(4000) NULL
)
GO



-- ----------------------------
-- Table structure for act_hi_identitylink
-- ----------------------------

CREATE TABLE [dbo].[act_hi_identitylink] (
  [ID_] nvarchar(64) NOT NULL,
  [GROUP_ID_] nvarchar(255) NULL,
  [TYPE_] nvarchar(255) NULL,
  [USER_ID_] nvarchar(255) NULL,
  [TASK_ID_] nvarchar(64) NULL,
  [PROC_INST_ID_] nvarchar(64) NULL
)
GO



-- ----------------------------
-- Table structure for act_hi_procinst
-- ----------------------------

CREATE TABLE [dbo].[act_hi_procinst] (
  [ID_] nvarchar(64) NOT NULL,
  [PROC_INST_ID_] nvarchar(64) NOT NULL,
  [BUSINESS_KEY_] nvarchar(255) NULL,
  [PROC_DEF_ID_] nvarchar(64) NOT NULL,
  [START_TIME_] datetime2(7)  NULL,
  [END_TIME_] datetime2(7)  NULL,
  [DURATION_] bigint  NULL,
  [START_USER_ID_] nvarchar(255) NULL,
  [START_ACT_ID_] nvarchar(255) NULL,
  [END_ACT_ID_] nvarchar(255) NULL,
  [SUPER_PROCESS_INSTANCE_ID_] nvarchar(64) NULL,
  [DELETE_REASON_] nvarchar(4000) NULL,
  [TENANT_ID_] nvarchar(255) NULL,
  [NAME_] nvarchar(255) NULL
)
GO



-- ----------------------------
-- Table structure for act_hi_taskinst
-- ----------------------------

CREATE TABLE [dbo].[act_hi_taskinst] (
  [ID_] nvarchar(64) NOT NULL,
  [PROC_DEF_ID_] nvarchar(64) NULL,
  [TASK_DEF_KEY_] nvarchar(255) NULL,
  [PROC_INST_ID_] nvarchar(64) NULL,
  [EXECUTION_ID_] nvarchar(64) NULL,
  [NAME_] nvarchar(255) NULL,
  [PARENT_TASK_ID_] nvarchar(64) NULL,
  [DESCRIPTION_] nvarchar(4000) NULL,
  [OWNER_] nvarchar(255) NULL,
  [ASSIGNEE_] nvarchar(255) NULL,
  [START_TIME_] datetime2(7)  NULL,
  [CLAIM_TIME_] datetime2(7)  NULL,
  [END_TIME_] datetime2(7)  NULL,
  [DURATION_] bigint  NULL,
  [DELETE_REASON_] nvarchar(4000) NULL,
  [PRIORITY_] int  NULL,
  [DUE_DATE_] datetime2(7)  NULL,
  [FORM_KEY_] nvarchar(255) NULL,
  [CATEGORY_] nvarchar(255) NULL,
  [TENANT_ID_] nvarchar(255) NULL
)
GO



-- ----------------------------
-- Table structure for act_hi_varinst
-- ----------------------------

CREATE TABLE [dbo].[act_hi_varinst] (
  [ID_] nvarchar(64) NOT NULL,
  [PROC_INST_ID_] nvarchar(64) NULL,
  [EXECUTION_ID_] nvarchar(64) NULL,
  [TASK_ID_] nvarchar(64) NULL,
  [NAME_] nvarchar(255) NOT NULL,
  [VAR_TYPE_] nvarchar(100) NULL,
  [REV_] int  NULL,
  [BYTEARRAY_ID_] nvarchar(64) NULL,
  [DOUBLE_] float(53)  NULL,
  [LONG_] bigint  NULL,
  [TEXT_] nvarchar(4000) NULL,
  [TEXT2_] nvarchar(4000) NULL,
  [CREATE_TIME_] datetime2(7)  NULL,
  [LAST_UPDATED_TIME_] datetime2(7)  NULL
)
GO



-- ----------------------------
-- Table structure for act_id_group
-- ----------------------------

CREATE TABLE [dbo].[act_id_group] (
  [ID_] nvarchar(64) NOT NULL,
  [REV_] int  NULL,
  [NAME_] nvarchar(255) NULL,
  [TYPE_] nvarchar(255) NULL
)
GO



-- ----------------------------
-- Table structure for act_id_info
-- ----------------------------

CREATE TABLE [dbo].[act_id_info] (
  [ID_] nvarchar(64) NOT NULL,
  [REV_] int  NULL,
  [USER_ID_] nvarchar(64) NULL,
  [TYPE_] nvarchar(64) NULL,
  [KEY_] nvarchar(255) NULL,
  [VALUE_] nvarchar(255) NULL,
  [PASSWORD_] varbinary(max)  NULL,
  [PARENT_ID_] nvarchar(255) NULL
)
GO



-- ----------------------------
-- Table structure for act_id_membership
-- ----------------------------

CREATE TABLE [dbo].[act_id_membership] (
  [USER_ID_] nvarchar(64) NOT NULL,
  [GROUP_ID_] nvarchar(64) NOT NULL
)
GO



-- ----------------------------
-- Table structure for act_id_user
-- ----------------------------

CREATE TABLE [dbo].[act_id_user] (
  [ID_] nvarchar(64) NOT NULL,
  [REV_] int  NULL,
  [FIRST_] nvarchar(255) NULL,
  [LAST_] nvarchar(255) NULL,
  [EMAIL_] nvarchar(255) NULL,
  [PWD_] nvarchar(255) NULL,
  [PICTURE_ID_] nvarchar(64) NULL
)
GO



-- ----------------------------
-- Table structure for act_procdef_info
-- ----------------------------

CREATE TABLE [dbo].[act_procdef_info] (
  [ID_] nvarchar(64) NOT NULL,
  [PROC_DEF_ID_] nvarchar(64) NOT NULL,
  [REV_] int  NULL,
  [INFO_JSON_ID_] nvarchar(64) NULL
)
GO



-- ----------------------------
-- Table structure for act_re_deployment
-- ----------------------------

CREATE TABLE [dbo].[act_re_deployment] (
  [ID_] nvarchar(64) NOT NULL,
  [NAME_] nvarchar(255) NULL,
  [CATEGORY_] nvarchar(255) NULL,
  [TENANT_ID_] nvarchar(255) NULL,
  [DEPLOY_TIME_] datetime2(7)  NULL
)
GO



-- ----------------------------
-- Table structure for act_re_model
-- ----------------------------

CREATE TABLE [dbo].[act_re_model] (
  [ID_] nvarchar(64) NOT NULL,
  [REV_] int  NULL,
  [NAME_] nvarchar(255) NULL,
  [KEY_] nvarchar(255) NULL,
  [CATEGORY_] nvarchar(255) NULL,
  [CREATE_TIME_] datetime2(7)  NULL,
  [LAST_UPDATE_TIME_] datetime2(7)  NULL,
  [VERSION_] int  NULL,
  [META_INFO_] nvarchar(4000) NULL,
  [DEPLOYMENT_ID_] nvarchar(64) NULL,
  [EDITOR_SOURCE_VALUE_ID_] nvarchar(64) NULL,
  [EDITOR_SOURCE_EXTRA_VALUE_ID_] nvarchar(64) NULL,
  [TENANT_ID_] nvarchar(255) NULL
)
GO



-- ----------------------------
-- Table structure for act_re_procdef
-- ----------------------------

CREATE TABLE [dbo].[act_re_procdef] (
  [ID_] nvarchar(64) NOT NULL,
  [REV_] int  NULL,
  [CATEGORY_] nvarchar(255) NULL,
  [NAME_] nvarchar(255) NULL,
  [KEY_] nvarchar(255) NOT NULL,
  [VERSION_] int  NOT NULL,
  [DEPLOYMENT_ID_] nvarchar(64) NULL,
  [RESOURCE_NAME_] nvarchar(4000) NULL,
  [DGRM_RESOURCE_NAME_] nvarchar(4000) NULL,
  [DESCRIPTION_] nvarchar(4000) NULL,
  [HAS_START_FORM_KEY_] tinyint  NULL,
  [HAS_GRAPHICAL_NOTATION_] tinyint  NULL,
  [SUSPENSION_STATE_] int  NULL,
  [TENANT_ID_] nvarchar(255) NULL
)
GO



-- ----------------------------
-- Table structure for act_ru_event_subscr
-- ----------------------------

CREATE TABLE [dbo].[act_ru_event_subscr] (
  [ID_] nvarchar(64) NOT NULL,
  [REV_] int  NULL,
  [EVENT_TYPE_] nvarchar(255) NOT NULL,
  [EVENT_NAME_] nvarchar(255) NULL,
  [EXECUTION_ID_] nvarchar(64) NULL,
  [PROC_INST_ID_] nvarchar(64) NULL,
  [ACTIVITY_ID_] nvarchar(64) NULL,
  [CONFIGURATION_] nvarchar(255) NULL,
  [CREATED_] datetime2(7)  NOT NULL,
  [PROC_DEF_ID_] nvarchar(64) NULL,
  [TENANT_ID_] nvarchar(255) NULL
)
GO



-- ----------------------------
-- Table structure for act_ru_execution
-- ----------------------------

CREATE TABLE [dbo].[act_ru_execution] (
  [ID_] nvarchar(64) NOT NULL,
  [REV_] int  NULL,
  [PROC_INST_ID_] nvarchar(64) NULL,
  [BUSINESS_KEY_] nvarchar(255) NULL,
  [PARENT_ID_] nvarchar(64) NULL,
  [PROC_DEF_ID_] nvarchar(64) NULL,
  [SUPER_EXEC_] nvarchar(64) NULL,
  [ACT_ID_] nvarchar(255) NULL,
  [IS_ACTIVE_] tinyint  NULL,
  [IS_CONCURRENT_] tinyint  NULL,
  [IS_SCOPE_] tinyint  NULL,
  [IS_EVENT_SCOPE_] tinyint  NULL,
  [SUSPENSION_STATE_] int  NULL,
  [CACHED_ENT_STATE_] int  NULL,
  [TENANT_ID_] nvarchar(255) NULL,
  [NAME_] nvarchar(255) NULL,
  [LOCK_TIME_] datetime2(7)  NULL
)
GO



-- ----------------------------
-- Table structure for act_ru_identitylink
-- ----------------------------

CREATE TABLE [dbo].[act_ru_identitylink] (
  [ID_] nvarchar(64) NOT NULL,
  [REV_] int  NULL,
  [GROUP_ID_] nvarchar(255) NULL,
  [TYPE_] nvarchar(255) NULL,
  [USER_ID_] nvarchar(255) NULL,
  [TASK_ID_] nvarchar(64) NULL,
  [PROC_INST_ID_] nvarchar(64) NULL,
  [PROC_DEF_ID_] nvarchar(64) NULL
)
GO



-- ----------------------------
-- Table structure for act_ru_job
-- ----------------------------

CREATE TABLE [dbo].[act_ru_job] (
  [ID_] nvarchar(64) NOT NULL,
  [REV_] int  NULL,
  [TYPE_] nvarchar(255) NOT NULL,
  [LOCK_EXP_TIME_] datetime2(7)  NULL,
  [LOCK_OWNER_] nvarchar(255) NULL,
  [EXCLUSIVE_] tinyint  NULL,
  [EXECUTION_ID_] nvarchar(64) NULL,
  [PROCESS_INSTANCE_ID_] nvarchar(64) NULL,
  [PROC_DEF_ID_] nvarchar(64) NULL,
  [RETRIES_] int  NULL,
  [EXCEPTION_STACK_ID_] nvarchar(64) NULL,
  [EXCEPTION_MSG_] nvarchar(4000) NULL,
  [DUEDATE_] datetime2(7)  NULL,
  [REPEAT_] nvarchar(255) NULL,
  [HANDLER_TYPE_] nvarchar(255) NULL,
  [HANDLER_CFG_] nvarchar(4000) NULL,
  [TENANT_ID_] nvarchar(255) NULL
)
GO



-- ----------------------------
-- Table structure for act_ru_task
-- ----------------------------

CREATE TABLE [dbo].[act_ru_task] (
  [ID_] nvarchar(64) NOT NULL,
  [REV_] int  NULL,
  [EXECUTION_ID_] nvarchar(64) NULL,
  [PROC_INST_ID_] nvarchar(64) NULL,
  [PROC_DEF_ID_] nvarchar(64) NULL,
  [NAME_] nvarchar(255) NULL,
  [PARENT_TASK_ID_] nvarchar(64) NULL,
  [DESCRIPTION_] nvarchar(4000) NULL,
  [TASK_DEF_KEY_] nvarchar(255) NULL,
  [OWNER_] nvarchar(255) NULL,
  [ASSIGNEE_] nvarchar(255) NULL,
  [DELEGATION_] nvarchar(64) NULL,
  [PRIORITY_] int  NULL,
  [CREATE_TIME_] datetime2(7)  NULL,
  [DUE_DATE_] datetime2(7)  NULL,
  [CATEGORY_] nvarchar(255) NULL,
  [SUSPENSION_STATE_] int  NULL,
  [TENANT_ID_] nvarchar(255) NULL,
  [FORM_KEY_] nvarchar(255) NULL
)
GO



-- ----------------------------
-- Table structure for act_ru_variable
-- ----------------------------

CREATE TABLE [dbo].[act_ru_variable] (
  [ID_] nvarchar(64) NOT NULL,
  [REV_] int  NULL,
  [TYPE_] nvarchar(255) NOT NULL,
  [NAME_] nvarchar(255) NOT NULL,
  [EXECUTION_ID_] nvarchar(64) NULL,
  [PROC_INST_ID_] nvarchar(64) NULL,
  [TASK_ID_] nvarchar(64) NULL,
  [BYTEARRAY_ID_] nvarchar(64) NULL,
  [DOUBLE_] float(53)  NULL,
  [LONG_] bigint  NULL,
  [TEXT_] nvarchar(4000) NULL,
  [TEXT2_] nvarchar(4000) NULL
)
GO



-- ----------------------------
-- Table structure for kwk_bean
-- ----------------------------

CREATE TABLE [dbo].[kwk_bean] (
  [ID_] nvarchar(64) NOT NULL,
  [BEAN_ID_] nvarchar(64) NOT NULL,
  [BEAN_NAME_] nvarchar(64) NOT NULL,
  [TYPE_] int  NOT NULL,
  [DESCRIPTION_] nvarchar(255) NULL,
  [CREATE_TIME_] datetime2(7)  NULL,
  [UPDATE_TIME_] datetime2(7)  NULL,
  [TENANT_ID_] nvarchar(255) NULL
)
GO



-- ----------------------------
-- Table structure for kwk_biz_index_data
-- ----------------------------

CREATE TABLE [dbo].[kwk_biz_index_data] (
  [BIZ_KEY_] nvarchar(64) NOT NULL,
  [BIZ_TYPE_] nvarchar(64) NOT NULL,
  [BIZ_NAME_] nvarchar(255) NULL,
  [BIZ_DESCRIPTION_] text NULL,
  [PROC_INST_ID_] nvarchar(64) NOT NULL,
  [PROC_INST_STATUS_] int  NOT NULL,
  [CREATE_TIME_] datetime2(7)  NULL,
  [TENANT_ID_] nvarchar(255) NULL
)
GO



-- ----------------------------
-- Table structure for kwk_biz_index_key_data
-- ----------------------------

CREATE TABLE [dbo].[kwk_biz_index_key_data] (
  [BIZ_KEY_] nvarchar(64) NOT NULL,
  [KEY_] nvarchar(64) NOT NULL,
  [VALUE_] nvarchar(255) NULL,
  [PROC_INST_ID_] nvarchar(64) NULL
)
GO



-- ----------------------------
-- Table structure for kwk_category
-- ----------------------------

CREATE TABLE [dbo].[kwk_category] (
  [ID_] nvarchar(64) NOT NULL,
  [NAME_] nvarchar(255) NOT NULL,
  [PARENT_ID_] nvarchar(64) NULL,
  [TYPE_] nvarchar(64) NULL,
  [RESERVED_] nvarchar(255) NULL
)
GO



-- ----------------------------
-- Table structure for kwk_deployed_form
-- ----------------------------

CREATE TABLE [dbo].[kwk_deployed_form] (
  [ID_] nvarchar(64) NOT NULL,
  [KEY_] nvarchar(255) NOT NULL,
  [NAME_] nvarchar(255) NULL,
  [CATEGORY_] nvarchar(255) NULL,
  [DEPLOYED_TIME_] datetime2(7)  NULL,
  [META_INFO_] text NULL,
  [TYPE_] int  NULL,
  [VERSION_] int  NULL,
  [BOKEY_] nvarchar(255) NULL,
  [DESCRIPTION_] nvarchar(255) NULL,
  [DELETE_STATUS_] int  NULL,
  [TENANT_ID_] nvarchar(255) NULL
)
GO


EXEC sp_addextendedproperty
'MS_Description', N'表单类型（0：默认在线表单；1:url表单）',
'SCHEMA', N'dbo',
'TABLE', N'kwk_deployed_form',
'COLUMN', N'TYPE_'
GO

EXEC sp_addextendedproperty
'MS_Description', N'版本号',
'SCHEMA', N'dbo',
'TABLE', N'kwk_deployed_form',
'COLUMN', N'VERSION_'
GO

EXEC sp_addextendedproperty
'MS_Description', N'业务对象标识',
'SCHEMA', N'dbo',
'TABLE', N'kwk_deployed_form',
'COLUMN', N'BOKEY_'
GO

EXEC sp_addextendedproperty
'MS_Description', N'表单描述',
'SCHEMA', N'dbo',
'TABLE', N'kwk_deployed_form',
'COLUMN', N'DESCRIPTION_'
GO

EXEC sp_addextendedproperty
'MS_Description', N'表单实例删除状态，默认 0未删除； 1已删除',
'SCHEMA', N'dbo',
'TABLE', N'kwk_deployed_form',
'COLUMN', N'DELETE_STATUS_'
GO


-- ----------------------------
-- Table structure for kwk_deployed_model
-- ----------------------------

CREATE TABLE [dbo].[kwk_deployed_model] (
  [ID_] nvarchar(64) NOT NULL,
  [VERSION_] int  NULL,
  [BYTES_] varbinary(max)  NULL,
  [DEPLOYED_TIME_] datetime2(7)  NULL,
  [NAME_] nvarchar(255) NULL,
  [KEY_] nvarchar(255) NULL,
  [CATEGORY_] nvarchar(255) NULL,
  [META_INFO_] text NULL,
  [DELETE_STATUS_] int  NULL,
  [TENANT_ID_] nvarchar(255) NULL
)
GO


EXEC sp_addextendedproperty
'MS_Description', N'流程图实例删除状态，默认 0未删除； 1已删除',
'SCHEMA', N'dbo',
'TABLE', N'kwk_deployed_model',
'COLUMN', N'DELETE_STATUS_'
GO


-- ----------------------------
-- Table structure for kwk_procdef_solution
-- ----------------------------

CREATE TABLE [dbo].[kwk_procdef_solution] (
  [PROCDEF_ID_] nvarchar(64) NULL,
  [ID_] nvarchar(64) NOT NULL,
  [KEY_] nvarchar(255) NOT NULL,
  [NAME_] nvarchar(255) NULL,
  [DESCRIPTION_] text NULL,
  [PROCDEF_KEY_] nvarchar(64) NULL,
  [PROCDEF_VERSION_] int  NULL,
  [CREATE_TIME_] datetime2(7)  NULL,
  [UPDATE_TIME_] datetime2(7)  NULL,
  [CATEGORY_] nvarchar(255) NULL,
  [STATUS_] int  NULL,
  [DEPLOYED_ID_] nvarchar(64) NULL,
  [BYTES_] varbinary(max)  NULL,
  [TENANT_ID_] nvarchar(255) NULL
)
GO


EXEC sp_addextendedproperty
'MS_Description', N'流程定义ID',
'SCHEMA', N'dbo',
'TABLE', N'kwk_procdef_solution',
'COLUMN', N'PROCDEF_ID_'
GO

EXEC sp_addextendedproperty
'MS_Description', N'表单ID',
'SCHEMA', N'dbo',
'TABLE', N'kwk_procdef_solution',
'COLUMN', N'ID_'
GO

EXEC sp_addextendedproperty
'MS_Description', N'表单标识KEY',
'SCHEMA', N'dbo',
'TABLE', N'kwk_procdef_solution',
'COLUMN', N'KEY_'
GO

EXEC sp_addextendedproperty
'MS_Description', N'状态(默认0：创建； 1：发布)',
'SCHEMA', N'dbo',
'TABLE', N'kwk_procdef_solution',
'COLUMN', N'STATUS_'
GO


-- ----------------------------
-- Table structure for kwk_re_bo
-- ----------------------------

CREATE TABLE [dbo].[kwk_re_bo] (
  [ID_] nvarchar(64) NOT NULL,
  [KEY_] nvarchar(255) NOT NULL,
  [NAME_] nvarchar(255) NULL,
  [CATEGORY_] nvarchar(255) NULL,
  [CREATE_TIME_] datetime2(7)  NULL,
  [LAST_UPDATE_TIME_] datetime2(7)  NULL,
  [COLUMNS_INFO_] text NULL,
  [IS_TABLE_EXIST_] int  NULL,
  [TABLE_NAME_] nvarchar(255) NULL,
  [TENANT_ID_] nvarchar(255) NULL
)
GO


EXEC sp_addextendedproperty
'MS_Description', N'对应数据库表是否存在（0：默认不存在；1:存在）',
'SCHEMA', N'dbo',
'TABLE', N'kwk_re_bo',
'COLUMN', N'IS_TABLE_EXIST_'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据库表名',
'SCHEMA', N'dbo',
'TABLE', N'kwk_re_bo',
'COLUMN', N'TABLE_NAME_'
GO


-- ----------------------------
-- Table structure for kwk_re_form
-- ----------------------------

CREATE TABLE [dbo].[kwk_re_form] (
  [ID_] nvarchar(64) NOT NULL,
  [KEY_] nvarchar(255) NOT NULL,
  [NAME_] nvarchar(255) NULL,
  [CATEGORY_] nvarchar(255) NULL,
  [CREATE_TIME_] datetime2(7)  NULL,
  [LAST_UPDATE_TIME_] datetime2(7)  NULL,
  [META_INFO_] text NULL,
  [TYPE_] int  NULL,
  [VERSION_] int  NULL,
  [STATUS_] int  NULL,
  [BOKEY_] nvarchar(255) NULL,
  [DESCRIPTION_] nvarchar(255) NULL,
  [TEMPLATE_] int  NULL,
  [COLUMN_NUMBER_] int  NULL,
  [TENANT_ID_] nvarchar(255) NULL
)
GO


EXEC sp_addextendedproperty
'MS_Description', N'表单类型（0：默认在线表单；1:url表单）',
'SCHEMA', N'dbo',
'TABLE', N'kwk_re_form',
'COLUMN', N'TYPE_'
GO

EXEC sp_addextendedproperty
'MS_Description', N'版本号',
'SCHEMA', N'dbo',
'TABLE', N'kwk_re_form',
'COLUMN', N'VERSION_'
GO

EXEC sp_addextendedproperty
'MS_Description', N'发布（0：默认草稿；1:发布）',
'SCHEMA', N'dbo',
'TABLE', N'kwk_re_form',
'COLUMN', N'STATUS_'
GO

EXEC sp_addextendedproperty
'MS_Description', N'业务对象标识',
'SCHEMA', N'dbo',
'TABLE', N'kwk_re_form',
'COLUMN', N'BOKEY_'
GO

EXEC sp_addextendedproperty
'MS_Description', N'表单描述',
'SCHEMA', N'dbo',
'TABLE', N'kwk_re_form',
'COLUMN', N'DESCRIPTION_'
GO


-- ----------------------------
-- Table structure for kwk_ru_delegate
-- ----------------------------

CREATE TABLE [dbo].[kwk_ru_delegate] (
  [ID_] nvarchar(64) NOT NULL,
  [PROC_DEF_ID_] nvarchar(64) NOT NULL,
  [ASSIGNEE_] nvarchar(255) NULL,
  [PRINCIPAL_] nvarchar(255) NOT NULL,
  [START_TIME_] nvarchar(32) NULL,
  [END_TIME_] nvarchar(32) NULL,
  [CATALOG_ID_] nvarchar(64) NULL,
  [CATALOG_NAME_] nvarchar(32) NULL,
  [PROC_DEF_NAME_] nvarchar(255) NULL,
  [DELEGATE_TYPE_] int  NULL,
  [CREATE_TIME_] datetime2(7)  NULL,
  [IS_START_PROCESS_] int  NULL,
  [STATUS_] int  NULL,
  [TENANT_ID_] nvarchar(255) NULL
)
GO


EXEC sp_addextendedproperty
'MS_Description', N'0 : false; 1: true;',
'SCHEMA', N'dbo',
'TABLE', N'kwk_ru_delegate',
'COLUMN', N'IS_START_PROCESS_'
GO


-- ----------------------------
-- Table structure for kwk_ru_draft
-- ----------------------------

CREATE TABLE [dbo].[kwk_ru_draft] (
  [ID_] nvarchar(64) NOT NULL,
  [NAME_] nvarchar(255) NULL,
  [PROCDEF_ID_] nvarchar(64) NOT NULL,
  [USER_ID_] nvarchar(64) NOT NULL,
  [META_DATA_] text NULL,
  [CREATE_TIME_] datetime2(7)  NULL,
  [TENANT_ID_] nvarchar(255) NULL
)
GO


EXEC sp_addextendedproperty
'MS_Description', N'草稿名称',
'SCHEMA', N'dbo',
'TABLE', N'kwk_ru_draft',
'COLUMN', N'NAME_'
GO


-- ----------------------------
-- Primary Key structure for table act_evt_log
-- ----------------------------
ALTER TABLE [dbo].[act_evt_log] ADD CONSTRAINT [PK__act_evt___DE8852D80C550C55] PRIMARY KEY CLUSTERED ([LOG_NR_])
ON [PRIMARY]
GO


-- ----------------------------
-- Indexes structure for table act_ge_bytearray
-- ----------------------------
CREATE NONCLUSTERED INDEX [ACT_FK_BYTEARR_DEPL]
ON [dbo].[act_ge_bytearray] (
  [DEPLOYMENT_ID_] ASC
)
GO


-- ----------------------------
-- Primary Key structure for table act_ge_bytearray
-- ----------------------------
ALTER TABLE [dbo].[act_ge_bytearray] ADD CONSTRAINT [PK__act_ge_b__C4971C0FAD9ACDA4] PRIMARY KEY CLUSTERED ([ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table act_ge_property
-- ----------------------------
ALTER TABLE [dbo].[act_ge_property] ADD CONSTRAINT [PK__act_ge_p__A7BE44DE880DDA60] PRIMARY KEY CLUSTERED ([NAME_])
ON [PRIMARY]
GO


-- ----------------------------
-- Indexes structure for table act_hi_actinst
-- ----------------------------
CREATE NONCLUSTERED INDEX [ACT_IDX_HI_ACT_INST_START]
ON [dbo].[act_hi_actinst] (
  [START_TIME_] ASC
)
GO

CREATE NONCLUSTERED INDEX [ACT_IDX_HI_ACT_INST_END]
ON [dbo].[act_hi_actinst] (
  [END_TIME_] ASC
)
GO

CREATE NONCLUSTERED INDEX [ACT_IDX_HI_ACT_INST_PROCINST]
ON [dbo].[act_hi_actinst] (
  [PROC_INST_ID_] ASC,
  [ACT_ID_] ASC
)
GO

CREATE NONCLUSTERED INDEX [ACT_IDX_HI_ACT_INST_EXEC]
ON [dbo].[act_hi_actinst] (
  [EXECUTION_ID_] ASC,
  [ACT_ID_] ASC
)
GO


-- ----------------------------
-- Primary Key structure for table act_hi_actinst
-- ----------------------------
ALTER TABLE [dbo].[act_hi_actinst] ADD CONSTRAINT [PK__act_hi_a__C4971C0F61C349FB] PRIMARY KEY CLUSTERED ([ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table act_hi_attachment
-- ----------------------------
ALTER TABLE [dbo].[act_hi_attachment] ADD CONSTRAINT [PK__act_hi_a__C4971C0F717266FF] PRIMARY KEY CLUSTERED ([ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table act_hi_comment
-- ----------------------------
ALTER TABLE [dbo].[act_hi_comment] ADD CONSTRAINT [PK__act_hi_c__C4971C0F7C93F8DD] PRIMARY KEY CLUSTERED ([ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Indexes structure for table act_hi_detail
-- ----------------------------
CREATE NONCLUSTERED INDEX [ACT_IDX_HI_DETAIL_PROC_INST]
ON [dbo].[act_hi_detail] (
  [PROC_INST_ID_] ASC
)
GO

CREATE NONCLUSTERED INDEX [ACT_IDX_HI_DETAIL_ACT_INST]
ON [dbo].[act_hi_detail] (
  [ACT_INST_ID_] ASC
)
GO

CREATE NONCLUSTERED INDEX [ACT_IDX_HI_DETAIL_TIME]
ON [dbo].[act_hi_detail] (
  [TIME_] ASC
)
GO

CREATE NONCLUSTERED INDEX [ACT_IDX_HI_DETAIL_NAME]
ON [dbo].[act_hi_detail] (
  [NAME_] ASC
)
GO

CREATE NONCLUSTERED INDEX [ACT_IDX_HI_DETAIL_TASK_ID]
ON [dbo].[act_hi_detail] (
  [TASK_ID_] ASC
)
GO


-- ----------------------------
-- Primary Key structure for table act_hi_detail
-- ----------------------------
ALTER TABLE [dbo].[act_hi_detail] ADD CONSTRAINT [PK__act_hi_d__C4971C0FBCF3D0D7] PRIMARY KEY CLUSTERED ([ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Indexes structure for table act_hi_identitylink
-- ----------------------------
CREATE NONCLUSTERED INDEX [ACT_IDX_HI_IDENT_LNK_USER]
ON [dbo].[act_hi_identitylink] (
  [USER_ID_] ASC
)
GO

CREATE NONCLUSTERED INDEX [ACT_IDX_HI_IDENT_LNK_TASK]
ON [dbo].[act_hi_identitylink] (
  [TASK_ID_] ASC
)
GO

CREATE NONCLUSTERED INDEX [ACT_IDX_HI_IDENT_LNK_PROCINST]
ON [dbo].[act_hi_identitylink] (
  [PROC_INST_ID_] ASC
)
GO


-- ----------------------------
-- Primary Key structure for table act_hi_identitylink
-- ----------------------------
ALTER TABLE [dbo].[act_hi_identitylink] ADD CONSTRAINT [PK__act_hi_i__C4971C0F272E4E4B] PRIMARY KEY CLUSTERED ([ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Indexes structure for table act_hi_procinst
-- ----------------------------
CREATE NONCLUSTERED INDEX [PROC_INST_ID_]
ON [dbo].[act_hi_procinst] (
  [PROC_INST_ID_] ASC
)
GO

CREATE NONCLUSTERED INDEX [ACT_IDX_HI_PRO_INST_END]
ON [dbo].[act_hi_procinst] (
  [END_TIME_] ASC
)
GO

CREATE NONCLUSTERED INDEX [ACT_IDX_HI_PRO_I_BUSKEY]
ON [dbo].[act_hi_procinst] (
  [BUSINESS_KEY_] ASC
)
GO


-- ----------------------------
-- Primary Key structure for table act_hi_procinst
-- ----------------------------
ALTER TABLE [dbo].[act_hi_procinst] ADD CONSTRAINT [PK__act_hi_p__C4971C0F2336D50E] PRIMARY KEY CLUSTERED ([ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Indexes structure for table act_hi_taskinst
-- ----------------------------
CREATE NONCLUSTERED INDEX [ACT_IDX_HI_TASK_INST_PROCINST]
ON [dbo].[act_hi_taskinst] (
  [PROC_INST_ID_] ASC
)
GO


-- ----------------------------
-- Primary Key structure for table act_hi_taskinst
-- ----------------------------
ALTER TABLE [dbo].[act_hi_taskinst] ADD CONSTRAINT [PK__act_hi_t__C4971C0F02A0BC20] PRIMARY KEY CLUSTERED ([ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Indexes structure for table act_hi_varinst
-- ----------------------------
CREATE NONCLUSTERED INDEX [ACT_IDX_HI_PROCVAR_PROC_INST]
ON [dbo].[act_hi_varinst] (
  [PROC_INST_ID_] ASC
)
GO

CREATE NONCLUSTERED INDEX [ACT_IDX_HI_PROCVAR_NAME_TYPE]
ON [dbo].[act_hi_varinst] (
  [NAME_] ASC,
  [VAR_TYPE_] ASC
)
GO

CREATE NONCLUSTERED INDEX [ACT_IDX_HI_PROCVAR_TASK_ID]
ON [dbo].[act_hi_varinst] (
  [TASK_ID_] ASC
)
GO


-- ----------------------------
-- Primary Key structure for table act_hi_varinst
-- ----------------------------
ALTER TABLE [dbo].[act_hi_varinst] ADD CONSTRAINT [PK__act_hi_v__C4971C0FDC6367F9] PRIMARY KEY CLUSTERED ([ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table act_id_group
-- ----------------------------
ALTER TABLE [dbo].[act_id_group] ADD CONSTRAINT [PK__act_id_g__C4971C0FACEEA312] PRIMARY KEY CLUSTERED ([ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table act_id_info
-- ----------------------------
ALTER TABLE [dbo].[act_id_info] ADD CONSTRAINT [PK__act_id_i__C4971C0F4E2BC25C] PRIMARY KEY CLUSTERED ([ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Indexes structure for table act_id_membership
-- ----------------------------
CREATE NONCLUSTERED INDEX [ACT_FK_MEMB_GROUP]
ON [dbo].[act_id_membership] (
  [GROUP_ID_] ASC
)
GO


-- ----------------------------
-- Primary Key structure for table act_id_membership
-- ----------------------------
ALTER TABLE [dbo].[act_id_membership] ADD CONSTRAINT [PK__act_id_m__C2371B0F08A13AEF] PRIMARY KEY CLUSTERED ([USER_ID_], [GROUP_ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table act_id_user
-- ----------------------------
ALTER TABLE [dbo].[act_id_user] ADD CONSTRAINT [PK__act_id_u__C4971C0F86C47F36] PRIMARY KEY CLUSTERED ([ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Indexes structure for table act_procdef_info
-- ----------------------------
CREATE NONCLUSTERED INDEX [ACT_UNIQ_INFO_PROCDEF]
ON [dbo].[act_procdef_info] (
  [PROC_DEF_ID_] ASC
)
GO

CREATE NONCLUSTERED INDEX [ACT_IDX_INFO_PROCDEF]
ON [dbo].[act_procdef_info] (
  [PROC_DEF_ID_] ASC
)
GO

CREATE NONCLUSTERED INDEX [ACT_FK_INFO_JSON_BA]
ON [dbo].[act_procdef_info] (
  [INFO_JSON_ID_] ASC
)
GO


-- ----------------------------
-- Primary Key structure for table act_procdef_info
-- ----------------------------
ALTER TABLE [dbo].[act_procdef_info] ADD CONSTRAINT [PK__act_proc__C4971C0FE635584C] PRIMARY KEY CLUSTERED ([ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table act_re_deployment
-- ----------------------------
ALTER TABLE [dbo].[act_re_deployment] ADD CONSTRAINT [PK__act_re_d__C4971C0FD0845A25] PRIMARY KEY CLUSTERED ([ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Indexes structure for table act_re_model
-- ----------------------------
CREATE NONCLUSTERED INDEX [ACT_FK_MODEL_SOURCE]
ON [dbo].[act_re_model] (
  [EDITOR_SOURCE_VALUE_ID_] ASC
)
GO

CREATE NONCLUSTERED INDEX [ACT_FK_MODEL_SOURCE_EXTRA]
ON [dbo].[act_re_model] (
  [EDITOR_SOURCE_EXTRA_VALUE_ID_] ASC
)
GO

CREATE NONCLUSTERED INDEX [ACT_FK_MODEL_DEPLOYMENT]
ON [dbo].[act_re_model] (
  [DEPLOYMENT_ID_] ASC
)
GO


-- ----------------------------
-- Primary Key structure for table act_re_model
-- ----------------------------
ALTER TABLE [dbo].[act_re_model] ADD CONSTRAINT [PK__act_re_m__C4971C0FC4F5EA77] PRIMARY KEY CLUSTERED ([ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Indexes structure for table act_re_procdef
-- ----------------------------
CREATE NONCLUSTERED INDEX [ACT_UNIQ_PROCDEF]
ON [dbo].[act_re_procdef] (
  [KEY_] ASC,
  [VERSION_] ASC,
  [TENANT_ID_] ASC
)
GO


-- ----------------------------
-- Primary Key structure for table act_re_procdef
-- ----------------------------
ALTER TABLE [dbo].[act_re_procdef] ADD CONSTRAINT [PK__act_re_p__C4971C0F20337EFA] PRIMARY KEY CLUSTERED ([ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Indexes structure for table act_ru_event_subscr
-- ----------------------------
CREATE NONCLUSTERED INDEX [ACT_IDX_EVENT_SUBSCR_CONFIG_]
ON [dbo].[act_ru_event_subscr] (
  [CONFIGURATION_] ASC
)
GO

CREATE NONCLUSTERED INDEX [ACT_FK_EVENT_EXEC]
ON [dbo].[act_ru_event_subscr] (
  [EXECUTION_ID_] ASC
)
GO


-- ----------------------------
-- Primary Key structure for table act_ru_event_subscr
-- ----------------------------
ALTER TABLE [dbo].[act_ru_event_subscr] ADD CONSTRAINT [PK__act_ru_e__C4971C0FF5783959] PRIMARY KEY CLUSTERED ([ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Indexes structure for table act_ru_execution
-- ----------------------------
CREATE NONCLUSTERED INDEX [ACT_IDX_EXEC_BUSKEY]
ON [dbo].[act_ru_execution] (
  [BUSINESS_KEY_] ASC
)
GO

CREATE NONCLUSTERED INDEX [ACT_FK_EXE_PROCINST]
ON [dbo].[act_ru_execution] (
  [PROC_INST_ID_] ASC
)
GO

CREATE NONCLUSTERED INDEX [ACT_FK_EXE_PARENT]
ON [dbo].[act_ru_execution] (
  [PARENT_ID_] ASC
)
GO

CREATE NONCLUSTERED INDEX [ACT_FK_EXE_SUPER]
ON [dbo].[act_ru_execution] (
  [SUPER_EXEC_] ASC
)
GO

CREATE NONCLUSTERED INDEX [ACT_FK_EXE_PROCDEF]
ON [dbo].[act_ru_execution] (
  [PROC_DEF_ID_] ASC
)
GO


-- ----------------------------
-- Primary Key structure for table act_ru_execution
-- ----------------------------
ALTER TABLE [dbo].[act_ru_execution] ADD CONSTRAINT [PK__act_ru_e__C4971C0F678C8781] PRIMARY KEY CLUSTERED ([ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Indexes structure for table act_ru_identitylink
-- ----------------------------
CREATE NONCLUSTERED INDEX [ACT_IDX_IDENT_LNK_USER]
ON [dbo].[act_ru_identitylink] (
  [USER_ID_] ASC
)
GO

CREATE NONCLUSTERED INDEX [ACT_IDX_IDENT_LNK_GROUP]
ON [dbo].[act_ru_identitylink] (
  [GROUP_ID_] ASC
)
GO

CREATE NONCLUSTERED INDEX [ACT_IDX_ATHRZ_PROCEDEF]
ON [dbo].[act_ru_identitylink] (
  [PROC_DEF_ID_] ASC
)
GO

CREATE NONCLUSTERED INDEX [ACT_FK_TSKASS_TASK]
ON [dbo].[act_ru_identitylink] (
  [TASK_ID_] ASC
)
GO

CREATE NONCLUSTERED INDEX [ACT_FK_IDL_PROCINST]
ON [dbo].[act_ru_identitylink] (
  [PROC_INST_ID_] ASC
)
GO


-- ----------------------------
-- Primary Key structure for table act_ru_identitylink
-- ----------------------------
ALTER TABLE [dbo].[act_ru_identitylink] ADD CONSTRAINT [PK__act_ru_i__C4971C0F2B097F60] PRIMARY KEY CLUSTERED ([ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Indexes structure for table act_ru_job
-- ----------------------------
CREATE NONCLUSTERED INDEX [ACT_FK_JOB_EXCEPTION]
ON [dbo].[act_ru_job] (
  [EXCEPTION_STACK_ID_] ASC
)
GO


-- ----------------------------
-- Primary Key structure for table act_ru_job
-- ----------------------------
ALTER TABLE [dbo].[act_ru_job] ADD CONSTRAINT [PK__act_ru_j__C4971C0F79173C65] PRIMARY KEY CLUSTERED ([ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Indexes structure for table act_ru_task
-- ----------------------------
CREATE NONCLUSTERED INDEX [ACT_IDX_TASK_CREATE]
ON [dbo].[act_ru_task] (
  [CREATE_TIME_] ASC
)
GO

CREATE NONCLUSTERED INDEX [ACT_FK_TASK_EXE]
ON [dbo].[act_ru_task] (
  [EXECUTION_ID_] ASC
)
GO

CREATE NONCLUSTERED INDEX [ACT_FK_TASK_PROCINST]
ON [dbo].[act_ru_task] (
  [PROC_INST_ID_] ASC
)
GO

CREATE NONCLUSTERED INDEX [ACT_FK_TASK_PROCDEF]
ON [dbo].[act_ru_task] (
  [PROC_DEF_ID_] ASC
)
GO


-- ----------------------------
-- Primary Key structure for table act_ru_task
-- ----------------------------
ALTER TABLE [dbo].[act_ru_task] ADD CONSTRAINT [PK__act_ru_t__C4971C0F6CEBD113] PRIMARY KEY CLUSTERED ([ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Indexes structure for table act_ru_variable
-- ----------------------------
CREATE NONCLUSTERED INDEX [ACT_IDX_VARIABLE_TASK_ID]
ON [dbo].[act_ru_variable] (
  [TASK_ID_] ASC
)
GO

CREATE NONCLUSTERED INDEX [ACT_FK_VAR_EXE]
ON [dbo].[act_ru_variable] (
  [EXECUTION_ID_] ASC
)
GO

CREATE NONCLUSTERED INDEX [ACT_FK_VAR_PROCINST]
ON [dbo].[act_ru_variable] (
  [PROC_INST_ID_] ASC
)
GO

CREATE NONCLUSTERED INDEX [ACT_FK_VAR_BYTEARRAY]
ON [dbo].[act_ru_variable] (
  [BYTEARRAY_ID_] ASC
)
GO


-- ----------------------------
-- Primary Key structure for table act_ru_variable
-- ----------------------------
ALTER TABLE [dbo].[act_ru_variable] ADD CONSTRAINT [PK__act_ru_v__C4971C0F857E5733] PRIMARY KEY CLUSTERED ([ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table kwk_bean
-- ----------------------------
ALTER TABLE [dbo].[kwk_bean] ADD CONSTRAINT [PK__kwk_bean__C4971C0F4BC891F9] PRIMARY KEY CLUSTERED ([ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Indexes structure for table kwk_biz_index_data
-- ----------------------------
CREATE NONCLUSTERED INDEX [SYS_C0074146]
ON [dbo].[kwk_biz_index_data] (
  [BIZ_KEY_] ASC,
  [BIZ_TYPE_] ASC
)
GO


-- ----------------------------
-- Primary Key structure for table kwk_biz_index_data
-- ----------------------------
ALTER TABLE [dbo].[kwk_biz_index_data] ADD CONSTRAINT [PK__kwk_biz___C03415737DAFD19C] PRIMARY KEY CLUSTERED ([PROC_INST_ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table kwk_category
-- ----------------------------
ALTER TABLE [dbo].[kwk_category] ADD CONSTRAINT [PK__kwk_cate__C4971C0FF06BF2B2] PRIMARY KEY CLUSTERED ([ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table kwk_deployed_form
-- ----------------------------
ALTER TABLE [dbo].[kwk_deployed_form] ADD CONSTRAINT [PK__kwk_depl__C4971C0F692149D1] PRIMARY KEY CLUSTERED ([ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table kwk_deployed_model
-- ----------------------------
ALTER TABLE [dbo].[kwk_deployed_model] ADD CONSTRAINT [PK__kwk_depl__C4971C0F29AFCDBE] PRIMARY KEY CLUSTERED ([ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table kwk_procdef_solution
-- ----------------------------
ALTER TABLE [dbo].[kwk_procdef_solution] ADD CONSTRAINT [PK__kwk_proc__C4971C0F6A942DA3] PRIMARY KEY CLUSTERED ([ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table kwk_re_bo
-- ----------------------------
ALTER TABLE [dbo].[kwk_re_bo] ADD CONSTRAINT [PK__kwk_re_b__C4971C0F3E64511B] PRIMARY KEY CLUSTERED ([ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table kwk_re_form
-- ----------------------------
ALTER TABLE [dbo].[kwk_re_form] ADD CONSTRAINT [PK__kwk_re_f__C4971C0F19361FB8] PRIMARY KEY CLUSTERED ([ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table kwk_ru_delegate
-- ----------------------------
ALTER TABLE [dbo].[kwk_ru_delegate] ADD CONSTRAINT [PK__kwk_ru_d__C4971C0F52535FD5] PRIMARY KEY CLUSTERED ([ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Primary Key structure for table kwk_ru_draft
-- ----------------------------
ALTER TABLE [dbo].[kwk_ru_draft] ADD CONSTRAINT [PK__kwk_ru_d__C4971C0F5766778C] PRIMARY KEY CLUSTERED ([ID_])
ON [PRIMARY]
GO


-- ----------------------------
-- Foreign Keys structure for table act_ge_bytearray
-- ----------------------------
ALTER TABLE [dbo].[act_ge_bytearray] ADD CONSTRAINT [ACT_FK_BYTEARR_DEPL] FOREIGN KEY ([DEPLOYMENT_ID_]) REFERENCES [act_re_deployment] ([ID_])
GO


-- ----------------------------
-- Foreign Keys structure for table act_id_membership
-- ----------------------------
ALTER TABLE [dbo].[act_id_membership] ADD CONSTRAINT [ACT_FK_MEMB_GROUP] FOREIGN KEY ([GROUP_ID_]) REFERENCES [act_id_group] ([ID_])
GO

ALTER TABLE [dbo].[act_id_membership] ADD CONSTRAINT [ACT_FK_MEMB_USER] FOREIGN KEY ([USER_ID_]) REFERENCES [act_id_user] ([ID_])
GO


-- ----------------------------
-- Foreign Keys structure for table act_procdef_info
-- ----------------------------
ALTER TABLE [dbo].[act_procdef_info] ADD CONSTRAINT [ACT_FK_INFO_JSON_BA] FOREIGN KEY ([INFO_JSON_ID_]) REFERENCES [act_ge_bytearray] ([ID_])
GO

ALTER TABLE [dbo].[act_procdef_info] ADD CONSTRAINT [ACT_FK_INFO_PROCDEF] FOREIGN KEY ([PROC_DEF_ID_]) REFERENCES [act_re_procdef] ([ID_])
GO


-- ----------------------------
-- Foreign Keys structure for table act_re_model
-- ----------------------------
ALTER TABLE [dbo].[act_re_model] ADD CONSTRAINT [ACT_FK_MODEL_DEPLOYMENT] FOREIGN KEY ([DEPLOYMENT_ID_]) REFERENCES [act_re_deployment] ([ID_])
GO

ALTER TABLE [dbo].[act_re_model] ADD CONSTRAINT [ACT_FK_MODEL_SOURCE] FOREIGN KEY ([EDITOR_SOURCE_VALUE_ID_]) REFERENCES [act_ge_bytearray] ([ID_])
GO

ALTER TABLE [dbo].[act_re_model] ADD CONSTRAINT [ACT_FK_MODEL_SOURCE_EXTRA] FOREIGN KEY ([EDITOR_SOURCE_EXTRA_VALUE_ID_]) REFERENCES [act_ge_bytearray] ([ID_])
GO


-- ----------------------------
-- Foreign Keys structure for table act_ru_event_subscr
-- ----------------------------
ALTER TABLE [dbo].[act_ru_event_subscr] ADD CONSTRAINT [ACT_FK_EVENT_EXEC] FOREIGN KEY ([EXECUTION_ID_]) REFERENCES [act_ru_execution] ([ID_])
GO


-- ----------------------------
-- Foreign Keys structure for table act_ru_execution
-- ----------------------------
ALTER TABLE [dbo].[act_ru_execution] ADD CONSTRAINT [ACT_FK_EXE_PARENT] FOREIGN KEY ([PARENT_ID_]) REFERENCES [act_ru_execution] ([ID_])
GO

ALTER TABLE [dbo].[act_ru_execution] ADD CONSTRAINT [ACT_FK_EXE_PROCDEF] FOREIGN KEY ([PROC_DEF_ID_]) REFERENCES [act_re_procdef] ([ID_])
GO

ALTER TABLE [dbo].[act_ru_execution] ADD CONSTRAINT [ACT_FK_EXE_PROCINST] FOREIGN KEY ([PROC_INST_ID_]) REFERENCES [act_ru_execution] ([ID_])
GO

ALTER TABLE [dbo].[act_ru_execution] ADD CONSTRAINT [ACT_FK_EXE_SUPER] FOREIGN KEY ([SUPER_EXEC_]) REFERENCES [act_ru_execution] ([ID_])
GO


-- ----------------------------
-- Foreign Keys structure for table act_ru_identitylink
-- ----------------------------
ALTER TABLE [dbo].[act_ru_identitylink] ADD CONSTRAINT [ACT_FK_ATHRZ_PROCEDEF] FOREIGN KEY ([PROC_DEF_ID_]) REFERENCES [act_re_procdef] ([ID_])
GO

ALTER TABLE [dbo].[act_ru_identitylink] ADD CONSTRAINT [ACT_FK_IDL_PROCINST] FOREIGN KEY ([PROC_INST_ID_]) REFERENCES [act_ru_execution] ([ID_])
GO

ALTER TABLE [dbo].[act_ru_identitylink] ADD CONSTRAINT [ACT_FK_TSKASS_TASK] FOREIGN KEY ([TASK_ID_]) REFERENCES [act_ru_task] ([ID_])
GO


-- ----------------------------
-- Foreign Keys structure for table act_ru_job
-- ----------------------------
ALTER TABLE [dbo].[act_ru_job] ADD CONSTRAINT [ACT_FK_JOB_EXCEPTION] FOREIGN KEY ([EXCEPTION_STACK_ID_]) REFERENCES [act_ge_bytearray] ([ID_])
GO


-- ----------------------------
-- Foreign Keys structure for table act_ru_task
-- ----------------------------
ALTER TABLE [dbo].[act_ru_task] ADD CONSTRAINT [ACT_FK_TASK_EXE] FOREIGN KEY ([EXECUTION_ID_]) REFERENCES [act_ru_execution] ([ID_])
GO

ALTER TABLE [dbo].[act_ru_task] ADD CONSTRAINT [ACT_FK_TASK_PROCDEF] FOREIGN KEY ([PROC_DEF_ID_]) REFERENCES [act_re_procdef] ([ID_])
GO

ALTER TABLE [dbo].[act_ru_task] ADD CONSTRAINT [ACT_FK_TASK_PROCINST] FOREIGN KEY ([PROC_INST_ID_]) REFERENCES [act_ru_execution] ([ID_])
GO


-- ----------------------------
-- Foreign Keys structure for table act_ru_variable
-- ----------------------------
ALTER TABLE [dbo].[act_ru_variable] ADD CONSTRAINT [ACT_FK_VAR_BYTEARRAY] FOREIGN KEY ([BYTEARRAY_ID_]) REFERENCES [act_ge_bytearray] ([ID_])
GO

ALTER TABLE [dbo].[act_ru_variable] ADD CONSTRAINT [ACT_FK_VAR_EXE] FOREIGN KEY ([EXECUTION_ID_]) REFERENCES [act_ru_execution] ([ID_])
GO

ALTER TABLE [dbo].[act_ru_variable] ADD CONSTRAINT [ACT_FK_VAR_PROCINST] FOREIGN KEY ([PROC_INST_ID_]) REFERENCES [act_ru_execution] ([ID_])
GO
*/
