-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_dic::qiuhang
CREATE TABLE dbo.koca_lcp_data_dic (id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_data_dic_tenant_id DEFAULT '-1' NOT NULL, dic_code nvarchar(32) NOT NULL, dic_name nvarchar(32) NOT NULL, created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_DATA_DIC PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据字典表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_dic'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字典id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_dic',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_dic',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字典代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_dic',
'COLUMN', N'dic_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字典名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_dic',
'COLUMN', N'dic_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_dic',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_dic',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_dic',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_dic',
'COLUMN', N'updated_at'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_dict_code_tenant_id ON dbo.koca_lcp_data_dic(dic_code, tenant_id)
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_dict_name_tenant_id ON dbo.koca_lcp_data_dic(dic_name, tenant_id)
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_dic::qiuhang
INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_DIC_NO', N'数据字典序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_DIC_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_dic_item::qiuhang
CREATE TABLE dbo.koca_lcp_data_dic_item (id bigint NOT NULL, dic_id bigint NOT NULL, dic_item_code nvarchar(32) NOT NULL, dic_item_name nvarchar(32) NOT NULL, dic_item_ord int NOT NULL, created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_DATA_DIC_ITEM PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据字典项表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_dic_item'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字典项id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_dic_item',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字典id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_dic_item',
'COLUMN', N'dic_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字典项代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_dic_item',
'COLUMN', N'dic_item_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字典项名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_dic_item',
'COLUMN', N'dic_item_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字典项顺序',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_dic_item',
'COLUMN', N'dic_item_ord'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_dic_item',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_dic_item',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_dic_item',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_dic_item',
'COLUMN', N'updated_at'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_data_dic_item_code ON dbo.koca_lcp_data_dic_item(dic_id, dic_item_code)
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_data_dic_item_name ON dbo.koca_lcp_data_dic_item(dic_id, dic_item_name)
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_dic_item::qiuhang
INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_DIC_ITEM_NO', N'数据字典项序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_DIC_ITEM_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_type::qiuhang
CREATE TABLE dbo.koca_lcp_data_type (id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_data_type_tenant_id DEFAULT '-1' NOT NULL, type_name nvarchar(32) NOT NULL, type_code nvarchar(32) NOT NULL, remark nvarchar(255) NOT NULL, api_param_type nvarchar(32) NOT NULL, component nvarchar(64) NOT NULL, jdbc_type nvarchar(32), java_type nvarchar(255), is_default char(1) CONSTRAINT DF_koca_lcp_data_type_is_default DEFAULT 'N' NOT NULL, created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_DATA_TYPE PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据类型表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'类型id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_type',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_type',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'类型名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_type',
'COLUMN', N'type_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'类型代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_type',
'COLUMN', N'type_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'类型描述',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_type',
'COLUMN', N'remark'
GO

EXEC sp_addextendedproperty
'MS_Description', N'API参数类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_type',
'COLUMN', N'api_param_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据录入组件',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_type',
'COLUMN', N'component'
GO

EXEC sp_addextendedproperty
'MS_Description', N'jdbc类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_type',
'COLUMN', N'jdbc_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'java类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_type',
'COLUMN', N'java_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'是否默认',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_type',
'COLUMN', N'is_default'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_type',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_type',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_type',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_type',
'COLUMN', N'updated_at'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_data_type_name_tenant_id ON dbo.koca_lcp_data_type(type_name, tenant_id)
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_data_type_code_tenant_id ON dbo.koca_lcp_data_type(type_code, tenant_id)
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_type::qiuhang
INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_TYPE_NO', N'数据类型序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_TYPE_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_lcp_data_type::qiuhang
INSERT INTO dbo.koca_lcp_data_type (id, type_name, type_code, remark, api_param_type, component, jdbc_type, java_type, created_by, updated_by, created_at, updated_at) VALUES ('1', N'定长字符串', 'char', N'存储固定长度或长度差异较小的字符串，如性别、身份证号、手机号码、MD5值等', 'String', 'kui-input', 'VARCHAR', 'String', 'admin', 'admin', '2022-10-12 09:00:00', '2022-10-12 09:00:00')
GO

INSERT INTO dbo.koca_lcp_data_type (id, type_name, type_code, remark, api_param_type, component, jdbc_type, java_type, is_default, created_by, updated_by, created_at, updated_at) VALUES ('2', N'变长字符串', 'varchar', N'存储长度不确定或长度差异较大的字符串，如标题、描述、用户名、邮箱、链接等', 'String', 'kui-input', 'VARCHAR', 'String', 'Y', 'admin', 'admin', '2022-10-12 09:00:00', '2022-10-12 09:00:00')
GO

INSERT INTO dbo.koca_lcp_data_type (id, type_name, type_code, remark, api_param_type, component, jdbc_type, java_type, created_by, updated_by, created_at, updated_at) VALUES ('3', N'整数(int)', 'int', N'存储整型数据，如年龄、数量、序号等', 'Integer', 'kui-input', 'VARCHAR', 'String', 'admin', 'admin', '2022-10-12 09:00:00', '2022-10-12 09:00:00')
GO

INSERT INTO dbo.koca_lcp_data_type (id, type_name, type_code, remark, api_param_type, component, jdbc_type, java_type, created_by, updated_by, created_at, updated_at) VALUES ('4', N'整数(integer)', 'integer', N'存储整型数据，如年龄、数量、序号等', 'Integer', 'kui-input', 'VARCHAR', 'String', 'admin', 'admin', '2022-10-12 09:00:00', '2022-10-12 09:00:00')
GO

INSERT INTO dbo.koca_lcp_data_type (id, type_name, type_code, remark, api_param_type, component, jdbc_type, java_type, created_by, updated_by, created_at, updated_at) VALUES ('5', N'短整数', 'smallint', N'存储短整型数据，如天数、编号等', 'Integer', 'kui-input', 'VARCHAR', 'String', 'admin', 'admin', '2022-10-12 09:00:00', '2022-10-12 09:00:00')
GO

INSERT INTO dbo.koca_lcp_data_type (id, type_name, type_code, remark, api_param_type, component, jdbc_type, java_type, created_by, updated_by, created_at, updated_at) VALUES ('6', N'长整数', 'bigint', N'存储长整型数据，如流水号、账号、ID等', 'Integer', 'kui-input', 'VARCHAR', 'String', 'admin', 'admin', '2022-10-12 09:00:00', '2022-10-12 09:00:00')
GO

INSERT INTO dbo.koca_lcp_data_type (id, type_name, type_code, remark, api_param_type, component, jdbc_type, java_type, created_by, updated_by, created_at, updated_at) VALUES ('7', N'小数', 'double', N'存储固定精度的小数，如金额、经纬度、平均数等', 'Number', 'kui-input', 'VARCHAR', 'String', 'admin', 'admin', '2022-10-12 09:00:00', '2022-10-12 09:00:00')
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_type_db::qiuhang
CREATE TABLE dbo.koca_lcp_data_type_db (id bigint NOT NULL, db_type nvarchar(32) NOT NULL, data_type_id bigint NOT NULL, db_field_type nvarchar(32), jdbc_type nvarchar(32), java_type nvarchar(255), CONSTRAINT PK_KOCA_LCP_DATA_TYPE_DB PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据库-数据类型关联表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_type_db'
GO

EXEC sp_addextendedproperty
'MS_Description', N'类型id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_type_db',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据库类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_type_db',
'COLUMN', N'db_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据类型ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_type_db',
'COLUMN', N'data_type_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据库字段类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_type_db',
'COLUMN', N'db_field_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'jdbc类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_type_db',
'COLUMN', N'jdbc_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'java类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_type_db',
'COLUMN', N'java_type'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_data_type_db ON dbo.koca_lcp_data_type_db(db_type, data_type_id)
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_type_db::qiuhang
INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_TYPE_DB_NO', N'数据类型关联序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_TYPE_DB_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_lcp_data_type_db::qiuhang
INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('1', 'ORACLE', '1', 'CHAR', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('2', 'ORACLE', '2', 'VARCHAR2', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('3', 'ORACLE', '3', 'INTEGER', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('4', 'ORACLE', '4', 'INTEGER', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('5', 'ORACLE', '5', 'NUMBER(5)', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('6', 'ORACLE', '6', 'NUMBER(38)', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('7', 'ORACLE', '7', 'DECIMAL', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('8', 'MYSQL', '1', 'CHAR', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('9', 'MYSQL', '2', 'VARCHAR', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('10', 'MYSQL', '3', 'INT', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('11', 'MYSQL', '4', 'INTEGER', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('12', 'MYSQL', '5', 'SMALLINT', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('13', 'MYSQL', '6', 'BIGINT', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('14', 'MYSQL', '7', 'DECIMAL', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('15', 'SQLSERVER', '1', 'CHAR', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('16', 'SQLSERVER', '2', 'VARCHAR', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('17', 'SQLSERVER', '3', 'INT', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('18', 'SQLSERVER', '4', 'INTEGER', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('19', 'SQLSERVER', '5', 'SMALLINT', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('20', 'SQLSERVER', '6', 'BIGINT', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('21', 'SQLSERVER', '7', 'DECIMAL', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('22', 'POSTGRESQL', '1', 'CHAR', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('23', 'POSTGRESQL', '2', 'VARCHAR', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('24', 'POSTGRESQL', '3', 'INTEGER', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('25', 'POSTGRESQL', '4', 'INTEGER', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('26', 'POSTGRESQL', '5', 'SMALLINT', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('27', 'POSTGRESQL', '6', 'BIGINT', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('28', 'POSTGRESQL', '7', 'DECIMAL', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('29', 'DB2', '1', 'CHAR', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('30', 'DB2', '2', 'VARCHAR', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('31', 'DB2', '3', 'INTEGER', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('32', 'DB2', '4', 'INTEGER', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('33', 'DB2', '5', 'SMALLINT', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('34', 'DB2', '6', 'BIGINT', 'VARCHAR', 'String')
GO

INSERT INTO dbo.koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('35', 'DB2', '7', 'DECIMAL', 'VARCHAR', 'String')
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_model_group::liusheng
CREATE TABLE dbo.koca_lcp_model_group (id bigint NOT NULL, ds_id bigint NOT NULL, group_code nvarchar(32) NOT NULL, group_name nvarchar(64) NOT NULL, pid bigint CONSTRAINT DF_koca_lcp_model_group_pid DEFAULT -1 NOT NULL, id_path nvarchar(256) NOT NULL, order_no bigint NOT NULL, created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_MODEL_GROUP PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'模型分组',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_group'
GO

EXEC sp_addextendedproperty
'MS_Description', N'id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_group',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据源id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_group',
'COLUMN', N'ds_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'分组代码（名称）',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_group',
'COLUMN', N'group_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'分组名称（描述）',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_group',
'COLUMN', N'group_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'父分组id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_group',
'COLUMN', N'pid'
GO

EXEC sp_addextendedproperty
'MS_Description', N'分组路径：pPath + / + pid',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_group',
'COLUMN', N'id_path'
GO

EXEC sp_addextendedproperty
'MS_Description', N'排序号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_group',
'COLUMN', N'order_no'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_group',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_group',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_group',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_group',
'COLUMN', N'updated_at'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_ds_pid_code ON dbo.koca_lcp_model_group(ds_id, pid, group_code)
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_ds_pid_name ON dbo.koca_lcp_model_group(ds_id, pid, group_name)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_GROUP_NO', N'数据模型分组序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_GROUP_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_model::YaChao Lv
CREATE TABLE dbo.koca_lcp_data_model (id bigint NOT NULL, ds_id bigint NOT NULL, group_id bigint CONSTRAINT DF_koca_lcp_data_model_group_id DEFAULT -1 NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_data_model_tenant_id DEFAULT '-1' NOT NULL, model_name nvarchar(32) NOT NULL, table_name nvarchar(512) NOT NULL, model_desc nvarchar(255), title_field nvarchar(255), title_tmpl nvarchar(255), sync_status nvarchar(32) NOT NULL, since_no bigint, created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_DATA_MODEL PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据源ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model',
'COLUMN', N'ds_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'分组id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model',
'COLUMN', N'group_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'模型名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model',
'COLUMN', N'model_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'表名',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model',
'COLUMN', N'table_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'模型描述',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model',
'COLUMN', N'model_desc'
GO

EXEC sp_addextendedproperty
'MS_Description', N'标题key',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model',
'COLUMN', N'title_field'
GO

EXEC sp_addextendedproperty
'MS_Description', N'模板内容',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model',
'COLUMN', N'title_tmpl'
GO

EXEC sp_addextendedproperty
'MS_Description', N'模型状态',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model',
'COLUMN', N'sync_status'
GO

EXEC sp_addextendedproperty
'MS_Description', N'初始版本',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model',
'COLUMN', N'since_no'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model',
'COLUMN', N'updated_at'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_model_name ON dbo.koca_lcp_data_model(ds_id, model_name)
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_table_name ON dbo.koca_lcp_data_model(ds_id, table_name)
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_model::YaChao Lv
INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_NO', N'数据模型序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_model_logic::liusheng
CREATE TABLE dbo.koca_lcp_model_logic (id bigint NOT NULL, model_id bigint NOT NULL, logic_code nvarchar(32) NOT NULL, logic_name nvarchar(64) NOT NULL, method_type nvarchar(16) NOT NULL, return_type nvarchar(16) NOT NULL, logic_meta varchar(MAX), created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_MODEL_LOGIC PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'模型逻辑设计',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_logic'
GO

EXEC sp_addextendedproperty
'MS_Description', N'id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_logic',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'模型id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_logic',
'COLUMN', N'model_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'逻辑代码（名称）',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_logic',
'COLUMN', N'logic_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'逻辑名称（描述）',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_logic',
'COLUMN', N'logic_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'方法类型(INSERT,UPDATE,SELECT,DELETE)',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_logic',
'COLUMN', N'method_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'返回类型(PAGE,LIST,OBJECT)',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_logic',
'COLUMN', N'return_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'逻辑元数据（mybatis xml）',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_logic',
'COLUMN', N'logic_meta'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_logic',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_logic',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_logic',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_logic',
'COLUMN', N'updated_at'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_model_logic_code ON dbo.koca_lcp_model_logic(model_id, logic_code)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_LOGIC_NO', N'数据模型逻辑设计序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_LOGIC_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_sync_record::YaChao Lv
CREATE TABLE dbo.koca_lcp_data_sync_record (id bigint NOT NULL, model_id bigint NOT NULL, data_json varchar(MAX) NOT NULL, data_version int NOT NULL, CONSTRAINT PK_KOCA_LCP_DATA_SYNC_RECORD PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型同步历史',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_sync_record'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_sync_record',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_sync_record',
'COLUMN', N'model_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据json',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_sync_record',
'COLUMN', N'data_json'
GO

EXEC sp_addextendedproperty
'MS_Description', N'版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_sync_record',
'COLUMN', N'data_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_model_version ON dbo.koca_lcp_data_sync_record(model_id, data_version)
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_sync_record::YaChao Lv
INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_SYNC_RECORD_NO', N'数据模型同步历史序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_SYNC_RECORD_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_type_order::YaChao Lv
CREATE TABLE dbo.koca_lcp_data_type_order (id bigint NOT NULL, data_type_id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_data_type_order_tenant_id DEFAULT '-1' NOT NULL, order_num int NOT NULL, CONSTRAINT PK_KOCA_LCP_DATA_TYPE_ORDER PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据类型顺序表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_type_order'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_type_order',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据类型id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_type_order',
'COLUMN', N'data_type_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_type_order',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'顺序',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_type_order',
'COLUMN', N'order_num'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_type_order ON dbo.koca_lcp_data_type_order(data_type_id, order_num)
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_type_order::YaChao Lv
INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_DATA_TYPE_ORDER_NO', N'数据类型顺序表序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_DATA_TYPE_ORDER_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_model_field::YaChao Lv
CREATE TABLE dbo.koca_lcp_data_model_field (id bigint NOT NULL, model_id bigint NOT NULL, order_num int NOT NULL, field_code nvarchar(512) NOT NULL, field_desc nvarchar(255) NOT NULL, field_explain nvarchar(512), is_sensitive tinyint CONSTRAINT DF_koca_lcp_data_model_field_is_sensitive DEFAULT 0 NOT NULL, is_key tinyint NOT NULL, not_null tinyint NOT NULL, pk_strategy nvarchar(32), data_field_id bigint, data_region_id bigint, data_type_id bigint, data_dict_code nvarchar(32), length nvarchar(16), decimal_place int, default_val nvarchar(255), default_val_type nvarchar(32) CONSTRAINT DF_koca_lcp_data_model_field_default_val_type DEFAULT 'UNDEFINED' NOT NULL, check_rule nvarchar(255), error_tip nvarchar(255), condition_used tinyint CONSTRAINT DF_koca_lcp_data_model_field_condition_used DEFAULT 1 NOT NULL, create_used tinyint CONSTRAINT DF_koca_lcp_data_model_field_create_used DEFAULT 0 NOT NULL, query_used tinyint CONSTRAINT DF_koca_lcp_data_model_field_query_used DEFAULT 0 NOT NULL, display_used tinyint CONSTRAINT DF_koca_lcp_data_model_field_display_used DEFAULT 0 NOT NULL, edit_used tinyint CONSTRAINT DF_koca_lcp_data_model_field_edit_used DEFAULT 0 NOT NULL, delete_used tinyint CONSTRAINT DF_koca_lcp_data_model_field_delete_used DEFAULT 0 NOT NULL, created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_DATA_MODEL_FIELD PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型字段表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field',
'COLUMN', N'model_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'顺序',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field',
'COLUMN', N'order_num'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字段代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field',
'COLUMN', N'field_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字段描述',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field',
'COLUMN', N'field_desc'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字段说明',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field',
'COLUMN', N'field_explain'
GO

EXEC sp_addextendedproperty
'MS_Description', N'是否屏蔽',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field',
'COLUMN', N'is_sensitive'
GO

EXEC sp_addextendedproperty
'MS_Description', N'是否主键',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field',
'COLUMN', N'is_key'
GO

EXEC sp_addextendedproperty
'MS_Description', N'是否不为空',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field',
'COLUMN', N'not_null'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键策略',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field',
'COLUMN', N'pk_strategy'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字段库id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field',
'COLUMN', N'data_field_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据域id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field',
'COLUMN', N'data_region_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据类型id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field',
'COLUMN', N'data_type_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据字典代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field',
'COLUMN', N'data_dict_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'长度',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field',
'COLUMN', N'length'
GO

EXEC sp_addextendedproperty
'MS_Description', N'精度',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field',
'COLUMN', N'decimal_place'
GO

EXEC sp_addextendedproperty
'MS_Description', N'默认值',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field',
'COLUMN', N'default_val'
GO

EXEC sp_addextendedproperty
'MS_Description', N'默认值类型 UNDEFINED/EMPTY/CUSTOM',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field',
'COLUMN', N'default_val_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'校验规则',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field',
'COLUMN', N'check_rule'
GO

EXEC sp_addextendedproperty
'MS_Description', N'错误提示',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field',
'COLUMN', N'error_tip'
GO

EXEC sp_addextendedproperty
'MS_Description', N'条件使用',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field',
'COLUMN', N'condition_used'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建使用',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field',
'COLUMN', N'create_used'
GO

EXEC sp_addextendedproperty
'MS_Description', N'查询使用',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field',
'COLUMN', N'query_used'
GO

EXEC sp_addextendedproperty
'MS_Description', N'显示使用',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field',
'COLUMN', N'display_used'
GO

EXEC sp_addextendedproperty
'MS_Description', N'编辑使用',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field',
'COLUMN', N'edit_used'
GO

EXEC sp_addextendedproperty
'MS_Description', N'删除使用',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field',
'COLUMN', N'delete_used'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field',
'COLUMN', N'updated_at'
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_model_field::YaChao Lv
INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_FIELD_NO', N'数据模型字段序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_FIELD_NO', '0', '0', '0', '100000', '', '')
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_FIELD_RULE_NO', N'数据模型字段屏蔽规则序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_FIELD_CHECK_RULE_NO', N'数据模型字段校验规则序列', '8', '1', '', '', '0')
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_model_condition_conf::YaChao Lv
CREATE TABLE dbo.koca_lcp_model_condition_conf (id bigint NOT NULL, model_id bigint NOT NULL, field_id bigint NOT NULL, operator varchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_MODEL_CONDITION_CONF PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型查询条件配置表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_condition_conf'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_condition_conf',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_condition_conf',
'COLUMN', N'model_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字段主键',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_condition_conf',
'COLUMN', N'field_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'操作符',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_condition_conf',
'COLUMN', N'operator'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_model_condition ON dbo.koca_lcp_model_condition_conf(field_id, operator)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_MODEL_CONDITION_CONF_NO', N'数据模型查询条件配置序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_MODEL_CONDITION_CONF_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_model_index::YaChao Lv
CREATE TABLE dbo.koca_lcp_data_model_index (id bigint NOT NULL, model_id bigint NOT NULL, index_name nvarchar(255), index_code nvarchar(512) NOT NULL, is_unique tinyint CONSTRAINT DF_koca_lcp_data_model_index_is_unique DEFAULT 0 NOT NULL, order_num int NOT NULL, created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_DATA_MODEL_INDEX PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型索引表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_index'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_index',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_index',
'COLUMN', N'model_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'索引名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_index',
'COLUMN', N'index_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'索引代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_index',
'COLUMN', N'index_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'是否唯一索引',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_index',
'COLUMN', N'is_unique'
GO

EXEC sp_addextendedproperty
'MS_Description', N'顺序',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_index',
'COLUMN', N'order_num'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_index',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_index',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_index',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_index',
'COLUMN', N'updated_at'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_model_index ON dbo.koca_lcp_data_model_index(model_id, index_code)
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_model_index::YaChao Lv
INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_INDEX_NO', N'数据模型索引序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_INDEX_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_model_idx_field::YaChao Lv
CREATE TABLE dbo.koca_lcp_data_model_idx_field (id bigint NOT NULL, index_id bigint NOT NULL, field_id bigint NOT NULL, order_num int NOT NULL, order_type int NOT NULL, CONSTRAINT PK_KOCA_LCP_DATA_MODEL_IDX_FIELD PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型索引字段表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_idx_field'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_idx_field',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'索引id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_idx_field',
'COLUMN', N'index_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字段id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_idx_field',
'COLUMN', N'field_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'顺序',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_idx_field',
'COLUMN', N'order_num'
GO

EXEC sp_addextendedproperty
'MS_Description', N'排序方式',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_idx_field',
'COLUMN', N'order_type'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_index_field ON dbo.koca_lcp_data_model_idx_field(index_id, field_id)
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_model_idx_field::YaChao Lv
INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_INDEX_IDX_NO', N'数据模型索引字段序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_INDEX_IDX_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_model_er::YaChao Lv
CREATE TABLE dbo.koca_lcp_data_model_er (id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_data_model_er_tenant_id DEFAULT '-1' NOT NULL, source_model_id bigint NOT NULL, target_model_id bigint NOT NULL, mid_model_id bigint, relation_type char(3) NOT NULL, rela_delete_strategy int CONSTRAINT DF_koca_lcp_data_model_er_rela_delete_strategy DEFAULT 1 NOT NULL, rela_delete_info nvarchar(128), created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_DATA_MODEL_ER PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型关联关系',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_er'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_er',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_er',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'源模型id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_er',
'COLUMN', N'source_model_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'目标模型id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_er',
'COLUMN', N'target_model_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'中间模型id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_er',
'COLUMN', N'mid_model_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'关联关系类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_er',
'COLUMN', N'relation_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'删除校验策略（1-阻止，2-跟随，3-忽略）',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_er',
'COLUMN', N'rela_delete_strategy'
GO

EXEC sp_addextendedproperty
'MS_Description', N'自定义提醒内容',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_er',
'COLUMN', N'rela_delete_info'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_er',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_er',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_er',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_er',
'COLUMN', N'updated_at'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_source_target_type ON dbo.koca_lcp_data_model_er(source_model_id, target_model_id, relation_type)
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_model_er::YaChao Lv
INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_ER_NO', N'数据模型关联关系序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_ER_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_model_er_field::YaChao Lv
CREATE TABLE dbo.koca_lcp_data_model_er_field (id bigint NOT NULL, er_id bigint NOT NULL, field_type nvarchar(32) NOT NULL, field_id bigint NOT NULL, order_num int NOT NULL, CONSTRAINT PK_KOCA_LCP_DATA_MODEL_ER_FIELD PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型关联关系字段',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_er_field'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_er_field',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'关联关系id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_er_field',
'COLUMN', N'er_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'关联关系字段类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_er_field',
'COLUMN', N'field_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字段id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_er_field',
'COLUMN', N'field_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'顺序',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_er_field',
'COLUMN', N'order_num'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_field_all ON dbo.koca_lcp_data_model_er_field(er_id, field_type, field_id, order_num)
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_model_er_field::YaChao Lv
INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_ER_FIELD_NO', N'数据模型关联关系字段序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_ER_FIELD_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_region::qiuhang
CREATE TABLE dbo.koca_lcp_data_region (id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_data_region_tenant_id DEFAULT '-1' NOT NULL, data_region_code nvarchar(32) NOT NULL, data_region_name nvarchar(32) NOT NULL, data_type_id bigint NOT NULL, ui_suggestion nvarchar(32), length nvarchar(16), decimal_place int, created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_DATA_REGION PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据域表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_region'
GO

EXEC sp_addextendedproperty
'MS_Description', N'类型id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_region',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_region',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据域代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_region',
'COLUMN', N'data_region_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据域名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_region',
'COLUMN', N'data_region_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据类型ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_region',
'COLUMN', N'data_type_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'ui建议',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_region',
'COLUMN', N'ui_suggestion'
GO

EXEC sp_addextendedproperty
'MS_Description', N'长度',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_region',
'COLUMN', N'length'
GO

EXEC sp_addextendedproperty
'MS_Description', N'小数位数',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_region',
'COLUMN', N'decimal_place'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_region',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_region',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_region',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_region',
'COLUMN', N'updated_at'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_data_region_code_tenant_id ON dbo.koca_lcp_data_region(data_region_code, tenant_id)
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_data_region_name_tenant_id ON dbo.koca_lcp_data_region(data_region_name, tenant_id)
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_region::qiuhang
INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_TYPE_REGION_NO', N'数据域序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_TYPE_REGION_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_field_manager::qiuhang
CREATE TABLE dbo.koca_lcp_field_manager (id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_field_manager_tenant_id DEFAULT '-1' NOT NULL, field_code nvarchar(30) NOT NULL, field_desc nvarchar(255) NOT NULL, data_region_id bigint, data_type_id bigint, length nvarchar(16), decimal_place int, default_val nvarchar(255), default_val_type nvarchar(32) CONSTRAINT DF_koca_lcp_field_manager_default_val_type DEFAULT 'UNDEFINED' NOT NULL, dict_code nvarchar(32), is_default char(1) CONSTRAINT DF_koca_lcp_field_manager_is_default DEFAULT 'N' NOT NULL, created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_FIELD_MANAGER PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据字段表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_field_manager'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字段id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_field_manager',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_field_manager',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字段代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_field_manager',
'COLUMN', N'field_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字段描述',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_field_manager',
'COLUMN', N'field_desc'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据域id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_field_manager',
'COLUMN', N'data_region_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据类型ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_field_manager',
'COLUMN', N'data_type_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'长度',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_field_manager',
'COLUMN', N'length'
GO

EXEC sp_addextendedproperty
'MS_Description', N'小数位数',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_field_manager',
'COLUMN', N'decimal_place'
GO

EXEC sp_addextendedproperty
'MS_Description', N'默认值',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_field_manager',
'COLUMN', N'default_val'
GO

EXEC sp_addextendedproperty
'MS_Description', N'默认值类型 UNDEFINED/EMPTY/CUSTOM',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_field_manager',
'COLUMN', N'default_val_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字典代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_field_manager',
'COLUMN', N'dict_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'是否默认',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_field_manager',
'COLUMN', N'is_default'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_field_manager',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_field_manager',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_field_manager',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_field_manager',
'COLUMN', N'updated_at'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_field_code_tenant_id ON dbo.koca_lcp_field_manager(field_code, tenant_id)
GO

INSERT INTO dbo.koca_lcp_field_manager (id, tenant_id, field_code, field_desc, data_type_id, default_val_type, is_default, created_by, updated_by, created_at, updated_at) VALUES ('1', '-1', 'id', 'id', '6', 'UNDEFINED', 'Y', 'admin', 'admin', '2023-10-11 15:11:15', '2023-10-11 15:11:19')
GO

INSERT INTO dbo.koca_lcp_field_manager (id, tenant_id, field_code, field_desc, length, data_type_id, default_val_type, is_default, created_by, updated_by, created_at, updated_at) VALUES ('2', '-1', 'created_by', N'创建用户', '32', '2', 'UNDEFINED', 'Y', 'admin', 'admin', '2023-10-11 15:11:15', '2023-10-11 15:11:19')
GO

INSERT INTO dbo.koca_lcp_field_manager (id, tenant_id, field_code, field_desc, length, data_type_id, default_val_type, is_default, created_by, updated_by, created_at, updated_at) VALUES ('3', '-1', 'updated_by', N'更新用户', '32', '2', 'UNDEFINED', 'Y', 'admin', 'admin', '2023-10-11 15:11:15', '2023-10-11 15:11:19')
GO

INSERT INTO dbo.koca_lcp_field_manager (id, tenant_id, field_code, field_desc, length, data_type_id, default_val_type, is_default, created_by, updated_by, created_at, updated_at) VALUES ('4', '-1', 'created_at', N'创建时间', '32', '2', 'UNDEFINED', 'Y', 'admin', 'admin', '2023-10-11 15:11:15', '2023-10-11 15:11:19')
GO

INSERT INTO dbo.koca_lcp_field_manager (id, tenant_id, field_code, field_desc, length, data_type_id, default_val_type, is_default, created_by, updated_by, created_at, updated_at) VALUES ('5', '-1', 'updated_at', N'更新时间', '32', '2', 'UNDEFINED', 'Y', 'admin', 'admin', '2023-10-11 15:11:15', '2023-10-11 15:11:19')
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_field_manager::qiuhang
INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_TYPE_FIELD_NO', N'数据字段库序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_TYPE_FIELD_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_sys_menu::qiuhang
INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412000', '0', '0', N'数据模型管理', '', '', '411001', 'kui-icon-menu', '0', N'数据模型管理')
GO

INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412001', '0', '0', N'数据类型管理', '/lcp-runtime-model/views/data-type/index.vue', '412000', '', '', '0', N'数据类型管理')
GO

INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412002', '0', '2', N'数据类型新增/编辑', '', '412001', '', '', '0', N'数据类型新增/编辑')
GO

INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412003', '0', '2', N'数据类型删除', '', '412001', '', '', '0', N'数据类型删除')
GO

INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412004', '0', '2', N'数据域新增/编辑', '', '412001', '', '', '0', N'数据域新增/编辑')
GO

INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412005', '0', '2', N'数据域删除', '', '412001', '', '', '0', N'数据域删除')
GO

INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412006', '0', '2', N'字段库新增/编辑', '', '412001', '', '', '0', N'字段库新增/编辑')
GO

INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412007', '0', '2', N'字段库删除', '', '412001', '', '', '0', N'字段库删除')
GO

INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412008', '0', '0', N'数据字典管理', '/lcp-runtime-model/views/data-dict/index.tsx', '412000', '412001', '', '0', N'数据字典管理')
GO

INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412009', '0', '2', N'数据字典新增/编辑', '', '412008', '', '', '0', N'数据字典新增/编辑')
GO

INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412010', '0', '2', N'数据字典删除', '', '412008', '', '', '0', N'数据字典删除')
GO

INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412011', '0', '0', N'数据模型管理', '/lcp-runtime-model/views/data-model/index.tsx', '412000', '412008', '', '0', N'数据模型管理')
GO

INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412012', '0', '2', N'数据模型新增/编辑', '', '412011', '', '', '0', N'数据模型新增/编辑')
GO

INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412013', '0', '2', N'数据模型删除', '', '412011', '412012', '', '0', N'数据模型删除')
GO

INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412014', '0', '2', N'数据模型-版本管理', '', '412011', '412013', '', '0', N'数据模型-版本管理')
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_menu_api::qiuhang
INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412011', '41201101', '/data/model/list')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412011', '41201102', '/data/model/detail')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412011', '41201103', '/datasource/ds/list')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412011', '41201104', '/data/model/codePreview')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412011', '41201105', '/data/model/field/level')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412013', '41201301', '/data/model/delete')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201201', '/data/model/create')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201202', '/data/model/sync')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201203', '/data/model/copy')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201204', '/data/model/rename')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201205', '/data/model/clear')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201206', '/data/model/import/list')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201207', '/data/model/import')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201208', '/data/type/order/list')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201209', '/data/type/order/save')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201210', '/data/model/pkStrategy/list')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201211', '/data/model/detail/update')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201212', '/data/model/dataExport')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201213', '/data/model/dataImport')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201214', '/data/model/dataTmpl/download')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201215', '/data/model/dataQuery')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201216', '/data/model/dataCreate')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201217', '/data/model/dataDelete')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201218', '/data/model/dataUpdate')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201219', '/data/model/all')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201220', '/data/type/field/list')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201221', '/data/type/region/all')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201222', '/data/type/all')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201223', '/data/dic/list')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412001', 'DATA_TYPE_ALL', '/data/type/all')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412001', 'DATA_TYPE_DETAIL', '/data/type/detail')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412001', 'DATA_DB_ALL', '/data/db/all')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412002', 'DATA_TYPE_ADD', '/data/type/add')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412002', 'DATA_TYPE_UPDATE', '/data/type/update')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412003', 'DATA_TYPE_DELETE', '/data/type/delete')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412001', 'DATA_TYPE_REGION_LIST', '/data/type/region/list')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412001', 'DATA_TYPE_REGION_ALL', '/data/type/region/all')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412001', 'DATA_DIC_ALL', '/data/dic/all')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412001', 'DATA_TYPE_FIELD_LIST', '/data/type/field/list')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412004', 'DATA_TYPE_REGION_ADD', '/data/type/region/add')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412004', 'DATA_TYPE_REGION_UPDATE', '/data/type/region/update')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412005', 'DATA_TYPE_REGION_DELETE', '/data/type/region/delete')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412006', 'DATA_TYPE_FIELD_ADD', '/data/type/field/add')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412006', 'DATA_TYPE_FIELD_UPDATE', '/data/type/field/update')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412007', 'DATA_TYPE_FIELD_DELETE', '/data/type/field/delete')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412008', 'DATA_DIC_LIST', '/data/dic/list')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412009', 'DATA_DIC_ADD', '/data/dic/add')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412009', 'DATA_DIC_UPDATE', '/data/dic/update')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412009', 'DATA_DIC_IMPORT', '/data/dic/import')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412009', 'DATA_DIC_TMPL_DOWNLOAD', '/data/dic/tmpl/download')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412010', 'DATA_DIC_DELETE', '/data/dic/delete')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412008', 'DATA_DIC_ITEM_ALL', '/data/dic/item/all')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412009', 'DATA_DIC_ITEM_ADD', '/data/dic/item/add')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412009', 'DATA_DIC_ITEM_UPDATE', '/data/dic/item/update')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('412010', 'DATA_DIC_ITEM_DELETE', '/data/dic/item/delete')
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_model_field_sensitive::liusheng
CREATE TABLE dbo.koca_lcp_model_field_sensitive (id bigint NOT NULL, model_field_id bigint NOT NULL, replace_position tinyint NOT NULL, replace_num int NOT NULL, replace_char nvarchar(1) NOT NULL, created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_MODEL_FIELD_SENSITIVE PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型字段屏蔽规则',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_sensitive'
GO

EXEC sp_addextendedproperty
'MS_Description', N'屏蔽规则id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_sensitive',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型字段id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_sensitive',
'COLUMN', N'model_field_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'替换位置:1-前，2-中，3-后',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_sensitive',
'COLUMN', N'replace_position'
GO

EXEC sp_addextendedproperty
'MS_Description', N'最小屏蔽位数；未达到最小位数，全屏蔽',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_sensitive',
'COLUMN', N'replace_num'
GO

EXEC sp_addextendedproperty
'MS_Description', N'屏蔽字符，默认：*',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_sensitive',
'COLUMN', N'replace_char'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_sensitive',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_sensitive',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_sensitive',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_sensitive',
'COLUMN', N'updated_at'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_model_field_id ON dbo.koca_lcp_model_field_sensitive(model_field_id)
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_model_field_rule::liusheng
CREATE TABLE dbo.koca_lcp_model_field_rule (id int NOT NULL, model_id bigint NOT NULL, model_field_id bigint NOT NULL, check_rule_condition nvarchar(128), check_rule_type nvarchar(32) NOT NULL, check_rule_content nvarchar(128) NOT NULL, error_tip nvarchar(128), created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_MODEL_FIELD_RULE PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'字段校验规则',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_rule'
GO

EXEC sp_addextendedproperty
'MS_Description', N'校验规则id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_rule',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_rule',
'COLUMN', N'model_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型字段id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_rule',
'COLUMN', N'model_field_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'规则校验前置条件（spel表达式字符串）',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_rule',
'COLUMN', N'check_rule_condition'
GO

EXEC sp_addextendedproperty
'MS_Description', N'规则校验类型：REGX-正则校验，LENGTH_LIMIT-长度限制',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_rule',
'COLUMN', N'check_rule_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'校验规则内容，配合check_rule_type字段使用',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_rule',
'COLUMN', N'check_rule_content'
GO

EXEC sp_addextendedproperty
'MS_Description', N'错误提示',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_rule',
'COLUMN', N'error_tip'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_rule',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_rule',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_rule',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_rule',
'COLUMN', N'updated_at'
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_ds_version::liusheng
CREATE TABLE dbo.koca_lcp_ds_version (ds_id bigint NOT NULL, version_no bigint NOT NULL, sync_msg nvarchar(256), sync_status nvarchar(16) NOT NULL, created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_DS_VERSION PRIMARY KEY (ds_id, version_no))
GO

EXEC sp_addextendedproperty
'MS_Description', N'模型版本',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据源id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version',
'COLUMN', N'ds_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'版本号，唯一，递增，代码实现',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version',
'COLUMN', N'version_no'
GO

EXEC sp_addextendedproperty
'MS_Description', N'同步消息',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version',
'COLUMN', N'sync_msg'
GO

EXEC sp_addextendedproperty
'MS_Description', N'版本同步状态',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version',
'COLUMN', N'sync_status'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version',
'COLUMN', N'updated_at'
GO

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_ds_version_detail::liusheng
CREATE TABLE dbo.koca_lcp_ds_version_detail (id bigint NOT NULL, ds_id bigint NOT NULL, version_no bigint NOT NULL, model_id bigint NOT NULL, model_name nvarchar(32) NOT NULL, table_name nvarchar(512) NOT NULL, change_type nvarchar(16) NOT NULL, inc_sql varchar(MAX), sync_status nvarchar(16) NOT NULL, error_msg nvarchar(256), operator nvarchar(32), snapshot varchar(MAX), created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_DS_VERSION_DETAIL PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'模型版本详情',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail'
GO

EXEC sp_addextendedproperty
'MS_Description', N'id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据源id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail',
'COLUMN', N'ds_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail',
'COLUMN', N'version_no'
GO

EXEC sp_addextendedproperty
'MS_Description', N'模型id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail',
'COLUMN', N'model_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'模型名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail',
'COLUMN', N'model_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'表名',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail',
'COLUMN', N'table_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'变更类型:CREATE,MODIFY,DROP',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail',
'COLUMN', N'change_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'增量sql',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail',
'COLUMN', N'inc_sql'
GO

EXEC sp_addextendedproperty
'MS_Description', N'版本同步状态',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail',
'COLUMN', N'sync_status'
GO

EXEC sp_addextendedproperty
'MS_Description', N'同步失败消息',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail',
'COLUMN', N'error_msg'
GO

EXEC sp_addextendedproperty
'MS_Description', N'同步用户',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail',
'COLUMN', N'operator'
GO

EXEC sp_addextendedproperty
'MS_Description', N'模型快照',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail',
'COLUMN', N'snapshot'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail',
'COLUMN', N'updated_at'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_ds_version_model ON dbo.koca_lcp_ds_version_detail(ds_id, version_no, model_id)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DS_VERSION_DETAIL', N'数据模型版本详情序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DS_VERSION_DETAIL', '0', '0', '0', '100000', '', '')
GO
update koca_sys_menu set menu_status=1 where menu_id in ('412000');
