-- Changeset V4.7.0_0_2_111__koca_lcp_runtime_model.xml::alter_table_koca_lcp_data_type::liusheng
ALTER TABLE dbo.koca_lcp_data_type ADD is_default char(1) CONSTRAINT DF_koca_lcp_data_type_is_default DEFAULT 'N' NOT NULL
GO

EXEC sp_addextendedproperty
'MS_Description', N'是否默认',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_type',
'COLUMN', N'is_default'
GO

UPDATE dbo.koca_lcp_data_type SET is_default = 'Y' WHERE type_code='varchar'
GO

-- Changeset V4.7.0_0_2_111__koca_lcp_runtime_model.xml::alter_table_koca_lcp_field_manager::liusheng
ALTER TABLE dbo.koca_lcp_field_manager ADD is_default char(1) CONSTRAINT DF_koca_lcp_field_manager_is_default DEFAULT 'N' NOT NULL
GO

EXEC sp_addextendedproperty
'MS_Description', N'是否默认',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_field_manager',
'COLUMN', N'is_default'
GO

-- Changeset V4.7.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_model_group::liusheng
CREATE TABLE dbo.koca_lcp_model_group (id bigint NOT NULL, ds_id bigint NOT NULL, group_code nvarchar(32) NOT NULL, group_name nvarchar(64) NOT NULL, pid bigint CONSTRAINT DF_koca_lcp_model_group_pid DEFAULT -1 NOT NULL, id_path nvarchar(256) NOT NULL, order_no bigint NOT NULL, created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_MODEL_GROUP PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'模型分组',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_group'
GO

EXEC sp_addextendedproperty
'MS_Description', N'id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_group',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据源id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_group',
'COLUMN', N'ds_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'分组代码（名称）',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_group',
'COLUMN', N'group_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'分组名称（描述）',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_group',
'COLUMN', N'group_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'父分组id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_group',
'COLUMN', N'pid'
GO

EXEC sp_addextendedproperty
'MS_Description', N'分组路径：pPath + / + pid',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_group',
'COLUMN', N'id_path'
GO

EXEC sp_addextendedproperty
'MS_Description', N'排序号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_group',
'COLUMN', N'order_no'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_group',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_group',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_group',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_group',
'COLUMN', N'updated_at'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_ds_pid_code ON dbo.koca_lcp_model_group(ds_id, pid, group_code)
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_ds_pid_name ON dbo.koca_lcp_model_group(ds_id, pid, group_name)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_GROUP_NO', N'数据模型分组序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_GROUP_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset V4.7.0_0_2_111__koca_lcp_runtime_model.xml::alter_table_koca_lcp_data_model::liusheng
ALTER TABLE dbo.koca_lcp_data_model ADD group_id bigint CONSTRAINT DF_koca_lcp_data_model_group_id DEFAULT -1 NOT NULL
GO

EXEC sp_addextendedproperty
'MS_Description', N'分组id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model',
'COLUMN', N'group_id'
GO

-- Changeset V4.7.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_model_logic::liusheng
CREATE TABLE dbo.koca_lcp_model_logic (id bigint NOT NULL, model_id bigint NOT NULL, logic_code nvarchar(32) NOT NULL, logic_name nvarchar(64) NOT NULL, method_type nvarchar(16) NOT NULL, return_type nvarchar(16) NOT NULL, logic_meta varchar(MAX), created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_MODEL_LOGIC PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'模型逻辑设计',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_logic'
GO

EXEC sp_addextendedproperty
'MS_Description', N'id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_logic',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'模型id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_logic',
'COLUMN', N'model_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'逻辑代码（名称）',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_logic',
'COLUMN', N'logic_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'逻辑名称（描述）',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_logic',
'COLUMN', N'logic_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'方法类型(INSERT,UPDATE,SELECT,DELETE)',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_logic',
'COLUMN', N'method_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'返回类型(PAGE,LIST,OBJECT)',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_logic',
'COLUMN', N'return_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'逻辑元数据（mybatis xml）',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_logic',
'COLUMN', N'logic_meta'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_logic',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_logic',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_logic',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_logic',
'COLUMN', N'updated_at'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_model_logic_code ON dbo.koca_lcp_model_logic(model_id, logic_code)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_LOGIC_NO', N'数据模型逻辑设计序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_LOGIC_NO', '0', '0', '0', '100000', '', '')
GO