-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_page2_group::chenlei
CREATE TABLE dbo.koca_lcp_page2_group (id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_page2_group_tenant_id DEFAULT '-1' NOT NULL, group_code nvarchar(64) NOT NULL, group_name nvarchar(64) NOT NULL, parent_id bigint CONSTRAINT DF_koca_lcp_page2_group_parent_id DEFAULT '-1' NOT NULL, id_path nvarchar(512) NOT NULL, sort_no int CONSTRAINT DF_koca_lcp_page2_group_sort_no DEFAULT 0 NOT NULL, created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_PAGE2_GROUP PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面分组',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_group'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_group',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_group',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面分组编码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_group',
'COLUMN', N'group_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面分组名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_group',
'COLUMN', N'group_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'父级目录',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_group',
'COLUMN', N'parent_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面分组id路径，用于删除或查询',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_group',
'COLUMN', N'id_path'
GO

EXEC sp_addextendedproperty
'MS_Description', N'序号，用于同级目录排序',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_group',
'COLUMN', N'sort_no'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_group',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_group',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_group',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_group',
'COLUMN', N'updated_at'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_page2_group_code ON dbo.koca_lcp_page2_group(tenant_id, parent_id, group_code)
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_page2_group_name ON dbo.koca_lcp_page2_group(tenant_id, parent_id, group_name)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_GROUP_NO', N'页面分组序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_GROUP_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_page2::chenlei
CREATE TABLE dbo.koca_lcp_page2 (id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_page2_tenant_id DEFAULT '-1' NOT NULL, group_id bigint CONSTRAINT DF_koca_lcp_page2_group_id DEFAULT '-1' NOT NULL, page_code nvarchar(64) NOT NULL, page_name nvarchar(64) NOT NULL, page_meta varchar(MAX), home_page char(1) CONSTRAINT DF_koca_lcp_page2_home_page DEFAULT 'N' NOT NULL, deploy_status nvarchar(32) NOT NULL, page_type nvarchar(16) CONSTRAINT DF_koca_lcp_page2_page_type DEFAULT 'COMMON' NOT NULL, template_id bigint, model_id bigint, created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_PAGE2 PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面管理2',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'父级目录',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2',
'COLUMN', N'group_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面编码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2',
'COLUMN', N'page_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2',
'COLUMN', N'page_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面元数据',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2',
'COLUMN', N'page_meta'
GO

EXEC sp_addextendedproperty
'MS_Description', N'是否首页',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2',
'COLUMN', N'home_page'
GO

EXEC sp_addextendedproperty
'MS_Description', N'发布状态',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2',
'COLUMN', N'deploy_status'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面类型：模型页面MODEL/通用页面COMMON',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2',
'COLUMN', N'page_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'模板id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2',
'COLUMN', N'template_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'模型id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2',
'COLUMN', N'model_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2',
'COLUMN', N'updated_at'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_page2_code ON dbo.koca_lcp_page2(tenant_id, group_id, page_code)
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_page2_name ON dbo.koca_lcp_page2(tenant_id, group_id, page_name)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_NO', N'页面2序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_page2_deployed::YaChao Lv
CREATE TABLE dbo.koca_lcp_page2_deployed (id bigint NOT NULL, page_id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_page2_deployed_tenant_id DEFAULT '-1' NOT NULL, group_id bigint CONSTRAINT DF_koca_lcp_page2_deployed_group_id DEFAULT '-1' NOT NULL, page_code nvarchar(64) NOT NULL, page_name nvarchar(64) NOT NULL, page_meta varchar(MAX), home_page char(1) CONSTRAINT DF_koca_lcp_page2_deployed_home_page DEFAULT 'N' NOT NULL, his_version nvarchar(8) NOT NULL, page_type nvarchar(16) CONSTRAINT DF_koca_lcp_page2_deployed_page_type DEFAULT 'COMMON' NOT NULL, template_id bigint, model_id bigint, CONSTRAINT PK_KOCA_LCP_PAGE2_DEPLOYED PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面管理已发布表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_deployed'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_deployed',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_deployed',
'COLUMN', N'page_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_deployed',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'父级目录',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_deployed',
'COLUMN', N'group_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面编码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_deployed',
'COLUMN', N'page_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_deployed',
'COLUMN', N'page_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面元数据',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_deployed',
'COLUMN', N'page_meta'
GO

EXEC sp_addextendedproperty
'MS_Description', N'是否首页',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_deployed',
'COLUMN', N'home_page'
GO

EXEC sp_addextendedproperty
'MS_Description', N'历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_deployed',
'COLUMN', N'his_version'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面类型：模型页面MODEL/通用页面COMMON',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_deployed',
'COLUMN', N'page_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'模板id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_deployed',
'COLUMN', N'template_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'模型id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_deployed',
'COLUMN', N'model_id'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_page2_deployed_code ON dbo.koca_lcp_page2_deployed(tenant_id, group_id, page_code)
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_page2_deployed_name ON dbo.koca_lcp_page2_deployed(tenant_id, group_id, page_name)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_DEPLOYED_NO', N'发布页面序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_DEPLOYED_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_page2_his::YaChao Lv
CREATE TABLE dbo.koca_lcp_page2_his (id bigint NOT NULL, page_id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_page2_his_tenant_id DEFAULT '-1' NOT NULL, group_id bigint CONSTRAINT DF_koca_lcp_page2_his_group_id DEFAULT '-1' NOT NULL, page_code nvarchar(64) NOT NULL, page_name nvarchar(64) NOT NULL, page_meta varchar(MAX), home_page char(1) CONSTRAINT DF_koca_lcp_page2_his_home_page DEFAULT 'N' NOT NULL, his_version nvarchar(8) NOT NULL, page_type nvarchar(16) CONSTRAINT DF_koca_lcp_page2_his_page_type DEFAULT 'COMMON' NOT NULL, template_id bigint, model_id bigint, CONSTRAINT PK_KOCA_LCP_PAGE2_HIS PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面管理发布历史表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_his'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_his',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_his',
'COLUMN', N'page_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_his',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'父级目录',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_his',
'COLUMN', N'group_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面编码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_his',
'COLUMN', N'page_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_his',
'COLUMN', N'page_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面元数据',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_his',
'COLUMN', N'page_meta'
GO

EXEC sp_addextendedproperty
'MS_Description', N'是否首页',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_his',
'COLUMN', N'home_page'
GO

EXEC sp_addextendedproperty
'MS_Description', N'历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_his',
'COLUMN', N'his_version'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面类型：模型页面MODEL/通用页面COMMON',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_his',
'COLUMN', N'page_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'模板id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_his',
'COLUMN', N'template_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'模型id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_his',
'COLUMN', N'model_id'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_page2_his_code ON dbo.koca_lcp_page2_his(tenant_id, group_id, his_version, page_code)
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_page2_his_name ON dbo.koca_lcp_page2_his(tenant_id, group_id, his_version, page_name)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_HIS_NO', N'页面发布历史序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_HIS_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_page_config::YaChao Lv
CREATE TABLE dbo.koca_lcp_page_config (id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_page_config_tenant_id DEFAULT '-1' NOT NULL, config_json varchar(MAX) NOT NULL, created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_PAGE_CONFIG PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面全局配置',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page_config'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page_config',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page_config',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'配置json',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page_config',
'COLUMN', N'config_json'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page_config',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page_config',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page_config',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page_config',
'COLUMN', N'updated_at'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_page_config_code ON dbo.koca_lcp_page_config(tenant_id)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE_CONFIG_NO', N'页面全局配置序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE_CONFIG_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::insert_koca_sys_menu::qiuhang
INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('414000', '0', '0', N'页面管理', '', '', '412000', 'kui-icon-vision', '0', N'页面管理')
GO

INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('414001', '0', '0', N'页面管理', '/lcp-runtime-page/views/page-manage/index.tsx', '414000', '', '', '0', N'页面管理')
GO

INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('414002', '0', '1', N'页面设计器', '/lcp-runtime-page/views/designer/index.tsx', '414000', '414001', '', '0', N'页面设计器')
GO

INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('414003', '0', '1', N'动态页面', '/lcp-runtime-page/views/renderer/index.tsx', '414000', '414002', '', '0', N'动态页面')
GO

INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('414004', '0', '2', N'模板编辑/删除', '', '414001', '', '', '0', N'模板编辑/删除')
GO

-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_global_var_page2::liusheng
CREATE TABLE dbo.koca_lcp_global_var_page2 (var_name nvarchar(512) NOT NULL, page_id bigint NOT NULL, CONSTRAINT PK_KOCA_LCP_GLOBAL_VAR_PAGE2 PRIMARY KEY (var_name, page_id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'全局变量/方法-页面映射表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_global_var_page2'
GO

EXEC sp_addextendedproperty
'MS_Description', N'全局变量/方法名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_global_var_page2',
'COLUMN', N'var_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_global_var_page2',
'COLUMN', N'page_id'
GO

-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_var_page2_deployed::YaChao Lv
CREATE TABLE dbo.koca_lcp_var_page2_deployed (id bigint NOT NULL, var_name nvarchar(512) NOT NULL, page2_id bigint NOT NULL, his_version nvarchar(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_VAR_PAGE2_DEPLOYED PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'全局变量/方法-页面映射发布表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_page2_deployed'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_page2_deployed',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'全局变量/方法名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_page2_deployed',
'COLUMN', N'var_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_page2_deployed',
'COLUMN', N'page2_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_page2_deployed',
'COLUMN', N'his_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_page2_var_deployed ON dbo.koca_lcp_var_page2_deployed(page2_id, var_name)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_VAR_DEPLOYED_NO', N'变量/方法-页面关系发布表序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_VAR_DEPLOYED_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_var_page2_his::YaChao Lv
CREATE TABLE dbo.koca_lcp_var_page2_his (id bigint NOT NULL, var_name nvarchar(512) NOT NULL, page2_id bigint NOT NULL, his_version nvarchar(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_VAR_PAGE2_HIS PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'全局变量/方法-页面映射发布历史表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_page2_his'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_page2_his',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'全局变量/方法名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_page2_his',
'COLUMN', N'var_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_page2_his',
'COLUMN', N'page2_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_page2_his',
'COLUMN', N'his_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_page2_var_his ON dbo.koca_lcp_var_page2_his(page2_id, var_name, his_version)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_VAR_HIS_NO', N'变量/方法-页面关系发布历史表序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_VAR_HIS_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_api_basic_page2::liusheng
CREATE TABLE dbo.koca_lcp_api_basic_page2 (data_id bigint NOT NULL, page2_id bigint NOT NULL, CONSTRAINT PK_KOCA_LCP_API_BASIC_PAGE2 PRIMARY KEY (data_id, page2_id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'字段-页面映射表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_page2'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字段id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_page2',
'COLUMN', N'data_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_page2',
'COLUMN', N'page2_id'
GO

-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_api_page2_deployed::YaChao Lv
CREATE TABLE dbo.koca_lcp_api_page2_deployed (id bigint NOT NULL, data_id bigint NOT NULL, page2_id bigint NOT NULL, his_version nvarchar(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_PAGE2_DEPLOYED PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'接口-页面映射发布表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_page2_deployed'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_page2_deployed',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字段id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_page2_deployed',
'COLUMN', N'data_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_page2_deployed',
'COLUMN', N'page2_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_page2_deployed',
'COLUMN', N'his_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_page2_api_deployed ON dbo.koca_lcp_api_page2_deployed(data_id, page2_id)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_API_DEPLOYED_NO', N'接口页面关系发布表序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_API_DEPLOYED_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_api_page2_his::YaChao Lv
CREATE TABLE dbo.koca_lcp_api_page2_his (id bigint NOT NULL, data_id bigint NOT NULL, page2_id bigint NOT NULL, his_version nvarchar(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_PAGE2_HIS PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'接口-页面映射发布历史表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_page2_his'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_page2_his',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字段id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_page2_his',
'COLUMN', N'data_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_page2_his',
'COLUMN', N'page2_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_page2_his',
'COLUMN', N'his_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_page2_api_his ON dbo.koca_lcp_api_page2_his(data_id, page2_id, his_version)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_API_HIS_NO', N'接口页面关系发布历史表序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_API_HIS_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_page2_history::liusheng
CREATE TABLE dbo.koca_lcp_page2_history (id bigint NOT NULL, page_id bigint NOT NULL, page_meta varchar(MAX) NOT NULL, created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_PAGE2_HISTORY PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面历史版本表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_history'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_history',
'COLUMN', N'page_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'版本元数据',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_history',
'COLUMN', N'page_meta'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_history',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_history',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_history',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_history',
'COLUMN', N'updated_at'
GO

CREATE NONCLUSTERED INDEX idx_page_id ON dbo.koca_lcp_page2_history(page_id)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_PAGE_HISTORY_NO', N'页面历史版本序列', '8', '1', '', '', '0')
GO

-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_comp2_page2::liusheng
CREATE TABLE dbo.koca_lcp_comp2_page2 (comp_id bigint NOT NULL, page_id bigint NOT NULL, CONSTRAINT PK_KOCA_LCP_COMP2_PAGE2 PRIMARY KEY (comp_id, page_id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'组件-页面映射表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_page2'
GO

EXEC sp_addextendedproperty
'MS_Description', N'组件id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_page2',
'COLUMN', N'comp_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_page2',
'COLUMN', N'page_id'
GO

-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_comp2_page2_deployed::YaChao Lv
CREATE TABLE dbo.koca_lcp_comp2_page2_deployed (id bigint NOT NULL, comp_id bigint NOT NULL, page_id bigint NOT NULL, his_version nvarchar(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_COMP2_PAGE2_DEPLOYED PRIMARY KEY (id, comp_id, page_id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面-组件映射发布表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_page2_deployed'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_page2_deployed',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'当前组件id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_page2_deployed',
'COLUMN', N'comp_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'关联组件id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_page2_deployed',
'COLUMN', N'page_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_page2_deployed',
'COLUMN', N'his_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_comp2_page2_deployed ON dbo.koca_lcp_comp2_page2_deployed(comp_id, page_id)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_PAGE2_DEPLOYED_NO', N'页面-组件关系发布表序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_PAGE2_DEPLOYED_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_comp2_page2_his::YaChao Lv
CREATE TABLE dbo.koca_lcp_comp2_page2_his (id bigint NOT NULL, comp_id bigint NOT NULL, page_id bigint NOT NULL, his_version nvarchar(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_COMP2_PAGE2_HIS PRIMARY KEY (id, comp_id, page_id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面-组件映射发布历史表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_page2_his'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_page2_his',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'当前组件id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_page2_his',
'COLUMN', N'comp_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'关联组件id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_page2_his',
'COLUMN', N'page_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_page2_his',
'COLUMN', N'his_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_comp2_page2_his ON dbo.koca_lcp_comp2_page2_his(comp_id, page_id, his_version)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_PAGE2_HIS_NO', N'页面-组件关系发布历史表序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_PAGE2_HIS_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_page2_template::liusheng
CREATE TABLE dbo.koca_lcp_page2_template (id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_page2_template_tenant_id DEFAULT '-1' NOT NULL, tpl_name nvarchar(64) NOT NULL, metadata varchar(MAX) NOT NULL, created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_PAGE2_TEMPLATE PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面模板',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_template'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_template',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_template',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'模板名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_template',
'COLUMN', N'tpl_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'模板元数据',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_template',
'COLUMN', N'metadata'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_template',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_template',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_template',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_template',
'COLUMN', N'updated_at'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_page2_tpl_name ON dbo.koca_lcp_page2_template(tenant_id, tpl_name)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_TEMPLATE_NO', N'页面模板序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_TEMPLATE_NO', '0', '0', '0', '100000', '', '')
GO
update koca_sys_menu set menu_status=1 where menu_id in ('414000');
