-- Changeset V4.1.0_0_2_131__koca_lcp_runtime_page.xml::create_table_koca_lcp_page2_group::chenlei
CREATE TABLE dbo.koca_lcp_page2_group (id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_page2_group_tenant_id DEFAULT '-1' NOT NULL, group_code nvarchar(64) NOT NULL, group_name nvarchar(64) NOT NULL, parent_id bigint CONSTRAINT DF_koca_lcp_page2_group_parent_id DEFAULT '-1' NOT NULL, id_path nvarchar(512) NOT NULL, sort_no int CONSTRAINT DF_koca_lcp_page2_group_sort_no DEFAULT 0 NOT NULL, created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_PAGE2_GROUP PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面分组',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_group'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_group',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_group',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面分组编码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_group',
'COLUMN', N'group_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面分组名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_group',
'COLUMN', N'group_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'父级目录',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_group',
'COLUMN', N'parent_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面分组id路径，用于删除或查询',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_group',
'COLUMN', N'id_path'
GO

EXEC sp_addextendedproperty
'MS_Description', N'序号，用于同级目录排序',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_group',
'COLUMN', N'sort_no'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_group',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_group',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_group',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_group',
'COLUMN', N'updated_at'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_page2_group_code ON dbo.koca_lcp_page2_group(tenant_id, parent_id, group_code)
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_page2_group_name ON dbo.koca_lcp_page2_group(tenant_id, parent_id, group_name)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_GROUP_NO', N'页面分组序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_GROUP_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset V4.1.0_0_2_131__koca_lcp_runtime_page.xml::create_table_koca_lcp_page2::chenlei
CREATE TABLE dbo.koca_lcp_page2 (id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_page2_tenant_id DEFAULT '-1' NOT NULL, group_id bigint CONSTRAINT DF_koca_lcp_page2_group_id DEFAULT '-1' NOT NULL, page_code nvarchar(64) NOT NULL, page_name nvarchar(64) NOT NULL, page_meta varchar(MAX), created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_PAGE2 PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面管理2',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'父级目录',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2',
'COLUMN', N'group_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面编码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2',
'COLUMN', N'page_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2',
'COLUMN', N'page_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面元数据',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2',
'COLUMN', N'page_meta'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2',
'COLUMN', N'updated_at'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_page2_code ON dbo.koca_lcp_page2(tenant_id, group_id, page_code)
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_page2_name ON dbo.koca_lcp_page2(tenant_id, group_id, page_name)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_NO', N'页面2序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset V4.1.0_0_2_131__koca_lcp_runtime_page.xml::update_koca_sys_menu::chenlei
INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('414000', '0', '0', N'页面管理', '', '', '412000', 'kui-icon-vision', '0', N'页面管理')
GO

INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('414001', '0', '0', N'页面管理', '/lcp-runtime-page/views/page-manage/index.tsx', '414000', '', '', '0', N'页面管理')
GO

INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('414002', '0', '1', N'页面设计器', '/lcp-runtime-page/views/designer/index.tsx', '414000', '414001', '', '0', N'页面设计器')
GO

INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('414003', '0', '1', N'动态页面', '/lcp-runtime-page/views/renderer/index.tsx', '414000', '414002', '', '0', N'动态页面')
GO