-- Changeset V4.3.0_0_2_132__koca_lcp_runtime_page.xml::alter_table_koca_lcp_page2::YaChao Lv
ALTER TABLE dbo.koca_lcp_page2 ADD deploy_status nvarchar(32) CONSTRAINT DF_koca_lcp_page2_deploy_status DEFAULT 'NOT_DEPLOYED' NOT NULL
GO

EXEC sp_addextendedproperty
'MS_Description', N'发布状态',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2',
'COLUMN', N'deploy_status'
GO

-- Changeset V4.3.0_0_2_132__koca_lcp_runtime_page.xml::create_table_koca_lcp_page2_deployed::YaChao Lv
CREATE TABLE dbo.koca_lcp_page2_deployed (id bigint NOT NULL, page_id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_page2_deployed_tenant_id DEFAULT '-1' NOT NULL, group_id bigint CONSTRAINT DF_koca_lcp_page2_deployed_group_id DEFAULT '-1' NOT NULL, page_code nvarchar(64) NOT NULL, page_name nvarchar(64) NOT NULL, page_meta varchar(MAX), home_page char(1) CONSTRAINT DF_koca_lcp_page2_deployed_home_page DEFAULT 'N' NOT NULL, his_version nvarchar(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_PAGE2_DEPLOYED PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面管理已发布表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_deployed'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_deployed',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_deployed',
'COLUMN', N'page_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_deployed',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'父级目录',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_deployed',
'COLUMN', N'group_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面编码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_deployed',
'COLUMN', N'page_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_deployed',
'COLUMN', N'page_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面元数据',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_deployed',
'COLUMN', N'page_meta'
GO

EXEC sp_addextendedproperty
'MS_Description', N'是否首页',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_deployed',
'COLUMN', N'home_page'
GO

EXEC sp_addextendedproperty
'MS_Description', N'历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_deployed',
'COLUMN', N'his_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_page2_deployed_code ON dbo.koca_lcp_page2_deployed(tenant_id, group_id, page_code)
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_page2_deployed_name ON dbo.koca_lcp_page2_deployed(tenant_id, group_id, page_name)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_DEPLOYED_NO', N'发布页面序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_DEPLOYED_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset V4.3.0_0_2_132__koca_lcp_runtime_page.xml::create_table_koca_lcp_page2_his::YaChao Lv
CREATE TABLE dbo.koca_lcp_page2_his (id bigint NOT NULL, page_id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_page2_his_tenant_id DEFAULT '-1' NOT NULL, group_id bigint CONSTRAINT DF_koca_lcp_page2_his_group_id DEFAULT '-1' NOT NULL, page_code nvarchar(64) NOT NULL, page_name nvarchar(64) NOT NULL, page_meta varchar(MAX), home_page char(1) CONSTRAINT DF_koca_lcp_page2_his_home_page DEFAULT 'N' NOT NULL, his_version nvarchar(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_PAGE2_HIS PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面管理发布历史表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_his'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_his',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_his',
'COLUMN', N'page_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_his',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'父级目录',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_his',
'COLUMN', N'group_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面编码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_his',
'COLUMN', N'page_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_his',
'COLUMN', N'page_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面元数据',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_his',
'COLUMN', N'page_meta'
GO

EXEC sp_addextendedproperty
'MS_Description', N'是否首页',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_his',
'COLUMN', N'home_page'
GO

EXEC sp_addextendedproperty
'MS_Description', N'历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_his',
'COLUMN', N'his_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_page2_his_code ON dbo.koca_lcp_page2_his(tenant_id, group_id, his_version, page_code)
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_page2_his_name ON dbo.koca_lcp_page2_his(tenant_id, group_id, his_version, page_name)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_HIS_NO', N'页面发布历史序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_HIS_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset V4.3.0_0_2_132__koca_lcp_runtime_page.xml::create_table_koca_lcp_var_page2_deployed::YaChao Lv
CREATE TABLE dbo.koca_lcp_var_page2_deployed (id bigint NOT NULL, var_name nvarchar(512) NOT NULL, page2_id bigint NOT NULL, his_version nvarchar(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_VAR_PAGE2_DEPLOYED PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'全局变量/方法-页面映射发布表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_page2_deployed'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_page2_deployed',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'全局变量/方法名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_page2_deployed',
'COLUMN', N'var_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_page2_deployed',
'COLUMN', N'page2_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_page2_deployed',
'COLUMN', N'his_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_page2_var_deployed ON dbo.koca_lcp_var_page2_deployed(page2_id, var_name)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_VAR_DEPLOYED_NO', N'变量/方法-页面关系发布表序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_VAR_DEPLOYED_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset V4.3.0_0_2_132__koca_lcp_runtime_page.xml::create_table_koca_lcp_var_page2_his::YaChao Lv
CREATE TABLE dbo.koca_lcp_var_page2_his (id bigint NOT NULL, var_name nvarchar(512) NOT NULL, page2_id bigint NOT NULL, his_version nvarchar(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_VAR_PAGE2_HIS PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'全局变量/方法-页面映射发布历史表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_page2_his'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_page2_his',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'全局变量/方法名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_page2_his',
'COLUMN', N'var_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_page2_his',
'COLUMN', N'page2_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_page2_his',
'COLUMN', N'his_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_page2_var_his ON dbo.koca_lcp_var_page2_his(page2_id, var_name, his_version)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_VAR_HIS_NO', N'变量/方法-页面关系发布历史表序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_VAR_HIS_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset V4.3.0_0_2_132__koca_lcp_runtime_page.xml::create_table_koca_lcp_api_page2_deployed::YaChao Lv
CREATE TABLE dbo.koca_lcp_api_page2_deployed (id bigint NOT NULL, data_id bigint NOT NULL, page2_id bigint NOT NULL, his_version nvarchar(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_PAGE2_DEPLOYED PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'接口-页面映射发布表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_page2_deployed'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_page2_deployed',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字段id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_page2_deployed',
'COLUMN', N'data_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_page2_deployed',
'COLUMN', N'page2_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_page2_deployed',
'COLUMN', N'his_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_page2_api_deployed ON dbo.koca_lcp_api_page2_deployed(data_id, page2_id)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_API_DEPLOYED_NO', N'接口页面关系发布表序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_API_DEPLOYED_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset V4.3.0_0_2_132__koca_lcp_runtime_page.xml::create_table_koca_lcp_api_page2_his::YaChao Lv
CREATE TABLE dbo.koca_lcp_api_page2_his (id bigint NOT NULL, data_id bigint NOT NULL, page2_id bigint NOT NULL, his_version nvarchar(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_PAGE2_HIS PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'接口字段-页面映射发布历史表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_page2_his'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_page2_his',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字段id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_page2_his',
'COLUMN', N'data_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_page2_his',
'COLUMN', N'page2_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_page2_his',
'COLUMN', N'his_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_page2_api_his ON dbo.koca_lcp_api_page2_his(data_id, page2_id, his_version)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_API_HIS_NO', N'接口页面关系发布历史表序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_API_HIS_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset V4.3.0_0_2_132__koca_lcp_runtime_page.xml::create_table_koca_lcp_comp2_page2_deployed::YaChao Lv
CREATE TABLE dbo.koca_lcp_comp2_page2_deployed (id bigint NOT NULL, comp_id bigint NOT NULL, page_id bigint NOT NULL, his_version nvarchar(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_COMP2_PAGE2_DEPLOYED PRIMARY KEY (id, comp_id, page_id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面-组件映射发布表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_page2_deployed'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_page2_deployed',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'当前组件id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_page2_deployed',
'COLUMN', N'comp_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'关联页面id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_page2_deployed',
'COLUMN', N'page_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_page2_deployed',
'COLUMN', N'his_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_comp2_page2_deployed ON dbo.koca_lcp_comp2_page2_deployed(comp_id, page_id)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_PAGE2_DEPLOYED_NO', N'页面-组件关系发布表序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_PAGE2_DEPLOYED_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset V4.3.0_0_2_132__koca_lcp_runtime_page.xml::create_table_koca_lcp_comp2_page2_his::YaChao Lv
CREATE TABLE dbo.koca_lcp_comp2_page2_his (id bigint NOT NULL, comp_id bigint NOT NULL, page_id bigint NOT NULL, his_version nvarchar(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_COMP2_PAGE2_HIS PRIMARY KEY (id, comp_id, page_id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面-组件映射发布历史表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_page2_his'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_page2_his',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'当前组件id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_page2_his',
'COLUMN', N'comp_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'关联页面id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_page2_his',
'COLUMN', N'page_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_page2_his',
'COLUMN', N'his_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_comp2_page2_his ON dbo.koca_lcp_comp2_page2_his(comp_id, page_id, his_version)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_PAGE2_HIS_NO', N'页面-组件关系发布历史表序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_PAGE2_HIS_NO', '0', '0', '0', '100000', '', '')
GO