create table file_info (
  file_code varchar(64) not null comment '文件编码',
  file_name varchar(255) not null comment '文件名',
  file_type varchar(32) comment '文件类型',
  biz_key varchar(64) comment '业务key',
  biz_type varchar(64) comment '业务类型',
  biz_param varchar(1024) comment '业务参数',
  file_size bigint(20) comment '文件大小',
  download_count int(11) comment '下载次数',
  ip_address varchar(255) comment '上传ip',
  security_level int(11) comment '安全等级',
  operator varchar(64) comment '上传用户',
  operate_time varchar(64) comment '上传时间',
  storage_way varchar(32) comment '存储方式',
  storage_path varchar(1024) comment '存储路径',
  state int(11) comment '状态 1：删除',
  storage_name varchar(255) comment '存储名',
  primary key (file_code)
);

create table file_download_info (
  download_code varchar(64)  not null comment '下载编码',
  file_code varchar(64)  not null comment '文件编码',
  file_name varchar(255)  not null comment '文件名',
  operator varchar(64)  comment '下载用户',
  operate_time varchar(64) comment '下载时间',
  primary key (download_code)
);

create table file_storage_config_info (
  biz_type varchar(64) not null comment '业务类型',
  storage_way varchar(32) not null comment '存储方式',
  storage_root_path varchar(1024) not null comment '存储根路径',
  storage_info varchar(1024) comment '其它存储信息',
  storage_child_path varchar(1024) not null comment '存储子路径',
  primary key (biz_type)
);