/*
Navicat MySQL Data Transfer

Source Server         : MySQL
Source Server Version : 50711
Source Host           : 127.0.0.1:3306
Source Database       : kjdp

Target Server Type    : MYSQL
Target Server Version : 50711
File Encoding         : 65001

Date: 2018-09-14 10:11:08
*/

-- ----------------------------
-- Table structure for RPT_DATASET
-- ----------------------------


CREATE TABLE IF NOT EXISTS `RPT_DATASET`(
  `DATASET_ID` bigint(20) NOT NULL ,
  `USER_ID` varchar(100)  DEFAULT NULL,
  `CATEGORY_NAME` varchar(100) DEFAULT NULL,
  `CATEGORY` varchar(100) DEFAULT NULL,
  `DATASET_NAME` varchar(100) DEFAULT NULL,
  `DATA_JSON` longtext,
  `CREATE_TIME` datetime NOT NULL,
  `UPDATE_TIME` datetime NOT NULL,
  PRIMARY KEY (`DATASET_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;


-- ----------------------------
-- Table structure for RPT_DATASOURCE
-- ----------------------------
CREATE TABLE IF NOT EXISTS `RPT_DATASOURCE`(
  `ID` bigint(20) NOT NULL ,
  `USER_ID` varchar(64) DEFAULT NULL COMMENT '用户ID',
  `SOURCE_NAME` varchar(64) NOT NULL COMMENT '连接名',
  `SOURCE_TYPE` varchar(64) DEFAULT NULL COMMENT '数据源类型',
  `DRIVER_TYPE` varchar(64) NOT NULL COMMENT 'mysql,hive...',
  `CONFIG` longtext NOT NULL COMMENT '数据源参数',
  `CREATE_TIME` datetime NOT NULL COMMENT '创建时间',
  `UPDATE_TIME` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;



-- ----------------------------
-- Table structure for RPT_USER
-- ----------------------------
CREATE TABLE IF NOT EXISTS `RPT_USER`(
  `USER_ID` varchar(50) NOT NULL,
  `LOGIN_NAME` varchar(100) DEFAULT NULL,
  `USER_NAME` varchar(100) DEFAULT NULL,
  `USER_PASSWORD` varchar(100) DEFAULT NULL,
  `USER_STATUS` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`USER_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


-- ----------------------------
-- Table structure for RPT_TABLEHEAD
-- ----------------------------
CREATE TABLE  IF NOT EXISTS `RPT_TABLEHEAD`(
  `TABLEHEAD_ID` bigint(20) NOT NULL,
  `USER_ID` varchar(100) NOT NULL,
  `CATEGORY_NAME` varchar(100) DEFAULT NULL,
  `TABLEHEAD_NAME` varchar(100) NOT NULL,
  `DATA_JSON` longtext,
  `CREATE_TIME` datetime NOT NULL,
  `UPDATE_TIME` datetime NOT NULL,
  PRIMARY KEY (`TABLEHEAD_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;


 -- ----------------------------
-- Table structure for RPT_CUSTOMSET
-- ----------------------------
CREATE TABLE IF NOT EXISTS `RPT_CUSTOMSET` (
  `SET_ID` bigint(20) NOT NULL,
  `WIDGET_ID` bigint(20) NOT NULL,
  `USER_ID` varchar(100) NOT NULL,
  `DATA_JSON` longtext NOT NULL ,
  `CREATE_TIME` datetime NOT NULL,
  `UPDATE_TIME` datetime NOT NULL,
  PRIMARY KEY (`SET_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;


-- ----------------------------
-- Table structure for RPT_WIDGET
-- ----------------------------
CREATE TABLE IF NOT EXISTS `RPT_WIDGET`(
  `WIDGET_ID` bigint(20) NOT NULL ,
  `USER_ID` varchar(100) DEFAULT NULL,
  `CATEGORY_NAME` varchar(100) DEFAULT NULL,
  `WIDGET_NAME` varchar(100) NOT NULL,
  `DATA_JSON` longtext,
  `REMARK` varchar(512) DEFAULT NULL,
  `CREATE_TIME` datetime NOT NULL,
  `UPDATE_TIME` datetime NOT NULL,
  PRIMARY KEY (`WIDGET_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



-- ----------------------------
-- Table structure for RPT_OPERATION
-- ----------------------------
CREATE TABLE IF NOT EXISTS `RPT_OPERATION`(
  `OPERATION_ID` bigint(20) NOT NULL,
  `USER_ID` varchar(100) NOT NULL,
  `CATEGORY_NAME` varchar(100) DEFAULT NULL,
  `OPERATION_NAME` varchar(100) NOT NULL,
  `DATA_JSON` longtext,
  `CREATE_TIME` datetime NOT NULL,
  `UPDATE_TIME` datetime NOT NULL,
  PRIMARY KEY (`OPERATION_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;


-- ----------------------------
-- Table structure for RPT_BOARD
-- ----------------------------
CREATE TABLE IF NOT EXISTS `RPT_BOARD` (
  `BOARD_ID` bigint(20) NOT NULL,
  `USER_ID` varchar(100) NOT NULL,
  `CATEGORY_NAME` varchar(100) DEFAULT NULL,
  `BOARD_TYPE` bigint(20) DEFAULT NULL ,
  `BOARD_NAME` varchar(100) NOT NULL,
  `LAYOUT_JSON` longtext,
  `CREATE_TIME` datetime NOT NULL,
  `UPDATE_TIME` datetime NOT NULL,
  PRIMARY KEY (`BOARD_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;


-- ----------------------------
-- Table structure for RPT_RE_WIDGET_DATASET
-- ----------------------------
CREATE TABLE IF NOT EXISTS `RPT_RE_WIDGET_DATASET` (
  `WIDGET_ID` bigint(20) NOT NULL,
  `RELATION_JSON` longtext NOT NULL ,
  `CREATE_TIME` datetime NOT NULL,
  `UPDATE_TIME` datetime NOT NULL,
  PRIMARY KEY (`WIDGET_ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;


-- ----------------------------
-- Table structure for RPT_CATEGORY
-- ----------------------------
CREATE TABLE IF NOT EXISTS `RPT_CATEGORY` (
  `ID_` varchar(64) NOT NULL,
  `NAME_` varchar(255) NOT NULL ,
  `PARENT_ID_` varchar(64) DEFAULT NULL,
  `TYPE_` varchar(64) DEFAULT NULL,
  `RESERVED_` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`ID_`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

 CREATE TABLE IF NOT EXISTS `koca_bi_rpt_widget` (
  `WIDGET_ID` bigint NOT NULL,
  `WIDGET_NAME` varchar(100) NOT NULL,
  `CATEGORY_NAME` varchar(100) DEFAULT NULL,
  `TYPE` varchar(100) DEFAULT NULL,
  `DATA_JSON` text,
  `CREATE_TIME` varchar(100) NOT NULL,
  `UPDATE_TIME` varchar(100) NOT NULL,
  `REMARK` varchar(256) DEFAULT NULL,
  PRIMARY KEY (`WIDGET_ID`),
  KEY `KOCA_BI_RPT_WIDGET_PK` (`WIDGET_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for RPT_RESOURCE_FILE
-- ----------------------------
CREATE TABLE IF NOT EXISTS `RPT_RESOURCE_FILE`(
  `id` varchar(100) NOT NULL ,
  `file_name` varchar(64) DEFAULT NULL COMMENT '文件名',
  `storage_name` varchar(64) NOT NULL COMMENT '存储名',
  `upload_time` varchar(64) DEFAULT NULL COMMENT '上传时间',
  `storage_path` varchar(64) NOT NULL COMMENT '存储路径',
  `type` longtext NOT NULL COMMENT '类型',
  `thumbnail` datetime NOT NULL COMMENT '缩略图',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

