/*
Navicat MySQL Data Transfer

Source Server         : MySQL
Source Server Version : 50711
Source Host           : 127.0.0.1:3306
Source Database       : kjdp

Target Server Type    : MYSQL
Target Server Version : 50711
File Encoding         : 65001

Date: 2018-09-14 10:11:08
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for rpt_dataset
-- ----------------------------


CREATE TABLE IF NOT EXISTS `RPT_DATASET`(
  `DATASET_ID` bigint(20) NOT NULL ,
  `USER_ID` varchar(100)  DEFAULT NULL,
  `CATEGORY_NAME` varchar(100) DEFAULT NULL,
  `CATEGORY` varchar(100) DEFAULT NULL,
  `DATASET_NAME` varchar(100) DEFAULT NULL,
  `DATA_JSON` longtext,
  `CREATE_TIME` datetime NOT NULL,
  `UPDATE_TIME` datetime NOT NULL,
  PRIMARY KEY (`DATASET_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;


-- ----------------------------
-- Table structure for RPT_DATASOURCE
-- ----------------------------
CREATE TABLE IF NOT EXISTS `RPT_DATASOURCE`(
  `ID` bigint(20) NOT NULL ,
  `USER_ID` varchar(64) DEFAULT NULL COMMENT '用户ID',
  `SOURCE_NAME` varchar(64) NOT NULL COMMENT '连接名',
  `SOURCE_TYPE` varchar(64) DEFAULT NULL COMMENT '数据源类型',
  `DRIVER_TYPE` varchar(64) NOT NULL COMMENT 'mysql,hive...',
  `CONFIG` longtext NOT NULL COMMENT '数据源参数',
  `CREATE_TIME` datetime NOT NULL COMMENT '创建时间',
  `UPDATE_TIME` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;



-- ----------------------------
-- Table structure for RPT_USER
-- ----------------------------
CREATE TABLE IF NOT EXISTS `RPT_USER`(
  `USER_ID` varchar(50) NOT NULL,
  `LOGIN_NAME` varchar(100) DEFAULT NULL,
  `USER_NAME` varchar(100) DEFAULT NULL,
  `USER_PASSWORD` varchar(100) DEFAULT NULL,
  `USER_STATUS` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`USER_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



-- ----------------------------
-- Table structure for RPT_WIDGET
-- ----------------------------
CREATE TABLE IF NOT EXISTS `RPT_WIDGET`(
  `WIDGET_ID` bigint(20) NOT NULL ,
  `USER_ID` varchar(100) DEFAULT NULL,
  `CATEGORY_NAME` varchar(100) DEFAULT NULL,
  `WIDGET_NAME` varchar(100) NOT NULL,
  `DATA_JSON` longtext,
  `CREATE_TIME` datetime NOT NULL,
  `UPDATE_TIME` datetime NOT NULL,
  PRIMARY KEY (`WIDGET_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


-- ----------------------------
-- Table structure for RPT_TABLEHEAD
-- ----------------------------
CREATE TABLE  IF NOT EXISTS `RPT_TABLEHEAD`(
  `TABLEHEAD_ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `USER_ID` varchar(100) NOT NULL,
  `CATEGORY_NAME` varchar(100) DEFAULT NULL,
  `TABLEHEAD_NAME` varchar(100) NOT NULL,
  `DATA_JSON` longtext,
  `CREATE_TIME` datetime NOT NULL,
  `UPDATE_TIME` datetime NOT NULL,
  PRIMARY KEY (`TABLEHEAD_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;



-- ----------------------------
-- Table structure for RPT_OPERATION
-- ----------------------------
CREATE TABLE IF NOT EXISTS `RPT_OPERATION`(
  `OPERATION_ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `USER_ID` varchar(100) NOT NULL,
  `CATEGORY_NAME` varchar(100) DEFAULT NULL,
  `OPERATION_NAME` varchar(100) NOT NULL,
  `DATA_JSON` longtext,
  `CREATE_TIME` datetime NOT NULL,
  `UPDATE_TIME` datetime NOT NULL,
  PRIMARY KEY (`OPERATION_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;


-- ----------------------------
-- Table structure for RPT_BOARD
-- ----------------------------
CREATE TABLE IF NOT EXISTS `RPT_BOARD` (
  `BOARD_ID` bigint(20) NOT NULL,
  `USER_ID` varchar(100) NOT NULL,
  `CATEGORY_NAME` varchar(100) DEFAULT NULL,
  `BOARD_TYPE` bigint(20) DEFAULT NULL ,
  `BOARD_NAME` varchar(100) NOT NULL,
  `LAYOUT_JSON` longtext,
  `CREATE_TIME` datetime NOT NULL,
  `UPDATE_TIME` datetime NOT NULL,
  PRIMARY KEY (`BOARD_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;


 -- ----------------------------
-- Table structure for RPT_CUSTOMSET
-- ----------------------------
CREATE TABLE IF NOT EXISTS `RPT_CUSTOMSET` (
  `SET_ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `WIDGET_ID` bigint(20) NOT NULL,
  `USER_ID` varchar(100) NOT NULL,
  `DATA_JSON` longtext NOT NULL ,
  `CREATE_TIME` datetime NOT NULL,
  `UPDATE_TIME` datetime NOT NULL,
  PRIMARY KEY (`SET_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for RPT_RE_WIDGET_DATASET
-- ----------------------------
CREATE TABLE IF NOT EXISTS `RPT_RE_WIDGET_DATASET` (
  `WIDGET_ID` bigint(20) NOT NULL,
  `RELATION_JSON` longtext NOT NULL ,
  `CREATE_TIME` datetime NOT NULL,
  `UPDATE_TIME` datetime NOT NULL,
  PRIMARY KEY (`WIDGET_ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;


-- ----------------------------
-- Table structure for RPT_CATEGORY
-- ----------------------------
CREATE TABLE IF NOT EXISTS `RPT_CATEGORY` (
  `ID_` varchar(64) NOT NULL,
  `NAME_` varchar(255) NOT NULL ,
  `PARENT_ID_` varchar(64) NOT NULL,
  `TYPE_` varchar(64) NOT NULL,
  `RESERVED_` varchar(255) NOT NULL,
  PRIMARY KEY (`ID_`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;




DROP TABLE IF EXISTS `rpt_pb_api_config`;
CREATE TABLE `rpt_pb_api_config`  (
  `DATA_SET_ID` bigint(0) NOT NULL COMMENT '数据集编号',
  `REQUEST_PATH` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '请求路径',
  `REQUEST_METHOD` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '请求方法',
  `API_SOURCE` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'API来源',
  `POST_DATA_CONTENT_TYPE` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'POST数据内容方式',
  `HEADER_PARAM` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT 'HEADER参数',
  `POST_DATA_CONTENT_PARAM` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT 'POST数据内容参数',
  `data_json_path` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '取值jsonPath',
  `DATAID` bigint(0) NULL DEFAULT NULL COMMENT 'DATAID',
  `CREATEBY` varchar(256) NULL DEFAULT NULL COMMENT '创建人',
  `CREATEDATE` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
  `UPDATEBY` varchar(256) NULL DEFAULT NULL COMMENT '修改人',
  `UPDATEDATE` bigint(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`DATA_SET_ID`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = 'API配置表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for rpt_pb_component_define
-- ----------------------------
DROP TABLE IF EXISTS `rpt_pb_component_define`;
CREATE TABLE `rpt_pb_component_define`  (
  `COMPONENT_ID` bigint(0) NOT NULL COMMENT '组件编号',
  `COMPONENT_NAME` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '组件名称',
  `COMPONENT_TYPE` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '组件类型',
  `COMPONENT_CODE` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '组件编码',
  `PARENT_TYPE_ID` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '父类型编号',
  `IMG_ADDR` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '图标地址',
  `EXAMPLE_DATA` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '示例数据',
  `STATUS` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '启用状态',
  `DATAID` bigint(0) NULL DEFAULT NULL COMMENT 'DATAID',
  `CREATEBY` varchar(256) NULL DEFAULT NULL COMMENT '创建人',
  `CREATEDATE` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
  `UPDATEBY` varchar(256) NULL DEFAULT NULL COMMENT '修改人',
  `UPDATEDATE` bigint(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`COMPONENT_ID`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '组件定义表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for rpt_pb_data_filter
-- ----------------------------
DROP TABLE IF EXISTS `rpt_pb_data_filter`;
CREATE TABLE `rpt_pb_data_filter`  (
  `ID` bigint(0) NOT NULL COMMENT 'ID',
  `DATA_SET_ID` bigint(0) NOT NULL COMMENT '数据集编号',
  `NODE_ID` bigint(0) NOT NULL COMMENT '节点编号',
  `PARENT_NODE_ID` bigint(0) NOT NULL COMMENT '父节点编号',
  `FILTER_TYPE` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '过滤类型',
  `NODE_CALC_TYPE` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '节点运算类型',
  `table_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '表名称',
  `FIELD_NAME` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字段名称',
  `value_type` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '比值类型',
  `SQL_OPERT` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'SQL运算符',
  `CMP_CONTENT` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '比较内容',
  `DATAID` bigint(0) NULL DEFAULT NULL COMMENT 'DATAID',
  `CREATEBY` varchar(256) NULL DEFAULT NULL COMMENT '创建人',
  `CREATEDATE` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
  `UPDATEBY` varchar(256) NULL DEFAULT NULL COMMENT '修改人',
  `UPDATEDATE` bigint(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`ID`) USING BTREE,
  UNIQUE INDEX `PB_DATA_FILTER_INDEX`(`DATA_SET_ID`, `NODE_ID`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '数据过滤器表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for rpt_pb_data_set
-- ----------------------------
DROP TABLE IF EXISTS `rpt_pb_data_set`;
CREATE TABLE `rpt_pb_data_set`  (
  `DATA_SET_ID` bigint(0) NOT NULL COMMENT '数据集编号',
  `DATA_SRC_ID` bigint(0) NULL DEFAULT NULL COMMENT '数据源编号',
  `DATA_SET_NAME` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '数据集名称',
  `DATA_SET_CLASS_ID` bigint(0) NOT NULL COMMENT '分类编号',
  `DATA_SET_TYPE` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '数据集类型',
  `EXE_SQL` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '执行SQL',
  `JSON_CONTENT` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT 'JSON内容',
  `DATAID` bigint(0) NULL DEFAULT NULL COMMENT 'DATAID',
  `CREATEBY` varchar(256) NULL DEFAULT NULL COMMENT '创建人',
  `CREATEDATE` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
  `UPDATEBY` varchar(256) NULL DEFAULT NULL COMMENT '修改人',
  `UPDATEDATE` bigint(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`DATA_SET_ID`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '数据集表' ROW_FORMAT = Dynamic;


-- ----------------------------
-- Table structure for rpt_pb_data_set_class
-- ----------------------------
DROP TABLE IF EXISTS `rpt_pb_data_set_class`;
CREATE TABLE `rpt_pb_data_set_class`  (
  `CLASS_ID` bigint(0) NOT NULL COMMENT '分类编号',
  `PARENT_CLASS_ID` bigint(0) NOT NULL COMMENT '父类编号',
  `CLASS_NAME` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '分类名称',
  `DATAID` bigint(0) NULL DEFAULT NULL COMMENT 'DATAID',
  `CREATEBY` varchar(256) NULL DEFAULT NULL COMMENT '创建人',
  `CREATEDATE` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
  `UPDATEBY` varchar(256) NULL DEFAULT NULL COMMENT '修改人',
  `UPDATEDATE` bigint(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`CLASS_ID`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '数据集分类定义表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for rpt_pb_data_set_element
-- ----------------------------
DROP TABLE IF EXISTS `rpt_pb_data_set_element`;
CREATE TABLE `rpt_pb_data_set_element`  (
  `ID` bigint(0) NOT NULL COMMENT 'ID',
  `DATA_SET_ID` bigint(0) NOT NULL COMMENT '数据集编号',
  `ORI_FIELD_NAME` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '原字段名称',
  `SHOW_NAME` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '展示名称',
  `DATA_TYPE` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '数据类型',
  `TABLE_NAME` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '表名称',
  `FIELD_PROP` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '字段属性',
  `ELEMENT_TYPE` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '元素类型',
  `EXPR_TYPE` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '函数类型',
  `HIDDEN_FLAG` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '隐藏标志',
  `DICTITEM` bigint(0) NULL DEFAULT NULL COMMENT '字典项',
  `DATAID` bigint(0) NULL DEFAULT NULL COMMENT 'DATAID',
  `CREATEBY` varchar(256) NULL DEFAULT NULL COMMENT '创建人',
  `CREATEDATE` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
  `UPDATEBY` varchar(256) NULL DEFAULT NULL COMMENT '修改人',
  `UPDATEDATE` bigint(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`ID`) USING BTREE,
  UNIQUE INDEX `PB_DATA_SET_ELEMENT_INDEX`(`DATA_SET_ID`, `ORI_FIELD_NAME`, `TABLE_NAME`, `ELEMENT_TYPE`, `EXPR_TYPE`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '数据集元素表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for rpt_pb_dict_index
-- ----------------------------
DROP TABLE IF EXISTS `rpt_pb_dict_index`;
CREATE TABLE `rpt_pb_dict_index`  (
  `DICTITEM` bigint(0) NOT NULL COMMENT '字典项',
  `ITEM_NAME` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '字典名称',
  `DISP_FLAG` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '是否显示',
  `DATAID` bigint(0) NULL DEFAULT NULL COMMENT 'DATAID',
  `CREATEBY` varchar(256) NULL DEFAULT NULL COMMENT '创建人',
  `CREATEDATE` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
  `UPDATEBY` varchar(256) NULL DEFAULT NULL COMMENT '修改人',
  `UPDATEDATE` bigint(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`DICTITEM`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '数据映射字典表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for rpt_pb_dict_value
-- ----------------------------
DROP TABLE IF EXISTS `rpt_pb_dict_value`;
CREATE TABLE `rpt_pb_dict_value`  (
  `ID` bigint(0) NOT NULL COMMENT '编号',
  `DICTITEM` bigint(0) NOT NULL COMMENT '字典项',
  `SUB_ITEM_NAME` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '字典项名称',
  `SUB_ITEM` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '字典项号',
  `DATAID` bigint(0) NULL DEFAULT NULL COMMENT 'DATAID',
  `CREATEBY` varchar(256) NULL DEFAULT NULL COMMENT '创建人',
  `CREATEDATE` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
  `UPDATEBY` varchar(256) NULL DEFAULT NULL COMMENT '修改人',
  `UPDATEDATE` bigint(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`ID`) USING BTREE,
  UNIQUE INDEX `PB_DICT_VALUE_INDEX`(`DICTITEM`, `SUB_ITEM`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '数据映射字典项表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for rpt_pb_file_resource
-- ----------------------------
DROP TABLE IF EXISTS `rpt_pb_file_resource`;
CREATE TABLE `rpt_pb_file_resource`  (
  `id` bigint(0) NOT NULL COMMENT '主键id',
  `file_code` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '文件地址编码',
  `thumbnail_file_code` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '缩略图文件base64',
  `file_type` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '资源类型',
  `file_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '资源名称',
  `load_type` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '文件加载类型',
  `DATAID` bigint(0) NULL DEFAULT NULL COMMENT 'DATAID',
  `CREATEBY` varchar(256) NULL DEFAULT NULL COMMENT '创建人',
  `CREATEDATE` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
  `UPDATEBY` varchar(256) NULL DEFAULT NULL COMMENT '修改人',
  `UPDATEDATE` bigint(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '文件资源表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for rpt_pb_screen
-- ----------------------------
DROP TABLE IF EXISTS `rpt_pb_screen`;
CREATE TABLE `rpt_pb_screen`  (
  `SCREEN_ID` bigint(0) NOT NULL COMMENT '大屏编号',
  `SCREEN_NAME` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '大屏名称',
  `CLASS_ID` bigint(0) NOT NULL COMMENT '分类编号',
  `INTRODUCTION` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '简介',
  `ABBR_IMG_ADDR` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '缩略图地址',
  `small_ABBR_IMG_ADDR` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '小缩略图base64',
  `BASE_PROP` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '基本属性',
  `status` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '大屏状态',
  `DATAID` bigint(0) NULL DEFAULT NULL COMMENT 'DATAID',
  `CREATEBY` varchar(256) NULL DEFAULT NULL COMMENT '创建人',
  `CREATEDATE` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
  `UPDATEBY` varchar(256) NULL DEFAULT NULL COMMENT '修改人',
  `UPDATEDATE` bigint(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`SCREEN_ID`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '大屏定义表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for rpt_pb_screen_class
-- ----------------------------
DROP TABLE IF EXISTS `rpt_pb_screen_class`;
CREATE TABLE `rpt_pb_screen_class`  (
  `CLASS_ID` bigint(0) NOT NULL COMMENT '分类编号',
  `PARENT_CLASS_ID` bigint(0) NOT NULL COMMENT '父类编号',
  `CLASS_NAME` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '分类名称',
  `class_order` bigint(0) NOT NULL DEFAULT 0 COMMENT '分组排序序号',
  `DATAID` bigint(0) NULL DEFAULT NULL COMMENT 'DATAID',
  `CREATEBY` varchar(256) NULL DEFAULT NULL COMMENT '创建人',
  `CREATEDATE` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
  `UPDATEBY` varchar(256) NULL DEFAULT NULL COMMENT '修改人',
  `UPDATEDATE` bigint(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`CLASS_ID`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '大屏分类定义表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for rpt_pb_screen_element
-- ----------------------------
DROP TABLE IF EXISTS `rpt_pb_screen_element`;
CREATE TABLE `rpt_pb_screen_element`  (
  `ID` bigint(0) NOT NULL COMMENT 'ID',
  `SCREEN_ID` bigint(0) NOT NULL COMMENT '大屏编号',
  `ELEMENT_ID` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '元素编号',
  `COMPONENT_ID` bigint(0) NOT NULL COMMENT '组件编号',
  `DATA_SET_ID` bigint(0) NULL DEFAULT NULL COMMENT '数据集编号',
  `ELEMENT_LAYOUT_PROP` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '元素布局属性',
  `ELEMENT_BASE_PROP` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '元素基本属性',
  `ELEMENT_DATA_PROP` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '元素数据属性',
  `DATAID` bigint(0) NULL DEFAULT NULL COMMENT 'DATAID',
  `CREATEBY` varchar(256) NULL DEFAULT NULL COMMENT '创建人',
  `CREATEDATE` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
  `UPDATEBY` varchar(256) NULL DEFAULT NULL COMMENT '修改人',
  `UPDATEDATE` bigint(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`ID`) USING BTREE,
  UNIQUE INDEX `PB_SCREEN_ELEMENT_INDEX`(`SCREEN_ID`, `ELEMENT_ID`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '大屏元素表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for rpt_pb_screen_file
-- ----------------------------
DROP TABLE IF EXISTS `rpt_pb_screen_file`;
CREATE TABLE `rpt_pb_screen_file`  (
  `id` bigint(0) NOT NULL COMMENT '主键id',
  `screen_id` bigint(0) NOT NULL COMMENT '大屏代码',
  `element_id` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '元素编号',
  `file_id` bigint(0) NOT NULL COMMENT '文件编号',
  `DATAID` bigint(0) NULL DEFAULT NULL COMMENT 'DATAID',
  `CREATEBY` varchar(256) NULL DEFAULT NULL COMMENT '创建人',
  `CREATEDATE` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
  `UPDATEBY` varchar(256) NULL DEFAULT NULL COMMENT '修改人',
  `UPDATEDATE` bigint(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '大屏文件表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for rpt_pb_screen_tmp
-- ----------------------------
DROP TABLE IF EXISTS `rpt_pb_screen_tmp`;
CREATE TABLE `rpt_pb_screen_tmp`  (
  `TEMPLATE_ID` bigint(0) NOT NULL COMMENT '模板编号',
  `TEMPLATE_NAME` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '模板名称',
  `INTRODUCTION` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '简介',
  `ABBR_IMG_ADDR` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '缩略图地址',
  `small_ABBR_IMG_ADDR` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '小缩略图地址',
  `BASE_PROP` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '基本属性',
  `DATAID` bigint(0) NULL DEFAULT NULL COMMENT 'DATAID',
  `CREATEBY` varchar(256) NULL DEFAULT NULL COMMENT '创建人',
  `CREATEDATE` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
  `UPDATEBY` varchar(256) NULL DEFAULT NULL COMMENT '修改人',
  `UPDATEDATE` bigint(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`TEMPLATE_ID`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '大屏模板表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for rpt_pb_screen_tmp_element
-- ----------------------------
DROP TABLE IF EXISTS `rpt_pb_screen_tmp_element`;
CREATE TABLE `rpt_pb_screen_tmp_element`  (
  `ID` bigint(0) NOT NULL COMMENT 'ID',
  `TEMPLATE_ID` bigint(0) NOT NULL COMMENT '模板编号',
  `ELEMENT_ID` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '元素编号',
  `DATA_SET_ID` bigint(0) NULL DEFAULT NULL COMMENT '数据集编号',
  `COMPONENT_ID` bigint(0) NOT NULL COMMENT '组件编号',
  `ELEMENT_LAYOUT_PROP` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '元素布局属性',
  `ELEMENT_BASE_PROP` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '元素基本属性',
  `ELEMENT_DATA_PROP` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '元素数据属性',
  `DATAID` bigint(0) NULL DEFAULT NULL COMMENT 'DATAID',
  `CREATEBY` varchar(256) NULL DEFAULT NULL COMMENT '创建人',
  `CREATEDATE` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
  `UPDATEBY` varchar(256) NULL DEFAULT NULL COMMENT '修改人',
  `UPDATEDATE` bigint(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`ID`) USING BTREE,
  UNIQUE INDEX `PB_SCREEN_TEMPLATE_ELEMENT_INDEX`(`TEMPLATE_ID`, `ELEMENT_ID`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '大屏模板元素表' ROW_FORMAT = Dynamic;




