alter table koca_perm_menu_role add tenant_id varchar(32) default '*' not null;
alter table koca_perm_menu_role drop index perm_role_unique_key;
alter table koca_perm_menu_role add CONSTRAINT  perm_role_tenant_key unique (menu_id, role_no, tenant_id);

create table koca_perm_menu_group
(
    menu_id             varchar(10) not null comment '菜单id',
    group_code           varchar(32) not null comment '分组编码',
    primary key (menu_id,group_code)
);

create table koca_role_menu_group
(
    role_no             varchar(10) not null comment '角色no',
    group_code           varchar(32) not null comment '分组编码',
    tenant_id           varchar(32) not null comment '租户id',
    primary key (role_no,group_code,tenant_id)
);

create table koca_menu_group
(
    group_code           varchar(32) not null comment '菜单分组编码',
    group_name           varchar(32) not null comment '菜单分组名称',
    remark               varchar(128) not null comment '备注',
    modifiable           varchar(1) not null comment '是否可以修改删除 0不可以 1可以',
    create_time          varchar(32) not null comment '创建时间 用于排序',
    primary key (group_code)
);
