--  Changeset V4.1.0_0_2_151__koca_lcp_runtime_api.xml::create_table_mi_api_basic::YaChao Lv
CREATE TABLE mi_api_basic (data_id BIGINT NOT NULL, project_code VARCHAR(64) NULL COMMENT '项目编号', env_code VARCHAR(32) NULL COMMENT '环境编号', app_code VARCHAR(32) NULL COMMENT '应用代码', group_id BIGINT NULL COMMENT '分组ID', service_code VARCHAR(32) NULL COMMENT '服务代码', api_code VARCHAR(128) NULL COMMENT 'api代码', api_name VARCHAR(128) NULL COMMENT 'api名称', api_pos BIGINT DEFAULT 1 NOT NULL COMMENT 'api排序', remark LONGTEXT NULL COMMENT '说明', access_api_code VARCHAR(128) NULL COMMENT '接入api代码', api_protocol VARCHAR(2) NULL COMMENT '接口协议(类型)', model_id BIGINT NULL COMMENT '数据模型ID', crud_type VARCHAR(32) NULL COMMENT '增删改查类型', create_by VARCHAR(32) NULL COMMENT '创建人', update_by VARCHAR(32) NULL COMMENT '更新人', create_time datetime NULL COMMENT '创建时间', update_time datetime NULL COMMENT '更新时间', CONSTRAINT PK_MI_API_BASIC PRIMARY KEY (data_id)) COMMENT='api基础信息表';

ALTER TABLE mi_api_basic COMMENT = 'api基础信息表';

CREATE UNIQUE INDEX udx_api_basic_info_code ON mi_api_basic(project_code, env_code, api_code);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('GLOBLE_DB_DATAID', '接口全局序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('GLOBLE_DB_DATAID', '0', '0', '0', '100000', '', '');

--  Changeset V4.1.0_0_2_151__koca_lcp_runtime_api.xml::create_table_mi_api_group::YaChao Lv
CREATE TABLE mi_api_group (data_id BIGINT NOT NULL, project_code VARCHAR(64) NULL COMMENT '项目编号', env_code VARCHAR(32) NULL COMMENT '环境编号', app_code VARCHAR(32) NULL COMMENT '应用代码', parent_id BIGINT NULL COMMENT '父节点', group_name VARCHAR(64) NULL COMMENT '分组名称', group_pos BIGINT DEFAULT 1 NOT NULL COMMENT 'api排序', create_by VARCHAR(32) NULL COMMENT '创建人', update_by VARCHAR(32) NULL COMMENT '更新人', create_time datetime NULL COMMENT '创建时间', update_time datetime NULL COMMENT '更新时间', CONSTRAINT PK_MI_API_GROUP PRIMARY KEY (data_id)) COMMENT='api分组';

ALTER TABLE mi_api_group COMMENT = 'api分组';

--  Changeset V4.1.0_0_2_151__koca_lcp_runtime_api.xml::create_table_mi_api_param::YaChao Lv
CREATE TABLE mi_api_param (data_id BIGINT NOT NULL, project_code VARCHAR(64) NULL COMMENT '项目编号', env_code VARCHAR(32) NULL COMMENT '环境编号', app_code VARCHAR(32) NULL COMMENT '应用代码', api_code VARCHAR(128) NOT NULL COMMENT 'api代码', api_version VARCHAR(32) NOT NULL COMMENT 'api版本', para_code VARCHAR(128) NOT NULL COMMENT '参数代码', access_param_code VARCHAR(128) NULL COMMENT '接入参数代码', parent_id INT NULL COMMENT '父id', para_name VARCHAR(120) NOT NULL COMMENT '参数名', para_type INT NULL COMMENT '参数类型  1请求 2响应', para_pos VARCHAR(30) NULL COMMENT '参数位置', para_desc VARCHAR(1000) NULL COMMENT '参数说明', data_type VARCHAR(32) NULL COMMENT '数据类型', data_length VARCHAR(32) NULL COMMENT '数据长度', scale numeric(10, 2) NULL COMMENT '精度', required INT NULL COMMENT '是否必填', default_value VARCHAR(128) NULL COMMENT '默认值', model_field_code VARCHAR(512) NULL COMMENT '数据模型字段代码', create_by VARCHAR(32) NULL COMMENT '创建人', update_by VARCHAR(32) NULL COMMENT '更新人', create_time datetime NULL COMMENT '创建时间', update_time datetime NULL COMMENT '更新时间', CONSTRAINT PK_MI_API_PARAM PRIMARY KEY (data_id)) COMMENT='api参数';

ALTER TABLE mi_api_param COMMENT = 'api参数';

CREATE UNIQUE INDEX idx_mi_api_param_code ON mi_api_param(project_code, env_code, api_code, api_version, para_code, para_type, parent_id);

--  Changeset V4.1.0_0_2_151__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_param_meta::YaChao Lv
CREATE TABLE koca_lcp_api_param_meta (id BIGINT NOT NULL, api_param_id BIGINT NOT NULL COMMENT '接口参数id', meta_info LONGTEXT NULL COMMENT '前端元数据信息', CONSTRAINT PK_KOCA_LCP_API_PARAM_META PRIMARY KEY (id)) COMMENT='API参数前端元数据';

ALTER TABLE koca_lcp_api_param_meta COMMENT = 'API参数前端元数据';

CREATE UNIQUE INDEX uk_api_param_id ON koca_lcp_api_param_meta(api_param_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_API_PARAM_META_NO', 'LCP接口参数元数据序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_API_PARAM_META_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.1.0_0_2_151__koca_lcp_runtime_api.xml::create_table_mi_api_param_temp::YaChao Lv
CREATE TABLE mi_api_param_temp (data_id BIGINT NOT NULL, project_code VARCHAR(64) NULL COMMENT '项目编号', env_code VARCHAR(32) NULL COMMENT '环境编号', app_code VARCHAR(32) NULL COMMENT '应用代码', api_code VARCHAR(128) NOT NULL COMMENT 'api代码', api_version VARCHAR(32) NOT NULL COMMENT 'api版本', para_code VARCHAR(128) NOT NULL COMMENT '参数代码', para_name VARCHAR(120) NOT NULL COMMENT '参数名', para_type INT NULL COMMENT '参数类型  1请求 2响应', para_pos VARCHAR(30) NULL COMMENT '参数位置', para_desc VARCHAR(1000) NULL COMMENT '参数说明', data_type VARCHAR(32) NULL COMMENT '数据类型', data_length VARCHAR(32) NULL COMMENT '数据长度', scale numeric(10, 2) NULL COMMENT '精度', required INT NULL COMMENT '是否必填', parent_id INT NULL COMMENT '父id', default_value VARCHAR(128) NULL COMMENT '默认值', create_by VARCHAR(32) NULL COMMENT '创建人', update_by VARCHAR(32) NULL COMMENT '更新人', create_time datetime NULL COMMENT '创建时间', update_time datetime NULL COMMENT '更新时间', CONSTRAINT PK_MI_API_PARAM_TEMP PRIMARY KEY (data_id)) COMMENT='api参数发布表';

ALTER TABLE mi_api_param_temp COMMENT = 'api参数发布表';

CREATE UNIQUE INDEX idx_mi_api_param_temp_code ON mi_api_param_temp(project_code, env_code, api_code, api_version, para_code, para_type, parent_id);

--  Changeset V4.1.0_0_2_151__koca_lcp_runtime_api.xml::create_table_mi_api_temp::YaChao Lv
CREATE TABLE mi_api_temp (data_id BIGINT NOT NULL, project_code VARCHAR(64) NULL COMMENT '项目编号', api_version VARCHAR(32) NOT NULL COMMENT 'api版本', env_code VARCHAR(32) NULL COMMENT '环境编号', app_code VARCHAR(32) NULL COMMENT '应用代码', group_id BIGINT NULL COMMENT '分组ID', service_code VARCHAR(32) NULL COMMENT '服务代码', api_code VARCHAR(128) NULL COMMENT 'api代码', api_name VARCHAR(128) NULL COMMENT 'api名称', api_status VARCHAR(1) NULL COMMENT 'api状态', remark LONGTEXT NULL COMMENT '说明', version_remark LONGTEXT NULL COMMENT '版本说明', api_protocol VARCHAR(128) NULL COMMENT '多协议逗号分开', create_by VARCHAR(32) NULL COMMENT '创建人', update_by VARCHAR(32) NULL COMMENT '更新人', create_time datetime NULL COMMENT '创建时间', update_time datetime NULL COMMENT '更新时间', CONSTRAINT PK_MI_API_TEMP PRIMARY KEY (data_id)) COMMENT='api信息导入临时表';

ALTER TABLE mi_api_temp COMMENT = 'api信息导入临时表';

CREATE UNIQUE INDEX udx_api_version_temp_code ON mi_api_temp(project_code, env_code, api_code, service_code, api_version);

--  Changeset V4.1.0_0_2_151__koca_lcp_runtime_api.xml::create_table_mi_api_version::YaChao Lv
CREATE TABLE mi_api_version (data_id BIGINT NOT NULL, api_version VARCHAR(32) NOT NULL COMMENT 'api版本', project_code VARCHAR(64) NULL COMMENT '项目编号', env_code VARCHAR(32) NULL COMMENT '环境编号', app_code VARCHAR(32) NULL COMMENT '应用代码', api_code VARCHAR(128) NULL COMMENT 'api代码', api_status VARCHAR(1) NULL COMMENT 'api状态', version_remark LONGTEXT NULL COMMENT '版本说明', api_protocol VARCHAR(128) NULL COMMENT '多协议逗号分开', create_by VARCHAR(32) NULL COMMENT '创建人', update_by VARCHAR(32) NULL COMMENT '更新人', create_time datetime NULL COMMENT '创建时间', update_time datetime NULL COMMENT '更新时间', CONSTRAINT PK_MI_API_VERSION PRIMARY KEY (data_id)) COMMENT='api版本表';

ALTER TABLE mi_api_version COMMENT = 'api版本表';

CREATE UNIQUE INDEX udx_api_version_code ON mi_api_version(project_code, env_code, api_code, api_version);

--  Changeset V4.1.0_0_2_151__koca_lcp_runtime_api.xml::insert_koca_sys_menu::YaChao Lv
INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('416000', '0', '0', '接口管理', '', '', '415000', 'kui-icon-API', '0', '接口管理');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('416001', '0', '0', '接口管理', '/lcp-runtime-api/views/api-manage/apiauth/index.vue', '416000', '', '', '0', '接口管理');

--  Changeset V4.1.0_0_2_151__koca_lcp_runtime_api.xml::insert_koca_sys_dictionary::YaChao Lv
INSERT INTO koca_sys_dictionary (dict_code, dict_name, dict_type, maintain_flag, remark, tenant_id) VALUES ('21006', '参数类型', '0', '@', '', '');

INSERT INTO koca_sys_dictionary (dict_code, dict_name, dict_type, maintain_flag, remark, tenant_id) VALUES ('21005', '接口状态', '0', '@', '', '');

INSERT INTO koca_sys_dictionary_i18n (dict_code, language_type, dict_name) VALUES ('21005', 'zh_CN', '接口状态');

INSERT INTO koca_sys_dictionary_i18n (dict_code, language_type, dict_name) VALUES ('21006', 'zh_CN', '参数类型');

INSERT INTO koca_sys_dictionary_item (dict_code, org_code, dict_item, dict_item_name, dict_ord, remark) VALUES ('21006', '-1', '1', 'string', '1', '');

INSERT INTO koca_sys_dictionary_item (dict_code, org_code, dict_item, dict_item_name, dict_ord, remark) VALUES ('21006', '-1', '2', 'number', '2', '');

INSERT INTO koca_sys_dictionary_item (dict_code, org_code, dict_item, dict_item_name, dict_ord, remark) VALUES ('21006', '-1', '3', 'boolean', '3', '');

INSERT INTO koca_sys_dictionary_item (dict_code, org_code, dict_item, dict_item_name, dict_ord, remark) VALUES ('21006', '-1', '4', 'array', '4', '');

INSERT INTO koca_sys_dictionary_item (dict_code, org_code, dict_item, dict_item_name, dict_ord, remark) VALUES ('21006', '-1', '5', 'object', '5', '');

INSERT INTO koca_sys_dictionary_item (dict_code, org_code, dict_item, dict_item_name, dict_ord, remark) VALUES ('21005', '-1', '0', '禁用', '1', '');

INSERT INTO koca_sys_dictionary_item (dict_code, org_code, dict_item, dict_item_name, dict_ord, remark) VALUES ('21005', '-1', '1', '启用', '2', '');

INSERT INTO koca_sys_dictionary_item_i18n (dict_code, org_code, dict_item, dict_item_name, language_type) VALUES ('21006', '-1', '1', 'string', 'zh_CN');

INSERT INTO koca_sys_dictionary_item_i18n (dict_code, org_code, dict_item, dict_item_name, language_type) VALUES ('21006', '-1', '2', 'number', 'zh_CN');

INSERT INTO koca_sys_dictionary_item_i18n (dict_code, org_code, dict_item, dict_item_name, language_type) VALUES ('21006', '-1', '3', 'boolean', 'zh_CN');

INSERT INTO koca_sys_dictionary_item_i18n (dict_code, org_code, dict_item, dict_item_name, language_type) VALUES ('21006', '-1', '4', 'array', 'zh_CN');

INSERT INTO koca_sys_dictionary_item_i18n (dict_code, org_code, dict_item, dict_item_name, language_type) VALUES ('21006', '-1', '5', 'object', 'zh_CN');

INSERT INTO koca_sys_dictionary_item_i18n (dict_code, org_code, dict_item, dict_item_name, language_type) VALUES ('21005', '-1', '0', '禁用', 'zh_CN');

INSERT INTO koca_sys_dictionary_item_i18n (dict_code, org_code, dict_item, dict_item_name, language_type) VALUES ('21005', '-1', '1', '启用', 'zh_CN');