--  Changeset V4.2.0_0_2_151__koca_lcp_runtime_api.xml::alter_table_mi_api_basic::YaChao Lv
ALTER TABLE mi_api_basic ADD deploy_status VARCHAR(32) NOT NULL COMMENT '发布状态';

--  Changeset V4.2.0_0_2_151__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_basic_deployed::YaChao Lv
CREATE TABLE koca_lcp_api_basic_deployed (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户ID', group_id BIGINT NULL COMMENT '分组ID', api_id BIGINT NOT NULL COMMENT 'api主键', api_code VARCHAR(128) NULL COMMENT 'api代码', api_name VARCHAR(128) NULL COMMENT 'api名称', api_pos BIGINT DEFAULT 1 NOT NULL COMMENT 'api排序', remark LONGTEXT NULL COMMENT '说明', access_api_code VARCHAR(128) NULL COMMENT '接入api代码', api_protocol VARCHAR(2) NULL COMMENT '接口协议(类型)', model_id BIGINT NULL COMMENT '数据模型ID', crud_type VARCHAR(32) NULL COMMENT '增删改查类型', his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_API_BASIC_DEPLOYED PRIMARY KEY (id)) COMMENT='api基础信息发布表';

ALTER TABLE koca_lcp_api_basic_deployed COMMENT = 'api基础信息发布表';

CREATE UNIQUE INDEX uk_api_basic_deployed_id ON koca_lcp_api_basic_deployed(tenant_id, api_code);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('KOCA_LCP_API_BASIC_DEPLOYED_NO', '接口发布序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('KOCA_LCP_API_BASIC_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.2.0_0_2_151__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_basic_his::YaChao Lv
CREATE TABLE koca_lcp_api_basic_his (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户ID', api_id BIGINT NOT NULL COMMENT 'api主键', api_code VARCHAR(128) NULL COMMENT 'api代码', api_name VARCHAR(128) NULL COMMENT 'api名称', api_pos BIGINT DEFAULT 1 NOT NULL COMMENT 'api排序', remark LONGTEXT NULL COMMENT '说明', access_api_code VARCHAR(128) NULL COMMENT '接入api代码', api_protocol VARCHAR(2) NULL COMMENT '接口协议(类型)', model_id BIGINT NULL COMMENT '数据模型ID', crud_type VARCHAR(32) NULL COMMENT '增删改查类型', his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_API_BASIC_HIS PRIMARY KEY (id)) COMMENT='api基础信息历史表';

ALTER TABLE koca_lcp_api_basic_his COMMENT = 'api基础信息历史表';

CREATE UNIQUE INDEX uk_api_basic_his_id ON koca_lcp_api_basic_his(tenant_id, api_code, his_version);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('KOCA_LCP_API_BASIC_HIS_NO', '接口历史序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('KOCA_LCP_API_BASIC_HIS_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.2.0_0_2_151__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_param_deployed::YaChao Lv
CREATE TABLE koca_lcp_api_param_deployed (id BIGINT NOT NULL, api_param_id BIGINT NOT NULL COMMENT 'api参数id', tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户ID', api_code VARCHAR(128) NOT NULL COMMENT 'api代码', api_version VARCHAR(32) NOT NULL COMMENT 'api版本', para_code VARCHAR(128) NOT NULL COMMENT '参数代码', access_param_code VARCHAR(128) NULL COMMENT '接入参数代码', parent_id INT NULL COMMENT '父id', para_name VARCHAR(120) NOT NULL COMMENT '参数名', para_type INT NULL COMMENT '参数类型  1请求 2响应', para_pos VARCHAR(30) NULL COMMENT '参数位置', para_desc VARCHAR(1000) NULL COMMENT '参数说明', data_type VARCHAR(32) NULL COMMENT '数据类型', data_length VARCHAR(32) NULL COMMENT '数据长度', scale numeric(10, 2) NULL COMMENT '精度', required INT NULL COMMENT '是否必填', default_value VARCHAR(128) NULL COMMENT '默认值', model_field_code VARCHAR(512) NULL COMMENT '数据模型字段代码', his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_API_PARAM_DEPLOYED PRIMARY KEY (id)) COMMENT='api参数发布表';

ALTER TABLE koca_lcp_api_param_deployed COMMENT = 'api参数发布表';

CREATE UNIQUE INDEX uk_api_param_code_deployed ON koca_lcp_api_param_deployed(tenant_id, api_code, api_version, para_code, para_type, parent_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('KOCA_LCP_API_PARAM_DEPLOYED_NO', '接口发布序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('KOCA_LCP_API_PARAM_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.2.0_0_2_151__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_param_his::YaChao Lv
CREATE TABLE koca_lcp_api_param_his (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户ID', api_id BIGINT NOT NULL COMMENT 'api主键', api_param_id BIGINT NOT NULL COMMENT 'api参数id', api_code VARCHAR(128) NOT NULL COMMENT 'api代码', api_version VARCHAR(32) NOT NULL COMMENT 'api版本', para_code VARCHAR(128) NOT NULL COMMENT '参数代码', access_param_code VARCHAR(128) NULL COMMENT '接入参数代码', parent_id INT NULL COMMENT '父id', para_name VARCHAR(120) NOT NULL COMMENT '参数名', para_type INT NULL COMMENT '参数类型  1请求 2响应', para_pos VARCHAR(30) NULL COMMENT '参数位置', para_desc VARCHAR(1000) NULL COMMENT '参数说明', data_type VARCHAR(32) NULL COMMENT '数据类型', data_length VARCHAR(32) NULL COMMENT '数据长度', scale numeric(10, 2) NULL COMMENT '精度', required INT NULL COMMENT '是否必填', default_value VARCHAR(128) NULL COMMENT '默认值', model_field_code VARCHAR(512) NULL COMMENT '数据模型字段代码', his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_API_PARAM_HIS PRIMARY KEY (id)) COMMENT='api参数历史表';

ALTER TABLE koca_lcp_api_param_his COMMENT = 'api参数历史表';

CREATE UNIQUE INDEX uk_api_param_code_his ON koca_lcp_api_param_his(tenant_id, api_code, api_version, his_version, para_code, para_type, parent_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('KOCA_LCP_API_PARAM_HIS_NO', '接口历史序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('KOCA_LCP_API_PARAM_HIS_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.2.0_0_2_151__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_param_meta_deploy::YaChao Lv
CREATE TABLE koca_lcp_api_param_meta_deploy (id BIGINT NOT NULL, api_param_id BIGINT NOT NULL COMMENT '接口参数id', meta_info LONGTEXT NULL COMMENT '前端元数据信息', his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_API_PARAM_META_DEPLOY PRIMARY KEY (id)) COMMENT='已发布API参数前端元数据';

ALTER TABLE koca_lcp_api_param_meta_deploy COMMENT = '已发布API参数前端元数据';

CREATE UNIQUE INDEX uk_api_param_id_deployed ON koca_lcp_api_param_meta_deploy(api_param_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_API_PARAM_META_DEPLOYED_NO', 'LCP已发布接口参数元数据序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_API_PARAM_META_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.2.0_0_2_151__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_param_meta_his::YaChao Lv
CREATE TABLE koca_lcp_api_param_meta_his (id BIGINT NOT NULL, api_id BIGINT NOT NULL COMMENT 'api主键', api_param_id BIGINT NOT NULL COMMENT '接口参数id', meta_info LONGTEXT NULL COMMENT '前端元数据信息', his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_API_PARAM_META_HIS PRIMARY KEY (id)) COMMENT='API参数前端元数据历史表';

ALTER TABLE koca_lcp_api_param_meta_his COMMENT = 'API参数前端元数据历史表';

CREATE UNIQUE INDEX uk_api_param_id_his ON koca_lcp_api_param_meta_his(api_param_id, his_version);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_API_PARAM_META_HIS_NO', 'LCP接口参数元数据历史序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_API_PARAM_META_HIS_NO', '0', '0', '0', '100000', '', '');