--  Changeset V4.3.0_0_2_152__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_basic::YaChao Lv
CREATE TABLE koca_lcp_api_basic (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户ID', group_id BIGINT DEFAULT -1 NOT NULL COMMENT '分组ID', api_code VARCHAR(64) NOT NULL COMMENT 'api代码', api_name VARCHAR(64) NOT NULL COMMENT 'api名称', api_url VARCHAR(255) NOT NULL COMMENT 'api路径', api_method VARCHAR(32) NOT NULL COMMENT '接口方法', api_pos INT DEFAULT 0 NOT NULL COMMENT 'api排序', remark LONGTEXT NULL COMMENT '说明', api_req_body_type VARCHAR(32) NOT NULL COMMENT '接口入参body类型', api_resp_body_type VARCHAR(32) NOT NULL COMMENT '接口响应body类型', api_req_root_type VARCHAR(32) NOT NULL COMMENT '接口入参root类型', api_resp_root_type VARCHAR(32) NOT NULL COMMENT '接口响应root类型', model_id BIGINT NULL COMMENT '数据模型ID', crud_type VARCHAR(32) NULL COMMENT '增删改查类型', deploy_status VARCHAR(32) NOT NULL COMMENT '发布状态', created_by VARCHAR(32) NOT NULL COMMENT '创建人', updated_by VARCHAR(32) NOT NULL COMMENT '更新人', created_at VARCHAR(32) NOT NULL COMMENT '创建时间', updated_at VARCHAR(32) NOT NULL COMMENT '更新时间', CONSTRAINT PK_KOCA_LCP_API_BASIC PRIMARY KEY (id)) COMMENT='api基础信息表';

ALTER TABLE koca_lcp_api_basic COMMENT = 'api基础信息表';

CREATE UNIQUE INDEX uk_api_code ON koca_lcp_api_basic(tenant_id, api_code);

CREATE UNIQUE INDEX uk_api_name ON koca_lcp_api_basic(tenant_id, api_name);

CREATE UNIQUE INDEX uk_api_url ON koca_lcp_api_basic(tenant_id, api_method, api_url);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_API_BASIC_NO', 'LCP API基础数据序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_API_BASIC_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.3.0_0_2_152__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_group::YaChao Lv
CREATE TABLE koca_lcp_api_group (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户ID', parent_id BIGINT DEFAULT -1 NOT NULL COMMENT '父节点', group_code VARCHAR(32) NOT NULL COMMENT '分组代码', group_name VARCHAR(64) NOT NULL COMMENT '分组名称', id_path VARCHAR(512) NOT NULL COMMENT 'id路径', group_pos INT DEFAULT 0 NOT NULL COMMENT 'api排序', created_by VARCHAR(32) NOT NULL COMMENT '创建人', updated_by VARCHAR(32) NOT NULL COMMENT '更新人', created_at VARCHAR(32) NOT NULL COMMENT '创建时间', updated_at VARCHAR(32) NOT NULL COMMENT '更新时间', CONSTRAINT PK_KOCA_LCP_API_GROUP PRIMARY KEY (id)) COMMENT='api分组';

ALTER TABLE koca_lcp_api_group COMMENT = 'api分组';

CREATE UNIQUE INDEX uk_api_group_name ON koca_lcp_api_group(tenant_id, parent_id, group_name);

CREATE UNIQUE INDEX uk_api_group_code ON koca_lcp_api_group(tenant_id, parent_id, group_code);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_API_GROUP_NO', 'LCP API分组序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_API_GROUP_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.3.0_0_2_152__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_param::YaChao Lv
CREATE TABLE koca_lcp_api_param (id BIGINT NOT NULL, api_id BIGINT NOT NULL COMMENT 'api主键', parent_id BIGINT NOT NULL COMMENT '父id', param_code VARCHAR(32) NOT NULL COMMENT '参数代码', param_name VARCHAR(64) NOT NULL COMMENT '参数名', param_type VARCHAR(32) NOT NULL COMMENT '参数类型 请求/响应', param_pos INT NOT NULL COMMENT '参数排序', param_desc VARCHAR(255) NULL COMMENT '参数说明', data_type VARCHAR(32) NOT NULL COMMENT '数据类型', data_length INT NULL COMMENT '数据长度', decimal_place INT NULL COMMENT '精度', required TINYINT NOT NULL COMMENT '是否必填', default_value VARCHAR(255) NULL COMMENT '默认值', data_format VARCHAR(32) NULL COMMENT '字段数据格式', data_dict_code VARCHAR(32) NULL COMMENT '数据字典代码', model_field_code VARCHAR(512) NULL COMMENT '数据模型字段代码', created_by VARCHAR(32) NOT NULL COMMENT '创建人', updated_by VARCHAR(32) NOT NULL COMMENT '更新人', created_at VARCHAR(32) NOT NULL COMMENT '创建时间', updated_at VARCHAR(32) NOT NULL COMMENT '更新时间', CONSTRAINT PK_KOCA_LCP_API_PARAM PRIMARY KEY (id)) COMMENT='api参数';

ALTER TABLE koca_lcp_api_param COMMENT = 'api参数';

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_API_PARAM_NO', 'LCP API参数序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_API_PARAM_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.3.0_0_2_152__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_basic_deployed::YaChao Lv
DROP TABLE koca_lcp_api_basic_deployed;

CREATE TABLE koca_lcp_api_basic_deployed (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户ID', group_id BIGINT NULL COMMENT '分组ID', api_id BIGINT NOT NULL COMMENT 'api主键', api_code VARCHAR(64) NULL COMMENT 'api代码', api_name VARCHAR(64) NULL COMMENT 'api名称', api_url VARCHAR(255) NOT NULL COMMENT 'api路径', api_method VARCHAR(32) NOT NULL COMMENT '接口方法', api_pos INT DEFAULT 0 NOT NULL COMMENT 'api排序', remark LONGTEXT NULL COMMENT '说明', api_req_body_type VARCHAR(32) NOT NULL COMMENT '接口入参body类型', api_resp_body_type VARCHAR(32) NOT NULL COMMENT '接口响应body类型', api_req_root_type VARCHAR(32) NOT NULL COMMENT '接口入参root类型', api_resp_root_type VARCHAR(32) NOT NULL COMMENT '接口响应root类型', model_id BIGINT NULL COMMENT '数据模型ID', crud_type VARCHAR(32) NULL COMMENT '增删改查类型', his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_API_BASIC_DEPLOYED PRIMARY KEY (id)) COMMENT='api基础信息发布表';

ALTER TABLE koca_lcp_api_basic_deployed COMMENT = 'api基础信息发布表';

CREATE UNIQUE INDEX uk_api_id_deployed ON koca_lcp_api_basic_deployed(api_id);

CREATE UNIQUE INDEX uk_api_code_deployed ON koca_lcp_api_basic_deployed(tenant_id, api_code);

CREATE UNIQUE INDEX uk_api_name_deployed ON koca_lcp_api_basic_deployed(tenant_id, api_name);

CREATE UNIQUE INDEX uk_api_url_deployed ON koca_lcp_api_basic_deployed(tenant_id, api_method, api_url);

--  Changeset V4.3.0_0_2_152__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_basic_his::YaChao Lv
DROP TABLE koca_lcp_api_basic_his;

CREATE TABLE koca_lcp_api_basic_his (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户ID', api_id BIGINT NOT NULL COMMENT 'api主键', api_code VARCHAR(64) NOT NULL COMMENT 'api代码', api_name VARCHAR(64) NOT NULL COMMENT 'api名称', api_url VARCHAR(255) NOT NULL COMMENT 'api路径', api_method VARCHAR(32) NOT NULL COMMENT '接口方法', api_pos INT DEFAULT 0 NOT NULL COMMENT 'api排序', remark LONGTEXT NULL COMMENT '说明', api_req_body_type VARCHAR(32) NOT NULL COMMENT '接口入参body类型', api_resp_body_type VARCHAR(32) NOT NULL COMMENT '接口响应body类型', api_req_root_type VARCHAR(32) NOT NULL COMMENT '接口入参root类型', api_resp_root_type VARCHAR(32) NOT NULL COMMENT '接口响应root类型', model_id BIGINT NULL COMMENT '数据模型ID', crud_type VARCHAR(32) NULL COMMENT '增删改查类型', his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_API_BASIC_HIS PRIMARY KEY (id)) COMMENT='api基础信息历史表';

ALTER TABLE koca_lcp_api_basic_his COMMENT = 'api基础信息历史表';

CREATE UNIQUE INDEX uk_api_id_his ON koca_lcp_api_basic_his(his_version, api_id);

CREATE UNIQUE INDEX uk_api_code_his ON koca_lcp_api_basic_his(tenant_id, api_code, his_version);

CREATE UNIQUE INDEX uk_api_name_his ON koca_lcp_api_basic_his(tenant_id, api_name, his_version);

CREATE UNIQUE INDEX uk_api_url_his ON koca_lcp_api_basic_his(tenant_id, api_method, api_url, his_version);

--  Changeset V4.3.0_0_2_152__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_param_deployed::YaChao Lv
DROP TABLE koca_lcp_api_param_deployed;

CREATE TABLE koca_lcp_api_param_deployed (id BIGINT NOT NULL, api_param_id BIGINT NOT NULL COMMENT 'api参数id', api_id BIGINT NOT NULL COMMENT 'api主键', parent_id BIGINT NOT NULL COMMENT '父id', param_code VARCHAR(32) NOT NULL COMMENT '参数代码', param_name VARCHAR(64) NOT NULL COMMENT '参数名', param_type VARCHAR(32) NOT NULL COMMENT '参数类型 请求/响应', param_pos INT NOT NULL COMMENT '参数排序', param_desc VARCHAR(255) NULL COMMENT '参数说明', data_type VARCHAR(32) NOT NULL COMMENT '数据类型', data_length INT NULL COMMENT '数据长度', decimal_place INT NULL COMMENT '精度', required TINYINT NOT NULL COMMENT '是否必填', default_value VARCHAR(255) NULL COMMENT '默认值', data_format VARCHAR(32) NULL COMMENT '字段数据格式', data_dict_code VARCHAR(32) NULL COMMENT '数据字典代码', model_field_code VARCHAR(512) NULL COMMENT '数据模型字段代码', his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_API_PARAM_DEPLOYED PRIMARY KEY (id)) COMMENT='api参数发布表';

ALTER TABLE koca_lcp_api_param_deployed COMMENT = 'api参数发布表';

CREATE UNIQUE INDEX uk_api_param_code_deployed ON koca_lcp_api_param_deployed(api_id, param_type, parent_id, param_code);

CREATE UNIQUE INDEX uk_api_param_name_deployed ON koca_lcp_api_param_deployed(api_id, param_type, parent_id, param_name);

--  Changeset V4.3.0_0_2_152__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_param_his::YaChao Lv
DROP TABLE koca_lcp_api_param_his;

CREATE TABLE koca_lcp_api_param_his (id BIGINT NOT NULL, api_id BIGINT NOT NULL COMMENT 'api主键', api_param_id BIGINT NOT NULL COMMENT 'api参数id', parent_id BIGINT NOT NULL COMMENT '父id', param_code VARCHAR(32) NOT NULL COMMENT '参数代码', param_name VARCHAR(64) NOT NULL COMMENT '参数名', param_type VARCHAR(32) NOT NULL COMMENT '参数类型 请求/响应', param_pos INT NOT NULL COMMENT '参数排序', param_desc VARCHAR(255) NULL COMMENT '参数说明', data_type VARCHAR(32) NOT NULL COMMENT '数据类型', data_length INT NULL COMMENT '数据长度', decimal_place INT NULL COMMENT '精度', required TINYINT NOT NULL COMMENT '是否必填', default_value VARCHAR(255) NULL COMMENT '默认值', data_format VARCHAR(32) NULL COMMENT '字段数据格式', data_dict_code VARCHAR(32) NULL COMMENT '数据字典代码', model_field_code VARCHAR(512) NULL COMMENT '数据模型字段代码', his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_API_PARAM_HIS PRIMARY KEY (id)) COMMENT='api参数历史表';

ALTER TABLE koca_lcp_api_param_his COMMENT = 'api参数历史表';

CREATE UNIQUE INDEX uk_api_param_code_his ON koca_lcp_api_param_his(his_version, api_id, param_type, parent_id, param_code);

CREATE UNIQUE INDEX uk_api_param_name_his ON koca_lcp_api_param_his(his_version, api_id, param_type, parent_id, param_name);