--  Changeset V4.3.0_0_2_142__koca_lcp_runtime_component.xml::alter_table_koca_lcp_comp2::YaChao Lv
ALTER TABLE koca_lcp_comp2 ADD comp_remark VARCHAR(256) NULL COMMENT '组件描述' , ADD deploy_status VARCHAR(32) DEFAULT 'NOT_DEPLOYED' NOT NULL COMMENT '发布状态';

--  Changeset V4.3.0_0_2_142__koca_lcp_runtime_component.xml::create_table_koca_lcp_comp2_deployed::YaChao Lv
CREATE TABLE koca_lcp_comp2_deployed (id BIGINT NOT NULL, comp_id BIGINT NOT NULL COMMENT '组件ID', tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户id', group_id BIGINT DEFAULT '-1' NOT NULL COMMENT '父级目录', comp_code VARCHAR(64) NOT NULL COMMENT '组件编码', comp_name VARCHAR(64) NOT NULL COMMENT '组件名称', comp_meta LONGTEXT NULL COMMENT '组件元数据', comp_remark VARCHAR(256) NULL COMMENT '组件描述', his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_COMP2_DEPLOYED PRIMARY KEY (id)) COMMENT='业务组件管理已发布表';

ALTER TABLE koca_lcp_comp2_deployed COMMENT = '业务组件管理已发布表';

CREATE UNIQUE INDEX uk_lcp_comp2_deployed_code ON koca_lcp_comp2_deployed(tenant_id, group_id, comp_code);

CREATE UNIQUE INDEX uk_lcp_comp2_deployed_name ON koca_lcp_comp2_deployed(tenant_id, group_id, comp_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_DEPLOYED_NO', '发布组件序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.3.0_0_2_142__koca_lcp_runtime_component.xml::create_table_koca_lcp_comp2_his::YaChao Lv
CREATE TABLE koca_lcp_comp2_his (id BIGINT NOT NULL, comp_id BIGINT NOT NULL COMMENT '组件ID', tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户id', group_id BIGINT DEFAULT '-1' NOT NULL COMMENT '父级目录', comp_code VARCHAR(64) NOT NULL COMMENT '组件编码', comp_name VARCHAR(64) NOT NULL COMMENT '组件名称', comp_meta LONGTEXT NULL COMMENT '组件元数据', comp_remark VARCHAR(256) NULL COMMENT '组件描述', his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_COMP2_HIS PRIMARY KEY (id)) COMMENT='业务组件发布历史表';

ALTER TABLE koca_lcp_comp2_his COMMENT = '业务组件发布历史表';

CREATE UNIQUE INDEX uk_lcp_comp2_his_code ON koca_lcp_comp2_his(tenant_id, group_id, his_version, comp_code);

CREATE UNIQUE INDEX uk_lcp_comp2_his_name ON koca_lcp_comp2_his(tenant_id, group_id, his_version, comp_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_HIS_NO', '组件历史序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_HIS_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.3.0_0_2_142__koca_lcp_runtime_component.xml::create_table_koca_lcp_var_comp2_deployed::YaChao Lv
CREATE TABLE koca_lcp_var_comp2_deployed (id BIGINT NOT NULL, var_name VARCHAR(512) NOT NULL COMMENT '全局变量/方法名称', comp2_id BIGINT NOT NULL COMMENT '组件id', his_version VARCHAR(8) NOT NULL COMMENT '组件历史版本号', CONSTRAINT PK_KOCA_LCP_VAR_COMP2_DEPLOYED PRIMARY KEY (id)) COMMENT='全局变量/方法-组件映射发布表';

ALTER TABLE koca_lcp_var_comp2_deployed COMMENT = '全局变量/方法-组件映射发布表';

CREATE UNIQUE INDEX uk_lcp_comp2_var_deployed ON koca_lcp_var_comp2_deployed(comp2_id, var_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_VAR_DEPLOYED_NO', '变量/方法组件关系发布表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_VAR_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.3.0_0_2_142__koca_lcp_runtime_component.xml::create_table_koca_lcp_var_comp2_his::YaChao Lv
CREATE TABLE koca_lcp_var_comp2_his (id BIGINT NOT NULL, var_name VARCHAR(512) NOT NULL COMMENT '全局变量/方法名称', comp2_id BIGINT NOT NULL COMMENT '组件id', his_version VARCHAR(8) NOT NULL COMMENT '组件历史版本号', CONSTRAINT PK_KOCA_LCP_VAR_COMP2_HIS PRIMARY KEY (id)) COMMENT='全局变量/方法-组件映射发布历史表';

ALTER TABLE koca_lcp_var_comp2_his COMMENT = '全局变量/方法-组件映射发布历史表';

CREATE UNIQUE INDEX uk_lcp_comp2_var_his ON koca_lcp_var_comp2_his(comp2_id, var_name, his_version);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_VAR_HIS_NO', '变量/方法组件关系发布历史表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_VAR_HIS_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.3.0_0_2_142__koca_lcp_runtime_component.xml::create_table_koca_lcp_api_comp2_deployed::YaChao Lv
CREATE TABLE koca_lcp_api_comp2_deployed (id BIGINT NOT NULL, data_id BIGINT NOT NULL COMMENT '字段id', comp2_id BIGINT NOT NULL COMMENT '组件id', his_version VARCHAR(8) NOT NULL COMMENT '组件历史版本号', CONSTRAINT PK_KOCA_LCP_API_COMP2_DEPLOYED PRIMARY KEY (id)) COMMENT='接口-组件映射发布表';

ALTER TABLE koca_lcp_api_comp2_deployed COMMENT = '接口-组件映射发布表';

CREATE UNIQUE INDEX uk_lcp_comp2_api_deployed ON koca_lcp_api_comp2_deployed(data_id, comp2_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_API_DEPLOYED_NO', '接口组件关系发布表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_API_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.3.0_0_2_142__koca_lcp_runtime_component.xml::create_table_koca_lcp_api_comp2_his::YaChao Lv
CREATE TABLE koca_lcp_api_comp2_his (id BIGINT NOT NULL, data_id BIGINT NOT NULL COMMENT '字段id', comp2_id BIGINT NOT NULL COMMENT '组件id', his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_API_COMP2_HIS PRIMARY KEY (id)) COMMENT='接口-组件映射发布历史表';

ALTER TABLE koca_lcp_api_comp2_his COMMENT = '接口-组件映射发布历史表';

CREATE UNIQUE INDEX uk_lcp_comp2_api_his ON koca_lcp_api_comp2_his(data_id, comp2_id, his_version);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_API_HIS_NO', '接口组件关系发布历史表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_API_HIS_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.3.0_0_2_142__koca_lcp_runtime_component.xml::create_table_koca_lcp_comp2_comp2_deployed::YaChao Lv
CREATE TABLE koca_lcp_comp2_comp2_deployed (id BIGINT NOT NULL, curr_id BIGINT NOT NULL, target_id BIGINT NOT NULL, his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_COMP2_COMP2_DEPLOYED PRIMARY KEY (id, curr_id, target_id)) COMMENT='组件-组件映射发布表';

ALTER TABLE koca_lcp_comp2_comp2_deployed COMMENT = '组件-组件映射发布表';

CREATE UNIQUE INDEX uk_lcp_comp2_comp2_deployed ON koca_lcp_comp2_comp2_deployed(curr_id, target_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_COMP2_DEPLOYED_NO', '组件-组件关系发布表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_COMP2_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.3.0_0_2_142__koca_lcp_runtime_component.xml::create_table_koca_lcp_comp2_comp2_his::YaChao Lv
CREATE TABLE koca_lcp_comp2_comp2_his (id BIGINT NOT NULL, curr_id BIGINT NOT NULL, target_id BIGINT NOT NULL, his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_COMP2_COMP2_HIS PRIMARY KEY (id, curr_id, target_id)) COMMENT='组件-组件映射发布历史表';

ALTER TABLE koca_lcp_comp2_comp2_his COMMENT = '组件-组件映射发布历史表';

CREATE UNIQUE INDEX uk_lcp_comp2_comp2_his ON koca_lcp_comp2_comp2_his(curr_id, target_id, his_version);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_COMP2_HIS_NO', '组件-组件关系发布历史表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_COMP2_HIS_NO', '0', '0', '0', '100000', '', '');