--  Changeset ALL_1_2101__koca_lcp_runtime_datasource.xml::cerate_table_koca_lcp_datasource_ds::YaChao Lv
CREATE TABLE koca_lcp_datasource_ds (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户ID', group_id BIGINT NULL COMMENT '分组ID', ds_name VARCHAR(64) NOT NULL COMMENT '数据源名称', ds_type VARCHAR(32) NOT NULL COMMENT '数据源类型', db_type VARCHAR(32) NOT NULL COMMENT '数据库类型', ds_bean_name VARCHAR(64) NULL COMMENT '数据源beanName', host_ip VARCHAR(512) NULL COMMENT '主机IP', host_port INT NULL COMMENT '主机端口', db_schema VARCHAR(128) NULL COMMENT '数据库', db_username VARCHAR(64) NULL COMMENT '用户名', db_password VARCHAR(256) NULL COMMENT '密码', db_jdbc VARCHAR(1024) NULL COMMENT 'jdbc连接', db_jdbc_self_defined CHAR(1) NULL COMMENT 'jdbc连接自定义标识', created_by VARCHAR(32) NOT NULL COMMENT '创建人', updated_by VARCHAR(32) NOT NULL COMMENT '更新人', created_at VARCHAR(32) NOT NULL COMMENT '创建时间', updated_at VARCHAR(32) NOT NULL COMMENT '更新时间', CONSTRAINT PK_KOCA_LCP_DATASOURCE_DS PRIMARY KEY (id)) COMMENT='数据源管理';

ALTER TABLE koca_lcp_datasource_ds COMMENT = '数据源管理';

CREATE UNIQUE INDEX uk_ds_tenant_name ON koca_lcp_datasource_ds(ds_name, tenant_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATASOURCE_DS', 'LCP数据源序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATASOURCE_DS', '0', '0', '0', '100000', '', '');

--  Changeset ALL_1_2101__koca_lcp_runtime_datasource.xml::cerate_table_koca_lcp_datasource_ds_group::YaChao Lv
CREATE TABLE koca_lcp_datasource_ds_group (id BIGINT NOT NULL, group_name VARCHAR(32) NOT NULL COMMENT '分组名称', tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户ID', CONSTRAINT PK_KOCA_LCP_DATASOURCE_DS_GROUP PRIMARY KEY (id)) COMMENT='数据源分组';

ALTER TABLE koca_lcp_datasource_ds_group COMMENT = '数据源分组';

CREATE UNIQUE INDEX uk_ds_group_name ON koca_lcp_datasource_ds_group(group_name, tenant_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATASOURCE_DS_GROUP', 'LCP数据源分组序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATASOURCE_DS_GROUP', '0', '0', '0', '100000', '', '');

--  Changeset ALL_1_2101__koca_lcp_runtime_datasource.xml::insert_koca_sys_menu::YaChao Lv
INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('411000', '0', '0', '数据源', '', '', '102001', 'kui-icon-database', '0', '数据源');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('411001', '0', '0', '数据源管理', '/lcp-runtime-model/views/data-source/datasource-manage/index.tsx', '411000', '', '', '0', '数据源管理');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('411002', '0', '2', '新增/编辑', '', '411001', '', '', '0', '新增/编辑');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('411003', '0', '2', '删除', '', '411001', '411002', '', '0', '删除');

--  Changeset ALL_1_2101__koca_lcp_runtime_datasource.xml::insert_koca_menu_api::YaChao Lv
INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('411001', '41100101', '/datasource/ds/inner/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('411001', '41100102', '/datasource/ds/detail');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('411001', '41100103', '/datasource/ds/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('411001', '41100104', '/datasource/ds/group/all');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('411001', '41100105', '/datasource/ds/dbList');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('411002', '41100201', '/datasource/ds/testConnect');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('411002', '41100202', '/datasource/ds/group/update');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('411002', '41100203', '/datasource/ds/group/create');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('411002', '41100204', '/datasource/ds/move');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('411002', '41100205', '/datasource/ds/copy');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('411002', '41100206', '/datasource/ds/update');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('411002', '41100207', '/datasource/ds/create');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('411003', '41100301', '/datasource/ds/delete');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('411003', '41100302', '/datasource/ds/group/delete');
update koca_sys_menu set menu_status=1 where menu_id in ('411000');
