--  Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_dic::qiuhang
CREATE TABLE koca_lcp_data_dic (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户id', dic_code VARCHAR(32) NOT NULL COMMENT '字典代码', dic_name VARCHAR(32) NOT NULL COMMENT '字典名称', created_by VARCHAR(32) NOT NULL COMMENT '创建人', updated_by VARCHAR(32) NOT NULL COMMENT '更新人', created_at VARCHAR(32) NOT NULL COMMENT '创建时间', updated_at VARCHAR(32) NOT NULL COMMENT '更新时间', CONSTRAINT PK_KOCA_LCP_DATA_DIC PRIMARY KEY (id)) COMMENT='数据字典表';

ALTER TABLE koca_lcp_data_dic COMMENT = '数据字典表';

CREATE UNIQUE INDEX uk_dict_code_tenant_id ON koca_lcp_data_dic(dic_code, tenant_id);

CREATE UNIQUE INDEX uk_dict_name_tenant_id ON koca_lcp_data_dic(dic_name, tenant_id);

--  Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_dic::qiuhang
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_DIC_NO', '数据字典序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_DIC_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_dic_item::qiuhang
CREATE TABLE koca_lcp_data_dic_item (id BIGINT NOT NULL, dic_id BIGINT NOT NULL COMMENT '字典id', dic_item_code VARCHAR(32) NOT NULL COMMENT '字典项代码', dic_item_name VARCHAR(32) NOT NULL COMMENT '字典项名称', dic_item_ord INT NOT NULL COMMENT '字典项顺序', created_by VARCHAR(32) NOT NULL COMMENT '创建人', updated_by VARCHAR(32) NOT NULL COMMENT '更新人', created_at VARCHAR(32) NOT NULL COMMENT '创建时间', updated_at VARCHAR(32) NOT NULL COMMENT '更新时间', CONSTRAINT PK_KOCA_LCP_DATA_DIC_ITEM PRIMARY KEY (id)) COMMENT='数据字典项表';

ALTER TABLE koca_lcp_data_dic_item COMMENT = '数据字典项表';

CREATE UNIQUE INDEX uk_data_dic_item_code ON koca_lcp_data_dic_item(dic_id, dic_item_code);

CREATE UNIQUE INDEX uk_data_dic_item_name ON koca_lcp_data_dic_item(dic_id, dic_item_name);

--  Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_dic_item::qiuhang
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_DIC_ITEM_NO', '数据字典项序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_DIC_ITEM_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_type::qiuhang
CREATE TABLE koca_lcp_data_type (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户id', type_name VARCHAR(32) NOT NULL COMMENT '类型名称', type_code VARCHAR(32) NOT NULL COMMENT '类型代码', remark VARCHAR(255) NOT NULL COMMENT '类型描述', api_param_type VARCHAR(32) NOT NULL COMMENT 'API参数类型', `component` VARCHAR(64) NOT NULL COMMENT '数据录入组件', jdbc_type VARCHAR(32) NULL COMMENT 'jdbc类型', java_type VARCHAR(255) NULL COMMENT 'java类型', created_by VARCHAR(32) NOT NULL COMMENT '创建人', updated_by VARCHAR(32) NOT NULL COMMENT '更新人', created_at VARCHAR(32) NOT NULL COMMENT '创建时间', updated_at VARCHAR(32) NOT NULL COMMENT '更新时间', CONSTRAINT PK_KOCA_LCP_DATA_TYPE PRIMARY KEY (id)) COMMENT='数据类型表';

ALTER TABLE koca_lcp_data_type COMMENT = '数据类型表';

CREATE UNIQUE INDEX uk_data_type_name_tenant_id ON koca_lcp_data_type(type_name, tenant_id);

CREATE UNIQUE INDEX uk_data_type_code_tenant_id ON koca_lcp_data_type(type_code, tenant_id);

--  Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_type::qiuhang
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_TYPE_NO', '数据类型序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_TYPE_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_lcp_data_type::qiuhang
INSERT INTO koca_lcp_data_type (id, type_name, type_code, remark, api_param_type, `component`, jdbc_type, java_type, created_by, updated_by, created_at, updated_at) VALUES ('1', '定长字符串', 'char', '存储固定长度或长度差异较小的字符串，如性别、身份证号、手机号码、MD5值等', 'String', 'kui-input', 'VARCHAR', 'String', 'admin', 'admin', '2022-10-12 09:00:00', '2022-10-12 09:00:00');

INSERT INTO koca_lcp_data_type (id, type_name, type_code, remark, api_param_type, `component`, jdbc_type, java_type, created_by, updated_by, created_at, updated_at) VALUES ('2', '变长字符串', 'varchar', '存储长度不确定或长度差异较大的字符串，如标题、描述、用户名、邮箱、链接等', 'String', 'kui-input', 'VARCHAR', 'String', 'admin', 'admin', '2022-10-12 09:00:00', '2022-10-12 09:00:00');

INSERT INTO koca_lcp_data_type (id, type_name, type_code, remark, api_param_type, `component`, jdbc_type, java_type, created_by, updated_by, created_at, updated_at) VALUES ('3', '整数(int)', 'int', '存储整型数据，如年龄、数量、序号等', 'Integer', 'kui-input', 'VARCHAR', 'String', 'admin', 'admin', '2022-10-12 09:00:00', '2022-10-12 09:00:00');

INSERT INTO koca_lcp_data_type (id, type_name, type_code, remark, api_param_type, `component`, jdbc_type, java_type, created_by, updated_by, created_at, updated_at) VALUES ('4', '整数(integer)', 'integer', '存储整型数据，如年龄、数量、序号等', 'Integer', 'kui-input', 'VARCHAR', 'String', 'admin', 'admin', '2022-10-12 09:00:00', '2022-10-12 09:00:00');

INSERT INTO koca_lcp_data_type (id, type_name, type_code, remark, api_param_type, `component`, jdbc_type, java_type, created_by, updated_by, created_at, updated_at) VALUES ('5', '短整数', 'smallint', '存储短整型数据，如天数、编号等', 'Integer', 'kui-input', 'VARCHAR', 'String', 'admin', 'admin', '2022-10-12 09:00:00', '2022-10-12 09:00:00');

INSERT INTO koca_lcp_data_type (id, type_name, type_code, remark, api_param_type, `component`, jdbc_type, java_type, created_by, updated_by, created_at, updated_at) VALUES ('6', '长整数', 'bigint', '存储长整型数据，如流水号、账号、ID等', 'Integer', 'kui-input', 'VARCHAR', 'String', 'admin', 'admin', '2022-10-12 09:00:00', '2022-10-12 09:00:00');

INSERT INTO koca_lcp_data_type (id, type_name, type_code, remark, api_param_type, `component`, jdbc_type, java_type, created_by, updated_by, created_at, updated_at) VALUES ('7', '小数', 'double', '存储固定精度的小数，如金额、经纬度、平均数等', 'Number', 'kui-input', 'VARCHAR', 'String', 'admin', 'admin', '2022-10-12 09:00:00', '2022-10-12 09:00:00');

--  Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_type_db::qiuhang
CREATE TABLE koca_lcp_data_type_db (id BIGINT NOT NULL, db_type VARCHAR(32) NOT NULL COMMENT '数据库类型', data_type_id BIGINT NOT NULL COMMENT '数据类型ID', db_field_type VARCHAR(32) NULL COMMENT '数据库字段类型', jdbc_type VARCHAR(32) NULL COMMENT 'jdbc类型', java_type VARCHAR(255) NULL COMMENT 'java类型', CONSTRAINT PK_KOCA_LCP_DATA_TYPE_DB PRIMARY KEY (id)) COMMENT='数据库-数据类型关联表';

ALTER TABLE koca_lcp_data_type_db COMMENT = '数据库-数据类型关联表';

CREATE UNIQUE INDEX uk_data_type_db ON koca_lcp_data_type_db(db_type, data_type_id);

--  Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_type_db::qiuhang
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_TYPE_DB_NO', '数据类型关联序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_TYPE_DB_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_lcp_data_type_db::qiuhang
INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('1', 'ORACLE', '1', 'CHAR', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('2', 'ORACLE', '2', 'VARCHAR2', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('3', 'ORACLE', '3', 'INTEGER', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('4', 'ORACLE', '4', 'INTEGER', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('5', 'ORACLE', '5', 'NUMBER(5)', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('6', 'ORACLE', '6', 'NUMBER(38)', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('7', 'ORACLE', '7', 'DECIMAL', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('8', 'MYSQL', '1', 'CHAR', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('9', 'MYSQL', '2', 'VARCHAR', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('10', 'MYSQL', '3', 'INT', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('11', 'MYSQL', '4', 'INTEGER', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('12', 'MYSQL', '5', 'SMALLINT', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('13', 'MYSQL', '6', 'BIGINT', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('14', 'MYSQL', '7', 'DECIMAL', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('15', 'SQLSERVER', '1', 'CHAR', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('16', 'SQLSERVER', '2', 'VARCHAR', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('17', 'SQLSERVER', '3', 'INT', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('18', 'SQLSERVER', '4', 'INTEGER', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('19', 'SQLSERVER', '5', 'SMALLINT', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('20', 'SQLSERVER', '6', 'BIGINT', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('21', 'SQLSERVER', '7', 'DECIMAL', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('22', 'POSTGRESQL', '1', 'CHAR', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('23', 'POSTGRESQL', '2', 'VARCHAR', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('24', 'POSTGRESQL', '3', 'INTEGER', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('25', 'POSTGRESQL', '4', 'INTEGER', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('26', 'POSTGRESQL', '5', 'SMALLINT', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('27', 'POSTGRESQL', '6', 'BIGINT', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('28', 'POSTGRESQL', '7', 'DECIMAL', 'VARCHAR', 'String');

--  Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_model::YaChao Lv
CREATE TABLE koca_lcp_data_model (id BIGINT NOT NULL, ds_id BIGINT NOT NULL COMMENT '数据源ID', tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户id', model_name VARCHAR(32) NOT NULL COMMENT '模型名称', table_name VARCHAR(512) NOT NULL COMMENT '表名', model_desc VARCHAR(255) NULL COMMENT '模型描述', sync_status VARCHAR(32) NOT NULL COMMENT '模型状态', created_by VARCHAR(32) NOT NULL COMMENT '创建人', updated_by VARCHAR(32) NOT NULL COMMENT '更新人', created_at VARCHAR(32) NOT NULL COMMENT '创建时间', updated_at VARCHAR(32) NOT NULL COMMENT '更新时间', CONSTRAINT PK_KOCA_LCP_DATA_MODEL PRIMARY KEY (id)) COMMENT='数据模型表';

ALTER TABLE koca_lcp_data_model COMMENT = '数据模型表';

CREATE UNIQUE INDEX uk_model_name ON koca_lcp_data_model(ds_id, model_name);

CREATE UNIQUE INDEX uk_table_name ON koca_lcp_data_model(ds_id, table_name);

--  Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_model::YaChao Lv
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_NO', '数据模型序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_sync_record::YaChao Lv
CREATE TABLE koca_lcp_data_sync_record (id BIGINT NOT NULL, model_id BIGINT NOT NULL COMMENT '数据模型id', data_json LONGTEXT NOT NULL COMMENT '数据json', data_version INT NOT NULL COMMENT '版本号', CONSTRAINT PK_KOCA_LCP_DATA_SYNC_RECORD PRIMARY KEY (id)) COMMENT='数据模型同步历史';

ALTER TABLE koca_lcp_data_sync_record COMMENT = '数据模型同步历史';

CREATE UNIQUE INDEX uk_model_version ON koca_lcp_data_sync_record(model_id, data_version);

--  Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_sync_record::YaChao Lv
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_SYNC_RECORD_NO', '数据模型同步历史序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_SYNC_RECORD_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_type_order::YaChao Lv
CREATE TABLE koca_lcp_data_type_order (id BIGINT NOT NULL, data_type_id BIGINT NOT NULL COMMENT '数据类型id', tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户id', order_num INT NOT NULL COMMENT '顺序', CONSTRAINT PK_KOCA_LCP_DATA_TYPE_ORDER PRIMARY KEY (id)) COMMENT='数据类型顺序表';

ALTER TABLE koca_lcp_data_type_order COMMENT = '数据类型顺序表';

CREATE UNIQUE INDEX uk_type_order ON koca_lcp_data_type_order(data_type_id, order_num);

--  Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_type_order::YaChao Lv
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_DATA_TYPE_ORDER_NO', '数据类型顺序表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_DATA_TYPE_ORDER_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_model_field::YaChao Lv
CREATE TABLE koca_lcp_data_model_field (id BIGINT NOT NULL, model_id BIGINT NOT NULL COMMENT '数据模型id', order_num INT NOT NULL COMMENT '顺序', field_code VARCHAR(512) NOT NULL COMMENT '字段代码', field_desc VARCHAR(255) NOT NULL COMMENT '字段描述', is_key TINYINT NOT NULL COMMENT '是否主键', not_null TINYINT NOT NULL COMMENT '是否不为空', pk_strategy VARCHAR(32) NULL COMMENT '主键策略', data_field_id BIGINT NULL COMMENT '字段库id', data_region_id BIGINT NULL COMMENT '数据域id', data_type_id BIGINT NULL COMMENT '数据类型id', data_dict_code VARCHAR(32) NULL COMMENT '数据字典代码', length VARCHAR(16) NULL COMMENT '长度', decimal_place INT NULL COMMENT '精度', default_val VARCHAR(255) NULL COMMENT '默认值', check_rule VARCHAR(255) NULL COMMENT '校验规则', error_tip VARCHAR(255) NULL COMMENT '错误提示', create_used TINYINT DEFAULT 0 NOT NULL COMMENT '创建使用', query_used TINYINT DEFAULT 0 NOT NULL COMMENT '查询使用', display_used TINYINT DEFAULT 0 NOT NULL COMMENT '显示使用', edit_used TINYINT DEFAULT 0 NOT NULL COMMENT '编辑使用', delete_used TINYINT DEFAULT 0 NOT NULL COMMENT '删除使用', created_by VARCHAR(32) NOT NULL COMMENT '创建人', updated_by VARCHAR(32) NOT NULL COMMENT '更新人', created_at VARCHAR(32) NOT NULL COMMENT '创建时间', updated_at VARCHAR(32) NOT NULL COMMENT '更新时间', CONSTRAINT PK_KOCA_LCP_DATA_MODEL_FIELD PRIMARY KEY (id)) COMMENT='数据模型字段表';

ALTER TABLE koca_lcp_data_model_field COMMENT = '数据模型字段表';

CREATE UNIQUE INDEX uk_model_field ON koca_lcp_data_model_field(model_id, field_code);

--  Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_model_field::YaChao Lv
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_FIELD_NO', '数据模型字段序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_FIELD_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_model_index::YaChao Lv
CREATE TABLE koca_lcp_data_model_index (id BIGINT NOT NULL, model_id BIGINT NOT NULL COMMENT '数据模型id', index_name VARCHAR(255) NULL COMMENT '索引名称', index_code VARCHAR(512) NOT NULL COMMENT '索引代码', is_unique TINYINT DEFAULT 0 NOT NULL COMMENT '是否唯一索引', order_num INT NOT NULL COMMENT '顺序', created_by VARCHAR(32) NOT NULL COMMENT '创建人', updated_by VARCHAR(32) NOT NULL COMMENT '更新人', created_at VARCHAR(32) NOT NULL COMMENT '创建时间', updated_at VARCHAR(32) NOT NULL COMMENT '更新时间', CONSTRAINT PK_KOCA_LCP_DATA_MODEL_INDEX PRIMARY KEY (id)) COMMENT='数据模型索引表';

ALTER TABLE koca_lcp_data_model_index COMMENT = '数据模型索引表';

CREATE UNIQUE INDEX uk_model_index ON koca_lcp_data_model_index(model_id, index_code);

--  Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_model_index::YaChao Lv
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_INDEX_NO', '数据模型索引序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_INDEX_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_model_idx_field::YaChao Lv
CREATE TABLE koca_lcp_data_model_idx_field (id BIGINT NOT NULL, index_id BIGINT NOT NULL COMMENT '索引id', field_id BIGINT NOT NULL COMMENT '字段id', order_num INT NOT NULL COMMENT '顺序', order_type INT NOT NULL COMMENT '排序方式', CONSTRAINT PK_KOCA_LCP_DATA_MODEL_IDX_FIELD PRIMARY KEY (id)) COMMENT='数据模型索引字段表';

ALTER TABLE koca_lcp_data_model_idx_field COMMENT = '数据模型索引字段表';

CREATE UNIQUE INDEX uk_index_field ON koca_lcp_data_model_idx_field(index_id, field_id);

--  Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_model_idx_field::YaChao Lv
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_INDEX_IDX_NO', '数据模型索引字段序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_INDEX_IDX_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_model_er::YaChao Lv
CREATE TABLE koca_lcp_data_model_er (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户id', source_model_id BIGINT NOT NULL COMMENT '源模型id', target_model_id BIGINT NOT NULL COMMENT '目标模型id', mid_model_id BIGINT NULL COMMENT '中间模型id', relation_type CHAR(3) NOT NULL COMMENT '关联关系类型', created_by VARCHAR(32) NOT NULL COMMENT '创建人', updated_by VARCHAR(32) NOT NULL COMMENT '更新人', created_at VARCHAR(32) NOT NULL COMMENT '创建时间', updated_at VARCHAR(32) NOT NULL COMMENT '更新时间', CONSTRAINT PK_KOCA_LCP_DATA_MODEL_ER PRIMARY KEY (id)) COMMENT='数据模型关联关系';

ALTER TABLE koca_lcp_data_model_er COMMENT = '数据模型关联关系';

CREATE UNIQUE INDEX uk_source_target_type ON koca_lcp_data_model_er(source_model_id, target_model_id, relation_type);

--  Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_model_er::YaChao Lv
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_ER_NO', '数据模型关联关系序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_ER_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_model_er_field::YaChao Lv
CREATE TABLE koca_lcp_data_model_er_field (id BIGINT NOT NULL, er_id BIGINT NOT NULL COMMENT '关联关系id', field_type VARCHAR(32) NOT NULL COMMENT '关联关系字段类型', field_id BIGINT NOT NULL COMMENT '字段id', order_num INT NOT NULL COMMENT '顺序', CONSTRAINT PK_KOCA_LCP_DATA_MODEL_ER_FIELD PRIMARY KEY (id)) COMMENT='数据模型关联关系字段';

ALTER TABLE koca_lcp_data_model_er_field COMMENT = '数据模型关联关系字段';

CREATE UNIQUE INDEX uk_field_all ON koca_lcp_data_model_er_field(er_id, field_type, field_id, order_num);

--  Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_model_er_field::YaChao Lv
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_ER_FIELD_NO', '数据模型关联关系字段序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_ER_FIELD_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_region::qiuhang
CREATE TABLE koca_lcp_data_region (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户id', data_region_code VARCHAR(32) NOT NULL COMMENT '数据域代码', data_region_name VARCHAR(32) NOT NULL COMMENT '数据域名称', data_type_id BIGINT NOT NULL COMMENT '数据类型ID', ui_suggestion VARCHAR(32) NULL COMMENT 'ui建议', length VARCHAR(16) NULL COMMENT '长度', decimal_place INT NULL COMMENT '小数位数', created_by VARCHAR(32) NOT NULL COMMENT '创建人', updated_by VARCHAR(32) NOT NULL COMMENT '更新人', created_at VARCHAR(32) NOT NULL COMMENT '创建时间', updated_at VARCHAR(32) NOT NULL COMMENT '更新时间', CONSTRAINT PK_KOCA_LCP_DATA_REGION PRIMARY KEY (id)) COMMENT='数据域表';

ALTER TABLE koca_lcp_data_region COMMENT = '数据域表';

CREATE UNIQUE INDEX uk_data_region_code_tenant_id ON koca_lcp_data_region(data_region_code, tenant_id);

CREATE UNIQUE INDEX uk_data_region_name_tenant_id ON koca_lcp_data_region(data_region_name, tenant_id);

--  Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_region::qiuhang
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_TYPE_REGION_NO', '数据域序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_TYPE_REGION_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_field_manager::qiuhang
CREATE TABLE koca_lcp_field_manager (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户id', field_code VARCHAR(30) NOT NULL COMMENT '字段代码', field_desc VARCHAR(255) NOT NULL COMMENT '字段描述', data_region_id BIGINT NULL COMMENT '数据域id', data_type_id BIGINT NULL COMMENT '数据类型ID', length VARCHAR(16) NULL COMMENT '长度', decimal_place INT NULL COMMENT '小数位数', default_val VARCHAR(255) NULL COMMENT '默认值', dict_code VARCHAR(32) NULL COMMENT '字典代码', created_by VARCHAR(32) NOT NULL COMMENT '创建人', updated_by VARCHAR(32) NOT NULL COMMENT '更新人', created_at VARCHAR(32) NOT NULL COMMENT '创建时间', updated_at VARCHAR(32) NOT NULL COMMENT '更新时间', CONSTRAINT PK_KOCA_LCP_FIELD_MANAGER PRIMARY KEY (id)) COMMENT='数据字段表';

ALTER TABLE koca_lcp_field_manager COMMENT = '数据字段表';

CREATE UNIQUE INDEX uk_field_code_tenant_id ON koca_lcp_field_manager(field_code, tenant_id);

--  Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_field_manager::qiuhang
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_TYPE_FIELD_NO', '数据字段库序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_TYPE_FIELD_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_sys_menu::qiuhang
INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412000', '0', '0', '数据模型管理', '', '', '411001', 'kui-icon-menu', '0', '数据模型管理');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412001', '0', '0', '数据类型管理', '/lcp-runtime-model/views/data-type/index.vue', '412000', '', '', '0', '数据类型管理');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412002', '0', '2', '数据类型新增/编辑', '', '412001', '', '', '0', '数据类型新增/编辑');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412003', '0', '2', '数据类型删除', '', '412001', '', '', '0', '数据类型删除');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412004', '0', '2', '数据域新增/编辑', '', '412001', '', '', '0', '数据域新增/编辑');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412005', '0', '2', '数据域删除', '', '412001', '', '', '0', '数据域删除');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412006', '0', '2', '字段库新增/编辑', '', '412001', '', '', '0', '字段库新增/编辑');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412007', '0', '2', '字段库删除', '', '412001', '', '', '0', '字段库删除');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412008', '0', '0', '数据字典管理', '/lcp-runtime-model/views/data-dict/index.tsx', '412000', '412001', '', '0', '数据字典管理');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412009', '0', '2', '数据字典新增/编辑', '', '412008', '', '', '0', '数据字典新增/编辑');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412010', '0', '2', '数据字典删除', '', '412008', '', '', '0', '数据字典删除');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412011', '0', '0', '数据模型管理', '/lcp-runtime-model/views/data-model/index.tsx', '412000', '412008', '', '0', '数据模型管理');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412012', '0', '2', '数据模型新增/编辑', '', '412011', '', '', '0', '数据模型新增/编辑');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412013', '0', '2', '数据模型删除', '', '412011', '412012', '', '0', '数据模型删除');

--  Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_menu_api::qiuhang
INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412011', '41201101', '/data/model/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412011', '41201102', '/data/model/detail');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412011', '41201103', '/datasource/ds/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412011', '41201104', '/data/model/codePreview');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412011', '41201105', '/data/model/field/level');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412013', '41201301', '/data/model/delete');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201201', '/data/model/create');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201202', '/data/model/sync');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201203', '/data/model/copy');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201204', '/data/model/rename');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201205', '/data/model/clear');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201206', '/data/model/import/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201207', '/data/model/import');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201208', '/data/type/order/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201209', '/data/type/order/save');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201210', '/data/model/pkStrategy/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201211', '/data/model/detail/update');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201212', '/data/model/dataExport');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201213', '/data/model/dataImport');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201214', '/data/model/dataTmpl/download');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201215', '/data/model/dataQuery');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201216', '/data/model/dataCreate');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201217', '/data/model/dataDelete');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201218', '/data/model/dataUpdate');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201219', '/data/model/all');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201220', '/data/type/field/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201221', '/data/type/region/all');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201222', '/data/type/all');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201223', '/data/dic/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412001', 'DATA_TYPE_ALL', '/data/type/all');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412001', 'DATA_TYPE_DETAIL', '/data/type/detail');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412001', 'DATA_DB_ALL', '/data/db/all');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412002', 'DATA_TYPE_ADD', '/data/type/add');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412002', 'DATA_TYPE_UPDATE', '/data/type/update');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412003', 'DATA_TYPE_DELETE', '/data/type/delete');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412001', 'DATA_TYPE_REGION_LIST', '/data/type/region/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412001', 'DATA_TYPE_REGION_ALL', '/data/type/region/all');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412001', 'DATA_DIC_ALL', '/data/dic/all');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412001', 'DATA_TYPE_FIELD_LIST', '/data/type/field/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412004', 'DATA_TYPE_REGION_ADD', '/data/type/region/add');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412004', 'DATA_TYPE_REGION_UPDATE', '/data/type/region/update');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412005', 'DATA_TYPE_REGION_DELETE', '/data/type/region/delete');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412006', 'DATA_TYPE_FIELD_ADD', '/data/type/field/add');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412006', 'DATA_TYPE_FIELD_UPDATE', '/data/type/field/update');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412007', 'DATA_TYPE_FIELD_DELETE', '/data/type/field/delete');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412008', 'DATA_DIC_LIST', '/data/dic/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412009', 'DATA_DIC_ADD', '/data/dic/add');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412009', 'DATA_DIC_UPDATE', '/data/dic/update');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412009', 'DATA_DIC_IMPORT', '/data/dic/import');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412009', 'DATA_DIC_TMPL_DOWNLOAD', '/data/dic/tmpl/download');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412010', 'DATA_DIC_DELETE', '/data/dic/delete');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412008', 'DATA_DIC_ITEM_ALL', '/data/dic/item/all');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412009', 'DATA_DIC_ITEM_ADD', '/data/dic/item/add');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412009', 'DATA_DIC_ITEM_UPDATE', '/data/dic/item/update');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412010', 'DATA_DIC_ITEM_DELETE', '/data/dic/item/delete');