--  Changeset V4.1.0_0_2_112__koca_lcp_runtime_model.xml::alter_table_koca_lcp_data_model_field::liusheng
ALTER TABLE koca_lcp_data_model_field ADD field_explain VARCHAR(512) NULL COMMENT '字段说明' , ADD is_sensitive TINYINT DEFAULT 0 NOT NULL COMMENT '是否屏蔽';

--  Changeset V4.1.0_0_2_112__koca_lcp_runtime_model.xml::alter_table_koca_lcp_data_model::liusheng
ALTER TABLE koca_lcp_data_model ADD title_field VARCHAR(255) NULL COMMENT '标题key' , ADD title_tmpl VARCHAR(255) NULL COMMENT '模板内容';

--  Changeset V4.1.0_0_2_112__koca_lcp_runtime_model.xml::create_table_koca_lcp_model_field_sensitive::liusheng
CREATE TABLE koca_lcp_model_field_sensitive (id BIGINT NOT NULL, model_field_id BIGINT NOT NULL COMMENT '数据模型字段id', replace_position TINYINT NOT NULL COMMENT '替换位置:1-前，2-中，3-后', replace_num INT NOT NULL COMMENT '最小屏蔽位数；未达到最小位数，全屏蔽', replace_char VARCHAR(1) NOT NULL COMMENT '屏蔽字符，默认：*', created_by VARCHAR(32) NOT NULL COMMENT '创建人', updated_by VARCHAR(32) NOT NULL COMMENT '更新人', created_at VARCHAR(32) NOT NULL COMMENT '创建时间', updated_at VARCHAR(32) NOT NULL COMMENT '更新时间', CONSTRAINT PK_KOCA_LCP_MODEL_FIELD_SENSITIVE PRIMARY KEY (id)) COMMENT='数据模型字段屏蔽规则';

ALTER TABLE koca_lcp_model_field_sensitive COMMENT = '数据模型字段屏蔽规则';

CREATE UNIQUE INDEX uk_model_field_id ON koca_lcp_model_field_sensitive(model_field_id);

--  Changeset V4.1.0_0_2_112__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_model_field::liusheng
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_FIELD_RULE_NO', '数据模型字段屏蔽规则序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_FIELD_CHECK_RULE_NO', '数据模型字段校验规则序列', '8', '1', '', '', '0');

--  Changeset V4.1.0_0_2_112__koca_lcp_runtime_model.xml::create_table_koca_lcp_model_field_rule::liusheng
CREATE TABLE koca_lcp_model_field_rule (id INT NOT NULL, model_id BIGINT NOT NULL COMMENT '数据模型id', model_field_id BIGINT NOT NULL COMMENT '数据模型字段id', check_rule_condition VARCHAR(128) NULL COMMENT '规则校验前置条件（spel表达式字符串）', check_rule_type VARCHAR(32) NOT NULL COMMENT '规则校验类型：REGX-正则校验，LENGTH_LIMIT-长度限制', check_rule_content VARCHAR(128) NOT NULL COMMENT '校验规则内容，配合check_rule_type字段使用', error_tip VARCHAR(128) NULL COMMENT '错误提示', created_by VARCHAR(32) NOT NULL COMMENT '创建人', updated_by VARCHAR(32) NOT NULL COMMENT '更新人', created_at VARCHAR(32) NOT NULL COMMENT '创建时间', updated_at VARCHAR(32) NOT NULL COMMENT '更新时间', CONSTRAINT PK_KOCA_LCP_MODEL_FIELD_RULE PRIMARY KEY (id)) COMMENT='字段校验规则';

ALTER TABLE koca_lcp_model_field_rule COMMENT = '字段校验规则';

--  Changeset V4.1.0_0_2_112__koca_lcp_runtime_model.xml::alter_table_koca_lcp_data_model_er::liusheng
ALTER TABLE koca_lcp_data_model_er ADD rela_delete_strategy INT DEFAULT 1 NOT NULL COMMENT '删除校验策略（1-阻止，2-跟随，3-忽略）' , ADD rela_delete_info VARCHAR(128) NULL COMMENT '自定义提醒内容';