--  Changeset V4.7.0_0_2_111__koca_lcp_runtime_model.xml::alter_table_koca_lcp_data_type::liusheng
ALTER TABLE koca_lcp_data_type ADD is_default CHAR(1) DEFAULT 'N' NOT NULL COMMENT '是否默认';

UPDATE koca_lcp_data_type SET is_default = 'Y' WHERE type_code='varchar';

--  Changeset V4.7.0_0_2_111__koca_lcp_runtime_model.xml::alter_table_koca_lcp_field_manager::liusheng
ALTER TABLE koca_lcp_field_manager ADD is_default CHAR(1) DEFAULT 'N' NOT NULL COMMENT '是否默认';

--  Changeset V4.7.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_model_group::liusheng
CREATE TABLE koca_lcp_model_group (id BIGINT NOT NULL, ds_id BIGINT NOT NULL COMMENT '数据源id', group_code VARCHAR(32) NOT NULL COMMENT '分组代码（名称）', group_name VARCHAR(64) NOT NULL COMMENT '分组名称（描述）', pid BIGINT DEFAULT -1 NOT NULL COMMENT '父分组id', id_path VARCHAR(256) NOT NULL COMMENT '分组路径：pPath + / + pid', order_no BIGINT NOT NULL COMMENT '排序号', created_by VARCHAR(32) NOT NULL COMMENT '创建人', updated_by VARCHAR(32) NOT NULL COMMENT '更新人', created_at VARCHAR(32) NOT NULL COMMENT '创建时间', updated_at VARCHAR(32) NOT NULL COMMENT '更新时间', CONSTRAINT PK_KOCA_LCP_MODEL_GROUP PRIMARY KEY (id)) COMMENT='模型分组';

ALTER TABLE koca_lcp_model_group COMMENT = '模型分组';

CREATE UNIQUE INDEX uk_ds_pid_code ON koca_lcp_model_group(ds_id, pid, group_code);

CREATE UNIQUE INDEX uk_ds_pid_name ON koca_lcp_model_group(ds_id, pid, group_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_GROUP_NO', '数据模型分组序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_GROUP_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.7.0_0_2_111__koca_lcp_runtime_model.xml::alter_table_koca_lcp_data_model::liusheng
ALTER TABLE koca_lcp_data_model ADD group_id BIGINT DEFAULT -1 NOT NULL COMMENT '分组id';

--  Changeset V4.7.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_model_logic::liusheng
CREATE TABLE koca_lcp_model_logic (id BIGINT NOT NULL, model_id BIGINT NOT NULL COMMENT '模型id', logic_code VARCHAR(32) NOT NULL COMMENT '逻辑代码（名称）', logic_name VARCHAR(64) NOT NULL COMMENT '逻辑名称（描述）', method_type VARCHAR(16) NOT NULL COMMENT '方法类型(INSERT,UPDATE,SELECT,DELETE)', return_type VARCHAR(16) NOT NULL COMMENT '返回类型(PAGE,LIST,OBJECT)', logic_meta LONGTEXT NULL COMMENT '逻辑元数据（mybatis xml）', created_by VARCHAR(32) NOT NULL COMMENT '创建人', updated_by VARCHAR(32) NOT NULL COMMENT '更新人', created_at VARCHAR(32) NOT NULL COMMENT '创建时间', updated_at VARCHAR(32) NOT NULL COMMENT '更新时间', CONSTRAINT PK_KOCA_LCP_MODEL_LOGIC PRIMARY KEY (id)) COMMENT='模型逻辑设计';

ALTER TABLE koca_lcp_model_logic COMMENT = '模型逻辑设计';

CREATE UNIQUE INDEX uk_model_logic_code ON koca_lcp_model_logic(model_id, logic_code);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_LOGIC_NO', '数据模型逻辑设计序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_LOGIC_NO', '0', '0', '0', '100000', '', '');