--  Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_page2_group::chenlei
CREATE TABLE koca_lcp_page2_group (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户id', group_code VARCHAR(64) NOT NULL COMMENT '页面分组编码', group_name VARCHAR(64) NOT NULL COMMENT '页面分组名称', parent_id BIGINT DEFAULT '-1' NOT NULL COMMENT '父级目录', id_path VARCHAR(512) NOT NULL COMMENT '页面分组id路径，用于删除或查询', sort_no INT DEFAULT 0 NOT NULL COMMENT '序号，用于同级目录排序', created_by VARCHAR(32) NOT NULL COMMENT '创建人', updated_by VARCHAR(32) NOT NULL COMMENT '更新人', created_at VARCHAR(32) NOT NULL COMMENT '创建时间', updated_at VARCHAR(32) NOT NULL COMMENT '更新时间', CONSTRAINT PK_KOCA_LCP_PAGE2_GROUP PRIMARY KEY (id)) COMMENT='页面分组';

ALTER TABLE koca_lcp_page2_group COMMENT = '页面分组';

CREATE UNIQUE INDEX uk_lcp_page2_group_code ON koca_lcp_page2_group(tenant_id, parent_id, group_code);

CREATE UNIQUE INDEX uk_lcp_page2_group_name ON koca_lcp_page2_group(tenant_id, parent_id, group_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_GROUP_NO', '页面分组序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_GROUP_NO', '0', '0', '0', '100000', '', '');

--  Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_page2::chenlei
CREATE TABLE koca_lcp_page2 (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户id', group_id BIGINT DEFAULT '-1' NOT NULL COMMENT '父级目录', page_code VARCHAR(64) NOT NULL COMMENT '页面编码', page_name VARCHAR(64) NOT NULL COMMENT '页面名称', page_meta LONGTEXT NULL COMMENT '页面元数据', home_page CHAR(1) DEFAULT 'N' NOT NULL COMMENT '是否首页', deploy_status VARCHAR(32) NOT NULL COMMENT '发布状态', page_type VARCHAR(16) DEFAULT 'COMMON' NOT NULL COMMENT '页面类型：模型页面MODEL/通用页面COMMON', template_id BIGINT NULL COMMENT '模板id', model_id BIGINT NULL COMMENT '模型id', created_by VARCHAR(32) NOT NULL COMMENT '创建人', updated_by VARCHAR(32) NOT NULL COMMENT '更新人', created_at VARCHAR(32) NOT NULL COMMENT '创建时间', updated_at VARCHAR(32) NOT NULL COMMENT '更新时间', CONSTRAINT PK_KOCA_LCP_PAGE2 PRIMARY KEY (id)) COMMENT='页面管理2';

ALTER TABLE koca_lcp_page2 COMMENT = '页面管理2';

CREATE UNIQUE INDEX uk_lcp_page2_code ON koca_lcp_page2(tenant_id, group_id, page_code);

CREATE UNIQUE INDEX uk_lcp_page2_name ON koca_lcp_page2(tenant_id, group_id, page_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_NO', '页面2序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_NO', '0', '0', '0', '100000', '', '');

--  Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_page2_deployed::YaChao Lv
CREATE TABLE koca_lcp_page2_deployed (id BIGINT NOT NULL, page_id BIGINT NOT NULL COMMENT '页面ID', tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户id', group_id BIGINT DEFAULT '-1' NOT NULL COMMENT '父级目录', page_code VARCHAR(64) NOT NULL COMMENT '页面编码', page_name VARCHAR(64) NOT NULL COMMENT '页面名称', page_meta LONGTEXT NULL COMMENT '页面元数据', home_page CHAR(1) DEFAULT 'N' NOT NULL COMMENT '是否首页', his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', page_type VARCHAR(16) DEFAULT 'COMMON' NOT NULL COMMENT '页面类型：模型页面MODEL/通用页面COMMON', template_id BIGINT NULL COMMENT '模板id', model_id BIGINT NULL COMMENT '模型id', CONSTRAINT PK_KOCA_LCP_PAGE2_DEPLOYED PRIMARY KEY (id)) COMMENT='页面管理已发布表';

ALTER TABLE koca_lcp_page2_deployed COMMENT = '页面管理已发布表';

CREATE UNIQUE INDEX uk_lcp_page2_deployed_code ON koca_lcp_page2_deployed(tenant_id, group_id, page_code);

CREATE UNIQUE INDEX uk_lcp_page2_deployed_name ON koca_lcp_page2_deployed(tenant_id, group_id, page_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_DEPLOYED_NO', '发布页面序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

--  Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_page2_his::YaChao Lv
CREATE TABLE koca_lcp_page2_his (id BIGINT NOT NULL, page_id BIGINT NOT NULL COMMENT '页面ID', tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户id', group_id BIGINT DEFAULT '-1' NOT NULL COMMENT '父级目录', page_code VARCHAR(64) NOT NULL COMMENT '页面编码', page_name VARCHAR(64) NOT NULL COMMENT '页面名称', page_meta LONGTEXT NULL COMMENT '页面元数据', home_page CHAR(1) DEFAULT 'N' NOT NULL COMMENT '是否首页', his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', page_type VARCHAR(16) DEFAULT 'COMMON' NOT NULL COMMENT '页面类型：模型页面MODEL/通用页面COMMON', template_id BIGINT NULL COMMENT '模板id', model_id BIGINT NULL COMMENT '模型id', CONSTRAINT PK_KOCA_LCP_PAGE2_HIS PRIMARY KEY (id)) COMMENT='页面管理发布历史表';

ALTER TABLE koca_lcp_page2_his COMMENT = '页面管理发布历史表';

CREATE UNIQUE INDEX uk_lcp_page2_his_code ON koca_lcp_page2_his(tenant_id, group_id, his_version, page_code);

CREATE UNIQUE INDEX uk_lcp_page2_his_name ON koca_lcp_page2_his(tenant_id, group_id, his_version, page_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_HIS_NO', '页面发布历史序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_HIS_NO', '0', '0', '0', '100000', '', '');

--  Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_page_config::YaChao Lv
CREATE TABLE koca_lcp_page_config (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户id', config_json LONGTEXT NOT NULL COMMENT '配置json', created_by VARCHAR(32) NOT NULL COMMENT '创建人', updated_by VARCHAR(32) NOT NULL COMMENT '更新人', created_at VARCHAR(32) NOT NULL COMMENT '创建时间', updated_at VARCHAR(32) NOT NULL COMMENT '更新时间', CONSTRAINT PK_KOCA_LCP_PAGE_CONFIG PRIMARY KEY (id)) COMMENT='页面全局配置';

ALTER TABLE koca_lcp_page_config COMMENT = '页面全局配置';

CREATE UNIQUE INDEX uk_lcp_page_config_code ON koca_lcp_page_config(tenant_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE_CONFIG_NO', '页面全局配置序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE_CONFIG_NO', '0', '0', '0', '100000', '', '');

--  Changeset ALL_1_2131__koca_lcp_runtime_page.xml::insert_koca_sys_menu::qiuhang
INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('414000', '0', '0', '页面管理', '', '', '412000', 'kui-icon-vision', '0', '页面管理');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('414001', '0', '0', '页面管理', '/lcp-runtime-page/views/page-manage/index.tsx', '414000', '', '', '0', '页面管理');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('414002', '0', '1', '页面设计器', '/lcp-runtime-page/views/designer/index.tsx', '414000', '414001', '', '0', '页面设计器');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('414003', '0', '1', '动态页面', '/lcp-runtime-page/views/renderer/index.tsx', '414000', '414002', '', '0', '动态页面');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('414004', '0', '2', '模板编辑/删除', '', '414001', '', '', '0', '模板编辑/删除');

--  Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_global_var_page2::liusheng
CREATE TABLE koca_lcp_global_var_page2 (var_name VARCHAR(512) NOT NULL, page_id BIGINT NOT NULL, CONSTRAINT PK_KOCA_LCP_GLOBAL_VAR_PAGE2 PRIMARY KEY (var_name, page_id)) COMMENT='全局变量/方法-页面映射表';

ALTER TABLE koca_lcp_global_var_page2 COMMENT = '全局变量/方法-页面映射表';

--  Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_var_page2_deployed::YaChao Lv
CREATE TABLE koca_lcp_var_page2_deployed (id BIGINT NOT NULL, var_name VARCHAR(512) NOT NULL COMMENT '全局变量/方法名称', page2_id BIGINT NOT NULL COMMENT '页面id', his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_VAR_PAGE2_DEPLOYED PRIMARY KEY (id)) COMMENT='全局变量/方法-页面映射发布表';

ALTER TABLE koca_lcp_var_page2_deployed COMMENT = '全局变量/方法-页面映射发布表';

CREATE UNIQUE INDEX uk_lcp_page2_var_deployed ON koca_lcp_var_page2_deployed(page2_id, var_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_VAR_DEPLOYED_NO', '变量/方法-页面关系发布表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_VAR_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

--  Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_var_page2_his::YaChao Lv
CREATE TABLE koca_lcp_var_page2_his (id BIGINT NOT NULL, var_name VARCHAR(512) NOT NULL COMMENT '全局变量/方法名称', page2_id BIGINT NOT NULL COMMENT '页面id', his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_VAR_PAGE2_HIS PRIMARY KEY (id)) COMMENT='全局变量/方法-页面映射发布历史表';

ALTER TABLE koca_lcp_var_page2_his COMMENT = '全局变量/方法-页面映射发布历史表';

CREATE UNIQUE INDEX uk_lcp_page2_var_his ON koca_lcp_var_page2_his(page2_id, var_name, his_version);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_VAR_HIS_NO', '变量/方法-页面关系发布历史表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_VAR_HIS_NO', '0', '0', '0', '100000', '', '');

--  Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_api_basic_page2::liusheng
CREATE TABLE koca_lcp_api_basic_page2 (data_id BIGINT NOT NULL, page2_id BIGINT NOT NULL, CONSTRAINT PK_KOCA_LCP_API_BASIC_PAGE2 PRIMARY KEY (data_id, page2_id)) COMMENT='字段-页面映射表';

ALTER TABLE koca_lcp_api_basic_page2 COMMENT = '字段-页面映射表';

--  Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_api_page2_deployed::YaChao Lv
CREATE TABLE koca_lcp_api_page2_deployed (id BIGINT NOT NULL, data_id BIGINT NOT NULL COMMENT '字段id', page2_id BIGINT NOT NULL COMMENT '页面id', his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_API_PAGE2_DEPLOYED PRIMARY KEY (id)) COMMENT='接口-页面映射发布表';

ALTER TABLE koca_lcp_api_page2_deployed COMMENT = '接口-页面映射发布表';

CREATE UNIQUE INDEX uk_lcp_page2_api_deployed ON koca_lcp_api_page2_deployed(data_id, page2_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_API_DEPLOYED_NO', '接口页面关系发布表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_API_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

--  Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_api_page2_his::YaChao Lv
CREATE TABLE koca_lcp_api_page2_his (id BIGINT NOT NULL, data_id BIGINT NOT NULL COMMENT '字段id', page2_id BIGINT NOT NULL COMMENT '页面id', his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_API_PAGE2_HIS PRIMARY KEY (id)) COMMENT='接口-页面映射发布历史表';

ALTER TABLE koca_lcp_api_page2_his COMMENT = '接口-页面映射发布历史表';

CREATE UNIQUE INDEX uk_lcp_page2_api_his ON koca_lcp_api_page2_his(data_id, page2_id, his_version);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_API_HIS_NO', '接口页面关系发布历史表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_API_HIS_NO', '0', '0', '0', '100000', '', '');

--  Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_page2_history::liusheng
CREATE TABLE koca_lcp_page2_history (id BIGINT NOT NULL, page_id BIGINT NOT NULL COMMENT '页面id', page_meta LONGTEXT NOT NULL COMMENT '版本元数据', created_by VARCHAR(32) NOT NULL COMMENT '创建人', updated_by VARCHAR(32) NOT NULL COMMENT '更新人', created_at VARCHAR(32) NOT NULL COMMENT '创建时间', updated_at VARCHAR(32) NOT NULL COMMENT '更新时间', CONSTRAINT PK_KOCA_LCP_PAGE2_HISTORY PRIMARY KEY (id)) COMMENT='页面历史版本表';

ALTER TABLE koca_lcp_page2_history COMMENT = '页面历史版本表';

CREATE INDEX idx_page_id ON koca_lcp_page2_history(page_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_PAGE_HISTORY_NO', '页面历史版本序列', '8', '1', '', '', '0');

--  Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_comp2_page2::liusheng
CREATE TABLE koca_lcp_comp2_page2 (comp_id BIGINT NOT NULL, page_id BIGINT NOT NULL, CONSTRAINT PK_KOCA_LCP_COMP2_PAGE2 PRIMARY KEY (comp_id, page_id)) COMMENT='组件-页面映射表';

ALTER TABLE koca_lcp_comp2_page2 COMMENT = '组件-页面映射表';

--  Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_comp2_page2_deployed::YaChao Lv
CREATE TABLE koca_lcp_comp2_page2_deployed (id BIGINT NOT NULL, comp_id BIGINT NOT NULL, page_id BIGINT NOT NULL, his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_COMP2_PAGE2_DEPLOYED PRIMARY KEY (id, comp_id, page_id)) COMMENT='页面-组件映射发布表';

ALTER TABLE koca_lcp_comp2_page2_deployed COMMENT = '页面-组件映射发布表';

CREATE UNIQUE INDEX uk_lcp_comp2_page2_deployed ON koca_lcp_comp2_page2_deployed(comp_id, page_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_PAGE2_DEPLOYED_NO', '页面-组件关系发布表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_PAGE2_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

--  Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_comp2_page2_his::YaChao Lv
CREATE TABLE koca_lcp_comp2_page2_his (id BIGINT NOT NULL, comp_id BIGINT NOT NULL, page_id BIGINT NOT NULL, his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_COMP2_PAGE2_HIS PRIMARY KEY (id, comp_id, page_id)) COMMENT='页面-组件映射发布历史表';

ALTER TABLE koca_lcp_comp2_page2_his COMMENT = '页面-组件映射发布历史表';

CREATE UNIQUE INDEX uk_lcp_comp2_page2_his ON koca_lcp_comp2_page2_his(comp_id, page_id, his_version);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_PAGE2_HIS_NO', '页面-组件关系发布历史表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_PAGE2_HIS_NO', '0', '0', '0', '100000', '', '');

--  Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_page2_template::liusheng
CREATE TABLE koca_lcp_page2_template (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户id', tpl_name VARCHAR(64) NOT NULL COMMENT '模板名称', metadata LONGTEXT NOT NULL COMMENT '模板元数据', created_by VARCHAR(32) NOT NULL COMMENT '创建人', updated_by VARCHAR(32) NOT NULL COMMENT '更新人', created_at VARCHAR(32) NOT NULL COMMENT '创建时间', updated_at VARCHAR(32) NOT NULL COMMENT '更新时间', CONSTRAINT PK_KOCA_LCP_PAGE2_TEMPLATE PRIMARY KEY (id)) COMMENT='页面模板';

ALTER TABLE koca_lcp_page2_template COMMENT = '页面模板';

CREATE UNIQUE INDEX uk_lcp_page2_tpl_name ON koca_lcp_page2_template(tenant_id, tpl_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_TEMPLATE_NO', '页面模板序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_TEMPLATE_NO', '0', '0', '0', '100000', '', '');
update koca_sys_menu set menu_status=1 where menu_id in ('414000');
