--  Changeset V4.1.0_0_2_131__koca_lcp_runtime_page.xml::create_table_koca_lcp_page2_group::chenlei
CREATE TABLE koca_lcp_page2_group (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户id', group_code VARCHAR(64) NOT NULL COMMENT '页面分组编码', group_name VARCHAR(64) NOT NULL COMMENT '页面分组名称', parent_id BIGINT DEFAULT '-1' NOT NULL COMMENT '父级目录', id_path VARCHAR(512) NOT NULL COMMENT '页面分组id路径，用于删除或查询', sort_no INT DEFAULT 0 NOT NULL COMMENT '序号，用于同级目录排序', created_by VARCHAR(32) NOT NULL COMMENT '创建人', updated_by VARCHAR(32) NOT NULL COMMENT '更新人', created_at VARCHAR(32) NOT NULL COMMENT '创建时间', updated_at VARCHAR(32) NOT NULL COMMENT '更新时间', CONSTRAINT PK_KOCA_LCP_PAGE2_GROUP PRIMARY KEY (id)) COMMENT='页面分组';

ALTER TABLE koca_lcp_page2_group COMMENT = '页面分组';

CREATE UNIQUE INDEX uk_lcp_page2_group_code ON koca_lcp_page2_group(tenant_id, parent_id, group_code);

CREATE UNIQUE INDEX uk_lcp_page2_group_name ON koca_lcp_page2_group(tenant_id, parent_id, group_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_GROUP_NO', '页面分组序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_GROUP_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.1.0_0_2_131__koca_lcp_runtime_page.xml::create_table_koca_lcp_page2::chenlei
CREATE TABLE koca_lcp_page2 (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户id', group_id BIGINT DEFAULT '-1' NOT NULL COMMENT '父级目录', page_code VARCHAR(64) NOT NULL COMMENT '页面编码', page_name VARCHAR(64) NOT NULL COMMENT '页面名称', page_meta LONGTEXT NULL COMMENT '页面元数据', created_by VARCHAR(32) NOT NULL COMMENT '创建人', updated_by VARCHAR(32) NOT NULL COMMENT '更新人', created_at VARCHAR(32) NOT NULL COMMENT '创建时间', updated_at VARCHAR(32) NOT NULL COMMENT '更新时间', CONSTRAINT PK_KOCA_LCP_PAGE2 PRIMARY KEY (id)) COMMENT='页面管理2';

ALTER TABLE koca_lcp_page2 COMMENT = '页面管理2';

CREATE UNIQUE INDEX uk_lcp_page2_code ON koca_lcp_page2(tenant_id, group_id, page_code);

CREATE UNIQUE INDEX uk_lcp_page2_name ON koca_lcp_page2(tenant_id, group_id, page_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_NO', '页面2序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.1.0_0_2_131__koca_lcp_runtime_page.xml::update_koca_sys_menu::chenlei
INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('414000', '0', '0', '页面管理', '', '', '412000', 'kui-icon-vision', '0', '页面管理');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('414001', '0', '0', '页面管理', '/lcp-runtime-page/views/page-manage/index.tsx', '414000', '', '', '0', '页面管理');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('414002', '0', '1', '页面设计器', '/lcp-runtime-page/views/designer/index.tsx', '414000', '414001', '', '0', '页面设计器');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('414003', '0', '1', '动态页面', '/lcp-runtime-page/views/renderer/index.tsx', '414000', '414002', '', '0', '动态页面');