--  Changeset V4.3.0_0_2_132__koca_lcp_runtime_page.xml::alter_table_koca_lcp_page2::YaChao Lv
ALTER TABLE koca_lcp_page2 ADD deploy_status VARCHAR(32) DEFAULT 'NOT_DEPLOYED' NOT NULL COMMENT '发布状态';

--  Changeset V4.3.0_0_2_132__koca_lcp_runtime_page.xml::create_table_koca_lcp_page2_deployed::YaChao Lv
CREATE TABLE koca_lcp_page2_deployed (id BIGINT NOT NULL, page_id BIGINT NOT NULL COMMENT '页面ID', tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户id', group_id BIGINT DEFAULT '-1' NOT NULL COMMENT '父级目录', page_code VARCHAR(64) NOT NULL COMMENT '页面编码', page_name VARCHAR(64) NOT NULL COMMENT '页面名称', page_meta LONGTEXT NULL COMMENT '页面元数据', home_page CHAR(1) DEFAULT 'N' NOT NULL COMMENT '是否首页', his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_PAGE2_DEPLOYED PRIMARY KEY (id)) COMMENT='页面管理已发布表';

ALTER TABLE koca_lcp_page2_deployed COMMENT = '页面管理已发布表';

CREATE UNIQUE INDEX uk_lcp_page2_deployed_code ON koca_lcp_page2_deployed(tenant_id, group_id, page_code);

CREATE UNIQUE INDEX uk_lcp_page2_deployed_name ON koca_lcp_page2_deployed(tenant_id, group_id, page_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_DEPLOYED_NO', '发布页面序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.3.0_0_2_132__koca_lcp_runtime_page.xml::create_table_koca_lcp_page2_his::YaChao Lv
CREATE TABLE koca_lcp_page2_his (id BIGINT NOT NULL, page_id BIGINT NOT NULL COMMENT '页面ID', tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户id', group_id BIGINT DEFAULT '-1' NOT NULL COMMENT '父级目录', page_code VARCHAR(64) NOT NULL COMMENT '页面编码', page_name VARCHAR(64) NOT NULL COMMENT '页面名称', page_meta LONGTEXT NULL COMMENT '页面元数据', home_page CHAR(1) DEFAULT 'N' NOT NULL COMMENT '是否首页', his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_PAGE2_HIS PRIMARY KEY (id)) COMMENT='页面管理发布历史表';

ALTER TABLE koca_lcp_page2_his COMMENT = '页面管理发布历史表';

CREATE UNIQUE INDEX uk_lcp_page2_his_code ON koca_lcp_page2_his(tenant_id, group_id, his_version, page_code);

CREATE UNIQUE INDEX uk_lcp_page2_his_name ON koca_lcp_page2_his(tenant_id, group_id, his_version, page_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_HIS_NO', '页面发布历史序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_HIS_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.3.0_0_2_132__koca_lcp_runtime_page.xml::create_table_koca_lcp_var_page2_deployed::YaChao Lv
CREATE TABLE koca_lcp_var_page2_deployed (id BIGINT NOT NULL, var_name VARCHAR(512) NOT NULL COMMENT '全局变量/方法名称', page2_id BIGINT NOT NULL COMMENT '页面id', his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_VAR_PAGE2_DEPLOYED PRIMARY KEY (id)) COMMENT='全局变量/方法-页面映射发布表';

ALTER TABLE koca_lcp_var_page2_deployed COMMENT = '全局变量/方法-页面映射发布表';

CREATE UNIQUE INDEX uk_lcp_page2_var_deployed ON koca_lcp_var_page2_deployed(page2_id, var_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_VAR_DEPLOYED_NO', '变量/方法-页面关系发布表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_VAR_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.3.0_0_2_132__koca_lcp_runtime_page.xml::create_table_koca_lcp_var_page2_his::YaChao Lv
CREATE TABLE koca_lcp_var_page2_his (id BIGINT NOT NULL, var_name VARCHAR(512) NOT NULL COMMENT '全局变量/方法名称', page2_id BIGINT NOT NULL COMMENT '页面id', his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_VAR_PAGE2_HIS PRIMARY KEY (id)) COMMENT='全局变量/方法-页面映射发布历史表';

ALTER TABLE koca_lcp_var_page2_his COMMENT = '全局变量/方法-页面映射发布历史表';

CREATE UNIQUE INDEX uk_lcp_page2_var_his ON koca_lcp_var_page2_his(page2_id, var_name, his_version);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_VAR_HIS_NO', '变量/方法-页面关系发布历史表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_VAR_HIS_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.3.0_0_2_132__koca_lcp_runtime_page.xml::create_table_koca_lcp_api_page2_deployed::YaChao Lv
CREATE TABLE koca_lcp_api_page2_deployed (id BIGINT NOT NULL, data_id BIGINT NOT NULL COMMENT '字段id', page2_id BIGINT NOT NULL COMMENT '页面id', his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_API_PAGE2_DEPLOYED PRIMARY KEY (id)) COMMENT='接口-页面映射发布表';

ALTER TABLE koca_lcp_api_page2_deployed COMMENT = '接口-页面映射发布表';

CREATE UNIQUE INDEX uk_lcp_page2_api_deployed ON koca_lcp_api_page2_deployed(data_id, page2_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_API_DEPLOYED_NO', '接口页面关系发布表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_API_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.3.0_0_2_132__koca_lcp_runtime_page.xml::create_table_koca_lcp_api_page2_his::YaChao Lv
CREATE TABLE koca_lcp_api_page2_his (id BIGINT NOT NULL, data_id BIGINT NOT NULL COMMENT '字段id', page2_id BIGINT NOT NULL COMMENT '页面id', his_version VARCHAR(8) NOT NULL COMMENT '页面历史版本号', CONSTRAINT PK_KOCA_LCP_API_PAGE2_HIS PRIMARY KEY (id)) COMMENT='接口字段-页面映射发布历史表';

ALTER TABLE koca_lcp_api_page2_his COMMENT = '接口字段-页面映射发布历史表';

CREATE UNIQUE INDEX uk_lcp_page2_api_his ON koca_lcp_api_page2_his(data_id, page2_id, his_version);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_API_HIS_NO', '接口页面关系发布历史表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_API_HIS_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.3.0_0_2_132__koca_lcp_runtime_page.xml::create_table_koca_lcp_comp2_page2_deployed::YaChao Lv
CREATE TABLE koca_lcp_comp2_page2_deployed (id BIGINT NOT NULL, comp_id BIGINT NOT NULL, page_id BIGINT NOT NULL, his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_COMP2_PAGE2_DEPLOYED PRIMARY KEY (id, comp_id, page_id)) COMMENT='页面-组件映射发布表';

ALTER TABLE koca_lcp_comp2_page2_deployed COMMENT = '页面-组件映射发布表';

CREATE UNIQUE INDEX uk_lcp_comp2_page2_deployed ON koca_lcp_comp2_page2_deployed(comp_id, page_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_PAGE2_DEPLOYED_NO', '页面-组件关系发布表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_PAGE2_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.3.0_0_2_132__koca_lcp_runtime_page.xml::create_table_koca_lcp_comp2_page2_his::YaChao Lv
CREATE TABLE koca_lcp_comp2_page2_his (id BIGINT NOT NULL, comp_id BIGINT NOT NULL, page_id BIGINT NOT NULL, his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_COMP2_PAGE2_HIS PRIMARY KEY (id, comp_id, page_id)) COMMENT='页面-组件映射发布历史表';

ALTER TABLE koca_lcp_comp2_page2_his COMMENT = '页面-组件映射发布历史表';

CREATE UNIQUE INDEX uk_lcp_comp2_page2_his ON koca_lcp_comp2_page2_his(comp_id, page_id, his_version);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_PAGE2_HIS_NO', '页面-组件关系发布历史表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_PAGE2_HIS_NO', '0', '0', '0', '100000', '', '');