create table koca_sys_no 
(
   noid                 varchar2(32)         not null,
   noname               varchar2(64)         not null,
   nolength             integer              default 0,
   notype               integer              not null,
   prefix               varchar2(64),
   postfix              varchar2(64),
   buffersize           integer              default 0,
   constraint pk_koca_sys_no primary key (noid)
);

comment on table koca_sys_no is
'序号表';

comment on column koca_sys_no.noid is
'序列号id';

comment on column koca_sys_no.noname is
'序列号名称';

comment on column koca_sys_no.nolength is
'长度';

comment on column koca_sys_no.notype is
'类型 1 递增 2按天复位 3按月复位 4按年复位';

comment on column koca_sys_no.prefix is
'前缀';

comment on column koca_sys_no.postfix is
'后缀';

comment on column koca_sys_no.buffersize is
'每次缓存个数';


create table koca_sys_nodtl 
(
   noid                 varchar2(32)         not null,
   noyear               integer              not null,
   nomonth              integer              not null,
   noday                integer              not null,
   nextid               integer,
   prefix               varchar2(64),
   postfix              varchar2(64),
   constraint pk_koca_sys_nodtl primary key (noid, noyear, nomonth, noday)
);

comment on table koca_sys_nodtl is
'序号明细表';

comment on column koca_sys_nodtl.noid is
'序号编号';

comment on column koca_sys_nodtl.noyear is
'年';

comment on column koca_sys_nodtl.nomonth is
'月';

comment on column koca_sys_nodtl.noday is
'日';

comment on column koca_sys_nodtl.nextid is
'下一个序号';

comment on column koca_sys_nodtl.prefix is
'前缀';

comment on column koca_sys_nodtl.postfix is
'后缀';
