create table file_info (
  file_code varchar2(64) not null ,
  file_name varchar2(255) not null ,
  file_type varchar2(32) ,
  biz_key varchar2(64) ,
  biz_type varchar2(64) ,
  biz_param varchar2(1024) ,
  file_size number ,
  download_count number ,
  ip_address varchar2(255) ,
  security_level number ,
  operator varchar2(64) ,
  operate_time varchar2(64) ,
  storage_way varchar2(32) ,
  storage_path varchar2(1024) ,
  state number ,
  storage_name varchar2(255) 
)
;
comment on column file_info.file_code is '文件编码';
comment on column file_info.file_name is '文件名';
comment on column file_info.file_type is '文件类型';
comment on column file_info.biz_key is '业务key';
comment on column file_info.biz_type is '业务类型';
comment on column file_info.biz_param is '业务参数';
comment on column file_info.file_size is '文件大小';
comment on column file_info.download_count is '下载次数';
comment on column file_info.ip_address is '上传ip';
comment on column file_info.security_level is '安全等级';
comment on column file_info.operator is '上传用户';
comment on column file_info.operate_time is '上传时间';
comment on column file_info.storage_way is '存储方式';
comment on column file_info.storage_path is '存储路径';
comment on column file_info.state is '状态 1：删除';
comment on column file_info.storage_name is '存储名';
alter table file_info add constraint file_info_pid primary key (file_code);


create table file_download_info (
  download_code varchar2(64)  not null ,
  file_code varchar2(64)  not null ,
  file_name varchar2(255)  not null ,
  operator varchar2(64)  ,
  operate_time varchar2(64)  
)
;
comment on column file_download_info.download_code is '下载编码';
comment on column file_download_info.file_code is '文件编码';
comment on column file_download_info.file_name is '文件名';
comment on column file_download_info.operator is '下载用户';
comment on column file_download_info.operate_time is '下载时间';
alter table file_download_info add constraint file_download_info_pid primary key (download_code);



create table file_storage_config_info (
  biz_type varchar2(64) not null ,
  storage_way varchar2(32) not null ,
  storage_root_path varchar2(1024) not null ,
  storage_info varchar2(1024),
  storage_child_path varchar2(1024) not null
)
;
comment on column file_storage_config_info.biz_type is '业务类型';
comment on column file_storage_config_info.storage_way is '存储方式';
comment on column file_storage_config_info.storage_root_path is '存储根路径';
comment on column file_storage_config_info.storage_info is '其它存储信息';
comment on column file_storage_config_info.storage_child_path is '存储子路径';
alter table file_storage_config_info add constraint file_storage_config_info_pid primary key (biz_type);


