 -- ----------------------------
-- Table structure for RPT_DATASET
-- ----------------------------



CREATE TABLE RPT_DATASET (
"DATASET_ID" NUMBER(20) NOT NULL ,
"USER_ID" NVARCHAR2(100)  NULL ,
"CATEGORY_NAME" NVARCHAR2(100) NULL ,
"CATEGORY" NVARCHAR2(100) NULL ,
"DATASET_NAME" NVARCHAR2(100) NOT NULL ,
"DATA_JSON" CLOB NOT NULL ,
"CREATE_TIME" DATE NOT NULL ,
"UPDATE_TIME" DATE NOT NULL
);

-- ----------------------------
-- Checks structure for table RPT_DATASET
-- ----------------------------
  ALTER TABLE "RPT_DATASET" ADD CHECK ("DATASET_ID" IS NOT NULL);
  ALTER TABLE "RPT_DATASET" ADD CHECK ("DATASET_NAME" IS NOT NULL);
  ALTER TABLE "RPT_DATASET" ADD CHECK ("DATA_JSON" IS NOT NULL);
  ALTER TABLE "RPT_DATASET" ADD CHECK ("CREATE_TIME" IS NOT NULL);
  ALTER TABLE "RPT_DATASET" ADD CHECK ("UPDATE_TIME" IS NOT NULL);

-- ----------------------------
-- Primary Key structure for table RPT_DATASET
-- ----------------------------
  ALTER TABLE "RPT_DATASET" ADD PRIMARY KEY ("DATASET_ID");

 




-- ----------------------------
-- Table structure for RPT_DATASOURCE
-- ----------------------------

CREATE TABLE RPT_DATASOURCE (
"ID" NUMBER(11) NOT NULL ,
"USER_ID" NVARCHAR2(64) NULL ,
"SOURCE_NAME" NVARCHAR2(64) NOT NULL ,
"SOURCE_TYPE" NVARCHAR2(64) NOT NULL ,
"DRIVER_TYPE" NVARCHAR2(64) NULL ,
"CONFIG" CLOB NOT NULL ,
"CREATE_TIME" DATE NOT NULL ,
"UPDATE_TIME" DATE NOT NULL
);
-- ----------------------------
-- Checks structure for table RPT_DATASOURCE
-- ----------------------------
  ALTER TABLE "RPT_DATASOURCE" ADD CHECK ("ID" IS NOT NULL);
  ALTER TABLE "RPT_DATASOURCE" ADD CHECK ("SOURCE_NAME" IS NOT NULL);
  ALTER TABLE "RPT_DATASOURCE" ADD CHECK ("SOURCE_TYPE" IS NOT NULL);
  ALTER TABLE "RPT_DATASOURCE" ADD CHECK ("CONFIG" IS NOT NULL);
  ALTER TABLE "RPT_DATASOURCE" ADD CHECK ("CREATE_TIME" IS NOT NULL);
  ALTER TABLE "RPT_DATASOURCE" ADD CHECK ("UPDATE_TIME" IS NOT NULL);

-- ----------------------------
-- Primary Key structure for table RPT_DATASOURCE
-- ----------------------------
  ALTER TABLE "RPT_DATASOURCE" ADD PRIMARY KEY ("ID");


   



-- ----------------------------
-- Table structure for RPT_USER
-- ----------------------------
CREATE TABLE RPT_USER (
"USER_ID" NVARCHAR2(50) NOT NULL ,
"LOGIN_NAME" NVARCHAR2(100) NULL ,
"USER_NAME" NVARCHAR2(100) NULL ,
"USER_PASSWORD" NVARCHAR2(100) NULL ,
"USER_STATUS" NVARCHAR2(100) NULL
);
-- ----------------------------
-- Checks structure for table RPT_USER
-- ----------------------------
ALTER TABLE "RPT_USER" ADD CHECK ("USER_ID" IS NOT NULL);

-- ----------------------------
-- Primary Key structure for table RPT_USER
-- ----------------------------
ALTER TABLE "RPT_USER" ADD PRIMARY KEY ("USER_ID");





-- ----------------------------
-- Table structure for RPT_WIDGET
-- ----------------------------
CREATE TABLE RPT_WIDGET (
"WIDGET_ID" NUMBER(20) NOT NULL ,
"USER_ID" NVARCHAR2(100)  NULL ,
"CATEGORY_NAME" NVARCHAR2(100) NULL ,
"WIDGET_NAME" NVARCHAR2(100) NOT NULL ,
"DATA_JSON" CLOB NOT NULL ,
"CREATE_TIME" DATE NOT NULL ,
"UPDATE_TIME" DATE NOT NULL ,
"REMARK" NVARCHAR2(512)
);
-- ----------------------------
-- Checks structure for table RPT_WIDGET
-- ----------------------------
ALTER TABLE "RPT_WIDGET" ADD CHECK ("WIDGET_ID" IS NOT NULL);
ALTER TABLE "RPT_WIDGET" ADD CHECK ("WIDGET_NAME" IS NOT NULL);
ALTER TABLE "RPT_WIDGET" ADD CHECK ("DATA_JSON" IS NOT NULL);
ALTER TABLE "RPT_WIDGET" ADD CHECK ("CREATE_TIME" IS NOT NULL);
ALTER TABLE "RPT_WIDGET" ADD CHECK ("UPDATE_TIME" IS NOT NULL);

-- ----------------------------
-- Primary Key structure for table RPT_WIDGET
-- ----------------------------
ALTER TABLE "RPT_WIDGET" ADD PRIMARY KEY ("WIDGET_ID");






 -- ----------------------------
-- Table structure for RPT_TABLEHEAD
-- ----------------------------
CREATE TABLE RPT_TABLEHEAD (
"TABLEHEAD_ID" NUMBER(20) NOT NULL ,
"USER_ID" NVARCHAR2(100)  NULL ,
"CATEGORY_NAME" NVARCHAR2(100) NULL ,
"TABLEHEAD_NAME" NVARCHAR2(100) NOT NULL ,
"DATA_JSON" CLOB NOT NULL ,
"CREATE_TIME" DATE NOT NULL ,
"UPDATE_TIME" DATE NOT NULL
);
-- ----------------------------
-- Checks structure for table RPT_TABLEHEAD
-- ----------------------------
ALTER TABLE "RPT_TABLEHEAD" ADD CHECK ("TABLEHEAD_ID" IS NOT NULL);
ALTER TABLE "RPT_TABLEHEAD" ADD CHECK ("TABLEHEAD_NAME" IS NOT NULL);
ALTER TABLE "RPT_TABLEHEAD" ADD CHECK ("DATA_JSON" IS NOT NULL);
ALTER TABLE "RPT_TABLEHEAD" ADD CHECK ("CREATE_TIME" IS NOT NULL);
ALTER TABLE "RPT_TABLEHEAD" ADD CHECK ("UPDATE_TIME" IS NOT NULL);

-- ----------------------------
-- Primary Key structure for table RPT_TABLEHEAD
-- ----------------------------
ALTER TABLE "RPT_TABLEHEAD" ADD PRIMARY KEY ("TABLEHEAD_ID");

   



 -- ----------------------------
-- Table structure for RPT_OPERATION
-- ----------------------------
CREATE TABLE RPT_OPERATION (
"OPERATION_ID" NUMBER(20) NOT NULL ,
"USER_ID" NVARCHAR2(100)  NULL ,
"CATEGORY_NAME" NVARCHAR2(100) NULL ,
"OPERATION_NAME" NVARCHAR2(100) NOT NULL ,
"DATA_JSON" CLOB NOT NULL ,
"CREATE_TIME" DATE NOT NULL ,
"UPDATE_TIME" DATE NOT NULL
);
-- ----------------------------
-- Checks structure for table RPT_OPERATION
-- ----------------------------
ALTER TABLE "RPT_OPERATION" ADD CHECK ("OPERATION_ID" IS NOT NULL);
ALTER TABLE "RPT_OPERATION" ADD CHECK ("OPERATION_NAME" IS NOT NULL);
ALTER TABLE "RPT_OPERATION" ADD CHECK ("DATA_JSON" IS NOT NULL);
ALTER TABLE "RPT_OPERATION" ADD CHECK ("CREATE_TIME" IS NOT NULL);
ALTER TABLE "RPT_OPERATION" ADD CHECK ("UPDATE_TIME" IS NOT NULL);

-- ----------------------------
-- Primary Key structure for table RPT_OPERATION
-- ----------------------------
ALTER TABLE "RPT_OPERATION" ADD PRIMARY KEY ("OPERATION_ID");





 -- ----------------------------
-- Table structure for RPT_BOARD
-- ----------------------------
CREATE TABLE RPT_BOARD (
  "BOARD_ID" NUMBER(20) NOT NULL,
  "USER_ID" NVARCHAR2(50)  NULL,
  "CATEGORY_NAME" NVARCHAR2(100)  NULL,
  "BOARD_TYPE" NUMBER(4)  NULL ,
  "BOARD_NAME" NVARCHAR2(100) NOT NULL,
  "LAYOUT_JSON" CLOB NOT NULL,
  "CREATE_TIME" DATE NOT NULL,
  "UPDATE_TIME" DATE NOT NULL
);
-- ----------------------------
-- Checks structure for table RPT_BOARD
-- ----------------------------
ALTER TABLE "RPT_BOARD" ADD CHECK ("BOARD_ID" IS NOT NULL);
ALTER TABLE "RPT_BOARD" ADD CHECK ("BOARD_NAME" IS NOT NULL);
ALTER TABLE "RPT_BOARD" ADD CHECK ("LAYOUT_JSON" IS NOT NULL);
ALTER TABLE "RPT_BOARD" ADD CHECK ("CREATE_TIME" IS NOT NULL);
ALTER TABLE "RPT_BOARD" ADD CHECK ("UPDATE_TIME" IS NOT NULL);

-- ----------------------------
-- Primary Key structure for table RPT_BOARD
-- ----------------------------
ALTER TABLE "RPT_BOARD" ADD PRIMARY KEY ("BOARD_ID");

   


 -- ----------------------------
-- Table structure for RPT_CUSTOMSET
-- ----------------------------
CREATE TABLE RPT_CUSTOMSET (
  "SET_ID" NUMBER(20) NOT NULL,
  "WIDGET_ID" NUMBER(20) NOT NULL,
  "USER_ID" NVARCHAR2(50) NOT NULL,
  "DATA_JSON" CLOB NOT NULL,
  "CREATE_TIME" DATE NOT NULL,
  "UPDATE_TIME" DATE NOT NULL
);
-- ----------------------------
-- Checks structure for table RPT_CUSTOMSET
-- ----------------------------
ALTER TABLE "RPT_CUSTOMSET" ADD CHECK ("SET_ID" IS NOT NULL);
ALTER TABLE "RPT_CUSTOMSET" ADD CHECK ("WIDGET_ID" IS NOT NULL);
ALTER TABLE "RPT_CUSTOMSET" ADD CHECK ("USER_ID" IS NOT NULL);
ALTER TABLE "RPT_CUSTOMSET" ADD CHECK ("DATA_JSON" IS NOT NULL);
ALTER TABLE "RPT_CUSTOMSET" ADD CHECK ("CREATE_TIME" IS NOT NULL);
ALTER TABLE "RPT_CUSTOMSET" ADD CHECK ("UPDATE_TIME" IS NOT NULL);

-- ----------------------------
-- Primary Key structure for table RPT_CUSTOMSET
-- ----------------------------
ALTER TABLE "RPT_CUSTOMSET" ADD PRIMARY KEY ("SET_ID");

   



-- ----------------------------
-- Table structure for RPT_RE_WIDGET_DATASET
-- ----------------------------
CREATE TABLE RPT_RE_WIDGET_DATASET (
  "WIDGET_ID" NUMBER(20) NOT NULL,
  "RELATION_JSON" CLOB NOT NULL,
  "CREATE_TIME" DATE NOT NULL,
  "UPDATE_TIME" DATE NOT NULL
);
-- ----------------------------
-- Checks structure for table RPT_RE_WIDGET_DATASET
-- ----------------------------
ALTER TABLE "RPT_RE_WIDGET_DATASET" ADD CHECK ("WIDGET_ID" IS NOT NULL);
ALTER TABLE "RPT_RE_WIDGET_DATASET" ADD CHECK ("RELATION_JSON" IS NOT NULL);
ALTER TABLE "RPT_RE_WIDGET_DATASET" ADD CHECK ("CREATE_TIME" IS NOT NULL);
ALTER TABLE "RPT_RE_WIDGET_DATASET" ADD CHECK ("UPDATE_TIME" IS NOT NULL);

-- ----------------------------
-- Primary Key structure for table RPT_RE_WIDGET_DATASET
-- ----------------------------
ALTER TABLE "RPT_RE_WIDGET_DATASET" ADD PRIMARY KEY ("WIDGET_ID");


 

-- ----------------------------
-- Table structure for RPT_CATEGORY
-- ----------------------------
CREATE TABLE RPT_CATEGORY (
    ID_  varchar(64) NOT NULL ,
    NAME_  varchar(255) NOT NULL ,
    PARENT_ID_  varchar(64) NULL ,
    TYPE_  varchar(64) NULL ,
    RESERVED_  varchar(255) NULL 
);
-- ----------------------------
-- Checks structure for table RPT_CATEGORY
-- ----------------------------
ALTER TABLE "RPT_CATEGORY" ADD CHECK ("ID_" IS NOT NULL);

-- ----------------------------
-- Primary Key structure for table RPT_CATEGORY
-- ----------------------------
ALTER TABLE "RPT_CATEGORY" ADD PRIMARY KEY ("ID_");


  



CREATE TABLE KOCA_BI_RPT_WIDGET (
	WIDGET_ID NUMBER(38,0) NOT NULL,
	WIDGET_NAME VARCHAR2(100) NOT NULL,
	CATEGORY_NAME VARCHAR2(100) NULL,
	"TYPE" VARCHAR2(100) NOT NULL,
	DATA_JSON CLOB NULL,
	CREATE_TIME VARCHAR2(32) NOT NULL,
	UPDATE_TIME VARCHAR2(32) NOT NULL,
	REMARK VARCHAR2(256) NULL,
	CONSTRAINT KOCA_BI_RPT_WIDGET_PK PRIMARY KEY (WIDGET_ID)
);

-- RPT_RESOURCE_FILE definition

CREATE TABLE RPT_RESOURCE_FILE (
	id VARCHAR2(100) NOT NULL,
	file_name VARCHAR2(100) NOT NULL,
	storage_name VARCHAR2(100) NULL,
	"type" VARCHAR2(100) NULL,
	upload_time VARCHAR2(100) NOT NULL,
	storage_path VARCHAR2(100) NOT NULL,
	thumbnail CLOB NULL,
	CONSTRAINT RPT_RESOURCE_FILE_PK PRIMARY KEY (id)
);
COMMENT ON TABLE RPT_RESOURCE_FILE IS '文件资源表';
COMMENT ON COLUMN RPT_RESOURCE_FILE.id IS 'id';
COMMENT ON COLUMN RPT_RESOURCE_FILE.file_name IS '文件名';
COMMENT ON COLUMN RPT_RESOURCE_FILE.storage_name IS '存储名';
COMMENT ON COLUMN RPT_RESOURCE_FILE."type" IS '类型';
COMMENT ON COLUMN RPT_RESOURCE_FILE.upload_time IS '上传时间';
COMMENT ON COLUMN RPT_RESOURCE_FILE.storage_path IS '存储路径';
COMMENT ON COLUMN RPT_RESOURCE_FILE.thumbnail IS '缩略图';
