

declare 
      num  number; 
begin 
select  count(1) into  num  from  user_sequences  where  sequence_name= 'SEQ_RPT_TABLEHEAD'; 
      if   num=0   then 
          execute immediate 'create sequence SEQ_RPT_TABLEHEAD start with 1 increment by 1'; 
      end   if;
end; 
/

declare 
      num  number; 
begin 
select  count(1) into  num  from  user_sequences  where  sequence_name= 'SEQ_RPT_OPERATION'; 
      if   num=0   then 
          execute immediate 'create sequence SEQ_RPT_OPERATION start with 1 increment by 1'; 
      end   if;
end; 
/

declare 
      num  number; 
begin 
select  count(1) into  num  from  user_sequences  where  sequence_name= 'SEQ_RPT_BOARD'; 
      if   num=0   then 
          execute immediate 'create sequence SEQ_RPT_BOARD start with 1 increment by 1'; 
      end   if;
end; 
/

declare 
      num  number; 
begin 
select  count(1) into  num  from  user_sequences  where  sequence_name= 'SEQ_RPT_CUSTOMSET'; 
      if   num=0   then 
          execute immediate 'create sequence SEQ_RPT_CUSTOMSET start with 1 increment by 1'; 
      end   if;
end; 
/

COMMIT;



 -- ----------------------------
-- Table structure for RPT_DATASET
-- ----------------------------


declare
      num   number;
begin
    select count(1) into num from user_tables where table_name = upper('RPT_DATASET') ;
    if num = 0 then
        execute immediate 
'CREATE TABLE "RPT_DATASET" (
"DATASET_ID" NUMBER(20) NOT NULL ,
"USER_ID" NVARCHAR2(100)  NULL ,
"CATEGORY_NAME" NVARCHAR2(100) NULL ,
"CATEGORY" NVARCHAR2(100) NULL ,
"DATASET_NAME" NVARCHAR2(100) NOT NULL ,
"DATA_JSON" NCLOB NOT NULL ,
"CREATE_TIME" DATE NOT NULL ,
"UPDATE_TIME" DATE NOT NULL
)
LOGGING
NOCOMPRESS
NOCACHE'
;

-- ----------------------------
-- Checks structure for table RPT_DATASET
-- ----------------------------
execute immediate 'ALTER TABLE "RPT_DATASET" ADD CHECK ("DATASET_ID" IS NOT NULL)';
execute immediate 'ALTER TABLE "RPT_DATASET" ADD CHECK ("DATASET_NAME" IS NOT NULL)';
execute immediate 'ALTER TABLE "RPT_DATASET" ADD CHECK ("DATA_JSON" IS NOT NULL)';
execute immediate 'ALTER TABLE "RPT_DATASET" ADD CHECK ("CREATE_TIME" IS NOT NULL)';
execute immediate 'ALTER TABLE "RPT_DATASET" ADD CHECK ("UPDATE_TIME" IS NOT NULL)';

-- ----------------------------
-- Primary Key structure for table RPT_DATASET
-- ----------------------------
execute immediate 'ALTER TABLE "RPT_DATASET" ADD PRIMARY KEY ("DATASET_ID")';

    end if;
end;
 
/



-- ----------------------------
-- Table structure for RPT_DATASOURCE
-- ----------------------------
declare
      num   number;
begin
    select count(1) into num from user_tables where table_name = upper('RPT_DATASOURCE') ;
    if num = 0 then
        execute immediate 
'CREATE TABLE "RPT_DATASOURCE" (
"ID" NUMBER(11) NOT NULL ,
"USER_ID" NVARCHAR2(64) NULL ,
"SOURCE_NAME" NVARCHAR2(64) NOT NULL ,
"SOURCE_TYPE" NVARCHAR2(64) NOT NULL ,
"DRIVER_TYPE" NVARCHAR2(64) NULL ,
"CONFIG" NCLOB NOT NULL ,
"CREATE_TIME" DATE NOT NULL ,
"UPDATE_TIME" DATE NOT NULL
)
LOGGING
NOCOMPRESS
NOCACHE';
-- ----------------------------
-- Checks structure for table RPT_DATASOURCE
-- ----------------------------
execute immediate 'ALTER TABLE "RPT_DATASOURCE" ADD CHECK ("ID" IS NOT NULL)';
execute immediate 'ALTER TABLE "RPT_DATASOURCE" ADD CHECK ("SOURCE_NAME" IS NOT NULL)';
execute immediate 'ALTER TABLE "RPT_DATASOURCE" ADD CHECK ("SOURCE_TYPE" IS NOT NULL)';
execute immediate 'ALTER TABLE "RPT_DATASOURCE" ADD CHECK ("CONFIG" IS NOT NULL)';
execute immediate 'ALTER TABLE "RPT_DATASOURCE" ADD CHECK ("CREATE_TIME" IS NOT NULL)';
execute immediate 'ALTER TABLE "RPT_DATASOURCE" ADD CHECK ("UPDATE_TIME" IS NOT NULL)';

-- ----------------------------
-- Primary Key structure for table RPT_DATASOURCE
-- ----------------------------
execute immediate 'ALTER TABLE "RPT_DATASOURCE" ADD PRIMARY KEY ("ID")';


    end if;
end;


/



-- ----------------------------
-- Table structure for RPT_USER
-- ----------------------------
declare
      num   number;
begin
    select count(1) into num from user_tables where table_name = upper('RPT_USER') ;
    if num = 0 then
        execute immediate 
'CREATE TABLE "RPT_USER" (
"USER_ID" NVARCHAR2(50) NOT NULL ,
"LOGIN_NAME" NVARCHAR2(100) NULL ,
"USER_NAME" NVARCHAR2(100) NULL ,
"USER_PASSWORD" NVARCHAR2(100) NULL ,
"USER_STATUS" NVARCHAR2(100) NULL
)
LOGGING
NOCOMPRESS
NOCACHE';
-- ----------------------------
-- Checks structure for table RPT_USER
-- ----------------------------
execute immediate 'ALTER TABLE "RPT_USER" ADD CHECK ("USER_ID" IS NOT NULL)';

-- ----------------------------
-- Primary Key structure for table RPT_USER
-- ----------------------------
execute immediate 'ALTER TABLE "RPT_USER" ADD PRIMARY KEY ("USER_ID")';

    end if;
end;


/



-- ----------------------------
-- Table structure for RPT_WIDGET
-- ----------------------------
declare
      num   number;
begin
    select count(1) into num from user_tables where table_name = upper('RPT_WIDGET') ;
    if num = 0 then
        execute immediate 
'CREATE TABLE "RPT_WIDGET" (
"WIDGET_ID" NUMBER(20) NOT NULL ,
"USER_ID" NVARCHAR2(100)  NULL ,
"CATEGORY_NAME" NVARCHAR2(100) NULL ,
"WIDGET_NAME" NVARCHAR2(100) NOT NULL ,
"DATA_JSON" NCLOB NOT NULL ,
"CREATE_TIME" DATE NOT NULL ,
"UPDATE_TIME" DATE NOT NULL
)
LOGGING
NOCOMPRESS
NOCACHE' ;
-- ----------------------------
-- Checks structure for table RPT_WIDGET
-- ----------------------------
execute immediate 'ALTER TABLE "RPT_WIDGET" ADD CHECK ("WIDGET_ID" IS NOT NULL)';
execute immediate 'ALTER TABLE "RPT_WIDGET" ADD CHECK ("WIDGET_NAME" IS NOT NULL)';
execute immediate 'ALTER TABLE "RPT_WIDGET" ADD CHECK ("DATA_JSON" IS NOT NULL)';
execute immediate 'ALTER TABLE "RPT_WIDGET" ADD CHECK ("CREATE_TIME" IS NOT NULL)';
execute immediate 'ALTER TABLE "RPT_WIDGET" ADD CHECK ("UPDATE_TIME" IS NOT NULL)';

-- ----------------------------
-- Primary Key structure for table RPT_WIDGET
-- ----------------------------
execute immediate 'ALTER TABLE "RPT_WIDGET" ADD PRIMARY KEY ("WIDGET_ID")';

    end if;
end;

/



 -- ----------------------------
-- Table structure for RPT_TABLEHEAD
-- ----------------------------
declare
      num   number;
begin
    select count(1) into num from user_tables where table_name = upper('RPT_TABLEHEAD') ;
    if num = 0 then
        execute immediate 
'CREATE TABLE "RPT_TABLEHEAD" (
"TABLEHEAD_ID" NUMBER(20) NOT NULL ,
"USER_ID" NVARCHAR2(100)  NULL ,
"CATEGORY_NAME" NVARCHAR2(100) NULL ,
"TABLEHEAD_NAME" NVARCHAR2(100) NOT NULL ,
"DATA_JSON" NCLOB NOT NULL ,
"CREATE_TIME" DATE NOT NULL ,
"UPDATE_TIME" DATE NOT NULL
)
LOGGING
NOCOMPRESS
NOCACHE' ;
-- ----------------------------
-- Checks structure for table RPT_TABLEHEAD
-- ----------------------------
execute immediate 'ALTER TABLE "RPT_TABLEHEAD" ADD CHECK ("TABLEHEAD_ID" IS NOT NULL)';
execute immediate 'ALTER TABLE "RPT_TABLEHEAD" ADD CHECK ("TABLEHEAD_NAME" IS NOT NULL)';
execute immediate 'ALTER TABLE "RPT_TABLEHEAD" ADD CHECK ("DATA_JSON" IS NOT NULL)';
execute immediate 'ALTER TABLE "RPT_TABLEHEAD" ADD CHECK ("CREATE_TIME" IS NOT NULL)';
execute immediate 'ALTER TABLE "RPT_TABLEHEAD" ADD CHECK ("UPDATE_TIME" IS NOT NULL)';

-- ----------------------------
-- Primary Key structure for table RPT_TABLEHEAD
-- ----------------------------
execute immediate 'ALTER TABLE "RPT_TABLEHEAD" ADD PRIMARY KEY ("TABLEHEAD_ID")';

    end if;
end;

/


 -- ----------------------------
-- Table structure for RPT_OPERATION
-- ----------------------------
declare
      num   number;
begin
    select count(1) into num from user_tables where table_name = upper('RPT_OPERATION') ;
    if num = 0 then
        execute immediate 
'CREATE TABLE "RPT_OPERATION" (
"OPERATION_ID" NUMBER(20) NOT NULL ,
"USER_ID" NVARCHAR2(100)  NULL ,
"CATEGORY_NAME" NVARCHAR2(100) NULL ,
"OPERATION_NAME" NVARCHAR2(100) NOT NULL ,
"DATA_JSON" NCLOB NOT NULL ,
"CREATE_TIME" DATE NOT NULL ,
"UPDATE_TIME" DATE NOT NULL
)
LOGGING
NOCOMPRESS
NOCACHE' ;
-- ----------------------------
-- Checks structure for table RPT_OPERATION
-- ----------------------------
execute immediate 'ALTER TABLE "RPT_OPERATION" ADD CHECK ("OPERATION_ID" IS NOT NULL)';
execute immediate 'ALTER TABLE "RPT_OPERATION" ADD CHECK ("OPERATION_NAME" IS NOT NULL)';
execute immediate 'ALTER TABLE "RPT_OPERATION" ADD CHECK ("DATA_JSON" IS NOT NULL)';
execute immediate 'ALTER TABLE "RPT_OPERATION" ADD CHECK ("CREATE_TIME" IS NOT NULL)';
execute immediate 'ALTER TABLE "RPT_OPERATION" ADD CHECK ("UPDATE_TIME" IS NOT NULL)';

-- ----------------------------
-- Primary Key structure for table RPT_OPERATION
-- ----------------------------
execute immediate 'ALTER TABLE "RPT_OPERATION" ADD PRIMARY KEY ("OPERATION_ID")';


    end if;
end;

/



 -- ----------------------------
-- Table structure for RPT_BOARD
-- ----------------------------
declare
      num   number;
begin
    select count(1) into num from user_tables where table_name = upper('RPT_BOARD') ;
    if num = 0 then
        execute immediate 
'CREATE TABLE "RPT_BOARD" (
  "BOARD_ID" NUMBER(20) NOT NULL,
  "USER_ID" NVARCHAR2(50)  NULL,
  "CATEGORY_NAME" NVARCHAR2(100)  NULL,
  "BOARD_TYPE" NUMBER(4)  NULL ,
  "BOARD_NAME" NVARCHAR2(100) NOT NULL,
  "LAYOUT_JSON" NCLOB NOT NULL,
  "CREATE_TIME" DATE NOT NULL,
  "UPDATE_TIME" DATE NOT NULL
) 
LOGGING
NOCOMPRESS
NOCACHE' ;
-- ----------------------------
-- Checks structure for table RPT_BOARD
-- ----------------------------
execute immediate 'ALTER TABLE "RPT_BOARD" ADD CHECK ("BOARD_ID" IS NOT NULL)';
execute immediate 'ALTER TABLE "RPT_BOARD" ADD CHECK ("BOARD_NAME" IS NOT NULL)';
execute immediate 'ALTER TABLE "RPT_BOARD" ADD CHECK ("LAYOUT_JSON" IS NOT NULL)';
execute immediate 'ALTER TABLE "RPT_BOARD" ADD CHECK ("CREATE_TIME" IS NOT NULL)';
execute immediate 'ALTER TABLE "RPT_BOARD" ADD CHECK ("UPDATE_TIME" IS NOT NULL)';

-- ----------------------------
-- Primary Key structure for table RPT_BOARD
-- ----------------------------
execute immediate 'ALTER TABLE "RPT_BOARD" ADD PRIMARY KEY ("BOARD_ID")';

    end if;
end;

/

 -- ----------------------------
-- Table structure for RPT_CUSTOMSET
-- ----------------------------
declare
      num   number;
begin
    select count(1) into num from user_tables where table_name = upper('RPT_CUSTOMSET') ;
    if num = 0 then
        execute immediate 
'CREATE TABLE "RPT_CUSTOMSET" (
  "SET_ID" NUMBER(20) NOT NULL,
  "WIDGET_ID" NUMBER(20) NOT NULL,
  "USER_ID" NVARCHAR2(50) NOT NULL,
  "DATA_JSON" NCLOB NOT NULL,
  "CREATE_TIME" DATE NOT NULL,
  "UPDATE_TIME" DATE NOT NULL
) 
LOGGING
NOCOMPRESS
NOCACHE' ;
-- ----------------------------
-- Checks structure for table RPT_CUSTOMSET
-- ----------------------------
execute immediate 'ALTER TABLE "RPT_CUSTOMSET" ADD CHECK ("SET_ID" IS NOT NULL)';
execute immediate 'ALTER TABLE "RPT_CUSTOMSET" ADD CHECK ("WIDGET_ID" IS NOT NULL)';
execute immediate 'ALTER TABLE "RPT_CUSTOMSET" ADD CHECK ("USER_ID" IS NOT NULL)';
execute immediate 'ALTER TABLE "RPT_CUSTOMSET" ADD CHECK ("DATA_JSON" IS NOT NULL)';
execute immediate 'ALTER TABLE "RPT_CUSTOMSET" ADD CHECK ("CREATE_TIME" IS NOT NULL)';
execute immediate 'ALTER TABLE "RPT_CUSTOMSET" ADD CHECK ("UPDATE_TIME" IS NOT NULL)';

-- ----------------------------
-- Primary Key structure for table RPT_CUSTOMSET
-- ----------------------------
execute immediate 'ALTER TABLE "RPT_CUSTOMSET" ADD PRIMARY KEY ("SET_ID")';

    end if;
end;

/


-- ----------------------------
-- Table structure for RPT_RE_WIDGET_DATASET
-- ----------------------------
declare
      num   number;
begin
    select count(1) into num from user_tables where table_name = upper('RPT_RE_WIDGET_DATASET') ;
    if num = 0 then
        execute immediate 
'CREATE TABLE "RPT_RE_WIDGET_DATASET" (
  "WIDGET_ID" NUMBER(20) NOT NULL,
  "RELATION_JSON" NCLOB NOT NULL,
  "CREATE_TIME" DATE NOT NULL,
  "UPDATE_TIME" DATE NOT NULL
) 
LOGGING
NOCOMPRESS
NOCACHE' ;
-- ----------------------------
-- Checks structure for table RPT_RE_WIDGET_DATASET
-- ----------------------------
execute immediate 'ALTER TABLE "RPT_RE_WIDGET_DATASET" ADD CHECK ("WIDGET_ID" IS NOT NULL)';
execute immediate 'ALTER TABLE "RPT_RE_WIDGET_DATASET" ADD CHECK ("RELATION_JSON" IS NOT NULL)';
execute immediate 'ALTER TABLE "RPT_RE_WIDGET_DATASET" ADD CHECK ("CREATE_TIME" IS NOT NULL)';
execute immediate 'ALTER TABLE "RPT_RE_WIDGET_DATASET" ADD CHECK ("UPDATE_TIME" IS NOT NULL)';

-- ----------------------------
-- Primary Key structure for table RPT_RE_WIDGET_DATASET
-- ----------------------------
execute immediate 'ALTER TABLE "RPT_RE_WIDGET_DATASET" ADD PRIMARY KEY ("WIDGET_ID")';


    end if;
end;

/

-- ----------------------------
-- Table structure for RPT_CATEGORY
-- ----------------------------
declare
      num   number;
begin
    select count(1) into num from user_tables where table_name = upper('RPT_CATEGORY') ;
    if num = 0 then
        execute immediate 
'CREATE TABLE RPT_CATEGORY (
    ID_  varchar(64) NOT NULL ,
    NAME_  varchar(255) NOT NULL ,
    PARENT_ID_  varchar(64) NULL ,
    TYPE_  varchar(64) NULL ,
    RESERVED_  varchar(255) NULL 
)
LOGGING
NOCOMPRESS
NOCACHE' ;
-- ----------------------------
-- Checks structure for table RPT_CATEGORY
-- ----------------------------
execute immediate 'ALTER TABLE "RPT_CATEGORY" ADD CHECK ("ID_" IS NOT NULL)';

-- ----------------------------
-- Primary Key structure for table RPT_CATEGORY
-- ----------------------------
execute immediate 'ALTER TABLE "RPT_CATEGORY" ADD PRIMARY KEY ("ID_")';


    end if;
end;

/



COMMIT;










