-- Changeset V4.1.0_0_2_151__koca_lcp_runtime_api.xml::create_table_mi_api_basic::YaChao Lv
CREATE TABLE mi_api_basic (data_id NUMBER(38, 0) NOT NULL, project_code NVARCHAR2(64), env_code NVARCHAR2(32), app_code NVARCHAR2(32), group_id NUMBER(38, 0), service_code NVARCHAR2(32), api_code NVARCHAR2(128), api_name NVARCHAR2(128), api_pos NUMBER(38, 0) DEFAULT 1 NOT NULL, remark CLOB, access_api_code NVARCHAR2(128), api_protocol NVARCHAR2(2), model_id NUMBER(38, 0), crud_type NVARCHAR2(32), create_by NVARCHAR2(32), update_by NVARCHAR2(32), create_time TIMESTAMP, update_time TIMESTAMP, CONSTRAINT PK_MI_API_BASIC PRIMARY KEY (data_id));

COMMENT ON TABLE mi_api_basic IS 'api基础信息表';

COMMENT ON COLUMN mi_api_basic.data_id IS '主键ID';

COMMENT ON COLUMN mi_api_basic.project_code IS '项目编号';

COMMENT ON COLUMN mi_api_basic.env_code IS '环境编号';

COMMENT ON COLUMN mi_api_basic.app_code IS '应用代码';

COMMENT ON COLUMN mi_api_basic.group_id IS '分组ID';

COMMENT ON COLUMN mi_api_basic.service_code IS '服务代码';

COMMENT ON COLUMN mi_api_basic.api_code IS 'api代码';

COMMENT ON COLUMN mi_api_basic.api_name IS 'api名称';

COMMENT ON COLUMN mi_api_basic.api_pos IS 'api排序';

COMMENT ON COLUMN mi_api_basic.remark IS '说明';

COMMENT ON COLUMN mi_api_basic.access_api_code IS '接入api代码';

COMMENT ON COLUMN mi_api_basic.api_protocol IS '接口协议(类型)';

COMMENT ON COLUMN mi_api_basic.model_id IS '数据模型ID';

COMMENT ON COLUMN mi_api_basic.crud_type IS '增删改查类型';

COMMENT ON COLUMN mi_api_basic.create_by IS '创建人';

COMMENT ON COLUMN mi_api_basic.update_by IS '更新人';

COMMENT ON COLUMN mi_api_basic.create_time IS '创建时间';

COMMENT ON COLUMN mi_api_basic.update_time IS '更新时间';

CREATE UNIQUE INDEX udx_api_basic_info_code ON mi_api_basic(project_code, env_code, api_code);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('GLOBLE_DB_DATAID', '接口全局序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('GLOBLE_DB_DATAID', '0', '0', '0', '100000', '', '');

-- Changeset V4.1.0_0_2_151__koca_lcp_runtime_api.xml::create_table_mi_api_group::YaChao Lv
CREATE TABLE mi_api_group (data_id NUMBER(38, 0) NOT NULL, project_code NVARCHAR2(64), env_code NVARCHAR2(32), app_code NVARCHAR2(32), parent_id NUMBER(38, 0), group_name NVARCHAR2(64), group_pos NUMBER(38, 0) DEFAULT 1 NOT NULL, create_by NVARCHAR2(32), update_by NVARCHAR2(32), create_time TIMESTAMP, update_time TIMESTAMP, CONSTRAINT PK_MI_API_GROUP PRIMARY KEY (data_id));

COMMENT ON TABLE mi_api_group IS 'api分组';

COMMENT ON COLUMN mi_api_group.data_id IS '主键ID';

COMMENT ON COLUMN mi_api_group.project_code IS '项目编号';

COMMENT ON COLUMN mi_api_group.env_code IS '环境编号';

COMMENT ON COLUMN mi_api_group.app_code IS '应用代码';

COMMENT ON COLUMN mi_api_group.parent_id IS '父节点';

COMMENT ON COLUMN mi_api_group.group_name IS '分组名称';

COMMENT ON COLUMN mi_api_group.group_pos IS 'api排序';

COMMENT ON COLUMN mi_api_group.create_by IS '创建人';

COMMENT ON COLUMN mi_api_group.update_by IS '更新人';

COMMENT ON COLUMN mi_api_group.create_time IS '创建时间';

COMMENT ON COLUMN mi_api_group.update_time IS '更新时间';

-- Changeset V4.1.0_0_2_151__koca_lcp_runtime_api.xml::create_table_mi_api_param::YaChao Lv
CREATE TABLE mi_api_param (data_id NUMBER(38, 0) NOT NULL, project_code NVARCHAR2(64), env_code NVARCHAR2(32), app_code NVARCHAR2(32), api_code NVARCHAR2(128) NOT NULL, api_version NVARCHAR2(32) NOT NULL, para_code NVARCHAR2(128) NOT NULL, access_param_code NVARCHAR2(128), parent_id INTEGER, para_name NVARCHAR2(120) NOT NULL, para_type INTEGER, para_pos NVARCHAR2(30), para_desc NVARCHAR2(1000), data_type NVARCHAR2(32), data_length NVARCHAR2(32), scale NUMBER(10, 2), required INTEGER, default_value NVARCHAR2(128), model_field_code NVARCHAR2(512), create_by NVARCHAR2(32), update_by NVARCHAR2(32), create_time TIMESTAMP, update_time TIMESTAMP, CONSTRAINT PK_MI_API_PARAM PRIMARY KEY (data_id));

COMMENT ON TABLE mi_api_param IS 'api参数';

COMMENT ON COLUMN mi_api_param.data_id IS '主键ID';

COMMENT ON COLUMN mi_api_param.project_code IS '项目编号';

COMMENT ON COLUMN mi_api_param.env_code IS '环境编号';

COMMENT ON COLUMN mi_api_param.app_code IS '应用代码';

COMMENT ON COLUMN mi_api_param.api_code IS 'api代码';

COMMENT ON COLUMN mi_api_param.api_version IS 'api版本';

COMMENT ON COLUMN mi_api_param.para_code IS '参数代码';

COMMENT ON COLUMN mi_api_param.access_param_code IS '接入参数代码';

COMMENT ON COLUMN mi_api_param.parent_id IS '父id';

COMMENT ON COLUMN mi_api_param.para_name IS '参数名';

COMMENT ON COLUMN mi_api_param.para_type IS '参数类型  1请求 2响应';

COMMENT ON COLUMN mi_api_param.para_pos IS '参数位置';

COMMENT ON COLUMN mi_api_param.para_desc IS '参数说明';

COMMENT ON COLUMN mi_api_param.data_type IS '数据类型';

COMMENT ON COLUMN mi_api_param.data_length IS '数据长度';

COMMENT ON COLUMN mi_api_param.scale IS '精度';

COMMENT ON COLUMN mi_api_param.required IS '是否必填';

COMMENT ON COLUMN mi_api_param.default_value IS '默认值';

COMMENT ON COLUMN mi_api_param.model_field_code IS '数据模型字段代码';

COMMENT ON COLUMN mi_api_param.create_by IS '创建人';

COMMENT ON COLUMN mi_api_param.update_by IS '更新人';

COMMENT ON COLUMN mi_api_param.create_time IS '创建时间';

COMMENT ON COLUMN mi_api_param.update_time IS '更新时间';

CREATE UNIQUE INDEX idx_mi_api_param_code ON mi_api_param(project_code, env_code, api_code, api_version, para_code, para_type, parent_id);

-- Changeset V4.1.0_0_2_151__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_param_meta::YaChao Lv
CREATE TABLE koca_lcp_api_param_meta (id NUMBER(38, 0) NOT NULL, api_param_id NUMBER(38, 0) NOT NULL, meta_info CLOB, CONSTRAINT PK_KOCA_LCP_API_PARAM_META PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_api_param_meta IS 'API参数前端元数据';

COMMENT ON COLUMN koca_lcp_api_param_meta.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_api_param_meta.api_param_id IS '接口参数id';

COMMENT ON COLUMN koca_lcp_api_param_meta.meta_info IS '前端元数据信息';

CREATE UNIQUE INDEX uk_api_param_id ON koca_lcp_api_param_meta(api_param_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_API_PARAM_META_NO', 'LCP接口参数元数据序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_API_PARAM_META_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.1.0_0_2_151__koca_lcp_runtime_api.xml::create_table_mi_api_param_temp::YaChao Lv
CREATE TABLE mi_api_param_temp (data_id NUMBER(38, 0) NOT NULL, project_code NVARCHAR2(64), env_code NVARCHAR2(32), app_code NVARCHAR2(32), api_code NVARCHAR2(128) NOT NULL, api_version NVARCHAR2(32) NOT NULL, para_code NVARCHAR2(128) NOT NULL, para_name NVARCHAR2(120) NOT NULL, para_type INTEGER, para_pos NVARCHAR2(30), para_desc NVARCHAR2(1000), data_type NVARCHAR2(32), data_length NVARCHAR2(32), scale NUMBER(10, 2), required INTEGER, parent_id INTEGER, default_value NVARCHAR2(128), create_by NVARCHAR2(32), update_by NVARCHAR2(32), create_time TIMESTAMP, update_time TIMESTAMP, CONSTRAINT PK_MI_API_PARAM_TEMP PRIMARY KEY (data_id));

COMMENT ON TABLE mi_api_param_temp IS 'api参数发布表';

COMMENT ON COLUMN mi_api_param_temp.data_id IS '主键ID';

COMMENT ON COLUMN mi_api_param_temp.project_code IS '项目编号';

COMMENT ON COLUMN mi_api_param_temp.env_code IS '环境编号';

COMMENT ON COLUMN mi_api_param_temp.app_code IS '应用代码';

COMMENT ON COLUMN mi_api_param_temp.api_code IS 'api代码';

COMMENT ON COLUMN mi_api_param_temp.api_version IS 'api版本';

COMMENT ON COLUMN mi_api_param_temp.para_code IS '参数代码';

COMMENT ON COLUMN mi_api_param_temp.para_name IS '参数名';

COMMENT ON COLUMN mi_api_param_temp.para_type IS '参数类型  1请求 2响应';

COMMENT ON COLUMN mi_api_param_temp.para_pos IS '参数位置';

COMMENT ON COLUMN mi_api_param_temp.para_desc IS '参数说明';

COMMENT ON COLUMN mi_api_param_temp.data_type IS '数据类型';

COMMENT ON COLUMN mi_api_param_temp.data_length IS '数据长度';

COMMENT ON COLUMN mi_api_param_temp.scale IS '精度';

COMMENT ON COLUMN mi_api_param_temp.required IS '是否必填';

COMMENT ON COLUMN mi_api_param_temp.parent_id IS '父id';

COMMENT ON COLUMN mi_api_param_temp.default_value IS '默认值';

COMMENT ON COLUMN mi_api_param_temp.create_by IS '创建人';

COMMENT ON COLUMN mi_api_param_temp.update_by IS '更新人';

COMMENT ON COLUMN mi_api_param_temp.create_time IS '创建时间';

COMMENT ON COLUMN mi_api_param_temp.update_time IS '更新时间';

CREATE UNIQUE INDEX idx_mi_api_param_temp_code ON mi_api_param_temp(project_code, env_code, api_code, api_version, para_code, para_type, parent_id);

-- Changeset V4.1.0_0_2_151__koca_lcp_runtime_api.xml::create_table_mi_api_temp::YaChao Lv
CREATE TABLE mi_api_temp (data_id NUMBER(38, 0) NOT NULL, project_code NVARCHAR2(64), api_version NVARCHAR2(32) NOT NULL, env_code NVARCHAR2(32), app_code NVARCHAR2(32), group_id NUMBER(38, 0), service_code NVARCHAR2(32), api_code NVARCHAR2(128), api_name NVARCHAR2(128), api_status NVARCHAR2(1), remark CLOB, version_remark CLOB, api_protocol NVARCHAR2(128), create_by NVARCHAR2(32), update_by NVARCHAR2(32), create_time TIMESTAMP, update_time TIMESTAMP, CONSTRAINT PK_MI_API_TEMP PRIMARY KEY (data_id));

COMMENT ON TABLE mi_api_temp IS 'api信息导入临时表';

COMMENT ON COLUMN mi_api_temp.data_id IS '主键ID';

COMMENT ON COLUMN mi_api_temp.project_code IS '项目编号';

COMMENT ON COLUMN mi_api_temp.api_version IS 'api版本';

COMMENT ON COLUMN mi_api_temp.env_code IS '环境编号';

COMMENT ON COLUMN mi_api_temp.app_code IS '应用代码';

COMMENT ON COLUMN mi_api_temp.group_id IS '分组ID';

COMMENT ON COLUMN mi_api_temp.service_code IS '服务代码';

COMMENT ON COLUMN mi_api_temp.api_code IS 'api代码';

COMMENT ON COLUMN mi_api_temp.api_name IS 'api名称';

COMMENT ON COLUMN mi_api_temp.api_status IS 'api状态';

COMMENT ON COLUMN mi_api_temp.remark IS '说明';

COMMENT ON COLUMN mi_api_temp.version_remark IS '版本说明';

COMMENT ON COLUMN mi_api_temp.api_protocol IS '多协议逗号分开';

COMMENT ON COLUMN mi_api_temp.create_by IS '创建人';

COMMENT ON COLUMN mi_api_temp.update_by IS '更新人';

COMMENT ON COLUMN mi_api_temp.create_time IS '创建时间';

COMMENT ON COLUMN mi_api_temp.update_time IS '更新时间';

CREATE UNIQUE INDEX udx_api_version_temp_code ON mi_api_temp(project_code, env_code, api_code, service_code, api_version);

-- Changeset V4.1.0_0_2_151__koca_lcp_runtime_api.xml::create_table_mi_api_version::YaChao Lv
CREATE TABLE mi_api_version (data_id NUMBER(38, 0) NOT NULL, api_version NVARCHAR2(32) NOT NULL, project_code NVARCHAR2(64), env_code NVARCHAR2(32), app_code NVARCHAR2(32), api_code NVARCHAR2(128), api_status NVARCHAR2(1), version_remark CLOB, api_protocol NVARCHAR2(128), create_by NVARCHAR2(32), update_by NVARCHAR2(32), create_time TIMESTAMP, update_time TIMESTAMP, CONSTRAINT PK_MI_API_VERSION PRIMARY KEY (data_id));

COMMENT ON TABLE mi_api_version IS 'api版本表';

COMMENT ON COLUMN mi_api_version.data_id IS '主键ID';

COMMENT ON COLUMN mi_api_version.api_version IS 'api版本';

COMMENT ON COLUMN mi_api_version.project_code IS '项目编号';

COMMENT ON COLUMN mi_api_version.env_code IS '环境编号';

COMMENT ON COLUMN mi_api_version.app_code IS '应用代码';

COMMENT ON COLUMN mi_api_version.api_code IS 'api代码';

COMMENT ON COLUMN mi_api_version.api_status IS 'api状态';

COMMENT ON COLUMN mi_api_version.version_remark IS '版本说明';

COMMENT ON COLUMN mi_api_version.api_protocol IS '多协议逗号分开';

COMMENT ON COLUMN mi_api_version.create_by IS '创建人';

COMMENT ON COLUMN mi_api_version.update_by IS '更新人';

COMMENT ON COLUMN mi_api_version.create_time IS '创建时间';

COMMENT ON COLUMN mi_api_version.update_time IS '更新时间';

CREATE UNIQUE INDEX udx_api_version_code ON mi_api_version(project_code, env_code, api_code, api_version);

-- Changeset V4.1.0_0_2_151__koca_lcp_runtime_api.xml::insert_koca_sys_menu::YaChao Lv
INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('416000', '0', '0', '接口管理', '', '', '415000', 'kui-icon-API', '0', '接口管理');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('416001', '0', '0', '接口管理', '/lcp-runtime-api/views/api-manage/apiauth/index.vue', '416000', '', '', '0', '接口管理');

-- Changeset V4.1.0_0_2_151__koca_lcp_runtime_api.xml::insert_koca_sys_dictionary::YaChao Lv
INSERT INTO koca_sys_dictionary (dict_code, dict_name, dict_type, maintain_flag, remark, tenant_id) VALUES ('21006', '参数类型', '0', '@', '', '');

INSERT INTO koca_sys_dictionary (dict_code, dict_name, dict_type, maintain_flag, remark, tenant_id) VALUES ('21005', '接口状态', '0', '@', '', '');

INSERT INTO koca_sys_dictionary_i18n (dict_code, language_type, dict_name) VALUES ('21005', 'zh_CN', '接口状态');

INSERT INTO koca_sys_dictionary_i18n (dict_code, language_type, dict_name) VALUES ('21006', 'zh_CN', '参数类型');

INSERT INTO koca_sys_dictionary_item (dict_code, org_code, dict_item, dict_item_name, dict_ord, remark) VALUES ('21006', '-1', '1', 'string', '1', '');

INSERT INTO koca_sys_dictionary_item (dict_code, org_code, dict_item, dict_item_name, dict_ord, remark) VALUES ('21006', '-1', '2', 'number', '2', '');

INSERT INTO koca_sys_dictionary_item (dict_code, org_code, dict_item, dict_item_name, dict_ord, remark) VALUES ('21006', '-1', '3', 'boolean', '3', '');

INSERT INTO koca_sys_dictionary_item (dict_code, org_code, dict_item, dict_item_name, dict_ord, remark) VALUES ('21006', '-1', '4', 'array', '4', '');

INSERT INTO koca_sys_dictionary_item (dict_code, org_code, dict_item, dict_item_name, dict_ord, remark) VALUES ('21006', '-1', '5', 'object', '5', '');

INSERT INTO koca_sys_dictionary_item (dict_code, org_code, dict_item, dict_item_name, dict_ord, remark) VALUES ('21005', '-1', '0', '禁用', '1', '');

INSERT INTO koca_sys_dictionary_item (dict_code, org_code, dict_item, dict_item_name, dict_ord, remark) VALUES ('21005', '-1', '1', '启用', '2', '');

INSERT INTO koca_sys_dictionary_item_i18n (dict_code, org_code, dict_item, dict_item_name, language_type) VALUES ('21006', '-1', '1', 'string', 'zh_CN');

INSERT INTO koca_sys_dictionary_item_i18n (dict_code, org_code, dict_item, dict_item_name, language_type) VALUES ('21006', '-1', '2', 'number', 'zh_CN');

INSERT INTO koca_sys_dictionary_item_i18n (dict_code, org_code, dict_item, dict_item_name, language_type) VALUES ('21006', '-1', '3', 'boolean', 'zh_CN');

INSERT INTO koca_sys_dictionary_item_i18n (dict_code, org_code, dict_item, dict_item_name, language_type) VALUES ('21006', '-1', '4', 'array', 'zh_CN');

INSERT INTO koca_sys_dictionary_item_i18n (dict_code, org_code, dict_item, dict_item_name, language_type) VALUES ('21006', '-1', '5', 'object', 'zh_CN');

INSERT INTO koca_sys_dictionary_item_i18n (dict_code, org_code, dict_item, dict_item_name, language_type) VALUES ('21005', '-1', '0', '禁用', 'zh_CN');

INSERT INTO koca_sys_dictionary_item_i18n (dict_code, org_code, dict_item, dict_item_name, language_type) VALUES ('21005', '-1', '1', '启用', 'zh_CN');