-- Changeset V4.2.0_0_2_151__koca_lcp_runtime_api.xml::alter_table_mi_api_basic::YaChao Lv
ALTER TABLE mi_api_basic ADD deploy_status NVARCHAR2(32) NOT NULL;

COMMENT ON COLUMN mi_api_basic.deploy_status IS '发布状态';

-- Changeset V4.2.0_0_2_151__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_basic_deployed::YaChao Lv
CREATE TABLE koca_lcp_api_basic_deployed (id NUMBER(38, 0) NOT NULL, tenant_id NVARCHAR2(32) DEFAULT '-1' NOT NULL, group_id NUMBER(38, 0), api_id NUMBER(38, 0) NOT NULL, api_code NVARCHAR2(128), api_name NVARCHAR2(128), api_pos NUMBER(38, 0) DEFAULT 1 NOT NULL, remark CLOB, access_api_code NVARCHAR2(128), api_protocol NVARCHAR2(2), model_id NUMBER(38, 0), crud_type NVARCHAR2(32), his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_BASIC_DEPLOYED PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_api_basic_deployed IS 'api基础信息发布表';

COMMENT ON COLUMN koca_lcp_api_basic_deployed.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_api_basic_deployed.tenant_id IS '租户ID';

COMMENT ON COLUMN koca_lcp_api_basic_deployed.group_id IS '分组ID';

COMMENT ON COLUMN koca_lcp_api_basic_deployed.api_id IS 'api主键';

COMMENT ON COLUMN koca_lcp_api_basic_deployed.api_code IS 'api代码';

COMMENT ON COLUMN koca_lcp_api_basic_deployed.api_name IS 'api名称';

COMMENT ON COLUMN koca_lcp_api_basic_deployed.api_pos IS 'api排序';

COMMENT ON COLUMN koca_lcp_api_basic_deployed.remark IS '说明';

COMMENT ON COLUMN koca_lcp_api_basic_deployed.access_api_code IS '接入api代码';

COMMENT ON COLUMN koca_lcp_api_basic_deployed.api_protocol IS '接口协议(类型)';

COMMENT ON COLUMN koca_lcp_api_basic_deployed.model_id IS '数据模型ID';

COMMENT ON COLUMN koca_lcp_api_basic_deployed.crud_type IS '增删改查类型';

COMMENT ON COLUMN koca_lcp_api_basic_deployed.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_api_basic_deployed_id ON koca_lcp_api_basic_deployed(tenant_id, api_code);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('KOCA_LCP_API_BASIC_DEPLOYED_NO', '接口发布序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('KOCA_LCP_API_BASIC_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.2.0_0_2_151__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_basic_his::YaChao Lv
CREATE TABLE koca_lcp_api_basic_his (id NUMBER(38, 0) NOT NULL, tenant_id NVARCHAR2(32) DEFAULT '-1' NOT NULL, api_id NUMBER(38, 0) NOT NULL, api_code NVARCHAR2(128), api_name NVARCHAR2(128), api_pos NUMBER(38, 0) DEFAULT 1 NOT NULL, remark CLOB, access_api_code NVARCHAR2(128), api_protocol NVARCHAR2(2), model_id NUMBER(38, 0), crud_type NVARCHAR2(32), his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_BASIC_HIS PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_api_basic_his IS 'api基础信息历史表';

COMMENT ON COLUMN koca_lcp_api_basic_his.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_api_basic_his.tenant_id IS '租户ID';

COMMENT ON COLUMN koca_lcp_api_basic_his.api_id IS 'api主键';

COMMENT ON COLUMN koca_lcp_api_basic_his.api_code IS 'api代码';

COMMENT ON COLUMN koca_lcp_api_basic_his.api_name IS 'api名称';

COMMENT ON COLUMN koca_lcp_api_basic_his.api_pos IS 'api排序';

COMMENT ON COLUMN koca_lcp_api_basic_his.remark IS '说明';

COMMENT ON COLUMN koca_lcp_api_basic_his.access_api_code IS '接入api代码';

COMMENT ON COLUMN koca_lcp_api_basic_his.api_protocol IS '接口协议(类型)';

COMMENT ON COLUMN koca_lcp_api_basic_his.model_id IS '数据模型ID';

COMMENT ON COLUMN koca_lcp_api_basic_his.crud_type IS '增删改查类型';

COMMENT ON COLUMN koca_lcp_api_basic_his.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_api_basic_his_id ON koca_lcp_api_basic_his(tenant_id, api_code, his_version);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('KOCA_LCP_API_BASIC_HIS_NO', '接口历史序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('KOCA_LCP_API_BASIC_HIS_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.2.0_0_2_151__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_param_deployed::YaChao Lv
CREATE TABLE koca_lcp_api_param_deployed (id NUMBER(38, 0) NOT NULL, api_param_id NUMBER(38, 0) NOT NULL, tenant_id NVARCHAR2(32) DEFAULT '-1' NOT NULL, api_code NVARCHAR2(128) NOT NULL, api_version NVARCHAR2(32) NOT NULL, para_code NVARCHAR2(128) NOT NULL, access_param_code NVARCHAR2(128), parent_id INTEGER, para_name NVARCHAR2(120) NOT NULL, para_type INTEGER, para_pos NVARCHAR2(30), para_desc NVARCHAR2(1000), data_type NVARCHAR2(32), data_length NVARCHAR2(32), scale NUMBER(10, 2), required INTEGER, default_value NVARCHAR2(128), model_field_code NVARCHAR2(512), his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_PARAM_DEPLOYED PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_api_param_deployed IS 'api参数发布表';

COMMENT ON COLUMN koca_lcp_api_param_deployed.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_api_param_deployed.api_param_id IS 'api参数id';

COMMENT ON COLUMN koca_lcp_api_param_deployed.tenant_id IS '租户ID';

COMMENT ON COLUMN koca_lcp_api_param_deployed.api_code IS 'api代码';

COMMENT ON COLUMN koca_lcp_api_param_deployed.api_version IS 'api版本';

COMMENT ON COLUMN koca_lcp_api_param_deployed.para_code IS '参数代码';

COMMENT ON COLUMN koca_lcp_api_param_deployed.access_param_code IS '接入参数代码';

COMMENT ON COLUMN koca_lcp_api_param_deployed.parent_id IS '父id';

COMMENT ON COLUMN koca_lcp_api_param_deployed.para_name IS '参数名';

COMMENT ON COLUMN koca_lcp_api_param_deployed.para_type IS '参数类型  1请求 2响应';

COMMENT ON COLUMN koca_lcp_api_param_deployed.para_pos IS '参数位置';

COMMENT ON COLUMN koca_lcp_api_param_deployed.para_desc IS '参数说明';

COMMENT ON COLUMN koca_lcp_api_param_deployed.data_type IS '数据类型';

COMMENT ON COLUMN koca_lcp_api_param_deployed.data_length IS '数据长度';

COMMENT ON COLUMN koca_lcp_api_param_deployed.scale IS '精度';

COMMENT ON COLUMN koca_lcp_api_param_deployed.required IS '是否必填';

COMMENT ON COLUMN koca_lcp_api_param_deployed.default_value IS '默认值';

COMMENT ON COLUMN koca_lcp_api_param_deployed.model_field_code IS '数据模型字段代码';

COMMENT ON COLUMN koca_lcp_api_param_deployed.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_api_param_code_deployed ON koca_lcp_api_param_deployed(tenant_id, api_code, api_version, para_code, para_type, parent_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('KOCA_LCP_API_PARAM_DEPLOYED_NO', '接口发布序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('KOCA_LCP_API_PARAM_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.2.0_0_2_151__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_param_his::YaChao Lv
CREATE TABLE koca_lcp_api_param_his (id NUMBER(38, 0) NOT NULL, tenant_id NVARCHAR2(32) DEFAULT '-1' NOT NULL, api_id NUMBER(38, 0) NOT NULL, api_param_id NUMBER(38, 0) NOT NULL, api_code NVARCHAR2(128) NOT NULL, api_version NVARCHAR2(32) NOT NULL, para_code NVARCHAR2(128) NOT NULL, access_param_code NVARCHAR2(128), parent_id INTEGER, para_name NVARCHAR2(120) NOT NULL, para_type INTEGER, para_pos NVARCHAR2(30), para_desc NVARCHAR2(1000), data_type NVARCHAR2(32), data_length NVARCHAR2(32), scale NUMBER(10, 2), required INTEGER, default_value NVARCHAR2(128), model_field_code NVARCHAR2(512), his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_PARAM_HIS PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_api_param_his IS 'api参数历史表';

COMMENT ON COLUMN koca_lcp_api_param_his.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_api_param_his.tenant_id IS '租户ID';

COMMENT ON COLUMN koca_lcp_api_param_his.api_id IS 'api主键';

COMMENT ON COLUMN koca_lcp_api_param_his.api_param_id IS 'api参数id';

COMMENT ON COLUMN koca_lcp_api_param_his.api_code IS 'api代码';

COMMENT ON COLUMN koca_lcp_api_param_his.api_version IS 'api版本';

COMMENT ON COLUMN koca_lcp_api_param_his.para_code IS '参数代码';

COMMENT ON COLUMN koca_lcp_api_param_his.access_param_code IS '接入参数代码';

COMMENT ON COLUMN koca_lcp_api_param_his.parent_id IS '父id';

COMMENT ON COLUMN koca_lcp_api_param_his.para_name IS '参数名';

COMMENT ON COLUMN koca_lcp_api_param_his.para_type IS '参数类型  1请求 2响应';

COMMENT ON COLUMN koca_lcp_api_param_his.para_pos IS '参数位置';

COMMENT ON COLUMN koca_lcp_api_param_his.para_desc IS '参数说明';

COMMENT ON COLUMN koca_lcp_api_param_his.data_type IS '数据类型';

COMMENT ON COLUMN koca_lcp_api_param_his.data_length IS '数据长度';

COMMENT ON COLUMN koca_lcp_api_param_his.scale IS '精度';

COMMENT ON COLUMN koca_lcp_api_param_his.required IS '是否必填';

COMMENT ON COLUMN koca_lcp_api_param_his.default_value IS '默认值';

COMMENT ON COLUMN koca_lcp_api_param_his.model_field_code IS '数据模型字段代码';

COMMENT ON COLUMN koca_lcp_api_param_his.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_api_param_code_his ON koca_lcp_api_param_his(tenant_id, api_code, api_version, his_version, para_code, para_type, parent_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('KOCA_LCP_API_PARAM_HIS_NO', '接口历史序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('KOCA_LCP_API_PARAM_HIS_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.2.0_0_2_151__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_param_meta_deploy::YaChao Lv
CREATE TABLE koca_lcp_api_param_meta_deploy (id NUMBER(38, 0) NOT NULL, api_param_id NUMBER(38, 0) NOT NULL, meta_info CLOB, his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_PARAM_META_DEP PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_api_param_meta_deploy IS '已发布API参数前端元数据';

COMMENT ON COLUMN koca_lcp_api_param_meta_deploy.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_api_param_meta_deploy.api_param_id IS '接口参数id';

COMMENT ON COLUMN koca_lcp_api_param_meta_deploy.meta_info IS '前端元数据信息';

COMMENT ON COLUMN koca_lcp_api_param_meta_deploy.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_api_param_id_deployed ON koca_lcp_api_param_meta_deploy(api_param_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_API_PARAM_META_DEPLOYED_NO', 'LCP已发布接口参数元数据序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_API_PARAM_META_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.2.0_0_2_151__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_param_meta_his::YaChao Lv
CREATE TABLE koca_lcp_api_param_meta_his (id NUMBER(38, 0) NOT NULL, api_id NUMBER(38, 0) NOT NULL, api_param_id NUMBER(38, 0) NOT NULL, meta_info CLOB, his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_PARAM_META_HIS PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_api_param_meta_his IS 'API参数前端元数据历史表';

COMMENT ON COLUMN koca_lcp_api_param_meta_his.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_api_param_meta_his.api_id IS 'api主键';

COMMENT ON COLUMN koca_lcp_api_param_meta_his.api_param_id IS '接口参数id';

COMMENT ON COLUMN koca_lcp_api_param_meta_his.meta_info IS '前端元数据信息';

COMMENT ON COLUMN koca_lcp_api_param_meta_his.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_api_param_id_his ON koca_lcp_api_param_meta_his(api_param_id, his_version);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_API_PARAM_META_HIS_NO', 'LCP接口参数元数据历史序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_API_PARAM_META_HIS_NO', '0', '0', '0', '100000', '', '');