-- Changeset V4.3.0_0_2_142__koca_lcp_runtime_component.xml::alter_table_koca_lcp_comp2::YaChao Lv
ALTER TABLE koca_lcp_comp2 ADD comp_remark NVARCHAR2(256);

ALTER TABLE koca_lcp_comp2 ADD deploy_status NVARCHAR2(32) DEFAULT 'NOT_DEPLOYED' NOT NULL;

COMMENT ON COLUMN koca_lcp_comp2.comp_remark IS '组件描述';

COMMENT ON COLUMN koca_lcp_comp2.deploy_status IS '发布状态';

-- Changeset V4.3.0_0_2_142__koca_lcp_runtime_component.xml::create_table_koca_lcp_comp2_deployed::YaChao Lv
CREATE TABLE koca_lcp_comp2_deployed (id NUMBER(38, 0) NOT NULL, comp_id NUMBER(38, 0) NOT NULL, tenant_id NVARCHAR2(32) DEFAULT '-1' NOT NULL, group_id NUMBER(38, 0) DEFAULT '-1' NOT NULL, comp_code NVARCHAR2(64) NOT NULL, comp_name NVARCHAR2(64) NOT NULL, comp_meta CLOB, comp_remark NVARCHAR2(256), his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_COMP2_DEPLOYED PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_comp2_deployed IS '业务组件管理已发布表';

COMMENT ON COLUMN koca_lcp_comp2_deployed.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_comp2_deployed.comp_id IS '组件ID';

COMMENT ON COLUMN koca_lcp_comp2_deployed.tenant_id IS '租户id';

COMMENT ON COLUMN koca_lcp_comp2_deployed.group_id IS '父级目录';

COMMENT ON COLUMN koca_lcp_comp2_deployed.comp_code IS '组件编码';

COMMENT ON COLUMN koca_lcp_comp2_deployed.comp_name IS '组件名称';

COMMENT ON COLUMN koca_lcp_comp2_deployed.comp_meta IS '组件元数据';

COMMENT ON COLUMN koca_lcp_comp2_deployed.comp_remark IS '组件描述';

COMMENT ON COLUMN koca_lcp_comp2_deployed.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_lcp_comp2_deployed_code ON koca_lcp_comp2_deployed(tenant_id, group_id, comp_code);

CREATE UNIQUE INDEX uk_lcp_comp2_deployed_name ON koca_lcp_comp2_deployed(tenant_id, group_id, comp_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_DEPLOYED_NO', '发布组件序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.3.0_0_2_142__koca_lcp_runtime_component.xml::create_table_koca_lcp_comp2_his::YaChao Lv
CREATE TABLE koca_lcp_comp2_his (id NUMBER(38, 0) NOT NULL, comp_id NUMBER(38, 0) NOT NULL, tenant_id NVARCHAR2(32) DEFAULT '-1' NOT NULL, group_id NUMBER(38, 0) DEFAULT '-1' NOT NULL, comp_code NVARCHAR2(64) NOT NULL, comp_name NVARCHAR2(64) NOT NULL, comp_meta CLOB, comp_remark NVARCHAR2(256), his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_COMP2_HIS PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_comp2_his IS '业务组件发布历史表';

COMMENT ON COLUMN koca_lcp_comp2_his.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_comp2_his.comp_id IS '组件ID';

COMMENT ON COLUMN koca_lcp_comp2_his.tenant_id IS '租户id';

COMMENT ON COLUMN koca_lcp_comp2_his.group_id IS '父级目录';

COMMENT ON COLUMN koca_lcp_comp2_his.comp_code IS '组件编码';

COMMENT ON COLUMN koca_lcp_comp2_his.comp_name IS '组件名称';

COMMENT ON COLUMN koca_lcp_comp2_his.comp_meta IS '组件元数据';

COMMENT ON COLUMN koca_lcp_comp2_his.comp_remark IS '组件描述';

COMMENT ON COLUMN koca_lcp_comp2_his.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_lcp_comp2_his_code ON koca_lcp_comp2_his(tenant_id, group_id, his_version, comp_code);

CREATE UNIQUE INDEX uk_lcp_comp2_his_name ON koca_lcp_comp2_his(tenant_id, group_id, his_version, comp_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_HIS_NO', '组件历史序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_HIS_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.3.0_0_2_142__koca_lcp_runtime_component.xml::create_table_koca_lcp_var_comp2_deployed::YaChao Lv
CREATE TABLE koca_lcp_var_comp2_deployed (id NUMBER(38, 0) NOT NULL, var_name NVARCHAR2(512) NOT NULL, comp2_id NUMBER(38, 0) NOT NULL, his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_VAR_COMP2_DEPLOYED PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_var_comp2_deployed IS '全局变量/方法-组件映射发布表';

COMMENT ON COLUMN koca_lcp_var_comp2_deployed.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_var_comp2_deployed.var_name IS '全局变量/方法名称';

COMMENT ON COLUMN koca_lcp_var_comp2_deployed.comp2_id IS '组件id';

COMMENT ON COLUMN koca_lcp_var_comp2_deployed.his_version IS '组件历史版本号';

CREATE UNIQUE INDEX uk_lcp_comp2_var_deployed ON koca_lcp_var_comp2_deployed(comp2_id, var_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_VAR_DEPLOYED_NO', '变量/方法组件关系发布表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_VAR_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.3.0_0_2_142__koca_lcp_runtime_component.xml::create_table_koca_lcp_var_comp2_his::YaChao Lv
CREATE TABLE koca_lcp_var_comp2_his (id NUMBER(38, 0) NOT NULL, var_name NVARCHAR2(512) NOT NULL, comp2_id NUMBER(38, 0) NOT NULL, his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_VAR_COMP2_HIS PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_var_comp2_his IS '全局变量/方法-组件映射发布历史表';

COMMENT ON COLUMN koca_lcp_var_comp2_his.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_var_comp2_his.var_name IS '全局变量/方法名称';

COMMENT ON COLUMN koca_lcp_var_comp2_his.comp2_id IS '组件id';

COMMENT ON COLUMN koca_lcp_var_comp2_his.his_version IS '组件历史版本号';

CREATE UNIQUE INDEX uk_lcp_comp2_var_his ON koca_lcp_var_comp2_his(comp2_id, var_name, his_version);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_VAR_HIS_NO', '变量/方法组件关系发布历史表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_VAR_HIS_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.3.0_0_2_142__koca_lcp_runtime_component.xml::create_table_koca_lcp_api_comp2_deployed::YaChao Lv
CREATE TABLE koca_lcp_api_comp2_deployed (id NUMBER(38, 0) NOT NULL, data_id NUMBER(38, 0) NOT NULL, comp2_id NUMBER(38, 0) NOT NULL, his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_COMP2_DEPLOYED PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_api_comp2_deployed IS '接口-组件映射发布表';

COMMENT ON COLUMN koca_lcp_api_comp2_deployed.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_api_comp2_deployed.data_id IS '字段id';

COMMENT ON COLUMN koca_lcp_api_comp2_deployed.comp2_id IS '组件id';

COMMENT ON COLUMN koca_lcp_api_comp2_deployed.his_version IS '组件历史版本号';

CREATE UNIQUE INDEX uk_lcp_comp2_api_deployed ON koca_lcp_api_comp2_deployed(data_id, comp2_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_API_DEPLOYED_NO', '接口组件关系发布表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_API_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.3.0_0_2_142__koca_lcp_runtime_component.xml::create_table_koca_lcp_api_comp2_his::YaChao Lv
CREATE TABLE koca_lcp_api_comp2_his (id NUMBER(38, 0) NOT NULL, data_id NUMBER(38, 0) NOT NULL, comp2_id NUMBER(38, 0) NOT NULL, his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_COMP2_HIS PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_api_comp2_his IS '接口-组件映射发布历史表';

COMMENT ON COLUMN koca_lcp_api_comp2_his.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_api_comp2_his.data_id IS '字段id';

COMMENT ON COLUMN koca_lcp_api_comp2_his.comp2_id IS '组件id';

COMMENT ON COLUMN koca_lcp_api_comp2_his.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_lcp_comp2_api_his ON koca_lcp_api_comp2_his(data_id, comp2_id, his_version);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_API_HIS_NO', '接口组件关系发布历史表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_API_HIS_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.3.0_0_2_142__koca_lcp_runtime_component.xml::create_table_koca_lcp_comp2_comp2_deployed::YaChao Lv
CREATE TABLE koca_lcp_comp2_comp2_deployed (id NUMBER(38, 0) NOT NULL, curr_id NUMBER(38, 0) NOT NULL, target_id NUMBER(38, 0) NOT NULL, his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_COMP2_COMP2_DEPLOY PRIMARY KEY (id, curr_id, target_id));

COMMENT ON TABLE koca_lcp_comp2_comp2_deployed IS '组件-组件映射发布表';

COMMENT ON COLUMN koca_lcp_comp2_comp2_deployed.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_comp2_comp2_deployed.curr_id IS '当前组件id';

COMMENT ON COLUMN koca_lcp_comp2_comp2_deployed.target_id IS '关联组件id';

COMMENT ON COLUMN koca_lcp_comp2_comp2_deployed.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_lcp_comp2_comp2_deployed ON koca_lcp_comp2_comp2_deployed(curr_id, target_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_COMP2_DEPLOYED_NO', '组件-组件关系发布表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_COMP2_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.3.0_0_2_142__koca_lcp_runtime_component.xml::create_table_koca_lcp_comp2_comp2_his::YaChao Lv
CREATE TABLE koca_lcp_comp2_comp2_his (id NUMBER(38, 0) NOT NULL, curr_id NUMBER(38, 0) NOT NULL, target_id NUMBER(38, 0) NOT NULL, his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_COMP2_COMP2_HIS PRIMARY KEY (id, curr_id, target_id));

COMMENT ON TABLE koca_lcp_comp2_comp2_his IS '组件-组件映射发布历史表';

COMMENT ON COLUMN koca_lcp_comp2_comp2_his.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_comp2_comp2_his.curr_id IS '当前组件id';

COMMENT ON COLUMN koca_lcp_comp2_comp2_his.target_id IS '关联组件id';

COMMENT ON COLUMN koca_lcp_comp2_comp2_his.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_lcp_comp2_comp2_his ON koca_lcp_comp2_comp2_his(curr_id, target_id, his_version);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_COMP2_HIS_NO', '组件-组件关系发布历史表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_COMP2_HIS_NO', '0', '0', '0', '100000', '', '');