-- Changeset ALL_1_2101__koca_lcp_runtime_datasource.xml::cerate_table_koca_lcp_datasource_ds::YaChao Lv
CREATE TABLE koca_lcp_datasource_ds (id NUMBER(38, 0) NOT NULL, tenant_id NVARCHAR2(32) DEFAULT '-1' NOT NULL, group_id NUMBER(38, 0), ds_name NVARCHAR2(64) NOT NULL, ds_type NVARCHAR2(32) NOT NULL, db_type NVARCHAR2(32) NOT NULL, ds_bean_name NVARCHAR2(64), host_ip NVARCHAR2(512), host_port INTEGER, db_schema NVARCHAR2(128), db_username NVARCHAR2(64), db_password NVARCHAR2(256), db_jdbc NVARCHAR2(1024), db_jdbc_self_defined CHAR(1), created_by NVARCHAR2(32) NOT NULL, updated_by NVARCHAR2(32) NOT NULL, created_at NVARCHAR2(32) NOT NULL, updated_at NVARCHAR2(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_DATASOURCE_DS PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_datasource_ds IS '数据源管理';

COMMENT ON COLUMN koca_lcp_datasource_ds.id IS '主键';

COMMENT ON COLUMN koca_lcp_datasource_ds.tenant_id IS '租户ID';

COMMENT ON COLUMN koca_lcp_datasource_ds.group_id IS '分组ID';

COMMENT ON COLUMN koca_lcp_datasource_ds.ds_name IS '数据源名称';

COMMENT ON COLUMN koca_lcp_datasource_ds.ds_type IS '数据源类型';

COMMENT ON COLUMN koca_lcp_datasource_ds.db_type IS '数据库类型';

COMMENT ON COLUMN koca_lcp_datasource_ds.ds_bean_name IS '数据源beanName';

COMMENT ON COLUMN koca_lcp_datasource_ds.host_ip IS '主机IP';

COMMENT ON COLUMN koca_lcp_datasource_ds.host_port IS '主机端口';

COMMENT ON COLUMN koca_lcp_datasource_ds.db_schema IS '数据库';

COMMENT ON COLUMN koca_lcp_datasource_ds.db_username IS '用户名';

COMMENT ON COLUMN koca_lcp_datasource_ds.db_password IS '密码';

COMMENT ON COLUMN koca_lcp_datasource_ds.db_jdbc IS 'jdbc连接';

COMMENT ON COLUMN koca_lcp_datasource_ds.db_jdbc_self_defined IS 'jdbc连接自定义标识';

COMMENT ON COLUMN koca_lcp_datasource_ds.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_datasource_ds.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_datasource_ds.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_datasource_ds.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_ds_tenant_name ON koca_lcp_datasource_ds(ds_name, tenant_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATASOURCE_DS', 'LCP数据源序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATASOURCE_DS', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2101__koca_lcp_runtime_datasource.xml::cerate_table_koca_lcp_datasource_ds_group::YaChao Lv
CREATE TABLE koca_lcp_datasource_ds_group (id NUMBER(38, 0) NOT NULL, group_name NVARCHAR2(32) NOT NULL, tenant_id NVARCHAR2(32) DEFAULT '-1' NOT NULL, CONSTRAINT PK_KOCA_LCP_DATASOURCE_DS_GROU PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_datasource_ds_group IS '数据源分组';

COMMENT ON COLUMN koca_lcp_datasource_ds_group.id IS '主键';

COMMENT ON COLUMN koca_lcp_datasource_ds_group.group_name IS '分组名称';

COMMENT ON COLUMN koca_lcp_datasource_ds_group.tenant_id IS '租户ID';

CREATE UNIQUE INDEX uk_ds_group_name ON koca_lcp_datasource_ds_group(group_name, tenant_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATASOURCE_DS_GROUP', 'LCP数据源分组序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATASOURCE_DS_GROUP', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2101__koca_lcp_runtime_datasource.xml::insert_koca_sys_menu::YaChao Lv
INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('411000', '0', '0', '数据源', '', '', '102001', 'kui-icon-database', '0', '数据源');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('411001', '0', '0', '数据源管理', '/lcp-runtime-model/views/data-source/datasource-manage/index.tsx', '411000', '', '', '0', '数据源管理');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('411002', '0', '2', '新增/编辑', '', '411001', '', '', '0', '新增/编辑');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('411003', '0', '2', '删除', '', '411001', '411002', '', '0', '删除');

-- Changeset ALL_1_2101__koca_lcp_runtime_datasource.xml::insert_koca_menu_api::YaChao Lv
INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('411001', '41100101', '/datasource/ds/inner/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('411001', '41100102', '/datasource/ds/detail');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('411001', '41100103', '/datasource/ds/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('411001', '41100104', '/datasource/ds/group/all');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('411001', '41100105', '/datasource/ds/dbList');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('411002', '41100201', '/datasource/ds/testConnect');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('411002', '41100202', '/datasource/ds/group/update');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('411002', '41100203', '/datasource/ds/group/create');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('411002', '41100204', '/datasource/ds/move');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('411002', '41100205', '/datasource/ds/copy');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('411002', '41100206', '/datasource/ds/update');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('411002', '41100207', '/datasource/ds/create');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('411003', '41100301', '/datasource/ds/delete');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('411003', '41100302', '/datasource/ds/group/delete');
update koca_sys_menu set menu_status=1 where menu_id in ('411000');
