-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_dic::qiuhang
CREATE TABLE koca_lcp_data_dic (id NUMBER(38, 0) NOT NULL, tenant_id NVARCHAR2(32) DEFAULT '-1' NOT NULL, dic_code NVARCHAR2(32) NOT NULL, dic_name NVARCHAR2(32) NOT NULL, created_by NVARCHAR2(32) NOT NULL, updated_by NVARCHAR2(32) NOT NULL, created_at NVARCHAR2(32) NOT NULL, updated_at NVARCHAR2(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_DATA_DIC PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_data_dic IS '数据字典表';

COMMENT ON COLUMN koca_lcp_data_dic.id IS '字典id';

COMMENT ON COLUMN koca_lcp_data_dic.tenant_id IS '租户id';

COMMENT ON COLUMN koca_lcp_data_dic.dic_code IS '字典代码';

COMMENT ON COLUMN koca_lcp_data_dic.dic_name IS '字典名称';

COMMENT ON COLUMN koca_lcp_data_dic.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_data_dic.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_data_dic.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_data_dic.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_dict_code_tenant_id ON koca_lcp_data_dic(dic_code, tenant_id);

CREATE UNIQUE INDEX uk_dict_name_tenant_id ON koca_lcp_data_dic(dic_name, tenant_id);

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_dic::qiuhang
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_DIC_NO', '数据字典序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_DIC_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_dic_item::qiuhang
CREATE TABLE koca_lcp_data_dic_item (id NUMBER(38, 0) NOT NULL, dic_id NUMBER(38, 0) NOT NULL, dic_item_code NVARCHAR2(32) NOT NULL, dic_item_name NVARCHAR2(32) NOT NULL, dic_item_ord INTEGER NOT NULL, created_by NVARCHAR2(32) NOT NULL, updated_by NVARCHAR2(32) NOT NULL, created_at NVARCHAR2(32) NOT NULL, updated_at NVARCHAR2(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_DATA_DIC_ITEM PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_data_dic_item IS '数据字典项表';

COMMENT ON COLUMN koca_lcp_data_dic_item.id IS '字典项id';

COMMENT ON COLUMN koca_lcp_data_dic_item.dic_id IS '字典id';

COMMENT ON COLUMN koca_lcp_data_dic_item.dic_item_code IS '字典项代码';

COMMENT ON COLUMN koca_lcp_data_dic_item.dic_item_name IS '字典项名称';

COMMENT ON COLUMN koca_lcp_data_dic_item.dic_item_ord IS '字典项顺序';

COMMENT ON COLUMN koca_lcp_data_dic_item.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_data_dic_item.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_data_dic_item.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_data_dic_item.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_data_dic_item_code ON koca_lcp_data_dic_item(dic_id, dic_item_code);

CREATE UNIQUE INDEX uk_data_dic_item_name ON koca_lcp_data_dic_item(dic_id, dic_item_name);

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_dic_item::qiuhang
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_DIC_ITEM_NO', '数据字典项序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_DIC_ITEM_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_type::qiuhang
CREATE TABLE koca_lcp_data_type (id NUMBER(38, 0) NOT NULL, tenant_id NVARCHAR2(32) DEFAULT '-1' NOT NULL, type_name NVARCHAR2(32) NOT NULL, type_code NVARCHAR2(32) NOT NULL, remark NVARCHAR2(255) NOT NULL, api_param_type NVARCHAR2(32) NOT NULL, component NVARCHAR2(64) NOT NULL, jdbc_type NVARCHAR2(32), java_type NVARCHAR2(255), is_default CHAR(1) DEFAULT 'N' NOT NULL, created_by NVARCHAR2(32) NOT NULL, updated_by NVARCHAR2(32) NOT NULL, created_at NVARCHAR2(32) NOT NULL, updated_at NVARCHAR2(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_DATA_TYPE PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_data_type IS '数据类型表';

COMMENT ON COLUMN koca_lcp_data_type.id IS '类型id';

COMMENT ON COLUMN koca_lcp_data_type.tenant_id IS '租户id';

COMMENT ON COLUMN koca_lcp_data_type.type_name IS '类型名称';

COMMENT ON COLUMN koca_lcp_data_type.type_code IS '类型代码';

COMMENT ON COLUMN koca_lcp_data_type.remark IS '类型描述';

COMMENT ON COLUMN koca_lcp_data_type.api_param_type IS 'API参数类型';

COMMENT ON COLUMN koca_lcp_data_type.component IS '数据录入组件';

COMMENT ON COLUMN koca_lcp_data_type.jdbc_type IS 'jdbc类型';

COMMENT ON COLUMN koca_lcp_data_type.java_type IS 'java类型';

COMMENT ON COLUMN koca_lcp_data_type.is_default IS '是否默认';

COMMENT ON COLUMN koca_lcp_data_type.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_data_type.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_data_type.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_data_type.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_data_type_name_tenant_id ON koca_lcp_data_type(type_name, tenant_id);

CREATE UNIQUE INDEX uk_data_type_code_tenant_id ON koca_lcp_data_type(type_code, tenant_id);

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_type::qiuhang
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_TYPE_NO', '数据类型序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_TYPE_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_lcp_data_type::qiuhang
INSERT INTO koca_lcp_data_type (id, type_name, type_code, remark, api_param_type, component, jdbc_type, java_type, created_by, updated_by, created_at, updated_at) VALUES ('1', '定长字符串', 'char', '存储固定长度或长度差异较小的字符串，如性别、身份证号、手机号码、MD5值等', 'String', 'kui-input', 'VARCHAR', 'String', 'admin', 'admin', '2022-10-12 09:00:00', '2022-10-12 09:00:00');

INSERT INTO koca_lcp_data_type (id, type_name, type_code, remark, api_param_type, component, jdbc_type, java_type, is_default, created_by, updated_by, created_at, updated_at) VALUES ('2', '变长字符串', 'varchar', '存储长度不确定或长度差异较大的字符串，如标题、描述、用户名、邮箱、链接等', 'String', 'kui-input', 'VARCHAR', 'String', 'Y', 'admin', 'admin', '2022-10-12 09:00:00', '2022-10-12 09:00:00');

INSERT INTO koca_lcp_data_type (id, type_name, type_code, remark, api_param_type, component, jdbc_type, java_type, created_by, updated_by, created_at, updated_at) VALUES ('3', '整数(int)', 'int', '存储整型数据，如年龄、数量、序号等', 'Integer', 'kui-input', 'VARCHAR', 'String', 'admin', 'admin', '2022-10-12 09:00:00', '2022-10-12 09:00:00');

INSERT INTO koca_lcp_data_type (id, type_name, type_code, remark, api_param_type, component, jdbc_type, java_type, created_by, updated_by, created_at, updated_at) VALUES ('4', '整数(integer)', 'integer', '存储整型数据，如年龄、数量、序号等', 'Integer', 'kui-input', 'VARCHAR', 'String', 'admin', 'admin', '2022-10-12 09:00:00', '2022-10-12 09:00:00');

INSERT INTO koca_lcp_data_type (id, type_name, type_code, remark, api_param_type, component, jdbc_type, java_type, created_by, updated_by, created_at, updated_at) VALUES ('5', '短整数', 'smallint', '存储短整型数据，如天数、编号等', 'Integer', 'kui-input', 'VARCHAR', 'String', 'admin', 'admin', '2022-10-12 09:00:00', '2022-10-12 09:00:00');

INSERT INTO koca_lcp_data_type (id, type_name, type_code, remark, api_param_type, component, jdbc_type, java_type, created_by, updated_by, created_at, updated_at) VALUES ('6', '长整数', 'bigint', '存储长整型数据，如流水号、账号、ID等', 'Integer', 'kui-input', 'VARCHAR', 'String', 'admin', 'admin', '2022-10-12 09:00:00', '2022-10-12 09:00:00');

INSERT INTO koca_lcp_data_type (id, type_name, type_code, remark, api_param_type, component, jdbc_type, java_type, created_by, updated_by, created_at, updated_at) VALUES ('7', '小数', 'double', '存储固定精度的小数，如金额、经纬度、平均数等', 'Number', 'kui-input', 'VARCHAR', 'String', 'admin', 'admin', '2022-10-12 09:00:00', '2022-10-12 09:00:00');

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_type_db::qiuhang
CREATE TABLE koca_lcp_data_type_db (id NUMBER(38, 0) NOT NULL, db_type NVARCHAR2(32) NOT NULL, data_type_id NUMBER(38, 0) NOT NULL, db_field_type NVARCHAR2(32), jdbc_type NVARCHAR2(32), java_type NVARCHAR2(255), CONSTRAINT PK_KOCA_LCP_DATA_TYPE_DB PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_data_type_db IS '数据库-数据类型关联表';

COMMENT ON COLUMN koca_lcp_data_type_db.id IS '类型id';

COMMENT ON COLUMN koca_lcp_data_type_db.db_type IS '数据库类型';

COMMENT ON COLUMN koca_lcp_data_type_db.data_type_id IS '数据类型ID';

COMMENT ON COLUMN koca_lcp_data_type_db.db_field_type IS '数据库字段类型';

COMMENT ON COLUMN koca_lcp_data_type_db.jdbc_type IS 'jdbc类型';

COMMENT ON COLUMN koca_lcp_data_type_db.java_type IS 'java类型';

CREATE UNIQUE INDEX uk_data_type_db ON koca_lcp_data_type_db(db_type, data_type_id);

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_type_db::qiuhang
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_TYPE_DB_NO', '数据类型关联序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_TYPE_DB_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_lcp_data_type_db::qiuhang
INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('1', 'ORACLE', '1', 'CHAR', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('2', 'ORACLE', '2', 'VARCHAR2', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('3', 'ORACLE', '3', 'INTEGER', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('4', 'ORACLE', '4', 'INTEGER', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('5', 'ORACLE', '5', 'NUMBER(5)', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('6', 'ORACLE', '6', 'NUMBER(38)', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('7', 'ORACLE', '7', 'DECIMAL', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('8', 'MYSQL', '1', 'CHAR', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('9', 'MYSQL', '2', 'VARCHAR', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('10', 'MYSQL', '3', 'INT', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('11', 'MYSQL', '4', 'INTEGER', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('12', 'MYSQL', '5', 'SMALLINT', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('13', 'MYSQL', '6', 'BIGINT', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('14', 'MYSQL', '7', 'DECIMAL', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('15', 'SQLSERVER', '1', 'CHAR', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('16', 'SQLSERVER', '2', 'VARCHAR', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('17', 'SQLSERVER', '3', 'INT', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('18', 'SQLSERVER', '4', 'INTEGER', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('19', 'SQLSERVER', '5', 'SMALLINT', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('20', 'SQLSERVER', '6', 'BIGINT', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('21', 'SQLSERVER', '7', 'DECIMAL', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('22', 'POSTGRESQL', '1', 'CHAR', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('23', 'POSTGRESQL', '2', 'VARCHAR', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('24', 'POSTGRESQL', '3', 'INTEGER', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('25', 'POSTGRESQL', '4', 'INTEGER', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('26', 'POSTGRESQL', '5', 'SMALLINT', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('27', 'POSTGRESQL', '6', 'BIGINT', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('28', 'POSTGRESQL', '7', 'DECIMAL', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('29', 'DB2', '1', 'CHAR', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('30', 'DB2', '2', 'VARCHAR', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('31', 'DB2', '3', 'INTEGER', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('32', 'DB2', '4', 'INTEGER', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('33', 'DB2', '5', 'SMALLINT', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('34', 'DB2', '6', 'BIGINT', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('35', 'DB2', '7', 'DECIMAL', 'VARCHAR', 'String');

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_model_group::liusheng
CREATE TABLE koca_lcp_model_group (id NUMBER(38, 0) NOT NULL, ds_id NUMBER(38, 0) NOT NULL, group_code NVARCHAR2(32) NOT NULL, group_name NVARCHAR2(64) NOT NULL, pid NUMBER(38, 0) DEFAULT -1 NOT NULL, id_path NVARCHAR2(256) NOT NULL, order_no NUMBER(38, 0) NOT NULL, created_by NVARCHAR2(32) NOT NULL, updated_by NVARCHAR2(32) NOT NULL, created_at NVARCHAR2(32) NOT NULL, updated_at NVARCHAR2(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_MODEL_GROUP PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_model_group IS '模型分组';

COMMENT ON COLUMN koca_lcp_model_group.id IS 'id';

COMMENT ON COLUMN koca_lcp_model_group.ds_id IS '数据源id';

COMMENT ON COLUMN koca_lcp_model_group.group_code IS '分组代码（名称）';

COMMENT ON COLUMN koca_lcp_model_group.group_name IS '分组名称（描述）';

COMMENT ON COLUMN koca_lcp_model_group.pid IS '父分组id';

COMMENT ON COLUMN koca_lcp_model_group.id_path IS '分组路径：pPath + / + pid';

COMMENT ON COLUMN koca_lcp_model_group.order_no IS '排序号';

COMMENT ON COLUMN koca_lcp_model_group.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_model_group.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_model_group.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_model_group.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_ds_pid_code ON koca_lcp_model_group(ds_id, pid, group_code);

CREATE UNIQUE INDEX uk_ds_pid_name ON koca_lcp_model_group(ds_id, pid, group_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_GROUP_NO', '数据模型分组序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_GROUP_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_model::YaChao Lv
CREATE TABLE koca_lcp_data_model (id NUMBER(38, 0) NOT NULL, ds_id NUMBER(38, 0) NOT NULL, group_id NUMBER(38, 0) DEFAULT -1 NOT NULL, tenant_id NVARCHAR2(32) DEFAULT '-1' NOT NULL, model_name NVARCHAR2(32) NOT NULL, table_name NVARCHAR2(512) NOT NULL, model_desc NVARCHAR2(255), title_field NVARCHAR2(255), title_tmpl NVARCHAR2(255), sync_status NVARCHAR2(32) NOT NULL, since_no NUMBER(38, 0), created_by NVARCHAR2(32) NOT NULL, updated_by NVARCHAR2(32) NOT NULL, created_at NVARCHAR2(32) NOT NULL, updated_at NVARCHAR2(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_DATA_MODEL PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_data_model IS '数据模型表';

COMMENT ON COLUMN koca_lcp_data_model.id IS '主键';

COMMENT ON COLUMN koca_lcp_data_model.ds_id IS '数据源ID';

COMMENT ON COLUMN koca_lcp_data_model.group_id IS '分组id';

COMMENT ON COLUMN koca_lcp_data_model.tenant_id IS '租户id';

COMMENT ON COLUMN koca_lcp_data_model.model_name IS '模型名称';

COMMENT ON COLUMN koca_lcp_data_model.table_name IS '表名';

COMMENT ON COLUMN koca_lcp_data_model.model_desc IS '模型描述';

COMMENT ON COLUMN koca_lcp_data_model.title_field IS '标题key';

COMMENT ON COLUMN koca_lcp_data_model.title_tmpl IS '模板内容';

COMMENT ON COLUMN koca_lcp_data_model.sync_status IS '模型状态';

COMMENT ON COLUMN koca_lcp_data_model.since_no IS '初始版本';

COMMENT ON COLUMN koca_lcp_data_model.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_data_model.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_data_model.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_data_model.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_model_name ON koca_lcp_data_model(ds_id, model_name);

CREATE UNIQUE INDEX uk_table_name ON koca_lcp_data_model(ds_id, table_name);

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_model::YaChao Lv
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_NO', '数据模型序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_model_logic::liusheng
CREATE TABLE koca_lcp_model_logic (id NUMBER(38, 0) NOT NULL, model_id NUMBER(38, 0) NOT NULL, logic_code NVARCHAR2(32) NOT NULL, logic_name NVARCHAR2(64) NOT NULL, method_type NVARCHAR2(16) NOT NULL, return_type NVARCHAR2(16) NOT NULL, logic_meta CLOB, created_by NVARCHAR2(32) NOT NULL, updated_by NVARCHAR2(32) NOT NULL, created_at NVARCHAR2(32) NOT NULL, updated_at NVARCHAR2(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_MODEL_LOGIC PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_model_logic IS '模型逻辑设计';

COMMENT ON COLUMN koca_lcp_model_logic.id IS 'id';

COMMENT ON COLUMN koca_lcp_model_logic.model_id IS '模型id';

COMMENT ON COLUMN koca_lcp_model_logic.logic_code IS '逻辑代码（名称）';

COMMENT ON COLUMN koca_lcp_model_logic.logic_name IS '逻辑名称（描述）';

COMMENT ON COLUMN koca_lcp_model_logic.method_type IS '方法类型(INSERT,UPDATE,SELECT,DELETE)';

COMMENT ON COLUMN koca_lcp_model_logic.return_type IS '返回类型(PAGE,LIST,OBJECT)';

COMMENT ON COLUMN koca_lcp_model_logic.logic_meta IS '逻辑元数据（mybatis xml）';

COMMENT ON COLUMN koca_lcp_model_logic.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_model_logic.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_model_logic.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_model_logic.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_model_logic_code ON koca_lcp_model_logic(model_id, logic_code);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_LOGIC_NO', '数据模型逻辑设计序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_LOGIC_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_sync_record::YaChao Lv
CREATE TABLE koca_lcp_data_sync_record (id NUMBER(38, 0) NOT NULL, model_id NUMBER(38, 0) NOT NULL, data_json CLOB NOT NULL, data_version INTEGER NOT NULL, CONSTRAINT PK_KOCA_LCP_DATA_SYNC_RECORD PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_data_sync_record IS '数据模型同步历史';

COMMENT ON COLUMN koca_lcp_data_sync_record.id IS '主键';

COMMENT ON COLUMN koca_lcp_data_sync_record.model_id IS '数据模型id';

COMMENT ON COLUMN koca_lcp_data_sync_record.data_json IS '数据json';

COMMENT ON COLUMN koca_lcp_data_sync_record.data_version IS '版本号';

CREATE UNIQUE INDEX uk_model_version ON koca_lcp_data_sync_record(model_id, data_version);

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_sync_record::YaChao Lv
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_SYNC_RECORD_NO', '数据模型同步历史序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_SYNC_RECORD_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_type_order::YaChao Lv
CREATE TABLE koca_lcp_data_type_order (id NUMBER(38, 0) NOT NULL, data_type_id NUMBER(38, 0) NOT NULL, tenant_id NVARCHAR2(32) DEFAULT '-1' NOT NULL, order_num INTEGER NOT NULL, CONSTRAINT PK_KOCA_LCP_DATA_TYPE_ORDER PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_data_type_order IS '数据类型顺序表';

COMMENT ON COLUMN koca_lcp_data_type_order.id IS '主键';

COMMENT ON COLUMN koca_lcp_data_type_order.data_type_id IS '数据类型id';

COMMENT ON COLUMN koca_lcp_data_type_order.tenant_id IS '租户id';

COMMENT ON COLUMN koca_lcp_data_type_order.order_num IS '顺序';

CREATE UNIQUE INDEX uk_type_order ON koca_lcp_data_type_order(data_type_id, order_num);

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_type_order::YaChao Lv
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_DATA_TYPE_ORDER_NO', '数据类型顺序表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_DATA_TYPE_ORDER_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_model_field::YaChao Lv
CREATE TABLE koca_lcp_data_model_field (id NUMBER(38, 0) NOT NULL, model_id NUMBER(38, 0) NOT NULL, order_num INTEGER NOT NULL, field_code NVARCHAR2(512) NOT NULL, field_desc NVARCHAR2(255) NOT NULL, field_explain NVARCHAR2(512), is_sensitive NUMBER(3) DEFAULT 0 NOT NULL, is_key NUMBER(3) NOT NULL, not_null NUMBER(3) NOT NULL, pk_strategy NVARCHAR2(32), data_field_id NUMBER(38, 0), data_region_id NUMBER(38, 0), data_type_id NUMBER(38, 0), data_dict_code NVARCHAR2(32), length NVARCHAR2(16), decimal_place INTEGER, default_val NVARCHAR2(255), default_val_type NVARCHAR2(32) DEFAULT 'UNDEFINED' NOT NULL, check_rule NVARCHAR2(255), error_tip NVARCHAR2(255), condition_used NUMBER(3) DEFAULT 1 NOT NULL, create_used NUMBER(3) DEFAULT 0 NOT NULL, query_used NUMBER(3) DEFAULT 0 NOT NULL, display_used NUMBER(3) DEFAULT 0 NOT NULL, edit_used NUMBER(3) DEFAULT 0 NOT NULL, delete_used NUMBER(3) DEFAULT 0 NOT NULL, created_by NVARCHAR2(32) NOT NULL, updated_by NVARCHAR2(32) NOT NULL, created_at NVARCHAR2(32) NOT NULL, updated_at NVARCHAR2(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_DATA_MODEL_FIELD PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_data_model_field IS '数据模型字段表';

COMMENT ON COLUMN koca_lcp_data_model_field.id IS '主键';

COMMENT ON COLUMN koca_lcp_data_model_field.model_id IS '数据模型id';

COMMENT ON COLUMN koca_lcp_data_model_field.order_num IS '顺序';

COMMENT ON COLUMN koca_lcp_data_model_field.field_code IS '字段代码';

COMMENT ON COLUMN koca_lcp_data_model_field.field_desc IS '字段描述';

COMMENT ON COLUMN koca_lcp_data_model_field.field_explain IS '字段说明';

COMMENT ON COLUMN koca_lcp_data_model_field.is_sensitive IS '是否屏蔽';

COMMENT ON COLUMN koca_lcp_data_model_field.is_key IS '是否主键';

COMMENT ON COLUMN koca_lcp_data_model_field.not_null IS '是否不为空';

COMMENT ON COLUMN koca_lcp_data_model_field.pk_strategy IS '主键策略';

COMMENT ON COLUMN koca_lcp_data_model_field.data_field_id IS '字段库id';

COMMENT ON COLUMN koca_lcp_data_model_field.data_region_id IS '数据域id';

COMMENT ON COLUMN koca_lcp_data_model_field.data_type_id IS '数据类型id';

COMMENT ON COLUMN koca_lcp_data_model_field.data_dict_code IS '数据字典代码';

COMMENT ON COLUMN koca_lcp_data_model_field.length IS '长度';

COMMENT ON COLUMN koca_lcp_data_model_field.decimal_place IS '精度';

COMMENT ON COLUMN koca_lcp_data_model_field.default_val IS '默认值';

COMMENT ON COLUMN koca_lcp_data_model_field.default_val_type IS '默认值类型 UNDEFINED/EMPTY/CUSTOM';

COMMENT ON COLUMN koca_lcp_data_model_field.check_rule IS '校验规则';

COMMENT ON COLUMN koca_lcp_data_model_field.error_tip IS '错误提示';

COMMENT ON COLUMN koca_lcp_data_model_field.condition_used IS '条件使用';

COMMENT ON COLUMN koca_lcp_data_model_field.create_used IS '创建使用';

COMMENT ON COLUMN koca_lcp_data_model_field.query_used IS '查询使用';

COMMENT ON COLUMN koca_lcp_data_model_field.display_used IS '显示使用';

COMMENT ON COLUMN koca_lcp_data_model_field.edit_used IS '编辑使用';

COMMENT ON COLUMN koca_lcp_data_model_field.delete_used IS '删除使用';

COMMENT ON COLUMN koca_lcp_data_model_field.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_data_model_field.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_data_model_field.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_data_model_field.updated_at IS '更新时间';

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_model_field::YaChao Lv
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_FIELD_NO', '数据模型字段序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_FIELD_NO', '0', '0', '0', '100000', '', '');

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_FIELD_RULE_NO', '数据模型字段屏蔽规则序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_FIELD_CHECK_RULE_NO', '数据模型字段校验规则序列', '8', '1', '', '', '0');

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_model_condition_conf::YaChao Lv
CREATE TABLE koca_lcp_model_condition_conf (id NUMBER(38, 0) NOT NULL, model_id NUMBER(38, 0) NOT NULL, field_id NUMBER(38, 0) NOT NULL, operator VARCHAR2(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_MODEL_CONDITION_CO PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_model_condition_conf IS '数据模型查询条件配置表';

COMMENT ON COLUMN koca_lcp_model_condition_conf.id IS '主键';

COMMENT ON COLUMN koca_lcp_model_condition_conf.model_id IS '数据模型id';

COMMENT ON COLUMN koca_lcp_model_condition_conf.field_id IS '字段主键';

COMMENT ON COLUMN koca_lcp_model_condition_conf.operator IS '操作符';

CREATE UNIQUE INDEX uk_model_condition ON koca_lcp_model_condition_conf(field_id, operator);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_MODEL_CONDITION_CONF_NO', '数据模型查询条件配置序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_MODEL_CONDITION_CONF_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_model_index::YaChao Lv
CREATE TABLE koca_lcp_data_model_index (id NUMBER(38, 0) NOT NULL, model_id NUMBER(38, 0) NOT NULL, index_name NVARCHAR2(255), index_code NVARCHAR2(512) NOT NULL, is_unique NUMBER(3) DEFAULT 0 NOT NULL, order_num INTEGER NOT NULL, created_by NVARCHAR2(32) NOT NULL, updated_by NVARCHAR2(32) NOT NULL, created_at NVARCHAR2(32) NOT NULL, updated_at NVARCHAR2(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_DATA_MODEL_INDEX PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_data_model_index IS '数据模型索引表';

COMMENT ON COLUMN koca_lcp_data_model_index.id IS '主键';

COMMENT ON COLUMN koca_lcp_data_model_index.model_id IS '数据模型id';

COMMENT ON COLUMN koca_lcp_data_model_index.index_name IS '索引名称';

COMMENT ON COLUMN koca_lcp_data_model_index.index_code IS '索引代码';

COMMENT ON COLUMN koca_lcp_data_model_index.is_unique IS '是否唯一索引';

COMMENT ON COLUMN koca_lcp_data_model_index.order_num IS '顺序';

COMMENT ON COLUMN koca_lcp_data_model_index.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_data_model_index.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_data_model_index.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_data_model_index.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_model_index ON koca_lcp_data_model_index(model_id, index_code);

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_model_index::YaChao Lv
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_INDEX_NO', '数据模型索引序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_INDEX_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_model_idx_field::YaChao Lv
CREATE TABLE koca_lcp_data_model_idx_field (id NUMBER(38, 0) NOT NULL, index_id NUMBER(38, 0) NOT NULL, field_id NUMBER(38, 0) NOT NULL, order_num INTEGER NOT NULL, order_type INTEGER NOT NULL, CONSTRAINT PK_KOCA_LCP_DATA_MODEL_IDX_FIE PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_data_model_idx_field IS '数据模型索引字段表';

COMMENT ON COLUMN koca_lcp_data_model_idx_field.id IS '主键';

COMMENT ON COLUMN koca_lcp_data_model_idx_field.index_id IS '索引id';

COMMENT ON COLUMN koca_lcp_data_model_idx_field.field_id IS '字段id';

COMMENT ON COLUMN koca_lcp_data_model_idx_field.order_num IS '顺序';

COMMENT ON COLUMN koca_lcp_data_model_idx_field.order_type IS '排序方式';

CREATE UNIQUE INDEX uk_index_field ON koca_lcp_data_model_idx_field(index_id, field_id);

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_model_idx_field::YaChao Lv
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_INDEX_IDX_NO', '数据模型索引字段序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_INDEX_IDX_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_model_er::YaChao Lv
CREATE TABLE koca_lcp_data_model_er (id NUMBER(38, 0) NOT NULL, tenant_id NVARCHAR2(32) DEFAULT '-1' NOT NULL, source_model_id NUMBER(38, 0) NOT NULL, target_model_id NUMBER(38, 0) NOT NULL, mid_model_id NUMBER(38, 0), relation_type CHAR(3) NOT NULL, rela_delete_strategy INTEGER DEFAULT 1 NOT NULL, rela_delete_info NVARCHAR2(128), created_by NVARCHAR2(32) NOT NULL, updated_by NVARCHAR2(32) NOT NULL, created_at NVARCHAR2(32) NOT NULL, updated_at NVARCHAR2(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_DATA_MODEL_ER PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_data_model_er IS '数据模型关联关系';

COMMENT ON COLUMN koca_lcp_data_model_er.id IS '主键';

COMMENT ON COLUMN koca_lcp_data_model_er.tenant_id IS '租户id';

COMMENT ON COLUMN koca_lcp_data_model_er.source_model_id IS '源模型id';

COMMENT ON COLUMN koca_lcp_data_model_er.target_model_id IS '目标模型id';

COMMENT ON COLUMN koca_lcp_data_model_er.mid_model_id IS '中间模型id';

COMMENT ON COLUMN koca_lcp_data_model_er.relation_type IS '关联关系类型';

COMMENT ON COLUMN koca_lcp_data_model_er.rela_delete_strategy IS '删除校验策略（1-阻止，2-跟随，3-忽略）';

COMMENT ON COLUMN koca_lcp_data_model_er.rela_delete_info IS '自定义提醒内容';

COMMENT ON COLUMN koca_lcp_data_model_er.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_data_model_er.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_data_model_er.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_data_model_er.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_source_target_type ON koca_lcp_data_model_er(source_model_id, target_model_id, relation_type);

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_model_er::YaChao Lv
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_ER_NO', '数据模型关联关系序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_ER_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_model_er_field::YaChao Lv
CREATE TABLE koca_lcp_data_model_er_field (id NUMBER(38, 0) NOT NULL, er_id NUMBER(38, 0) NOT NULL, field_type NVARCHAR2(32) NOT NULL, field_id NUMBER(38, 0) NOT NULL, order_num INTEGER NOT NULL, CONSTRAINT PK_KOCA_LCP_DATA_MODEL_ER_FIEL PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_data_model_er_field IS '数据模型关联关系字段';

COMMENT ON COLUMN koca_lcp_data_model_er_field.id IS '主键';

COMMENT ON COLUMN koca_lcp_data_model_er_field.er_id IS '关联关系id';

COMMENT ON COLUMN koca_lcp_data_model_er_field.field_type IS '关联关系字段类型';

COMMENT ON COLUMN koca_lcp_data_model_er_field.field_id IS '字段id';

COMMENT ON COLUMN koca_lcp_data_model_er_field.order_num IS '顺序';

CREATE UNIQUE INDEX uk_field_all ON koca_lcp_data_model_er_field(er_id, field_type, field_id, order_num);

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_model_er_field::YaChao Lv
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_ER_FIELD_NO', '数据模型关联关系字段序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_ER_FIELD_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_region::qiuhang
CREATE TABLE koca_lcp_data_region (id NUMBER(38, 0) NOT NULL, tenant_id NVARCHAR2(32) DEFAULT '-1' NOT NULL, data_region_code NVARCHAR2(32) NOT NULL, data_region_name NVARCHAR2(32) NOT NULL, data_type_id NUMBER(38, 0) NOT NULL, ui_suggestion NVARCHAR2(32), length NVARCHAR2(16), decimal_place INTEGER, created_by NVARCHAR2(32) NOT NULL, updated_by NVARCHAR2(32) NOT NULL, created_at NVARCHAR2(32) NOT NULL, updated_at NVARCHAR2(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_DATA_REGION PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_data_region IS '数据域表';

COMMENT ON COLUMN koca_lcp_data_region.id IS '类型id';

COMMENT ON COLUMN koca_lcp_data_region.tenant_id IS '租户id';

COMMENT ON COLUMN koca_lcp_data_region.data_region_code IS '数据域代码';

COMMENT ON COLUMN koca_lcp_data_region.data_region_name IS '数据域名称';

COMMENT ON COLUMN koca_lcp_data_region.data_type_id IS '数据类型ID';

COMMENT ON COLUMN koca_lcp_data_region.ui_suggestion IS 'ui建议';

COMMENT ON COLUMN koca_lcp_data_region.length IS '长度';

COMMENT ON COLUMN koca_lcp_data_region.decimal_place IS '小数位数';

COMMENT ON COLUMN koca_lcp_data_region.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_data_region.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_data_region.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_data_region.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_data_region_code_tenant_id ON koca_lcp_data_region(data_region_code, tenant_id);

CREATE UNIQUE INDEX uk_data_region_name_tenant_id ON koca_lcp_data_region(data_region_name, tenant_id);

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_region::qiuhang
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_TYPE_REGION_NO', '数据域序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_TYPE_REGION_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_field_manager::qiuhang
CREATE TABLE koca_lcp_field_manager (id NUMBER(38, 0) NOT NULL, tenant_id NVARCHAR2(32) DEFAULT '-1' NOT NULL, field_code NVARCHAR2(30) NOT NULL, field_desc NVARCHAR2(255) NOT NULL, data_region_id NUMBER(38, 0), data_type_id NUMBER(38, 0), length NVARCHAR2(16), decimal_place INTEGER, default_val NVARCHAR2(255), default_val_type NVARCHAR2(32) DEFAULT 'UNDEFINED' NOT NULL, dict_code NVARCHAR2(32), is_default CHAR(1) DEFAULT 'N' NOT NULL, created_by NVARCHAR2(32) NOT NULL, updated_by NVARCHAR2(32) NOT NULL, created_at NVARCHAR2(32) NOT NULL, updated_at NVARCHAR2(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_FIELD_MANAGER PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_field_manager IS '数据字段表';

COMMENT ON COLUMN koca_lcp_field_manager.id IS '字段id';

COMMENT ON COLUMN koca_lcp_field_manager.tenant_id IS '租户id';

COMMENT ON COLUMN koca_lcp_field_manager.field_code IS '字段代码';

COMMENT ON COLUMN koca_lcp_field_manager.field_desc IS '字段描述';

COMMENT ON COLUMN koca_lcp_field_manager.data_region_id IS '数据域id';

COMMENT ON COLUMN koca_lcp_field_manager.data_type_id IS '数据类型ID';

COMMENT ON COLUMN koca_lcp_field_manager.length IS '长度';

COMMENT ON COLUMN koca_lcp_field_manager.decimal_place IS '小数位数';

COMMENT ON COLUMN koca_lcp_field_manager.default_val IS '默认值';

COMMENT ON COLUMN koca_lcp_field_manager.default_val_type IS '默认值类型 UNDEFINED/EMPTY/CUSTOM';

COMMENT ON COLUMN koca_lcp_field_manager.dict_code IS '字典代码';

COMMENT ON COLUMN koca_lcp_field_manager.is_default IS '是否默认';

COMMENT ON COLUMN koca_lcp_field_manager.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_field_manager.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_field_manager.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_field_manager.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_field_code_tenant_id ON koca_lcp_field_manager(field_code, tenant_id);

INSERT INTO koca_lcp_field_manager (id, tenant_id, field_code, field_desc, data_type_id, default_val_type, is_default, created_by, updated_by, created_at, updated_at) VALUES ('1', '-1', 'id', 'id', '6', 'UNDEFINED', 'Y', 'admin', 'admin', '2023-10-11 15:11:15', '2023-10-11 15:11:19');

INSERT INTO koca_lcp_field_manager (id, tenant_id, field_code, field_desc, length, data_type_id, default_val_type, is_default, created_by, updated_by, created_at, updated_at) VALUES ('2', '-1', 'created_by', '创建用户', '32', '2', 'UNDEFINED', 'Y', 'admin', 'admin', '2023-10-11 15:11:15', '2023-10-11 15:11:19');

INSERT INTO koca_lcp_field_manager (id, tenant_id, field_code, field_desc, length, data_type_id, default_val_type, is_default, created_by, updated_by, created_at, updated_at) VALUES ('3', '-1', 'updated_by', '更新用户', '32', '2', 'UNDEFINED', 'Y', 'admin', 'admin', '2023-10-11 15:11:15', '2023-10-11 15:11:19');

INSERT INTO koca_lcp_field_manager (id, tenant_id, field_code, field_desc, length, data_type_id, default_val_type, is_default, created_by, updated_by, created_at, updated_at) VALUES ('4', '-1', 'created_at', '创建时间', '32', '2', 'UNDEFINED', 'Y', 'admin', 'admin', '2023-10-11 15:11:15', '2023-10-11 15:11:19');

INSERT INTO koca_lcp_field_manager (id, tenant_id, field_code, field_desc, length, data_type_id, default_val_type, is_default, created_by, updated_by, created_at, updated_at) VALUES ('5', '-1', 'updated_at', '更新时间', '32', '2', 'UNDEFINED', 'Y', 'admin', 'admin', '2023-10-11 15:11:15', '2023-10-11 15:11:19');

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_field_manager::qiuhang
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_TYPE_FIELD_NO', '数据字段库序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_TYPE_FIELD_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_sys_menu::qiuhang
INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412000', '0', '0', '数据模型管理', '', '', '411001', 'kui-icon-menu', '0', '数据模型管理');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412001', '0', '0', '数据类型管理', '/lcp-runtime-model/views/data-type/index.vue', '412000', '', '', '0', '数据类型管理');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412002', '0', '2', '数据类型新增/编辑', '', '412001', '', '', '0', '数据类型新增/编辑');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412003', '0', '2', '数据类型删除', '', '412001', '', '', '0', '数据类型删除');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412004', '0', '2', '数据域新增/编辑', '', '412001', '', '', '0', '数据域新增/编辑');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412005', '0', '2', '数据域删除', '', '412001', '', '', '0', '数据域删除');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412006', '0', '2', '字段库新增/编辑', '', '412001', '', '', '0', '字段库新增/编辑');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412007', '0', '2', '字段库删除', '', '412001', '', '', '0', '字段库删除');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412008', '0', '0', '数据字典管理', '/lcp-runtime-model/views/data-dict/index.tsx', '412000', '412001', '', '0', '数据字典管理');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412009', '0', '2', '数据字典新增/编辑', '', '412008', '', '', '0', '数据字典新增/编辑');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412010', '0', '2', '数据字典删除', '', '412008', '', '', '0', '数据字典删除');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412011', '0', '0', '数据模型管理', '/lcp-runtime-model/views/data-model/index.tsx', '412000', '412008', '', '0', '数据模型管理');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412012', '0', '2', '数据模型新增/编辑', '', '412011', '', '', '0', '数据模型新增/编辑');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412013', '0', '2', '数据模型删除', '', '412011', '412012', '', '0', '数据模型删除');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412014', '0', '2', '数据模型-版本管理', '', '412011', '412013', '', '0', '数据模型-版本管理');

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::insert_koca_menu_api::qiuhang
INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412011', '41201101', '/data/model/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412011', '41201102', '/data/model/detail');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412011', '41201103', '/datasource/ds/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412011', '41201104', '/data/model/codePreview');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412011', '41201105', '/data/model/field/level');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412013', '41201301', '/data/model/delete');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201201', '/data/model/create');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201202', '/data/model/sync');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201203', '/data/model/copy');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201204', '/data/model/rename');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201205', '/data/model/clear');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201206', '/data/model/import/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201207', '/data/model/import');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201208', '/data/type/order/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201209', '/data/type/order/save');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201210', '/data/model/pkStrategy/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201211', '/data/model/detail/update');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201212', '/data/model/dataExport');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201213', '/data/model/dataImport');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201214', '/data/model/dataTmpl/download');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201215', '/data/model/dataQuery');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201216', '/data/model/dataCreate');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201217', '/data/model/dataDelete');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201218', '/data/model/dataUpdate');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201219', '/data/model/all');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201220', '/data/type/field/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201221', '/data/type/region/all');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201222', '/data/type/all');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201223', '/data/dic/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412001', 'DATA_TYPE_ALL', '/data/type/all');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412001', 'DATA_TYPE_DETAIL', '/data/type/detail');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412001', 'DATA_DB_ALL', '/data/db/all');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412002', 'DATA_TYPE_ADD', '/data/type/add');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412002', 'DATA_TYPE_UPDATE', '/data/type/update');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412003', 'DATA_TYPE_DELETE', '/data/type/delete');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412001', 'DATA_TYPE_REGION_LIST', '/data/type/region/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412001', 'DATA_TYPE_REGION_ALL', '/data/type/region/all');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412001', 'DATA_DIC_ALL', '/data/dic/all');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412001', 'DATA_TYPE_FIELD_LIST', '/data/type/field/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412004', 'DATA_TYPE_REGION_ADD', '/data/type/region/add');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412004', 'DATA_TYPE_REGION_UPDATE', '/data/type/region/update');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412005', 'DATA_TYPE_REGION_DELETE', '/data/type/region/delete');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412006', 'DATA_TYPE_FIELD_ADD', '/data/type/field/add');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412006', 'DATA_TYPE_FIELD_UPDATE', '/data/type/field/update');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412007', 'DATA_TYPE_FIELD_DELETE', '/data/type/field/delete');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412008', 'DATA_DIC_LIST', '/data/dic/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412009', 'DATA_DIC_ADD', '/data/dic/add');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412009', 'DATA_DIC_UPDATE', '/data/dic/update');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412009', 'DATA_DIC_IMPORT', '/data/dic/import');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412009', 'DATA_DIC_TMPL_DOWNLOAD', '/data/dic/tmpl/download');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412010', 'DATA_DIC_DELETE', '/data/dic/delete');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412008', 'DATA_DIC_ITEM_ALL', '/data/dic/item/all');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412009', 'DATA_DIC_ITEM_ADD', '/data/dic/item/add');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412009', 'DATA_DIC_ITEM_UPDATE', '/data/dic/item/update');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412010', 'DATA_DIC_ITEM_DELETE', '/data/dic/item/delete');

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_model_field_sensitive::liusheng
CREATE TABLE koca_lcp_model_field_sensitive (id NUMBER(38, 0) NOT NULL, model_field_id NUMBER(38, 0) NOT NULL, replace_position NUMBER(3) NOT NULL, replace_num INTEGER NOT NULL, replace_char NVARCHAR2(1) NOT NULL, created_by NVARCHAR2(32) NOT NULL, updated_by NVARCHAR2(32) NOT NULL, created_at NVARCHAR2(32) NOT NULL, updated_at NVARCHAR2(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_MODEL_FIELD_SENSIT PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_model_field_sensitive IS '数据模型字段屏蔽规则';

COMMENT ON COLUMN koca_lcp_model_field_sensitive.id IS '屏蔽规则id';

COMMENT ON COLUMN koca_lcp_model_field_sensitive.model_field_id IS '数据模型字段id';

COMMENT ON COLUMN koca_lcp_model_field_sensitive.replace_position IS '替换位置:1-前，2-中，3-后';

COMMENT ON COLUMN koca_lcp_model_field_sensitive.replace_num IS '最小屏蔽位数；未达到最小位数，全屏蔽';

COMMENT ON COLUMN koca_lcp_model_field_sensitive.replace_char IS '屏蔽字符，默认：*';

COMMENT ON COLUMN koca_lcp_model_field_sensitive.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_model_field_sensitive.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_model_field_sensitive.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_model_field_sensitive.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_model_field_id ON koca_lcp_model_field_sensitive(model_field_id);

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_model_field_rule::liusheng
CREATE TABLE koca_lcp_model_field_rule (id INTEGER NOT NULL, model_id NUMBER(38, 0) NOT NULL, model_field_id NUMBER(38, 0) NOT NULL, check_rule_condition NVARCHAR2(128), check_rule_type NVARCHAR2(32) NOT NULL, check_rule_content NVARCHAR2(128) NOT NULL, error_tip NVARCHAR2(128), created_by NVARCHAR2(32) NOT NULL, updated_by NVARCHAR2(32) NOT NULL, created_at NVARCHAR2(32) NOT NULL, updated_at NVARCHAR2(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_MODEL_FIELD_RULE PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_model_field_rule IS '字段校验规则';

COMMENT ON COLUMN koca_lcp_model_field_rule.id IS '校验规则id';

COMMENT ON COLUMN koca_lcp_model_field_rule.model_id IS '数据模型id';

COMMENT ON COLUMN koca_lcp_model_field_rule.model_field_id IS '数据模型字段id';

COMMENT ON COLUMN koca_lcp_model_field_rule.check_rule_condition IS '规则校验前置条件（spel表达式字符串）';

COMMENT ON COLUMN koca_lcp_model_field_rule.check_rule_type IS '规则校验类型：REGX-正则校验，LENGTH_LIMIT-长度限制';

COMMENT ON COLUMN koca_lcp_model_field_rule.check_rule_content IS '校验规则内容，配合check_rule_type字段使用';

COMMENT ON COLUMN koca_lcp_model_field_rule.error_tip IS '错误提示';

COMMENT ON COLUMN koca_lcp_model_field_rule.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_model_field_rule.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_model_field_rule.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_model_field_rule.updated_at IS '更新时间';

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_ds_version::liusheng
CREATE TABLE koca_lcp_ds_version (ds_id NUMBER(38, 0) NOT NULL, version_no NUMBER(38, 0) NOT NULL, sync_msg NVARCHAR2(256), sync_status NVARCHAR2(16) NOT NULL, created_by NVARCHAR2(32) NOT NULL, updated_by NVARCHAR2(32) NOT NULL, created_at NVARCHAR2(32) NOT NULL, updated_at NVARCHAR2(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_DS_VERSION PRIMARY KEY (ds_id, version_no));

COMMENT ON TABLE koca_lcp_ds_version IS '模型版本';

COMMENT ON COLUMN koca_lcp_ds_version.ds_id IS '数据源id';

COMMENT ON COLUMN koca_lcp_ds_version.version_no IS '版本号，唯一，递增，代码实现';

COMMENT ON COLUMN koca_lcp_ds_version.sync_msg IS '同步消息';

COMMENT ON COLUMN koca_lcp_ds_version.sync_status IS '版本同步状态';

COMMENT ON COLUMN koca_lcp_ds_version.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_ds_version.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_ds_version.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_ds_version.updated_at IS '更新时间';

-- Changeset ALL_1_2111__koca_lcp_runtime_model.xml::create_table_koca_lcp_ds_version_detail::liusheng
CREATE TABLE koca_lcp_ds_version_detail (id NUMBER(38, 0) NOT NULL, ds_id NUMBER(38, 0) NOT NULL, version_no NUMBER(38, 0) NOT NULL, model_id NUMBER(38, 0) NOT NULL, model_name NVARCHAR2(32) NOT NULL, table_name NVARCHAR2(512) NOT NULL, change_type NVARCHAR2(16) NOT NULL, inc_sql CLOB, sync_status NVARCHAR2(16) NOT NULL, error_msg NVARCHAR2(256), operator NVARCHAR2(32), snapshot CLOB, created_by NVARCHAR2(32) NOT NULL, updated_by NVARCHAR2(32) NOT NULL, created_at NVARCHAR2(32) NOT NULL, updated_at NVARCHAR2(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_DS_VERSION_DETAIL PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_ds_version_detail IS '模型版本详情';

COMMENT ON COLUMN koca_lcp_ds_version_detail.id IS 'id';

COMMENT ON COLUMN koca_lcp_ds_version_detail.ds_id IS '数据源id';

COMMENT ON COLUMN koca_lcp_ds_version_detail.version_no IS '版本号';

COMMENT ON COLUMN koca_lcp_ds_version_detail.model_id IS '模型id';

COMMENT ON COLUMN koca_lcp_ds_version_detail.model_name IS '模型名称';

COMMENT ON COLUMN koca_lcp_ds_version_detail.table_name IS '表名';

COMMENT ON COLUMN koca_lcp_ds_version_detail.change_type IS '变更类型:CREATE,MODIFY,DROP';

COMMENT ON COLUMN koca_lcp_ds_version_detail.inc_sql IS '增量sql';

COMMENT ON COLUMN koca_lcp_ds_version_detail.sync_status IS '版本同步状态';

COMMENT ON COLUMN koca_lcp_ds_version_detail.error_msg IS '同步失败消息';

COMMENT ON COLUMN koca_lcp_ds_version_detail.operator IS '同步用户';

COMMENT ON COLUMN koca_lcp_ds_version_detail.snapshot IS '模型快照';

COMMENT ON COLUMN koca_lcp_ds_version_detail.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_ds_version_detail.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_ds_version_detail.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_ds_version_detail.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_ds_version_model ON koca_lcp_ds_version_detail(ds_id, version_no, model_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DS_VERSION_DETAIL', '数据模型版本详情序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DS_VERSION_DETAIL', '0', '0', '0', '100000', '', '');
update koca_sys_menu set menu_status=1 where menu_id in ('412000');
