-- Changeset V4.7.0_0_2_111__koca_lcp_runtime_model.xml::alter_table_koca_lcp_data_type::liusheng
ALTER TABLE koca_lcp_data_type ADD is_default CHAR(1) DEFAULT 'N' NOT NULL;

COMMENT ON COLUMN koca_lcp_data_type.is_default IS '是否默认';

UPDATE koca_lcp_data_type SET is_default = 'Y' WHERE type_code='varchar';

-- Changeset V4.7.0_0_2_111__koca_lcp_runtime_model.xml::alter_table_koca_lcp_field_manager::liusheng
ALTER TABLE koca_lcp_field_manager ADD is_default CHAR(1) DEFAULT 'N' NOT NULL;

COMMENT ON COLUMN koca_lcp_field_manager.is_default IS '是否默认';

-- Changeset V4.7.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_model_group::liusheng
CREATE TABLE koca_lcp_model_group (id NUMBER(38, 0) NOT NULL, ds_id NUMBER(38, 0) NOT NULL, group_code NVARCHAR2(32) NOT NULL, group_name NVARCHAR2(64) NOT NULL, pid NUMBER(38, 0) DEFAULT -1 NOT NULL, id_path NVARCHAR2(256) NOT NULL, order_no NUMBER(38, 0) NOT NULL, created_by NVARCHAR2(32) NOT NULL, updated_by NVARCHAR2(32) NOT NULL, created_at NVARCHAR2(32) NOT NULL, updated_at NVARCHAR2(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_MODEL_GROUP PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_model_group IS '模型分组';

COMMENT ON COLUMN koca_lcp_model_group.id IS 'id';

COMMENT ON COLUMN koca_lcp_model_group.ds_id IS '数据源id';

COMMENT ON COLUMN koca_lcp_model_group.group_code IS '分组代码（名称）';

COMMENT ON COLUMN koca_lcp_model_group.group_name IS '分组名称（描述）';

COMMENT ON COLUMN koca_lcp_model_group.pid IS '父分组id';

COMMENT ON COLUMN koca_lcp_model_group.id_path IS '分组路径：pPath + / + pid';

COMMENT ON COLUMN koca_lcp_model_group.order_no IS '排序号';

COMMENT ON COLUMN koca_lcp_model_group.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_model_group.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_model_group.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_model_group.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_ds_pid_code ON koca_lcp_model_group(ds_id, pid, group_code);

CREATE UNIQUE INDEX uk_ds_pid_name ON koca_lcp_model_group(ds_id, pid, group_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_GROUP_NO', '数据模型分组序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_GROUP_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.7.0_0_2_111__koca_lcp_runtime_model.xml::alter_table_koca_lcp_data_model::liusheng
ALTER TABLE koca_lcp_data_model ADD group_id NUMBER(38, 0) DEFAULT '-1' NOT NULL;

COMMENT ON COLUMN koca_lcp_data_model.group_id IS '分组id';

-- Changeset V4.7.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_model_logic::liusheng
CREATE TABLE koca_lcp_model_logic (id NUMBER(38, 0) NOT NULL, model_id NUMBER(38, 0) NOT NULL, logic_code NVARCHAR2(32) NOT NULL, logic_name NVARCHAR2(64) NOT NULL, method_type NVARCHAR2(16) NOT NULL, return_type NVARCHAR2(16) NOT NULL, logic_meta CLOB, created_by NVARCHAR2(32) NOT NULL, updated_by NVARCHAR2(32) NOT NULL, created_at NVARCHAR2(32) NOT NULL, updated_at NVARCHAR2(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_MODEL_LOGIC PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_model_logic IS '模型逻辑设计';

COMMENT ON COLUMN koca_lcp_model_logic.id IS 'id';

COMMENT ON COLUMN koca_lcp_model_logic.model_id IS '模型id';

COMMENT ON COLUMN koca_lcp_model_logic.logic_code IS '逻辑代码（名称）';

COMMENT ON COLUMN koca_lcp_model_logic.logic_name IS '逻辑名称（描述）';

COMMENT ON COLUMN koca_lcp_model_logic.method_type IS '方法类型(INSERT,UPDATE,SELECT,DELETE)';

COMMENT ON COLUMN koca_lcp_model_logic.return_type IS '返回类型(PAGE,LIST,OBJECT)';

COMMENT ON COLUMN koca_lcp_model_logic.logic_meta IS '逻辑元数据（mybatis xml）';

COMMENT ON COLUMN koca_lcp_model_logic.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_model_logic.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_model_logic.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_model_logic.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_model_logic_code ON koca_lcp_model_logic(model_id, logic_code);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_LOGIC_NO', '数据模型逻辑设计序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_LOGIC_NO', '0', '0', '0', '100000', '', '');