-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_page2_group::chenlei
CREATE TABLE koca_lcp_page2_group (id NUMBER(38, 0) NOT NULL, tenant_id NVARCHAR2(32) DEFAULT '-1' NOT NULL, group_code NVARCHAR2(64) NOT NULL, group_name NVARCHAR2(64) NOT NULL, parent_id NUMBER(38, 0) DEFAULT '-1' NOT NULL, id_path NVARCHAR2(512) NOT NULL, sort_no INTEGER DEFAULT 0 NOT NULL, created_by NVARCHAR2(32) NOT NULL, updated_by NVARCHAR2(32) NOT NULL, created_at NVARCHAR2(32) NOT NULL, updated_at NVARCHAR2(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_PAGE2_GROUP PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_page2_group IS '页面分组';

COMMENT ON COLUMN koca_lcp_page2_group.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_page2_group.tenant_id IS '租户id';

COMMENT ON COLUMN koca_lcp_page2_group.group_code IS '页面分组编码';

COMMENT ON COLUMN koca_lcp_page2_group.group_name IS '页面分组名称';

COMMENT ON COLUMN koca_lcp_page2_group.parent_id IS '父级目录';

COMMENT ON COLUMN koca_lcp_page2_group.id_path IS '页面分组id路径，用于删除或查询';

COMMENT ON COLUMN koca_lcp_page2_group.sort_no IS '序号，用于同级目录排序';

COMMENT ON COLUMN koca_lcp_page2_group.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_page2_group.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_page2_group.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_page2_group.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_lcp_page2_group_code ON koca_lcp_page2_group(tenant_id, parent_id, group_code);

CREATE UNIQUE INDEX uk_lcp_page2_group_name ON koca_lcp_page2_group(tenant_id, parent_id, group_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_GROUP_NO', '页面分组序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_GROUP_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_page2::chenlei
CREATE TABLE koca_lcp_page2 (id NUMBER(38, 0) NOT NULL, tenant_id NVARCHAR2(32) DEFAULT '-1' NOT NULL, group_id NUMBER(38, 0) DEFAULT '-1' NOT NULL, page_code NVARCHAR2(64) NOT NULL, page_name NVARCHAR2(64) NOT NULL, page_meta CLOB, home_page CHAR(1) DEFAULT 'N' NOT NULL, deploy_status NVARCHAR2(32) NOT NULL, page_type NVARCHAR2(16) DEFAULT 'COMMON' NOT NULL, template_id NUMBER(38, 0), model_id NUMBER(38, 0), created_by NVARCHAR2(32) NOT NULL, updated_by NVARCHAR2(32) NOT NULL, created_at NVARCHAR2(32) NOT NULL, updated_at NVARCHAR2(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_PAGE2 PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_page2 IS '页面管理2';

COMMENT ON COLUMN koca_lcp_page2.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_page2.tenant_id IS '租户id';

COMMENT ON COLUMN koca_lcp_page2.group_id IS '父级目录';

COMMENT ON COLUMN koca_lcp_page2.page_code IS '页面编码';

COMMENT ON COLUMN koca_lcp_page2.page_name IS '页面名称';

COMMENT ON COLUMN koca_lcp_page2.page_meta IS '页面元数据';

COMMENT ON COLUMN koca_lcp_page2.home_page IS '是否首页';

COMMENT ON COLUMN koca_lcp_page2.deploy_status IS '发布状态';

COMMENT ON COLUMN koca_lcp_page2.page_type IS '页面类型：模型页面MODEL/通用页面COMMON';

COMMENT ON COLUMN koca_lcp_page2.template_id IS '模板id';

COMMENT ON COLUMN koca_lcp_page2.model_id IS '模型id';

COMMENT ON COLUMN koca_lcp_page2.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_page2.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_page2.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_page2.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_lcp_page2_code ON koca_lcp_page2(tenant_id, group_id, page_code);

CREATE UNIQUE INDEX uk_lcp_page2_name ON koca_lcp_page2(tenant_id, group_id, page_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_NO', '页面2序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_page2_deployed::YaChao Lv
CREATE TABLE koca_lcp_page2_deployed (id NUMBER(38, 0) NOT NULL, page_id NUMBER(38, 0) NOT NULL, tenant_id NVARCHAR2(32) DEFAULT '-1' NOT NULL, group_id NUMBER(38, 0) DEFAULT '-1' NOT NULL, page_code NVARCHAR2(64) NOT NULL, page_name NVARCHAR2(64) NOT NULL, page_meta CLOB, home_page CHAR(1) DEFAULT 'N' NOT NULL, his_version NVARCHAR2(8) NOT NULL, page_type NVARCHAR2(16) DEFAULT 'COMMON' NOT NULL, template_id NUMBER(38, 0), model_id NUMBER(38, 0), CONSTRAINT PK_KOCA_LCP_PAGE2_DEPLOYED PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_page2_deployed IS '页面管理已发布表';

COMMENT ON COLUMN koca_lcp_page2_deployed.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_page2_deployed.page_id IS '页面ID';

COMMENT ON COLUMN koca_lcp_page2_deployed.tenant_id IS '租户id';

COMMENT ON COLUMN koca_lcp_page2_deployed.group_id IS '父级目录';

COMMENT ON COLUMN koca_lcp_page2_deployed.page_code IS '页面编码';

COMMENT ON COLUMN koca_lcp_page2_deployed.page_name IS '页面名称';

COMMENT ON COLUMN koca_lcp_page2_deployed.page_meta IS '页面元数据';

COMMENT ON COLUMN koca_lcp_page2_deployed.home_page IS '是否首页';

COMMENT ON COLUMN koca_lcp_page2_deployed.his_version IS '历史版本号';

COMMENT ON COLUMN koca_lcp_page2_deployed.page_type IS '页面类型：模型页面MODEL/通用页面COMMON';

COMMENT ON COLUMN koca_lcp_page2_deployed.template_id IS '模板id';

COMMENT ON COLUMN koca_lcp_page2_deployed.model_id IS '模型id';

CREATE UNIQUE INDEX uk_lcp_page2_deployed_code ON koca_lcp_page2_deployed(tenant_id, group_id, page_code);

CREATE UNIQUE INDEX uk_lcp_page2_deployed_name ON koca_lcp_page2_deployed(tenant_id, group_id, page_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_DEPLOYED_NO', '发布页面序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_page2_his::YaChao Lv
CREATE TABLE koca_lcp_page2_his (id NUMBER(38, 0) NOT NULL, page_id NUMBER(38, 0) NOT NULL, tenant_id NVARCHAR2(32) DEFAULT '-1' NOT NULL, group_id NUMBER(38, 0) DEFAULT '-1' NOT NULL, page_code NVARCHAR2(64) NOT NULL, page_name NVARCHAR2(64) NOT NULL, page_meta CLOB, home_page CHAR(1) DEFAULT 'N' NOT NULL, his_version NVARCHAR2(8) NOT NULL, page_type NVARCHAR2(16) DEFAULT 'COMMON' NOT NULL, template_id NUMBER(38, 0), model_id NUMBER(38, 0), CONSTRAINT PK_KOCA_LCP_PAGE2_HIS PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_page2_his IS '页面管理发布历史表';

COMMENT ON COLUMN koca_lcp_page2_his.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_page2_his.page_id IS '页面ID';

COMMENT ON COLUMN koca_lcp_page2_his.tenant_id IS '租户id';

COMMENT ON COLUMN koca_lcp_page2_his.group_id IS '父级目录';

COMMENT ON COLUMN koca_lcp_page2_his.page_code IS '页面编码';

COMMENT ON COLUMN koca_lcp_page2_his.page_name IS '页面名称';

COMMENT ON COLUMN koca_lcp_page2_his.page_meta IS '页面元数据';

COMMENT ON COLUMN koca_lcp_page2_his.home_page IS '是否首页';

COMMENT ON COLUMN koca_lcp_page2_his.his_version IS '历史版本号';

COMMENT ON COLUMN koca_lcp_page2_his.page_type IS '页面类型：模型页面MODEL/通用页面COMMON';

COMMENT ON COLUMN koca_lcp_page2_his.template_id IS '模板id';

COMMENT ON COLUMN koca_lcp_page2_his.model_id IS '模型id';

CREATE UNIQUE INDEX uk_lcp_page2_his_code ON koca_lcp_page2_his(tenant_id, group_id, his_version, page_code);

CREATE UNIQUE INDEX uk_lcp_page2_his_name ON koca_lcp_page2_his(tenant_id, group_id, his_version, page_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_HIS_NO', '页面发布历史序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_HIS_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_page_config::YaChao Lv
CREATE TABLE koca_lcp_page_config (id NUMBER(38, 0) NOT NULL, tenant_id NVARCHAR2(32) DEFAULT '-1' NOT NULL, config_json CLOB NOT NULL, created_by NVARCHAR2(32) NOT NULL, updated_by NVARCHAR2(32) NOT NULL, created_at NVARCHAR2(32) NOT NULL, updated_at NVARCHAR2(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_PAGE_CONFIG PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_page_config IS '页面全局配置';

COMMENT ON COLUMN koca_lcp_page_config.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_page_config.tenant_id IS '租户id';

COMMENT ON COLUMN koca_lcp_page_config.config_json IS '配置json';

COMMENT ON COLUMN koca_lcp_page_config.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_page_config.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_page_config.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_page_config.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_lcp_page_config_code ON koca_lcp_page_config(tenant_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE_CONFIG_NO', '页面全局配置序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE_CONFIG_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::insert_koca_sys_menu::qiuhang
INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('414000', '0', '0', '页面管理', '', '', '412000', 'kui-icon-vision', '0', '页面管理');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('414001', '0', '0', '页面管理', '/lcp-runtime-page/views/page-manage/index.tsx', '414000', '', '', '0', '页面管理');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('414002', '0', '1', '页面设计器', '/lcp-runtime-page/views/designer/index.tsx', '414000', '414001', '', '0', '页面设计器');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('414003', '0', '1', '动态页面', '/lcp-runtime-page/views/renderer/index.tsx', '414000', '414002', '', '0', '动态页面');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('414004', '0', '2', '模板编辑/删除', '', '414001', '', '', '0', '模板编辑/删除');

-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_global_var_page2::liusheng
CREATE TABLE koca_lcp_global_var_page2 (var_name NVARCHAR2(512) NOT NULL, page_id NUMBER(38, 0) NOT NULL, CONSTRAINT PK_KOCA_LCP_GLOBAL_VAR_PAGE2 PRIMARY KEY (var_name, page_id));

COMMENT ON TABLE koca_lcp_global_var_page2 IS '全局变量/方法-页面映射表';

COMMENT ON COLUMN koca_lcp_global_var_page2.var_name IS '全局变量/方法名称';

COMMENT ON COLUMN koca_lcp_global_var_page2.page_id IS '页面id';

-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_var_page2_deployed::YaChao Lv
CREATE TABLE koca_lcp_var_page2_deployed (id NUMBER(38, 0) NOT NULL, var_name NVARCHAR2(512) NOT NULL, page2_id NUMBER(38, 0) NOT NULL, his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_VAR_PAGE2_DEPLOYED PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_var_page2_deployed IS '全局变量/方法-页面映射发布表';

COMMENT ON COLUMN koca_lcp_var_page2_deployed.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_var_page2_deployed.var_name IS '全局变量/方法名称';

COMMENT ON COLUMN koca_lcp_var_page2_deployed.page2_id IS '页面id';

COMMENT ON COLUMN koca_lcp_var_page2_deployed.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_lcp_page2_var_deployed ON koca_lcp_var_page2_deployed(page2_id, var_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_VAR_DEPLOYED_NO', '变量/方法-页面关系发布表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_VAR_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_var_page2_his::YaChao Lv
CREATE TABLE koca_lcp_var_page2_his (id NUMBER(38, 0) NOT NULL, var_name NVARCHAR2(512) NOT NULL, page2_id NUMBER(38, 0) NOT NULL, his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_VAR_PAGE2_HIS PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_var_page2_his IS '全局变量/方法-页面映射发布历史表';

COMMENT ON COLUMN koca_lcp_var_page2_his.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_var_page2_his.var_name IS '全局变量/方法名称';

COMMENT ON COLUMN koca_lcp_var_page2_his.page2_id IS '页面id';

COMMENT ON COLUMN koca_lcp_var_page2_his.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_lcp_page2_var_his ON koca_lcp_var_page2_his(page2_id, var_name, his_version);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_VAR_HIS_NO', '变量/方法-页面关系发布历史表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_VAR_HIS_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_api_basic_page2::liusheng
CREATE TABLE koca_lcp_api_basic_page2 (data_id NUMBER(38, 0) NOT NULL, page2_id NUMBER(38, 0) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_BASIC_PAGE2 PRIMARY KEY (data_id, page2_id));

COMMENT ON TABLE koca_lcp_api_basic_page2 IS '字段-页面映射表';

COMMENT ON COLUMN koca_lcp_api_basic_page2.data_id IS '字段id';

COMMENT ON COLUMN koca_lcp_api_basic_page2.page2_id IS '页面id';

-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_api_page2_deployed::YaChao Lv
CREATE TABLE koca_lcp_api_page2_deployed (id NUMBER(38, 0) NOT NULL, data_id NUMBER(38, 0) NOT NULL, page2_id NUMBER(38, 0) NOT NULL, his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_PAGE2_DEPLOYED PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_api_page2_deployed IS '接口-页面映射发布表';

COMMENT ON COLUMN koca_lcp_api_page2_deployed.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_api_page2_deployed.data_id IS '字段id';

COMMENT ON COLUMN koca_lcp_api_page2_deployed.page2_id IS '页面id';

COMMENT ON COLUMN koca_lcp_api_page2_deployed.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_lcp_page2_api_deployed ON koca_lcp_api_page2_deployed(data_id, page2_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_API_DEPLOYED_NO', '接口页面关系发布表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_API_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_api_page2_his::YaChao Lv
CREATE TABLE koca_lcp_api_page2_his (id NUMBER(38, 0) NOT NULL, data_id NUMBER(38, 0) NOT NULL, page2_id NUMBER(38, 0) NOT NULL, his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_PAGE2_HIS PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_api_page2_his IS '接口-页面映射发布历史表';

COMMENT ON COLUMN koca_lcp_api_page2_his.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_api_page2_his.data_id IS '字段id';

COMMENT ON COLUMN koca_lcp_api_page2_his.page2_id IS '页面id';

COMMENT ON COLUMN koca_lcp_api_page2_his.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_lcp_page2_api_his ON koca_lcp_api_page2_his(data_id, page2_id, his_version);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_API_HIS_NO', '接口页面关系发布历史表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_API_HIS_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_page2_history::liusheng
CREATE TABLE koca_lcp_page2_history (id NUMBER(38, 0) NOT NULL, page_id NUMBER(38, 0) NOT NULL, page_meta CLOB NOT NULL, created_by NVARCHAR2(32) NOT NULL, updated_by NVARCHAR2(32) NOT NULL, created_at NVARCHAR2(32) NOT NULL, updated_at NVARCHAR2(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_PAGE2_HISTORY PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_page2_history IS '页面历史版本表';

COMMENT ON COLUMN koca_lcp_page2_history.page_id IS '页面id';

COMMENT ON COLUMN koca_lcp_page2_history.page_meta IS '版本元数据';

COMMENT ON COLUMN koca_lcp_page2_history.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_page2_history.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_page2_history.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_page2_history.updated_at IS '更新时间';

CREATE INDEX idx_page_id ON koca_lcp_page2_history(page_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_PAGE_HISTORY_NO', '页面历史版本序列', '8', '1', '', '', '0');

-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_comp2_page2::liusheng
CREATE TABLE koca_lcp_comp2_page2 (comp_id NUMBER(38, 0) NOT NULL, page_id NUMBER(38, 0) NOT NULL, CONSTRAINT PK_KOCA_LCP_COMP2_PAGE2 PRIMARY KEY (comp_id, page_id));

COMMENT ON TABLE koca_lcp_comp2_page2 IS '组件-页面映射表';

COMMENT ON COLUMN koca_lcp_comp2_page2.comp_id IS '组件id';

COMMENT ON COLUMN koca_lcp_comp2_page2.page_id IS '页面id';

-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_comp2_page2_deployed::YaChao Lv
CREATE TABLE koca_lcp_comp2_page2_deployed (id NUMBER(38, 0) NOT NULL, comp_id NUMBER(38, 0) NOT NULL, page_id NUMBER(38, 0) NOT NULL, his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_COMP2_PAGE2_DEPLOY PRIMARY KEY (id, comp_id, page_id));

COMMENT ON TABLE koca_lcp_comp2_page2_deployed IS '页面-组件映射发布表';

COMMENT ON COLUMN koca_lcp_comp2_page2_deployed.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_comp2_page2_deployed.comp_id IS '当前组件id';

COMMENT ON COLUMN koca_lcp_comp2_page2_deployed.page_id IS '关联组件id';

COMMENT ON COLUMN koca_lcp_comp2_page2_deployed.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_lcp_comp2_page2_deployed ON koca_lcp_comp2_page2_deployed(comp_id, page_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_PAGE2_DEPLOYED_NO', '页面-组件关系发布表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_PAGE2_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_comp2_page2_his::YaChao Lv
CREATE TABLE koca_lcp_comp2_page2_his (id NUMBER(38, 0) NOT NULL, comp_id NUMBER(38, 0) NOT NULL, page_id NUMBER(38, 0) NOT NULL, his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_COMP2_PAGE2_HIS PRIMARY KEY (id, comp_id, page_id));

COMMENT ON TABLE koca_lcp_comp2_page2_his IS '页面-组件映射发布历史表';

COMMENT ON COLUMN koca_lcp_comp2_page2_his.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_comp2_page2_his.comp_id IS '当前组件id';

COMMENT ON COLUMN koca_lcp_comp2_page2_his.page_id IS '关联组件id';

COMMENT ON COLUMN koca_lcp_comp2_page2_his.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_lcp_comp2_page2_his ON koca_lcp_comp2_page2_his(comp_id, page_id, his_version);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_PAGE2_HIS_NO', '页面-组件关系发布历史表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_PAGE2_HIS_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2131__koca_lcp_runtime_page.xml::create_table_koca_lcp_page2_template::liusheng
CREATE TABLE koca_lcp_page2_template (id NUMBER(38, 0) NOT NULL, tenant_id NVARCHAR2(32) DEFAULT '-1' NOT NULL, tpl_name NVARCHAR2(64) NOT NULL, metadata CLOB NOT NULL, created_by NVARCHAR2(32) NOT NULL, updated_by NVARCHAR2(32) NOT NULL, created_at NVARCHAR2(32) NOT NULL, updated_at NVARCHAR2(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_PAGE2_TEMPLATE PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_page2_template IS '页面模板';

COMMENT ON COLUMN koca_lcp_page2_template.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_page2_template.tenant_id IS '租户id';

COMMENT ON COLUMN koca_lcp_page2_template.tpl_name IS '模板名称';

COMMENT ON COLUMN koca_lcp_page2_template.metadata IS '模板元数据';

COMMENT ON COLUMN koca_lcp_page2_template.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_page2_template.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_page2_template.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_page2_template.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_lcp_page2_tpl_name ON koca_lcp_page2_template(tenant_id, tpl_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_TEMPLATE_NO', '页面模板序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_TEMPLATE_NO', '0', '0', '0', '100000', '', '');
update koca_sys_menu set menu_status=1 where menu_id in ('414000');
