-- Changeset V4.3.0_0_2_132__koca_lcp_runtime_page.xml::alter_table_koca_lcp_page2::YaChao Lv
ALTER TABLE koca_lcp_page2 ADD deploy_status NVARCHAR2(32) DEFAULT 'NOT_DEPLOYED' NOT NULL;

COMMENT ON COLUMN koca_lcp_page2.deploy_status IS '发布状态';

-- Changeset V4.3.0_0_2_132__koca_lcp_runtime_page.xml::create_table_koca_lcp_page2_deployed::YaChao Lv
CREATE TABLE koca_lcp_page2_deployed (id NUMBER(38, 0) NOT NULL, page_id NUMBER(38, 0) NOT NULL, tenant_id NVARCHAR2(32) DEFAULT '-1' NOT NULL, group_id NUMBER(38, 0) DEFAULT '-1' NOT NULL, page_code NVARCHAR2(64) NOT NULL, page_name NVARCHAR2(64) NOT NULL, page_meta CLOB, home_page CHAR(1) DEFAULT 'N' NOT NULL, his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_PAGE2_DEPLOYED PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_page2_deployed IS '页面管理已发布表';

COMMENT ON COLUMN koca_lcp_page2_deployed.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_page2_deployed.page_id IS '页面ID';

COMMENT ON COLUMN koca_lcp_page2_deployed.tenant_id IS '租户id';

COMMENT ON COLUMN koca_lcp_page2_deployed.group_id IS '父级目录';

COMMENT ON COLUMN koca_lcp_page2_deployed.page_code IS '页面编码';

COMMENT ON COLUMN koca_lcp_page2_deployed.page_name IS '页面名称';

COMMENT ON COLUMN koca_lcp_page2_deployed.page_meta IS '页面元数据';

COMMENT ON COLUMN koca_lcp_page2_deployed.home_page IS '是否首页';

COMMENT ON COLUMN koca_lcp_page2_deployed.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_lcp_page2_deployed_code ON koca_lcp_page2_deployed(tenant_id, group_id, page_code);

CREATE UNIQUE INDEX uk_lcp_page2_deployed_name ON koca_lcp_page2_deployed(tenant_id, group_id, page_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_DEPLOYED_NO', '发布页面序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.3.0_0_2_132__koca_lcp_runtime_page.xml::create_table_koca_lcp_page2_his::YaChao Lv
CREATE TABLE koca_lcp_page2_his (id NUMBER(38, 0) NOT NULL, page_id NUMBER(38, 0) NOT NULL, tenant_id NVARCHAR2(32) DEFAULT '-1' NOT NULL, group_id NUMBER(38, 0) DEFAULT '-1' NOT NULL, page_code NVARCHAR2(64) NOT NULL, page_name NVARCHAR2(64) NOT NULL, page_meta CLOB, home_page CHAR(1) DEFAULT 'N' NOT NULL, his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_PAGE2_HIS PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_page2_his IS '页面管理发布历史表';

COMMENT ON COLUMN koca_lcp_page2_his.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_page2_his.page_id IS '页面ID';

COMMENT ON COLUMN koca_lcp_page2_his.tenant_id IS '租户id';

COMMENT ON COLUMN koca_lcp_page2_his.group_id IS '父级目录';

COMMENT ON COLUMN koca_lcp_page2_his.page_code IS '页面编码';

COMMENT ON COLUMN koca_lcp_page2_his.page_name IS '页面名称';

COMMENT ON COLUMN koca_lcp_page2_his.page_meta IS '页面元数据';

COMMENT ON COLUMN koca_lcp_page2_his.home_page IS '是否首页';

COMMENT ON COLUMN koca_lcp_page2_his.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_lcp_page2_his_code ON koca_lcp_page2_his(tenant_id, group_id, his_version, page_code);

CREATE UNIQUE INDEX uk_lcp_page2_his_name ON koca_lcp_page2_his(tenant_id, group_id, his_version, page_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_HIS_NO', '页面发布历史序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_HIS_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.3.0_0_2_132__koca_lcp_runtime_page.xml::create_table_koca_lcp_var_page2_deployed::YaChao Lv
CREATE TABLE koca_lcp_var_page2_deployed (id NUMBER(38, 0) NOT NULL, var_name NVARCHAR2(512) NOT NULL, page2_id NUMBER(38, 0) NOT NULL, his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_VAR_PAGE2_DEPLOYED PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_var_page2_deployed IS '全局变量/方法-页面映射发布表';

COMMENT ON COLUMN koca_lcp_var_page2_deployed.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_var_page2_deployed.var_name IS '全局变量/方法名称';

COMMENT ON COLUMN koca_lcp_var_page2_deployed.page2_id IS '页面id';

COMMENT ON COLUMN koca_lcp_var_page2_deployed.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_lcp_page2_var_deployed ON koca_lcp_var_page2_deployed(page2_id, var_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_VAR_DEPLOYED_NO', '变量/方法-页面关系发布表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_VAR_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.3.0_0_2_132__koca_lcp_runtime_page.xml::create_table_koca_lcp_var_page2_his::YaChao Lv
CREATE TABLE koca_lcp_var_page2_his (id NUMBER(38, 0) NOT NULL, var_name NVARCHAR2(512) NOT NULL, page2_id NUMBER(38, 0) NOT NULL, his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_VAR_PAGE2_HIS PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_var_page2_his IS '全局变量/方法-页面映射发布历史表';

COMMENT ON COLUMN koca_lcp_var_page2_his.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_var_page2_his.var_name IS '全局变量/方法名称';

COMMENT ON COLUMN koca_lcp_var_page2_his.page2_id IS '页面id';

COMMENT ON COLUMN koca_lcp_var_page2_his.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_lcp_page2_var_his ON koca_lcp_var_page2_his(page2_id, var_name, his_version);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_VAR_HIS_NO', '变量/方法-页面关系发布历史表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_VAR_HIS_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.3.0_0_2_132__koca_lcp_runtime_page.xml::create_table_koca_lcp_api_page2_deployed::YaChao Lv
CREATE TABLE koca_lcp_api_page2_deployed (id NUMBER(38, 0) NOT NULL, data_id NUMBER(38, 0) NOT NULL, page2_id NUMBER(38, 0) NOT NULL, his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_PAGE2_DEPLOYED PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_api_page2_deployed IS '接口-页面映射发布表';

COMMENT ON COLUMN koca_lcp_api_page2_deployed.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_api_page2_deployed.data_id IS '字段id';

COMMENT ON COLUMN koca_lcp_api_page2_deployed.page2_id IS '页面id';

COMMENT ON COLUMN koca_lcp_api_page2_deployed.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_lcp_page2_api_deployed ON koca_lcp_api_page2_deployed(data_id, page2_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_API_DEPLOYED_NO', '接口页面关系发布表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_API_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.3.0_0_2_132__koca_lcp_runtime_page.xml::create_table_koca_lcp_api_page2_his::YaChao Lv
CREATE TABLE koca_lcp_api_page2_his (id NUMBER(38, 0) NOT NULL, data_id NUMBER(38, 0) NOT NULL, page2_id NUMBER(38, 0) NOT NULL, his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_PAGE2_HIS PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_api_page2_his IS '接口字段-页面映射发布历史表';

COMMENT ON COLUMN koca_lcp_api_page2_his.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_api_page2_his.data_id IS '字段id';

COMMENT ON COLUMN koca_lcp_api_page2_his.page2_id IS '页面id';

COMMENT ON COLUMN koca_lcp_api_page2_his.his_version IS '页面历史版本号';

CREATE UNIQUE INDEX uk_lcp_page2_api_his ON koca_lcp_api_page2_his(data_id, page2_id, his_version);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_API_HIS_NO', '接口页面关系发布历史表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_API_HIS_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.3.0_0_2_132__koca_lcp_runtime_page.xml::create_table_koca_lcp_comp2_page2_deployed::YaChao Lv
CREATE TABLE koca_lcp_comp2_page2_deployed (id NUMBER(38, 0) NOT NULL, comp_id NUMBER(38, 0) NOT NULL, page_id NUMBER(38, 0) NOT NULL, his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_COMP2_PAGE2_DEPLOY PRIMARY KEY (id, comp_id, page_id));

COMMENT ON TABLE koca_lcp_comp2_page2_deployed IS '页面-组件映射发布表';

COMMENT ON COLUMN koca_lcp_comp2_page2_deployed.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_comp2_page2_deployed.comp_id IS '当前组件id';

COMMENT ON COLUMN koca_lcp_comp2_page2_deployed.page_id IS '关联页面id';

COMMENT ON COLUMN koca_lcp_comp2_page2_deployed.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_lcp_comp2_page2_deployed ON koca_lcp_comp2_page2_deployed(comp_id, page_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_PAGE2_DEPLOYED_NO', '页面-组件关系发布表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_PAGE2_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.3.0_0_2_132__koca_lcp_runtime_page.xml::create_table_koca_lcp_comp2_page2_his::YaChao Lv
CREATE TABLE koca_lcp_comp2_page2_his (id NUMBER(38, 0) NOT NULL, comp_id NUMBER(38, 0) NOT NULL, page_id NUMBER(38, 0) NOT NULL, his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_COMP2_PAGE2_HIS PRIMARY KEY (id, comp_id, page_id));

COMMENT ON TABLE koca_lcp_comp2_page2_his IS '页面-组件映射发布历史表';

COMMENT ON COLUMN koca_lcp_comp2_page2_his.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_comp2_page2_his.comp_id IS '当前组件id';

COMMENT ON COLUMN koca_lcp_comp2_page2_his.page_id IS '关联页面id';

COMMENT ON COLUMN koca_lcp_comp2_page2_his.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_lcp_comp2_page2_his ON koca_lcp_comp2_page2_his(comp_id, page_id, his_version);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_PAGE2_HIS_NO', '页面-组件关系发布历史表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_PAGE2_HIS_NO', '0', '0', '0', '100000', '', '');