-- ----------------------------
-- Table structure for RPT_DATASET
-- ----------------------------
CREATE TABLE RPT_DATASET(
  DATASET_ID bigint NOT NULL ,
  USER_ID varchar(100)  DEFAULT NULL,
  CATEGORY_NAME varchar(100) DEFAULT NULL,
  CATEGORY varchar(100) DEFAULT NULL,
  DATASET_NAME varchar(100) DEFAULT NULL,
  DATA_JSON text,
  CREATE_TIME timestamp NOT NULL,
  UPDATE_TIME timestamp NOT NULL,
  PRIMARY KEY (DATASET_ID)
);


-- ----------------------------
-- Table structure for RPT_DATASOURCE
-- ----------------------------
CREATE TABLE RPT_DATASOURCE(
  ID bigint NOT NULL ,
  USER_ID varchar(64) DEFAULT NULL,
  SOURCE_NAME varchar(64) NOT NULL,
  SOURCE_TYPE varchar(64) DEFAULT NULL,
  DRIVER_TYPE varchar(64) NOT NULL,
  CONFIG text NOT NULL,
  CREATE_TIME timestamp NOT NULL,
  UPDATE_TIME timestamp NOT NULL,
  PRIMARY KEY (ID)
);
comment on column RPT_DATASOURCE.USER_ID is '用户ID';
comment on column RPT_DATASOURCE.SOURCE_NAME is '连接名';
comment on column RPT_DATASOURCE.SOURCE_TYPE is '数据源类型';
comment on column RPT_DATASOURCE.DRIVER_TYPE is 'mysql,hive...';
comment on column RPT_DATASOURCE.CONFIG is '数据源参数';
comment on column RPT_DATASOURCE.CREATE_TIME is '创建时间';
comment on column RPT_DATASOURCE.UPDATE_TIME is '更新时间';


-- ----------------------------
-- Table structure for RPT_USER
-- ----------------------------
CREATE TABLE RPT_USER(
  USER_ID varchar(50) NOT NULL,
  LOGIN_NAME varchar(100) DEFAULT NULL,
  USER_NAME varchar(100) DEFAULT NULL,
  USER_PASSWORD varchar(100) DEFAULT NULL,
  USER_STATUS varchar(100) DEFAULT NULL,
  PRIMARY KEY (USER_ID)
);



-- ----------------------------
-- Table structure for RPT_WIDGET
-- ----------------------------
CREATE TABLE RPT_WIDGET(
  WIDGET_ID bigint NOT NULL ,
  USER_ID varchar(100) DEFAULT NULL,
  CATEGORY_NAME varchar(100) DEFAULT NULL,
  WIDGET_NAME varchar(100) NOT NULL,
  DATA_JSON text,
  CREATE_TIME timestamp NOT NULL,
  UPDATE_TIME timestamp NOT NULL,
  PRIMARY KEY (WIDGET_ID)
);

-- ----------------------------
-- Table structure for RPT_TABLEHEAD
-- ----------------------------
CREATE TABLE  RPT_TABLEHEAD(
  TABLEHEAD_ID bigint NOT NULL,
  USER_ID varchar(100) NOT NULL,
  CATEGORY_NAME varchar(100) DEFAULT NULL,
  TABLEHEAD_NAME varchar(100) NOT NULL,
  DATA_JSON text,
  CREATE_TIME timestamp NOT NULL,
  UPDATE_TIME timestamp NOT NULL,
  PRIMARY KEY (TABLEHEAD_ID)
);



-- ----------------------------
-- Table structure for RPT_OPERATION
-- ----------------------------
CREATE TABLE RPT_OPERATION(
  OPERATION_ID bigint NOT NULL,
  USER_ID varchar(100) NOT NULL,
  CATEGORY_NAME varchar(100) DEFAULT NULL,
  OPERATION_NAME varchar(100) NOT NULL,
  DATA_JSON text,
  CREATE_TIME timestamp NOT NULL,
  UPDATE_TIME timestamp NOT NULL,
  PRIMARY KEY (OPERATION_ID)
);


-- ----------------------------
-- Table structure for RPT_BOARD
-- ----------------------------
CREATE TABLE RPT_BOARD (
  BOARD_ID bigint NOT NULL,
  USER_ID varchar(100) NOT NULL,
  CATEGORY_NAME varchar(100) DEFAULT NULL,
  BOARD_TYPE bigint DEFAULT NULL ,
  BOARD_NAME varchar(100) NOT NULL,
  LAYOUT_JSON text,
  CREATE_TIME timestamp NOT NULL,
  UPDATE_TIME timestamp NOT NULL,
  PRIMARY KEY (BOARD_ID)
);


 -- ----------------------------
-- Table structure for RPT_CUSTOMSET
-- ----------------------------
CREATE TABLE RPT_CUSTOMSET (
  SET_ID bigint NOT NULL,
  WIDGET_ID bigint NOT NULL,
  USER_ID varchar(100) NOT NULL,
  DATA_JSON text NOT NULL ,
  CREATE_TIME timestamp NOT NULL,
  UPDATE_TIME timestamp NOT NULL,
  PRIMARY KEY (SET_ID)
);

-- ----------------------------
-- Table structure for RPT_RE_WIDGET_DATASET
-- ----------------------------
CREATE TABLE RPT_RE_WIDGET_DATASET (
  WIDGET_ID bigint NOT NULL,
  RELATION_JSON text NOT NULL ,
  CREATE_TIME timestamp NOT NULL,
  UPDATE_TIME timestamp NOT NULL,
  PRIMARY KEY (WIDGET_ID)
);

-- ----------------------------
-- Table structure for RPT_CATEGORY
-- ----------------------------
CREATE TABLE RPT_CATEGORY (
  ID_ varchar(64) NOT NULL,
  NAME_ varchar(255) NOT NULL ,
  PARENT_ID_ varchar(64) DEFAULT NULL ,
  TYPE_  varchar(64) DEFAULT NULL ,
  RESERVED_  varchar(255) DEFAULT NULL ,
  PRIMARY KEY (ID_)
);
