﻿-- 
--  creating table koca_perm_menu_role
--  =============================
-- 
create table koca_perm_menu_role
(
  id         varchar(32) not null,
  menu_id    varchar(10),
  role_no    varchar(8),
  right_type varchar(2),
  grant_user varchar(32),
  grant_time varchar(16),
  tenant_id            varchar(32) not null
)
;
alter table koca_perm_menu_role
  add constraint perm_role_p_key primary key (id);
alter table koca_perm_menu_role
  add constraint perm_role_unique_key unique (menu_id, role_no, tenant_id);

-- 
--  creating table koca_perm_menu_user
--  =============================
-- 
create table koca_perm_menu_user
(
  id         varchar(32) not null,
  menu_id    varchar(10) not null,
  user_no    varchar(32) not null,
  right_type varchar(2) not null,
  grant_user varchar(32),
  grant_time varchar(16)
)
;
alter table koca_perm_menu_user
  add constraint perm_user_pid primary key (id);
alter table koca_perm_menu_user
  add constraint perm_user_unique unique (menu_id, user_no);
  
create table koca_user_favorite_menu
(
  user_no    varchar(32) not null,
  menu_id    varchar(10) not null,
  record_type    varchar(2) default '0'
)
;

create table koca_perm_menu_group
(
    menu_id             varchar(10) not null ,
    group_code           varchar(32) not null
);

comment on column koca_perm_menu_group.menu_id
    is '菜单id';
comment on column koca_perm_menu_group.group_code
    is '菜单分组编码';
alter table koca_perm_menu_group
    add primary key (menu_id,group_code);

create table koca_role_menu_group
(
    role_no             varchar(10) not null ,
    group_code           varchar(32) not null ,
    tenant_id           varchar(32) not null 
);

comment on column koca_role_menu_group.role_no
    is '角色编号';
comment on column koca_role_menu_group.group_code
    is '分组编号';
comment on column koca_role_menu_group.tenant_id
    is '租户id';
alter table koca_role_menu_group
    add primary key (role_no,group_code,tenant_id);

create table koca_menu_group
(
    group_code           varchar(32) not null ,
    group_name           varchar(32) not null ,
    remark               varchar(128) not null ,
    modifiable           varchar(1) not null ,
    create_time          varchar(32) not null ,
    primary key (group_code)
);

comment on column koca_menu_group.group_code
    is '菜单分组编码';
comment on column koca_menu_group.group_name
    is '菜单分组名称';
comment on column koca_menu_group.remark
    is '备注';
comment on column koca_menu_group.modifiable
    is '是否可以修改删除 0不可以 1可以';
comment on column koca_menu_group.create_time
    is '创建时间 用于排序';
alter table koca_menu_group
    add primary key (group_code);