-- Changeset V4.3.0_0_2_152__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_basic::YaChao Lv
CREATE TABLE koca_lcp_api_basic (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL, group_id BIGINT DEFAULT -1 NOT NULL, api_code VARCHAR(64) NOT NULL, api_name VARCHAR(64) NOT NULL, api_url VARCHAR(255) NOT NULL, api_method VARCHAR(32) NOT NULL, api_pos INTEGER DEFAULT 0 NOT NULL, remark TEXT, api_req_body_type VARCHAR(32) NOT NULL, api_resp_body_type VARCHAR(32) NOT NULL, api_req_root_type VARCHAR(32) NOT NULL, api_resp_root_type VARCHAR(32) NOT NULL, model_id BIGINT, crud_type VARCHAR(32), deploy_status VARCHAR(32) NOT NULL, created_by VARCHAR(32) NOT NULL, updated_by VARCHAR(32) NOT NULL, created_at VARCHAR(32) NOT NULL, updated_at VARCHAR(32) NOT NULL, CONSTRAINT KOCA_LCP_API_BASIC_PKEY PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_api_basic IS 'api基础信息表';

COMMENT ON COLUMN koca_lcp_api_basic.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_api_basic.tenant_id IS '租户ID';

COMMENT ON COLUMN koca_lcp_api_basic.group_id IS '分组ID';

COMMENT ON COLUMN koca_lcp_api_basic.api_code IS 'api代码';

COMMENT ON COLUMN koca_lcp_api_basic.api_name IS 'api名称';

COMMENT ON COLUMN koca_lcp_api_basic.api_url IS 'api路径';

COMMENT ON COLUMN koca_lcp_api_basic.api_method IS '接口方法';

COMMENT ON COLUMN koca_lcp_api_basic.api_pos IS 'api排序';

COMMENT ON COLUMN koca_lcp_api_basic.remark IS '说明';

COMMENT ON COLUMN koca_lcp_api_basic.api_req_body_type IS '接口入参body类型';

COMMENT ON COLUMN koca_lcp_api_basic.api_resp_body_type IS '接口响应body类型';

COMMENT ON COLUMN koca_lcp_api_basic.api_req_root_type IS '接口入参root类型';

COMMENT ON COLUMN koca_lcp_api_basic.api_resp_root_type IS '接口响应root类型';

COMMENT ON COLUMN koca_lcp_api_basic.model_id IS '数据模型ID';

COMMENT ON COLUMN koca_lcp_api_basic.crud_type IS '增删改查类型';

COMMENT ON COLUMN koca_lcp_api_basic.deploy_status IS '发布状态';

COMMENT ON COLUMN koca_lcp_api_basic.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_api_basic.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_api_basic.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_api_basic.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_api_code ON koca_lcp_api_basic(tenant_id, api_code);

CREATE UNIQUE INDEX uk_api_name ON koca_lcp_api_basic(tenant_id, api_name);

CREATE UNIQUE INDEX uk_api_url ON koca_lcp_api_basic(tenant_id, api_method, api_url);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_API_BASIC_NO', 'LCP API基础数据序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_API_BASIC_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.3.0_0_2_152__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_group::YaChao Lv
CREATE TABLE koca_lcp_api_group (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL, parent_id BIGINT DEFAULT -1 NOT NULL, group_code VARCHAR(32) NOT NULL, group_name VARCHAR(64) NOT NULL, id_path VARCHAR(512) NOT NULL, group_pos INTEGER DEFAULT 0 NOT NULL, created_by VARCHAR(32) NOT NULL, updated_by VARCHAR(32) NOT NULL, created_at VARCHAR(32) NOT NULL, updated_at VARCHAR(32) NOT NULL, CONSTRAINT KOCA_LCP_API_GROUP_PKEY PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_api_group IS 'api分组';

COMMENT ON COLUMN koca_lcp_api_group.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_api_group.tenant_id IS '租户ID';

COMMENT ON COLUMN koca_lcp_api_group.parent_id IS '父节点';

COMMENT ON COLUMN koca_lcp_api_group.group_code IS '分组代码';

COMMENT ON COLUMN koca_lcp_api_group.group_name IS '分组名称';

COMMENT ON COLUMN koca_lcp_api_group.id_path IS 'id路径';

COMMENT ON COLUMN koca_lcp_api_group.group_pos IS 'api排序';

COMMENT ON COLUMN koca_lcp_api_group.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_api_group.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_api_group.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_api_group.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_api_group_name ON koca_lcp_api_group(tenant_id, parent_id, group_name);

CREATE UNIQUE INDEX uk_api_group_code ON koca_lcp_api_group(tenant_id, parent_id, group_code);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_API_GROUP_NO', 'LCP API分组序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_API_GROUP_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.3.0_0_2_152__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_param::YaChao Lv
CREATE TABLE koca_lcp_api_param (id BIGINT NOT NULL, api_id BIGINT NOT NULL, parent_id BIGINT NOT NULL, param_code VARCHAR(32) NOT NULL, param_name VARCHAR(64) NOT NULL, param_type VARCHAR(32) NOT NULL, param_pos INTEGER NOT NULL, param_desc VARCHAR(255), data_type VARCHAR(32) NOT NULL, data_length INTEGER, decimal_place INTEGER, required SMALLINT NOT NULL, default_value VARCHAR(255), data_format VARCHAR(32), data_dict_code VARCHAR(32), model_field_code VARCHAR(512), created_by VARCHAR(32) NOT NULL, updated_by VARCHAR(32) NOT NULL, created_at VARCHAR(32) NOT NULL, updated_at VARCHAR(32) NOT NULL, CONSTRAINT KOCA_LCP_API_PARAM_PKEY PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_api_param IS 'api参数';

COMMENT ON COLUMN koca_lcp_api_param.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_api_param.api_id IS 'api主键';

COMMENT ON COLUMN koca_lcp_api_param.parent_id IS '父id';

COMMENT ON COLUMN koca_lcp_api_param.param_code IS '参数代码';

COMMENT ON COLUMN koca_lcp_api_param.param_name IS '参数名';

COMMENT ON COLUMN koca_lcp_api_param.param_type IS '参数类型 请求/响应';

COMMENT ON COLUMN koca_lcp_api_param.param_pos IS '参数排序';

COMMENT ON COLUMN koca_lcp_api_param.param_desc IS '参数说明';

COMMENT ON COLUMN koca_lcp_api_param.data_type IS '数据类型';

COMMENT ON COLUMN koca_lcp_api_param.data_length IS '数据长度';

COMMENT ON COLUMN koca_lcp_api_param.decimal_place IS '精度';

COMMENT ON COLUMN koca_lcp_api_param.required IS '是否必填';

COMMENT ON COLUMN koca_lcp_api_param.default_value IS '默认值';

COMMENT ON COLUMN koca_lcp_api_param.data_format IS '字段数据格式';

COMMENT ON COLUMN koca_lcp_api_param.data_dict_code IS '数据字典代码';

COMMENT ON COLUMN koca_lcp_api_param.model_field_code IS '数据模型字段代码';

COMMENT ON COLUMN koca_lcp_api_param.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_api_param.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_api_param.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_api_param.updated_at IS '更新时间';

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_API_PARAM_NO', 'LCP API参数序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_API_PARAM_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.3.0_0_2_152__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_basic_deployed::YaChao Lv
DROP TABLE koca_lcp_api_basic_deployed;

CREATE TABLE koca_lcp_api_basic_deployed (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL, group_id BIGINT, api_id BIGINT NOT NULL, api_code VARCHAR(64), api_name VARCHAR(64), api_url VARCHAR(255) NOT NULL, api_method VARCHAR(32) NOT NULL, api_pos INTEGER DEFAULT 0 NOT NULL, remark TEXT, api_req_body_type VARCHAR(32) NOT NULL, api_resp_body_type VARCHAR(32) NOT NULL, api_req_root_type VARCHAR(32) NOT NULL, api_resp_root_type VARCHAR(32) NOT NULL, model_id BIGINT, crud_type VARCHAR(32), his_version VARCHAR(8) NOT NULL, CONSTRAINT KOCA_LCP_API_BASIC_DEPLOYED_PKEY PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_api_basic_deployed IS 'api基础信息发布表';

COMMENT ON COLUMN koca_lcp_api_basic_deployed.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_api_basic_deployed.tenant_id IS '租户ID';

COMMENT ON COLUMN koca_lcp_api_basic_deployed.group_id IS '分组ID';

COMMENT ON COLUMN koca_lcp_api_basic_deployed.api_id IS 'api主键';

COMMENT ON COLUMN koca_lcp_api_basic_deployed.api_code IS 'api代码';

COMMENT ON COLUMN koca_lcp_api_basic_deployed.api_name IS 'api名称';

COMMENT ON COLUMN koca_lcp_api_basic_deployed.api_url IS 'api路径';

COMMENT ON COLUMN koca_lcp_api_basic_deployed.api_method IS '接口方法';

COMMENT ON COLUMN koca_lcp_api_basic_deployed.api_pos IS 'api排序';

COMMENT ON COLUMN koca_lcp_api_basic_deployed.remark IS '说明';

COMMENT ON COLUMN koca_lcp_api_basic_deployed.api_req_body_type IS '接口入参body类型';

COMMENT ON COLUMN koca_lcp_api_basic_deployed.api_resp_body_type IS '接口响应body类型';

COMMENT ON COLUMN koca_lcp_api_basic_deployed.api_req_root_type IS '接口入参root类型';

COMMENT ON COLUMN koca_lcp_api_basic_deployed.api_resp_root_type IS '接口响应root类型';

COMMENT ON COLUMN koca_lcp_api_basic_deployed.model_id IS '数据模型ID';

COMMENT ON COLUMN koca_lcp_api_basic_deployed.crud_type IS '增删改查类型';

COMMENT ON COLUMN koca_lcp_api_basic_deployed.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_api_id_deployed ON koca_lcp_api_basic_deployed(api_id);

CREATE UNIQUE INDEX uk_api_code_deployed ON koca_lcp_api_basic_deployed(tenant_id, api_code);

CREATE UNIQUE INDEX uk_api_name_deployed ON koca_lcp_api_basic_deployed(tenant_id, api_name);

CREATE UNIQUE INDEX uk_api_url_deployed ON koca_lcp_api_basic_deployed(tenant_id, api_method, api_url);

-- Changeset V4.3.0_0_2_152__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_basic_his::YaChao Lv
DROP TABLE koca_lcp_api_basic_his;

CREATE TABLE koca_lcp_api_basic_his (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL, api_id BIGINT NOT NULL, api_code VARCHAR(64) NOT NULL, api_name VARCHAR(64) NOT NULL, api_url VARCHAR(255) NOT NULL, api_method VARCHAR(32) NOT NULL, api_pos INTEGER DEFAULT 0 NOT NULL, remark TEXT, api_req_body_type VARCHAR(32) NOT NULL, api_resp_body_type VARCHAR(32) NOT NULL, api_req_root_type VARCHAR(32) NOT NULL, api_resp_root_type VARCHAR(32) NOT NULL, model_id BIGINT, crud_type VARCHAR(32), his_version VARCHAR(8) NOT NULL, CONSTRAINT KOCA_LCP_API_BASIC_HIS_PKEY PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_api_basic_his IS 'api基础信息历史表';

COMMENT ON COLUMN koca_lcp_api_basic_his.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_api_basic_his.tenant_id IS '租户ID';

COMMENT ON COLUMN koca_lcp_api_basic_his.api_id IS 'api主键';

COMMENT ON COLUMN koca_lcp_api_basic_his.api_code IS 'api代码';

COMMENT ON COLUMN koca_lcp_api_basic_his.api_name IS 'api名称';

COMMENT ON COLUMN koca_lcp_api_basic_his.api_url IS 'api路径';

COMMENT ON COLUMN koca_lcp_api_basic_his.api_method IS '接口方法';

COMMENT ON COLUMN koca_lcp_api_basic_his.api_pos IS 'api排序';

COMMENT ON COLUMN koca_lcp_api_basic_his.remark IS '说明';

COMMENT ON COLUMN koca_lcp_api_basic_his.api_req_body_type IS '接口入参body类型';

COMMENT ON COLUMN koca_lcp_api_basic_his.api_resp_body_type IS '接口响应body类型';

COMMENT ON COLUMN koca_lcp_api_basic_his.api_req_root_type IS '接口入参root类型';

COMMENT ON COLUMN koca_lcp_api_basic_his.api_resp_root_type IS '接口响应root类型';

COMMENT ON COLUMN koca_lcp_api_basic_his.model_id IS '数据模型ID';

COMMENT ON COLUMN koca_lcp_api_basic_his.crud_type IS '增删改查类型';

COMMENT ON COLUMN koca_lcp_api_basic_his.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_api_id_his ON koca_lcp_api_basic_his(his_version, api_id);

CREATE UNIQUE INDEX uk_api_code_his ON koca_lcp_api_basic_his(tenant_id, api_code, his_version);

CREATE UNIQUE INDEX uk_api_name_his ON koca_lcp_api_basic_his(tenant_id, api_name, his_version);

CREATE UNIQUE INDEX uk_api_url_his ON koca_lcp_api_basic_his(tenant_id, api_method, api_url, his_version);

-- Changeset V4.3.0_0_2_152__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_param_deployed::YaChao Lv
DROP TABLE koca_lcp_api_param_deployed;

CREATE TABLE koca_lcp_api_param_deployed (id BIGINT NOT NULL, api_param_id BIGINT NOT NULL, api_id BIGINT NOT NULL, parent_id BIGINT NOT NULL, param_code VARCHAR(32) NOT NULL, param_name VARCHAR(64) NOT NULL, param_type VARCHAR(32) NOT NULL, param_pos INTEGER NOT NULL, param_desc VARCHAR(255), data_type VARCHAR(32) NOT NULL, data_length INTEGER, decimal_place INTEGER, required SMALLINT NOT NULL, default_value VARCHAR(255), data_format VARCHAR(32), data_dict_code VARCHAR(32), model_field_code VARCHAR(512), his_version VARCHAR(8) NOT NULL, CONSTRAINT KOCA_LCP_API_PARAM_DEPLOYED_PKEY PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_api_param_deployed IS 'api参数发布表';

COMMENT ON COLUMN koca_lcp_api_param_deployed.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_api_param_deployed.api_param_id IS 'api参数id';

COMMENT ON COLUMN koca_lcp_api_param_deployed.api_id IS 'api主键';

COMMENT ON COLUMN koca_lcp_api_param_deployed.parent_id IS '父id';

COMMENT ON COLUMN koca_lcp_api_param_deployed.param_code IS '参数代码';

COMMENT ON COLUMN koca_lcp_api_param_deployed.param_name IS '参数名';

COMMENT ON COLUMN koca_lcp_api_param_deployed.param_type IS '参数类型 请求/响应';

COMMENT ON COLUMN koca_lcp_api_param_deployed.param_pos IS '参数排序';

COMMENT ON COLUMN koca_lcp_api_param_deployed.param_desc IS '参数说明';

COMMENT ON COLUMN koca_lcp_api_param_deployed.data_type IS '数据类型';

COMMENT ON COLUMN koca_lcp_api_param_deployed.data_length IS '数据长度';

COMMENT ON COLUMN koca_lcp_api_param_deployed.decimal_place IS '精度';

COMMENT ON COLUMN koca_lcp_api_param_deployed.required IS '是否必填';

COMMENT ON COLUMN koca_lcp_api_param_deployed.default_value IS '默认值';

COMMENT ON COLUMN koca_lcp_api_param_deployed.data_format IS '字段数据格式';

COMMENT ON COLUMN koca_lcp_api_param_deployed.data_dict_code IS '数据字典代码';

COMMENT ON COLUMN koca_lcp_api_param_deployed.model_field_code IS '数据模型字段代码';

COMMENT ON COLUMN koca_lcp_api_param_deployed.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_api_param_code_deployed ON koca_lcp_api_param_deployed(api_id, param_type, parent_id, param_code);

CREATE UNIQUE INDEX uk_api_param_name_deployed ON koca_lcp_api_param_deployed(api_id, param_type, parent_id, param_name);

-- Changeset V4.3.0_0_2_152__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_param_his::YaChao Lv
DROP TABLE koca_lcp_api_param_his;

CREATE TABLE koca_lcp_api_param_his (id BIGINT NOT NULL, api_id BIGINT NOT NULL, api_param_id BIGINT NOT NULL, parent_id BIGINT NOT NULL, param_code VARCHAR(32) NOT NULL, param_name VARCHAR(64) NOT NULL, param_type VARCHAR(32) NOT NULL, param_pos INTEGER NOT NULL, param_desc VARCHAR(255), data_type VARCHAR(32) NOT NULL, data_length INTEGER, decimal_place INTEGER, required SMALLINT NOT NULL, default_value VARCHAR(255), data_format VARCHAR(32), data_dict_code VARCHAR(32), model_field_code VARCHAR(512), his_version VARCHAR(8) NOT NULL, CONSTRAINT KOCA_LCP_API_PARAM_HIS_PKEY PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_api_param_his IS 'api参数历史表';

COMMENT ON COLUMN koca_lcp_api_param_his.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_api_param_his.api_id IS 'api主键';

COMMENT ON COLUMN koca_lcp_api_param_his.api_param_id IS 'api参数id';

COMMENT ON COLUMN koca_lcp_api_param_his.parent_id IS '父id';

COMMENT ON COLUMN koca_lcp_api_param_his.param_code IS '参数代码';

COMMENT ON COLUMN koca_lcp_api_param_his.param_name IS '参数名';

COMMENT ON COLUMN koca_lcp_api_param_his.param_type IS '参数类型 请求/响应';

COMMENT ON COLUMN koca_lcp_api_param_his.param_pos IS '参数排序';

COMMENT ON COLUMN koca_lcp_api_param_his.param_desc IS '参数说明';

COMMENT ON COLUMN koca_lcp_api_param_his.data_type IS '数据类型';

COMMENT ON COLUMN koca_lcp_api_param_his.data_length IS '数据长度';

COMMENT ON COLUMN koca_lcp_api_param_his.decimal_place IS '精度';

COMMENT ON COLUMN koca_lcp_api_param_his.required IS '是否必填';

COMMENT ON COLUMN koca_lcp_api_param_his.default_value IS '默认值';

COMMENT ON COLUMN koca_lcp_api_param_his.data_format IS '字段数据格式';

COMMENT ON COLUMN koca_lcp_api_param_his.data_dict_code IS '数据字典代码';

COMMENT ON COLUMN koca_lcp_api_param_his.model_field_code IS '数据模型字段代码';

COMMENT ON COLUMN koca_lcp_api_param_his.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_api_param_code_his ON koca_lcp_api_param_his(his_version, api_id, param_type, parent_id, param_code);

CREATE UNIQUE INDEX uk_api_param_name_his ON koca_lcp_api_param_his(his_version, api_id, param_type, parent_id, param_name);