-- Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_dic::qiuhang
CREATE TABLE koca_lcp_data_dic (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL, dic_code VARCHAR(32) NOT NULL, dic_name VARCHAR(32) NOT NULL, created_by VARCHAR(32) NOT NULL, updated_by VARCHAR(32) NOT NULL, created_at VARCHAR(32) NOT NULL, updated_at VARCHAR(32) NOT NULL, CONSTRAINT KOCA_LCP_DATA_DIC_PKEY PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_data_dic IS '数据字典表';

COMMENT ON COLUMN koca_lcp_data_dic.id IS '字典id';

COMMENT ON COLUMN koca_lcp_data_dic.tenant_id IS '租户id';

COMMENT ON COLUMN koca_lcp_data_dic.dic_code IS '字典代码';

COMMENT ON COLUMN koca_lcp_data_dic.dic_name IS '字典名称';

COMMENT ON COLUMN koca_lcp_data_dic.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_data_dic.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_data_dic.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_data_dic.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_dict_code_tenant_id ON koca_lcp_data_dic(dic_code, tenant_id);

CREATE UNIQUE INDEX uk_dict_name_tenant_id ON koca_lcp_data_dic(dic_name, tenant_id);

-- Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_dic::qiuhang
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_DIC_NO', '数据字典序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_DIC_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_dic_item::qiuhang
CREATE TABLE koca_lcp_data_dic_item (id BIGINT NOT NULL, dic_id BIGINT NOT NULL, dic_item_code VARCHAR(32) NOT NULL, dic_item_name VARCHAR(32) NOT NULL, dic_item_ord INTEGER NOT NULL, created_by VARCHAR(32) NOT NULL, updated_by VARCHAR(32) NOT NULL, created_at VARCHAR(32) NOT NULL, updated_at VARCHAR(32) NOT NULL, CONSTRAINT KOCA_LCP_DATA_DIC_ITEM_PKEY PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_data_dic_item IS '数据字典项表';

COMMENT ON COLUMN koca_lcp_data_dic_item.id IS '字典项id';

COMMENT ON COLUMN koca_lcp_data_dic_item.dic_id IS '字典id';

COMMENT ON COLUMN koca_lcp_data_dic_item.dic_item_code IS '字典项代码';

COMMENT ON COLUMN koca_lcp_data_dic_item.dic_item_name IS '字典项名称';

COMMENT ON COLUMN koca_lcp_data_dic_item.dic_item_ord IS '字典项顺序';

COMMENT ON COLUMN koca_lcp_data_dic_item.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_data_dic_item.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_data_dic_item.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_data_dic_item.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_data_dic_item_code ON koca_lcp_data_dic_item(dic_id, dic_item_code);

CREATE UNIQUE INDEX uk_data_dic_item_name ON koca_lcp_data_dic_item(dic_id, dic_item_name);

-- Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_dic_item::qiuhang
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_DIC_ITEM_NO', '数据字典项序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_DIC_ITEM_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_type::qiuhang
CREATE TABLE koca_lcp_data_type (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL, type_name VARCHAR(32) NOT NULL, type_code VARCHAR(32) NOT NULL, remark VARCHAR(255) NOT NULL, api_param_type VARCHAR(32) NOT NULL, component VARCHAR(64) NOT NULL, jdbc_type VARCHAR(32), java_type VARCHAR(255), created_by VARCHAR(32) NOT NULL, updated_by VARCHAR(32) NOT NULL, created_at VARCHAR(32) NOT NULL, updated_at VARCHAR(32) NOT NULL, CONSTRAINT KOCA_LCP_DATA_TYPE_PKEY PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_data_type IS '数据类型表';

COMMENT ON COLUMN koca_lcp_data_type.id IS '类型id';

COMMENT ON COLUMN koca_lcp_data_type.tenant_id IS '租户id';

COMMENT ON COLUMN koca_lcp_data_type.type_name IS '类型名称';

COMMENT ON COLUMN koca_lcp_data_type.type_code IS '类型代码';

COMMENT ON COLUMN koca_lcp_data_type.remark IS '类型描述';

COMMENT ON COLUMN koca_lcp_data_type.api_param_type IS 'API参数类型';

COMMENT ON COLUMN koca_lcp_data_type.component IS '数据录入组件';

COMMENT ON COLUMN koca_lcp_data_type.jdbc_type IS 'jdbc类型';

COMMENT ON COLUMN koca_lcp_data_type.java_type IS 'java类型';

COMMENT ON COLUMN koca_lcp_data_type.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_data_type.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_data_type.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_data_type.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_data_type_name_tenant_id ON koca_lcp_data_type(type_name, tenant_id);

CREATE UNIQUE INDEX uk_data_type_code_tenant_id ON koca_lcp_data_type(type_code, tenant_id);

-- Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_type::qiuhang
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_TYPE_NO', '数据类型序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_TYPE_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_lcp_data_type::qiuhang
INSERT INTO koca_lcp_data_type (id, type_name, type_code, remark, api_param_type, component, jdbc_type, java_type, created_by, updated_by, created_at, updated_at) VALUES ('1', '定长字符串', 'char', '存储固定长度或长度差异较小的字符串，如性别、身份证号、手机号码、MD5值等', 'String', 'kui-input', 'VARCHAR', 'String', 'admin', 'admin', '2022-10-12 09:00:00', '2022-10-12 09:00:00');

INSERT INTO koca_lcp_data_type (id, type_name, type_code, remark, api_param_type, component, jdbc_type, java_type, created_by, updated_by, created_at, updated_at) VALUES ('2', '变长字符串', 'varchar', '存储长度不确定或长度差异较大的字符串，如标题、描述、用户名、邮箱、链接等', 'String', 'kui-input', 'VARCHAR', 'String', 'admin', 'admin', '2022-10-12 09:00:00', '2022-10-12 09:00:00');

INSERT INTO koca_lcp_data_type (id, type_name, type_code, remark, api_param_type, component, jdbc_type, java_type, created_by, updated_by, created_at, updated_at) VALUES ('3', '整数(int)', 'int', '存储整型数据，如年龄、数量、序号等', 'Integer', 'kui-input', 'VARCHAR', 'String', 'admin', 'admin', '2022-10-12 09:00:00', '2022-10-12 09:00:00');

INSERT INTO koca_lcp_data_type (id, type_name, type_code, remark, api_param_type, component, jdbc_type, java_type, created_by, updated_by, created_at, updated_at) VALUES ('4', '整数(integer)', 'integer', '存储整型数据，如年龄、数量、序号等', 'Integer', 'kui-input', 'VARCHAR', 'String', 'admin', 'admin', '2022-10-12 09:00:00', '2022-10-12 09:00:00');

INSERT INTO koca_lcp_data_type (id, type_name, type_code, remark, api_param_type, component, jdbc_type, java_type, created_by, updated_by, created_at, updated_at) VALUES ('5', '短整数', 'smallint', '存储短整型数据，如天数、编号等', 'Integer', 'kui-input', 'VARCHAR', 'String', 'admin', 'admin', '2022-10-12 09:00:00', '2022-10-12 09:00:00');

INSERT INTO koca_lcp_data_type (id, type_name, type_code, remark, api_param_type, component, jdbc_type, java_type, created_by, updated_by, created_at, updated_at) VALUES ('6', '长整数', 'bigint', '存储长整型数据，如流水号、账号、ID等', 'Integer', 'kui-input', 'VARCHAR', 'String', 'admin', 'admin', '2022-10-12 09:00:00', '2022-10-12 09:00:00');

INSERT INTO koca_lcp_data_type (id, type_name, type_code, remark, api_param_type, component, jdbc_type, java_type, created_by, updated_by, created_at, updated_at) VALUES ('7', '小数', 'double', '存储固定精度的小数，如金额、经纬度、平均数等', 'Number', 'kui-input', 'VARCHAR', 'String', 'admin', 'admin', '2022-10-12 09:00:00', '2022-10-12 09:00:00');

-- Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_type_db::qiuhang
CREATE TABLE koca_lcp_data_type_db (id BIGINT NOT NULL, db_type VARCHAR(32) NOT NULL, data_type_id BIGINT NOT NULL, db_field_type VARCHAR(32), jdbc_type VARCHAR(32), java_type VARCHAR(255), CONSTRAINT KOCA_LCP_DATA_TYPE_DB_PKEY PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_data_type_db IS '数据库-数据类型关联表';

COMMENT ON COLUMN koca_lcp_data_type_db.id IS '类型id';

COMMENT ON COLUMN koca_lcp_data_type_db.db_type IS '数据库类型';

COMMENT ON COLUMN koca_lcp_data_type_db.data_type_id IS '数据类型ID';

COMMENT ON COLUMN koca_lcp_data_type_db.db_field_type IS '数据库字段类型';

COMMENT ON COLUMN koca_lcp_data_type_db.jdbc_type IS 'jdbc类型';

COMMENT ON COLUMN koca_lcp_data_type_db.java_type IS 'java类型';

CREATE UNIQUE INDEX uk_data_type_db ON koca_lcp_data_type_db(db_type, data_type_id);

-- Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_type_db::qiuhang
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_TYPE_DB_NO', '数据类型关联序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_TYPE_DB_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_lcp_data_type_db::qiuhang
INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('1', 'ORACLE', '1', 'CHAR', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('2', 'ORACLE', '2', 'VARCHAR2', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('3', 'ORACLE', '3', 'INTEGER', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('4', 'ORACLE', '4', 'INTEGER', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('5', 'ORACLE', '5', 'NUMBER(5)', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('6', 'ORACLE', '6', 'NUMBER(38)', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('7', 'ORACLE', '7', 'DECIMAL', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('8', 'MYSQL', '1', 'CHAR', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('9', 'MYSQL', '2', 'VARCHAR', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('10', 'MYSQL', '3', 'INT', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('11', 'MYSQL', '4', 'INTEGER', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('12', 'MYSQL', '5', 'SMALLINT', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('13', 'MYSQL', '6', 'BIGINT', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('14', 'MYSQL', '7', 'DECIMAL', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('15', 'SQLSERVER', '1', 'CHAR', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('16', 'SQLSERVER', '2', 'VARCHAR', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('17', 'SQLSERVER', '3', 'INT', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('18', 'SQLSERVER', '4', 'INTEGER', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('19', 'SQLSERVER', '5', 'SMALLINT', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('20', 'SQLSERVER', '6', 'BIGINT', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('21', 'SQLSERVER', '7', 'DECIMAL', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('22', 'POSTGRESQL', '1', 'CHAR', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('23', 'POSTGRESQL', '2', 'VARCHAR', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('24', 'POSTGRESQL', '3', 'INTEGER', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('25', 'POSTGRESQL', '4', 'INTEGER', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('26', 'POSTGRESQL', '5', 'SMALLINT', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('27', 'POSTGRESQL', '6', 'BIGINT', 'VARCHAR', 'String');

INSERT INTO koca_lcp_data_type_db (id, db_type, data_type_id, db_field_type, jdbc_type, java_type) VALUES ('28', 'POSTGRESQL', '7', 'DECIMAL', 'VARCHAR', 'String');

-- Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_model::YaChao Lv
CREATE TABLE koca_lcp_data_model (id BIGINT NOT NULL, ds_id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL, model_name VARCHAR(32) NOT NULL, table_name VARCHAR(512) NOT NULL, model_desc VARCHAR(255), sync_status VARCHAR(32) NOT NULL, created_by VARCHAR(32) NOT NULL, updated_by VARCHAR(32) NOT NULL, created_at VARCHAR(32) NOT NULL, updated_at VARCHAR(32) NOT NULL, CONSTRAINT KOCA_LCP_DATA_MODEL_PKEY PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_data_model IS '数据模型表';

COMMENT ON COLUMN koca_lcp_data_model.id IS '主键';

COMMENT ON COLUMN koca_lcp_data_model.ds_id IS '数据源ID';

COMMENT ON COLUMN koca_lcp_data_model.tenant_id IS '租户id';

COMMENT ON COLUMN koca_lcp_data_model.model_name IS '模型名称';

COMMENT ON COLUMN koca_lcp_data_model.table_name IS '表名';

COMMENT ON COLUMN koca_lcp_data_model.model_desc IS '模型描述';

COMMENT ON COLUMN koca_lcp_data_model.sync_status IS '模型状态';

COMMENT ON COLUMN koca_lcp_data_model.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_data_model.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_data_model.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_data_model.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_model_name ON koca_lcp_data_model(ds_id, model_name);

CREATE UNIQUE INDEX uk_table_name ON koca_lcp_data_model(ds_id, table_name);

-- Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_model::YaChao Lv
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_NO', '数据模型序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_sync_record::YaChao Lv
CREATE TABLE koca_lcp_data_sync_record (id BIGINT NOT NULL, model_id BIGINT NOT NULL, data_json TEXT NOT NULL, data_version INTEGER NOT NULL, CONSTRAINT KOCA_LCP_DATA_SYNC_RECORD_PKEY PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_data_sync_record IS '数据模型同步历史';

COMMENT ON COLUMN koca_lcp_data_sync_record.id IS '主键';

COMMENT ON COLUMN koca_lcp_data_sync_record.model_id IS '数据模型id';

COMMENT ON COLUMN koca_lcp_data_sync_record.data_json IS '数据json';

COMMENT ON COLUMN koca_lcp_data_sync_record.data_version IS '版本号';

CREATE UNIQUE INDEX uk_model_version ON koca_lcp_data_sync_record(model_id, data_version);

-- Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_sync_record::YaChao Lv
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_SYNC_RECORD_NO', '数据模型同步历史序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_SYNC_RECORD_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_type_order::YaChao Lv
CREATE TABLE koca_lcp_data_type_order (id BIGINT NOT NULL, data_type_id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL, order_num INTEGER NOT NULL, CONSTRAINT KOCA_LCP_DATA_TYPE_ORDER_PKEY PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_data_type_order IS '数据类型顺序表';

COMMENT ON COLUMN koca_lcp_data_type_order.id IS '主键';

COMMENT ON COLUMN koca_lcp_data_type_order.data_type_id IS '数据类型id';

COMMENT ON COLUMN koca_lcp_data_type_order.tenant_id IS '租户id';

COMMENT ON COLUMN koca_lcp_data_type_order.order_num IS '顺序';

CREATE UNIQUE INDEX uk_type_order ON koca_lcp_data_type_order(data_type_id, order_num);

-- Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_type_order::YaChao Lv
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_DATA_TYPE_ORDER_NO', '数据类型顺序表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_DATA_TYPE_ORDER_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_model_field::YaChao Lv
CREATE TABLE koca_lcp_data_model_field (id BIGINT NOT NULL, model_id BIGINT NOT NULL, order_num INTEGER NOT NULL, field_code VARCHAR(512) NOT NULL, field_desc VARCHAR(255) NOT NULL, is_key SMALLINT NOT NULL, not_null SMALLINT NOT NULL, pk_strategy VARCHAR(32), data_field_id BIGINT, data_region_id BIGINT, data_type_id BIGINT, data_dict_code VARCHAR(32), length VARCHAR(16), decimal_place INTEGER, default_val VARCHAR(255), check_rule VARCHAR(255), error_tip VARCHAR(255), create_used SMALLINT DEFAULT 0 NOT NULL, query_used SMALLINT DEFAULT 0 NOT NULL, display_used SMALLINT DEFAULT 0 NOT NULL, edit_used SMALLINT DEFAULT 0 NOT NULL, delete_used SMALLINT DEFAULT 0 NOT NULL, created_by VARCHAR(32) NOT NULL, updated_by VARCHAR(32) NOT NULL, created_at VARCHAR(32) NOT NULL, updated_at VARCHAR(32) NOT NULL, CONSTRAINT KOCA_LCP_DATA_MODEL_FIELD_PKEY PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_data_model_field IS '数据模型字段表';

COMMENT ON COLUMN koca_lcp_data_model_field.id IS '主键';

COMMENT ON COLUMN koca_lcp_data_model_field.model_id IS '数据模型id';

COMMENT ON COLUMN koca_lcp_data_model_field.order_num IS '顺序';

COMMENT ON COLUMN koca_lcp_data_model_field.field_code IS '字段代码';

COMMENT ON COLUMN koca_lcp_data_model_field.field_desc IS '字段描述';

COMMENT ON COLUMN koca_lcp_data_model_field.is_key IS '是否主键';

COMMENT ON COLUMN koca_lcp_data_model_field.not_null IS '是否不为空';

COMMENT ON COLUMN koca_lcp_data_model_field.pk_strategy IS '主键策略';

COMMENT ON COLUMN koca_lcp_data_model_field.data_field_id IS '字段库id';

COMMENT ON COLUMN koca_lcp_data_model_field.data_region_id IS '数据域id';

COMMENT ON COLUMN koca_lcp_data_model_field.data_type_id IS '数据类型id';

COMMENT ON COLUMN koca_lcp_data_model_field.data_dict_code IS '数据字典代码';

COMMENT ON COLUMN koca_lcp_data_model_field.length IS '长度';

COMMENT ON COLUMN koca_lcp_data_model_field.decimal_place IS '精度';

COMMENT ON COLUMN koca_lcp_data_model_field.default_val IS '默认值';

COMMENT ON COLUMN koca_lcp_data_model_field.check_rule IS '校验规则';

COMMENT ON COLUMN koca_lcp_data_model_field.error_tip IS '错误提示';

COMMENT ON COLUMN koca_lcp_data_model_field.create_used IS '创建使用';

COMMENT ON COLUMN koca_lcp_data_model_field.query_used IS '查询使用';

COMMENT ON COLUMN koca_lcp_data_model_field.display_used IS '显示使用';

COMMENT ON COLUMN koca_lcp_data_model_field.edit_used IS '编辑使用';

COMMENT ON COLUMN koca_lcp_data_model_field.delete_used IS '删除使用';

COMMENT ON COLUMN koca_lcp_data_model_field.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_data_model_field.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_data_model_field.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_data_model_field.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_model_field ON koca_lcp_data_model_field(model_id, field_code);

-- Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_model_field::YaChao Lv
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_FIELD_NO', '数据模型字段序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_FIELD_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_model_index::YaChao Lv
CREATE TABLE koca_lcp_data_model_index (id BIGINT NOT NULL, model_id BIGINT NOT NULL, index_name VARCHAR(255), index_code VARCHAR(512) NOT NULL, is_unique SMALLINT DEFAULT 0 NOT NULL, order_num INTEGER NOT NULL, created_by VARCHAR(32) NOT NULL, updated_by VARCHAR(32) NOT NULL, created_at VARCHAR(32) NOT NULL, updated_at VARCHAR(32) NOT NULL, CONSTRAINT KOCA_LCP_DATA_MODEL_INDEX_PKEY PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_data_model_index IS '数据模型索引表';

COMMENT ON COLUMN koca_lcp_data_model_index.id IS '主键';

COMMENT ON COLUMN koca_lcp_data_model_index.model_id IS '数据模型id';

COMMENT ON COLUMN koca_lcp_data_model_index.index_name IS '索引名称';

COMMENT ON COLUMN koca_lcp_data_model_index.index_code IS '索引代码';

COMMENT ON COLUMN koca_lcp_data_model_index.is_unique IS '是否唯一索引';

COMMENT ON COLUMN koca_lcp_data_model_index.order_num IS '顺序';

COMMENT ON COLUMN koca_lcp_data_model_index.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_data_model_index.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_data_model_index.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_data_model_index.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_model_index ON koca_lcp_data_model_index(model_id, index_code);

-- Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_model_index::YaChao Lv
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_INDEX_NO', '数据模型索引序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_INDEX_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_model_idx_field::YaChao Lv
CREATE TABLE koca_lcp_data_model_idx_field (id BIGINT NOT NULL, index_id BIGINT NOT NULL, field_id BIGINT NOT NULL, order_num INTEGER NOT NULL, order_type INTEGER NOT NULL, CONSTRAINT KOCA_LCP_DATA_MODEL_IDX_FIELD_PKEY PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_data_model_idx_field IS '数据模型索引字段表';

COMMENT ON COLUMN koca_lcp_data_model_idx_field.id IS '主键';

COMMENT ON COLUMN koca_lcp_data_model_idx_field.index_id IS '索引id';

COMMENT ON COLUMN koca_lcp_data_model_idx_field.field_id IS '字段id';

COMMENT ON COLUMN koca_lcp_data_model_idx_field.order_num IS '顺序';

COMMENT ON COLUMN koca_lcp_data_model_idx_field.order_type IS '排序方式';

CREATE UNIQUE INDEX uk_index_field ON koca_lcp_data_model_idx_field(index_id, field_id);

-- Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_model_idx_field::YaChao Lv
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_INDEX_IDX_NO', '数据模型索引字段序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_INDEX_IDX_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_model_er::YaChao Lv
CREATE TABLE koca_lcp_data_model_er (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL, source_model_id BIGINT NOT NULL, target_model_id BIGINT NOT NULL, mid_model_id BIGINT, relation_type CHAR(3) NOT NULL, created_by VARCHAR(32) NOT NULL, updated_by VARCHAR(32) NOT NULL, created_at VARCHAR(32) NOT NULL, updated_at VARCHAR(32) NOT NULL, CONSTRAINT KOCA_LCP_DATA_MODEL_ER_PKEY PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_data_model_er IS '数据模型关联关系';

COMMENT ON COLUMN koca_lcp_data_model_er.id IS '主键';

COMMENT ON COLUMN koca_lcp_data_model_er.tenant_id IS '租户id';

COMMENT ON COLUMN koca_lcp_data_model_er.source_model_id IS '源模型id';

COMMENT ON COLUMN koca_lcp_data_model_er.target_model_id IS '目标模型id';

COMMENT ON COLUMN koca_lcp_data_model_er.mid_model_id IS '中间模型id';

COMMENT ON COLUMN koca_lcp_data_model_er.relation_type IS '关联关系类型';

COMMENT ON COLUMN koca_lcp_data_model_er.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_data_model_er.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_data_model_er.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_data_model_er.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_source_target_type ON koca_lcp_data_model_er(source_model_id, target_model_id, relation_type);

-- Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_model_er::YaChao Lv
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_ER_NO', '数据模型关联关系序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_ER_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_model_er_field::YaChao Lv
CREATE TABLE koca_lcp_data_model_er_field (id BIGINT NOT NULL, er_id BIGINT NOT NULL, field_type VARCHAR(32) NOT NULL, field_id BIGINT NOT NULL, order_num INTEGER NOT NULL, CONSTRAINT KOCA_LCP_DATA_MODEL_ER_FIELD_PKEY PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_data_model_er_field IS '数据模型关联关系字段';

COMMENT ON COLUMN koca_lcp_data_model_er_field.id IS '主键';

COMMENT ON COLUMN koca_lcp_data_model_er_field.er_id IS '关联关系id';

COMMENT ON COLUMN koca_lcp_data_model_er_field.field_type IS '关联关系字段类型';

COMMENT ON COLUMN koca_lcp_data_model_er_field.field_id IS '字段id';

COMMENT ON COLUMN koca_lcp_data_model_er_field.order_num IS '顺序';

CREATE UNIQUE INDEX uk_field_all ON koca_lcp_data_model_er_field(er_id, field_type, field_id, order_num);

-- Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_model_er_field::YaChao Lv
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_ER_FIELD_NO', '数据模型关联关系字段序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_MODEL_ER_FIELD_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_data_region::qiuhang
CREATE TABLE koca_lcp_data_region (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL, data_region_code VARCHAR(32) NOT NULL, data_region_name VARCHAR(32) NOT NULL, data_type_id BIGINT NOT NULL, ui_suggestion VARCHAR(32), length VARCHAR(16), decimal_place INTEGER, created_by VARCHAR(32) NOT NULL, updated_by VARCHAR(32) NOT NULL, created_at VARCHAR(32) NOT NULL, updated_at VARCHAR(32) NOT NULL, CONSTRAINT KOCA_LCP_DATA_REGION_PKEY PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_data_region IS '数据域表';

COMMENT ON COLUMN koca_lcp_data_region.id IS '类型id';

COMMENT ON COLUMN koca_lcp_data_region.tenant_id IS '租户id';

COMMENT ON COLUMN koca_lcp_data_region.data_region_code IS '数据域代码';

COMMENT ON COLUMN koca_lcp_data_region.data_region_name IS '数据域名称';

COMMENT ON COLUMN koca_lcp_data_region.data_type_id IS '数据类型ID';

COMMENT ON COLUMN koca_lcp_data_region.ui_suggestion IS 'ui建议';

COMMENT ON COLUMN koca_lcp_data_region.length IS '长度';

COMMENT ON COLUMN koca_lcp_data_region.decimal_place IS '小数位数';

COMMENT ON COLUMN koca_lcp_data_region.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_data_region.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_data_region.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_data_region.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_data_region_code_tenant_id ON koca_lcp_data_region(data_region_code, tenant_id);

CREATE UNIQUE INDEX uk_data_region_name_tenant_id ON koca_lcp_data_region(data_region_name, tenant_id);

-- Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_region::qiuhang
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_TYPE_REGION_NO', '数据域序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_TYPE_REGION_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_field_manager::qiuhang
CREATE TABLE koca_lcp_field_manager (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL, field_code VARCHAR(30) NOT NULL, field_desc VARCHAR(255) NOT NULL, data_region_id BIGINT, data_type_id BIGINT, length VARCHAR(16), decimal_place INTEGER, default_val VARCHAR(255), dict_code VARCHAR(32), created_by VARCHAR(32) NOT NULL, updated_by VARCHAR(32) NOT NULL, created_at VARCHAR(32) NOT NULL, updated_at VARCHAR(32) NOT NULL, CONSTRAINT KOCA_LCP_FIELD_MANAGER_PKEY PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_field_manager IS '数据字段表';

COMMENT ON COLUMN koca_lcp_field_manager.id IS '字段id';

COMMENT ON COLUMN koca_lcp_field_manager.tenant_id IS '租户id';

COMMENT ON COLUMN koca_lcp_field_manager.field_code IS '字段代码';

COMMENT ON COLUMN koca_lcp_field_manager.field_desc IS '字段描述';

COMMENT ON COLUMN koca_lcp_field_manager.data_region_id IS '数据域id';

COMMENT ON COLUMN koca_lcp_field_manager.data_type_id IS '数据类型ID';

COMMENT ON COLUMN koca_lcp_field_manager.length IS '长度';

COMMENT ON COLUMN koca_lcp_field_manager.decimal_place IS '小数位数';

COMMENT ON COLUMN koca_lcp_field_manager.default_val IS '默认值';

COMMENT ON COLUMN koca_lcp_field_manager.dict_code IS '字典代码';

COMMENT ON COLUMN koca_lcp_field_manager.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_field_manager.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_field_manager.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_field_manager.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_field_code_tenant_id ON koca_lcp_field_manager(field_code, tenant_id);

-- Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_field_manager::qiuhang
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_TYPE_FIELD_NO', '数据字段库序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATA_TYPE_FIELD_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_sys_menu::qiuhang
INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412000', '0', '0', '数据模型管理', '', '', '411001', 'kui-icon-menu', '0', '数据模型管理');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412001', '0', '0', '数据类型管理', '/lcp-runtime-model/views/data-type/index.vue', '412000', '', '', '0', '数据类型管理');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412002', '0', '2', '数据类型新增/编辑', '', '412001', '', '', '0', '数据类型新增/编辑');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412003', '0', '2', '数据类型删除', '', '412001', '', '', '0', '数据类型删除');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412004', '0', '2', '数据域新增/编辑', '', '412001', '', '', '0', '数据域新增/编辑');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412005', '0', '2', '数据域删除', '', '412001', '', '', '0', '数据域删除');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412006', '0', '2', '字段库新增/编辑', '', '412001', '', '', '0', '字段库新增/编辑');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412007', '0', '2', '字段库删除', '', '412001', '', '', '0', '字段库删除');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412008', '0', '0', '数据字典管理', '/lcp-runtime-model/views/data-dict/index.tsx', '412000', '412001', '', '0', '数据字典管理');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412009', '0', '2', '数据字典新增/编辑', '', '412008', '', '', '0', '数据字典新增/编辑');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412010', '0', '2', '数据字典删除', '', '412008', '', '', '0', '数据字典删除');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412011', '0', '0', '数据模型管理', '/lcp-runtime-model/views/data-model/index.tsx', '412000', '412008', '', '0', '数据模型管理');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412012', '0', '2', '数据模型新增/编辑', '', '412011', '', '', '0', '数据模型新增/编辑');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412013', '0', '2', '数据模型删除', '', '412011', '412012', '', '0', '数据模型删除');

-- Changeset V4.1.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_menu_api::qiuhang
INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412011', '41201101', '/data/model/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412011', '41201102', '/data/model/detail');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412011', '41201103', '/datasource/ds/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412011', '41201104', '/data/model/codePreview');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412011', '41201105', '/data/model/field/level');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412013', '41201301', '/data/model/delete');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201201', '/data/model/create');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201202', '/data/model/sync');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201203', '/data/model/copy');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201204', '/data/model/rename');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201205', '/data/model/clear');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201206', '/data/model/import/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201207', '/data/model/import');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201208', '/data/type/order/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201209', '/data/type/order/save');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201210', '/data/model/pkStrategy/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201211', '/data/model/detail/update');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201212', '/data/model/dataExport');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201213', '/data/model/dataImport');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201214', '/data/model/dataTmpl/download');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201215', '/data/model/dataQuery');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201216', '/data/model/dataCreate');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201217', '/data/model/dataDelete');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201218', '/data/model/dataUpdate');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201219', '/data/model/all');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201220', '/data/type/field/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201221', '/data/type/region/all');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201222', '/data/type/all');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412012', '41201223', '/data/dic/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412001', 'DATA_TYPE_ALL', '/data/type/all');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412001', 'DATA_TYPE_DETAIL', '/data/type/detail');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412001', 'DATA_DB_ALL', '/data/db/all');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412002', 'DATA_TYPE_ADD', '/data/type/add');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412002', 'DATA_TYPE_UPDATE', '/data/type/update');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412003', 'DATA_TYPE_DELETE', '/data/type/delete');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412001', 'DATA_TYPE_REGION_LIST', '/data/type/region/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412001', 'DATA_TYPE_REGION_ALL', '/data/type/region/all');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412001', 'DATA_DIC_ALL', '/data/dic/all');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412001', 'DATA_TYPE_FIELD_LIST', '/data/type/field/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412004', 'DATA_TYPE_REGION_ADD', '/data/type/region/add');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412004', 'DATA_TYPE_REGION_UPDATE', '/data/type/region/update');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412005', 'DATA_TYPE_REGION_DELETE', '/data/type/region/delete');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412006', 'DATA_TYPE_FIELD_ADD', '/data/type/field/add');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412006', 'DATA_TYPE_FIELD_UPDATE', '/data/type/field/update');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412007', 'DATA_TYPE_FIELD_DELETE', '/data/type/field/delete');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412008', 'DATA_DIC_LIST', '/data/dic/list');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412009', 'DATA_DIC_ADD', '/data/dic/add');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412009', 'DATA_DIC_UPDATE', '/data/dic/update');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412009', 'DATA_DIC_IMPORT', '/data/dic/import');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412009', 'DATA_DIC_TMPL_DOWNLOAD', '/data/dic/tmpl/download');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412010', 'DATA_DIC_DELETE', '/data/dic/delete');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412008', 'DATA_DIC_ITEM_ALL', '/data/dic/item/all');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412009', 'DATA_DIC_ITEM_ADD', '/data/dic/item/add');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412009', 'DATA_DIC_ITEM_UPDATE', '/data/dic/item/update');

INSERT INTO koca_menu_api (menu_id, api_code, resource_url) VALUES ('412010', 'DATA_DIC_ITEM_DELETE', '/data/dic/item/delete');