-- Changeset V4.1.0_0_2_112__koca_lcp_runtime_model.xml::alter_table_koca_lcp_data_model_field::liusheng
ALTER TABLE koca_lcp_data_model_field ADD field_explain VARCHAR(512);

ALTER TABLE koca_lcp_data_model_field ADD is_sensitive SMALLINT DEFAULT 0 NOT NULL;

COMMENT ON COLUMN koca_lcp_data_model_field.field_explain IS '字段说明';

COMMENT ON COLUMN koca_lcp_data_model_field.is_sensitive IS '是否屏蔽';

-- Changeset V4.1.0_0_2_112__koca_lcp_runtime_model.xml::alter_table_koca_lcp_data_model::liusheng
ALTER TABLE koca_lcp_data_model ADD title_field VARCHAR(255);

ALTER TABLE koca_lcp_data_model ADD title_tmpl VARCHAR(255);

COMMENT ON COLUMN koca_lcp_data_model.title_field IS '标题key';

COMMENT ON COLUMN koca_lcp_data_model.title_tmpl IS '模板内容';

-- Changeset V4.1.0_0_2_112__koca_lcp_runtime_model.xml::create_table_koca_lcp_model_field_sensitive::liusheng
CREATE TABLE koca_lcp_model_field_sensitive (id BIGINT NOT NULL, model_field_id BIGINT NOT NULL, replace_position SMALLINT NOT NULL, replace_num INTEGER NOT NULL, replace_char VARCHAR(1) NOT NULL, created_by VARCHAR(32) NOT NULL, updated_by VARCHAR(32) NOT NULL, created_at VARCHAR(32) NOT NULL, updated_at VARCHAR(32) NOT NULL, CONSTRAINT KOCA_LCP_MODEL_FIELD_SENSITIVE_PKEY PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_model_field_sensitive IS '数据模型字段屏蔽规则';

COMMENT ON COLUMN koca_lcp_model_field_sensitive.id IS '屏蔽规则id';

COMMENT ON COLUMN koca_lcp_model_field_sensitive.model_field_id IS '数据模型字段id';

COMMENT ON COLUMN koca_lcp_model_field_sensitive.replace_position IS '替换位置:1-前，2-中，3-后';

COMMENT ON COLUMN koca_lcp_model_field_sensitive.replace_num IS '最小屏蔽位数；未达到最小位数，全屏蔽';

COMMENT ON COLUMN koca_lcp_model_field_sensitive.replace_char IS '屏蔽字符，默认：*';

COMMENT ON COLUMN koca_lcp_model_field_sensitive.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_model_field_sensitive.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_model_field_sensitive.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_model_field_sensitive.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_model_field_id ON koca_lcp_model_field_sensitive(model_field_id);

-- Changeset V4.1.0_0_2_112__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_model_field::liusheng
INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_FIELD_RULE_NO', '数据模型字段屏蔽规则序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_FIELD_CHECK_RULE_NO', '数据模型字段校验规则序列', '8', '1', '', '', '0');

-- Changeset V4.1.0_0_2_112__koca_lcp_runtime_model.xml::create_table_koca_lcp_model_field_rule::liusheng
CREATE TABLE koca_lcp_model_field_rule (id INTEGER NOT NULL, model_id BIGINT NOT NULL, model_field_id BIGINT NOT NULL, check_rule_condition VARCHAR(128), check_rule_type VARCHAR(32) NOT NULL, check_rule_content VARCHAR(128) NOT NULL, error_tip VARCHAR(128), created_by VARCHAR(32) NOT NULL, updated_by VARCHAR(32) NOT NULL, created_at VARCHAR(32) NOT NULL, updated_at VARCHAR(32) NOT NULL, CONSTRAINT KOCA_LCP_MODEL_FIELD_RULE_PKEY PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_model_field_rule IS '字段校验规则';

COMMENT ON COLUMN koca_lcp_model_field_rule.id IS '校验规则id';

COMMENT ON COLUMN koca_lcp_model_field_rule.model_id IS '数据模型id';

COMMENT ON COLUMN koca_lcp_model_field_rule.model_field_id IS '数据模型字段id';

COMMENT ON COLUMN koca_lcp_model_field_rule.check_rule_condition IS '规则校验前置条件（spel表达式字符串）';

COMMENT ON COLUMN koca_lcp_model_field_rule.check_rule_type IS '规则校验类型：REGX-正则校验，LENGTH_LIMIT-长度限制';

COMMENT ON COLUMN koca_lcp_model_field_rule.check_rule_content IS '校验规则内容，配合check_rule_type字段使用';

COMMENT ON COLUMN koca_lcp_model_field_rule.error_tip IS '错误提示';

COMMENT ON COLUMN koca_lcp_model_field_rule.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_model_field_rule.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_model_field_rule.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_model_field_rule.updated_at IS '更新时间';

-- Changeset V4.1.0_0_2_112__koca_lcp_runtime_model.xml::alter_table_koca_lcp_data_model_er::liusheng
ALTER TABLE koca_lcp_data_model_er ADD rela_delete_strategy INTEGER DEFAULT 1 NOT NULL;

ALTER TABLE koca_lcp_data_model_er ADD rela_delete_info VARCHAR(128);

COMMENT ON COLUMN koca_lcp_data_model_er.rela_delete_strategy IS '删除校验策略（1-阻止，2-跟随，3-忽略）';

COMMENT ON COLUMN koca_lcp_data_model_er.rela_delete_info IS '自定义提醒内容';