-- Changeset V4.1.0_0_2_131__koca_lcp_runtime_page.xml::create_table_koca_lcp_page2_group::chenlei
CREATE TABLE koca_lcp_page2_group (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL, group_code VARCHAR(64) NOT NULL, group_name VARCHAR(64) NOT NULL, parent_id BIGINT DEFAULT '-1' NOT NULL, id_path VARCHAR(512) NOT NULL, sort_no INTEGER DEFAULT 0 NOT NULL, created_by VARCHAR(32) NOT NULL, updated_by VARCHAR(32) NOT NULL, created_at VARCHAR(32) NOT NULL, updated_at VARCHAR(32) NOT NULL, CONSTRAINT KOCA_LCP_PAGE2_GROUP_PKEY PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_page2_group IS '页面分组';

COMMENT ON COLUMN koca_lcp_page2_group.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_page2_group.tenant_id IS '租户id';

COMMENT ON COLUMN koca_lcp_page2_group.group_code IS '页面分组编码';

COMMENT ON COLUMN koca_lcp_page2_group.group_name IS '页面分组名称';

COMMENT ON COLUMN koca_lcp_page2_group.parent_id IS '父级目录';

COMMENT ON COLUMN koca_lcp_page2_group.id_path IS '页面分组id路径，用于删除或查询';

COMMENT ON COLUMN koca_lcp_page2_group.sort_no IS '序号，用于同级目录排序';

COMMENT ON COLUMN koca_lcp_page2_group.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_page2_group.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_page2_group.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_page2_group.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_lcp_page2_group_code ON koca_lcp_page2_group(tenant_id, parent_id, group_code);

CREATE UNIQUE INDEX uk_lcp_page2_group_name ON koca_lcp_page2_group(tenant_id, parent_id, group_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_GROUP_NO', '页面分组序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_GROUP_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.1.0_0_2_131__koca_lcp_runtime_page.xml::create_table_koca_lcp_page2::chenlei
CREATE TABLE koca_lcp_page2 (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL, group_id BIGINT DEFAULT '-1' NOT NULL, page_code VARCHAR(64) NOT NULL, page_name VARCHAR(64) NOT NULL, page_meta TEXT, created_by VARCHAR(32) NOT NULL, updated_by VARCHAR(32) NOT NULL, created_at VARCHAR(32) NOT NULL, updated_at VARCHAR(32) NOT NULL, CONSTRAINT KOCA_LCP_PAGE2_PKEY PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_page2 IS '页面管理2';

COMMENT ON COLUMN koca_lcp_page2.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_page2.tenant_id IS '租户id';

COMMENT ON COLUMN koca_lcp_page2.group_id IS '父级目录';

COMMENT ON COLUMN koca_lcp_page2.page_code IS '页面编码';

COMMENT ON COLUMN koca_lcp_page2.page_name IS '页面名称';

COMMENT ON COLUMN koca_lcp_page2.page_meta IS '页面元数据';

COMMENT ON COLUMN koca_lcp_page2.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_page2.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_page2.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_page2.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_lcp_page2_code ON koca_lcp_page2(tenant_id, group_id, page_code);

CREATE UNIQUE INDEX uk_lcp_page2_name ON koca_lcp_page2(tenant_id, group_id, page_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE2_NO', '页面2序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE2_NO', '0', '0', '0', '100000', '', '');

-- Changeset V4.1.0_0_2_131__koca_lcp_runtime_page.xml::update_koca_sys_menu::chenlei
INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('414000', '0', '0', '页面管理', '', '', '412000', 'kui-icon-vision', '0', '页面管理');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('414001', '0', '0', '页面管理', '/lcp-runtime-page/views/page-manage/index.tsx', '414000', '', '', '0', '页面管理');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('414002', '0', '1', '页面设计器', '/lcp-runtime-page/views/designer/index.tsx', '414000', '414001', '', '0', '页面设计器');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('414003', '0', '1', '动态页面', '/lcp-runtime-page/views/renderer/index.tsx', '414000', '414002', '', '0', '动态页面');