/*
 * <p>文件名称: KocaAmoApplication.java</p>
 * <p>项目描述: KOCA 金证云原生平台 v2.0.0</p>
 * <p>公司名称: 深圳市金证科技股份有限公司</p>
 * <p>版权所有: (C) 2019-2020</p>
 */

package com.szkingdom.lcp.bootapp;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.ApplicationPidFileWriter;
import org.springframework.boot.web.context.WebServerPortFileWriter;
import org.springframework.stereotype.Component;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

/**
 * bootapp启动类.
 *
 * @author YaChao Lv
 * @since 0.1, 2022/09/21
 */
@SpringBootApplication
@EnableSwagger2
@Component
public class KocaLcpRuntimeApplication {

    public static void main(String[] args) {
        SpringApplication app = new SpringApplication(KocaLcpRuntimeApplication.class);
        app.addListeners(new ApplicationPidFileWriter(), new WebServerPortFileWriter());
        app.run(args);
    }
}
